!******************************************************************************!
!                                                                              !
!    fill_ctcouplings10.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings10.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 06:18             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings10
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl10()
      coupl(nGC_5085) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(&
                        nGC_51)**2d0 - coupl(nGC_85)**2d0 - coupl(nGC_86)*coupl&
                        (nGC_87) - coupl(nGC_88)**2d0 - coupl(nGC_89)**2d0)/(  &
                        64d0*pi**2d0)
      coupl(nGC_5084) = -coupl(nGC_11)*sq2*(-coupl(nGC_105)**2d0 - 4d0*coupl(  &
                        nGC_2)**2d0 - 4d0*coupl(nGC_33)**2d0 - 4d0*coupl(nGC_54&
                        )**2d0 - coupl(nGC_86)*coupl(nGC_87) - coupl(nGC_88)** &
                        2d0 - coupl(nGC_89)**2d0)/(64d0*pi**2d0)
      coupl(nGC_5087) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_50)**2d0 + coupl(nGC_90)**2d0 + coupl(nGC_91)*coupl&
                        (nGC_92) + coupl(nGC_93)**2d0 + coupl(nGC_94)**2d0)/(  &
                        64d0*pi**2d0*Nc)
      coupl(nGC_5086) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(     &
                        nGC_120)**2d0 + 4d0*coupl(nGC_33)**2d0 + 4d0*coupl(    &
                        nGC_53)**2d0 + coupl(nGC_91)*coupl(nGC_92) + coupl(    &
                        nGC_93)**2d0 + coupl(nGC_94)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_4907) = (coupl(nGC_115)**2d0*coupl(nGC_4) - 4d0*coupl(nGC_1751 &
                        )*coupl(nGC_33)**2d0 + 4d0*coupl(nGC_33)**2d0*coupl(   &
                        nGC_4))/(32d0*pi**2d0)
      coupl(nGC_4906) = (coupl(nGC_100)**2d0*coupl(nGC_4) - 4d0*coupl(nGC_1751 &
                        )*coupl(nGC_33)**2d0 + 4d0*coupl(nGC_33)**2d0*coupl(   &
                        nGC_4))/(32d0*pi**2d0)
      coupl(nGC_4904) = (coupl(nGC_101)*coupl(nGC_102)*coupl(nGC_4) + coupl(   &
                        nGC_103)**2d0*coupl(nGC_4) + coupl(nGC_104)**2d0*coupl(&
                        nGC_4) + 4d0*coupl(nGC_1751)*coupl(nGC_33)**2d0 + 4d0* &
                        coupl(nGC_4)**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_55)**2d0&
                        )/(32d0*pi**2d0)
      coupl(nGC_4903) = coupl(nGC_4)*(coupl(nGC_101)*coupl(nGC_102) + coupl(   &
                        nGC_103)**2d0 + coupl(nGC_104)**2d0 + 4d0*coupl(nGC_4  &
                        )**2d0 + 4d0*coupl(nGC_52)**2d0)/(32d0*pi**2d0)
      coupl(nGC_4902) = (4d0*coupl(nGC_1751)*coupl(nGC_33)**2d0 + 4d0*coupl(   &
                        nGC_4)**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_55)**2d0 +    &
                        coupl(nGC_4)*coupl(nGC_96)*coupl(nGC_97) + coupl(nGC_4 &
                        )*coupl(nGC_98)**2d0 + coupl(nGC_4)*coupl(nGC_99)**2d0 &
                        )/(32d0*pi**2d0)
      coupl(nGC_10080) = coupl(nGC_5446) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_4986) = (24d0*Nc*cMB*coupl(nGC_83)*coupl(nGC_84)**2d0 + 24d0*Nc&
                        *cMC*coupl(nGC_88)*coupl(nGC_89)**2d0 + 24d0*Nc*cMD*   &
                        coupl(nGC_93)*coupl(nGC_94)**2d0 + 24d0*Nc*cMS*coupl(  &
                        nGC_108)*coupl(nGC_109)**2d0 + 24d0*Nc*cMT*coupl(      &
                        nGC_113)*coupl(nGC_114)**2d0 + 24d0*Nc*cMU*coupl(      &
                        nGC_123)*coupl(nGC_124)**2d0 + 24d0*cME*coupl(nGC_98)* &
                        coupl(nGC_99)**2d0 + 24d0*cMM*coupl(nGC_103)*coupl(    &
                        nGC_104)**2d0 + 24d0*cMTA*coupl(nGC_118)*coupl(nGC_119 &
                        )**2d0 + 8d0*cima*coupl(nGC_30)*coupl(nGC_70) + 4d0*   &
                        cima*coupl(nGC_31)*coupl(nGC_69) + 4d0*cima*coupl(     &
                        nGC_66)*coupl(nGC_73) + 2d0*cima*coupl(nGC_67)*coupl(  &
                        nGC_72) + 2d0*coupl(nGC_34)*coupl(nGC_47)*coupl(nGC_70 &
                        ) - 2d0*coupl(nGC_34)*coupl(nGC_47)*coupl(nGC_74) + 2d0&
                        *coupl(nGC_35)*coupl(nGC_46)*coupl(nGC_70) - 2d0*coupl(&
                        nGC_35)*coupl(nGC_46)*coupl(nGC_74) + 2d0*coupl(nGC_46 &
                        )*coupl(nGC_47)*coupl(nGC_69) - 2d0*coupl(nGC_46)*coupl&
                        (nGC_47)*coupl(nGC_75) + 2d0*coupl(nGC_57)*coupl(nGC_61&
                        )*coupl(nGC_73) - 2d0*coupl(nGC_57)*coupl(nGC_61)*coupl&
                        (nGC_74) + coupl(nGC_61)**2d0*coupl(nGC_72) - coupl(   &
                        nGC_61)**2d0*coupl(nGC_75))/(32d0*pi**2d0)
      coupl(nGC_9143) = coupl(nGC_118)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
      coupl(nGC_4908) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_106)*  &
                        coupl(nGC_107) + coupl(nGC_1)*coupl(nGC_108)**2d0 +    &
                        coupl(nGC_1)*coupl(nGC_109)**2d0 + 4d0*coupl(nGC_1)*   &
                        coupl(nGC_53)**2d0 + 4d0*coupl(nGC_2)*coupl(nGC_33)**  &
                        2d0 + coupl(nGC_2)*coupl(nGC_85)**2d0 - 4d0*coupl(nGC_3&
                        )*coupl(nGC_33)**2d0)/(32d0*pi**2d0)
      coupl(nGC_7971) = coupl(nGC_18)*dZHhHl_QED2 + coupl(nGC_20)*dZHl_QED2 +  &
                        coupl(nGC_5222)
      coupl(nGC_7285) = coupl(nGC_11)*dZcL_QCD2
      coupl(nGC_7284) = coupl(nGC_11)*dZcL_QED2
      coupl(nGC_7283) = coupl(nGC_11)*dZcR_QCD2
      coupl(nGC_7282) = coupl(nGC_11)*dZcR_QED2
      coupl(nGC_5157) = (20d0*Nc*cima*coupl(nGC_106)**2d0*coupl(nGC_108)*coupl(&
                        nGC_109) + 80d0*Nc*cima*coupl(nGC_106)*coupl(nGC_107)* &
                        coupl(nGC_108)*coupl(nGC_109) + 20d0*Nc*cima*coupl(    &
                        nGC_107)**2d0*coupl(nGC_108)*coupl(nGC_109) + 20d0*Nc* &
                        cima*coupl(nGC_111)**2d0*coupl(nGC_113)*coupl(nGC_114  &
                        ) + 80d0*Nc*cima*coupl(nGC_111)*coupl(nGC_112)*coupl(  &
                        nGC_113)*coupl(nGC_114) + 20d0*Nc*cima*coupl(nGC_112)**&
                        2d0*coupl(nGC_113)*coupl(nGC_114) + 20d0*Nc*cima*coupl(&
                        nGC_121)**2d0*coupl(nGC_123)*coupl(nGC_124) + 80d0*Nc* &
                        cima*coupl(nGC_121)*coupl(nGC_122)*coupl(nGC_123)*coupl&
                        (nGC_124) + 20d0*Nc*cima*coupl(nGC_122)**2d0*coupl(    &
                        nGC_123)*coupl(nGC_124) + 20d0*Nc*cima*coupl(nGC_81)** &
                        2d0*coupl(nGC_83)*coupl(nGC_84) + 80d0*Nc*cima*coupl(  &
                        nGC_81)*coupl(nGC_82)*coupl(nGC_83)*coupl(nGC_84) +    &
                        20d0*Nc*cima*coupl(nGC_82)**2d0*coupl(nGC_83)*coupl(   &
                        nGC_84) + 20d0*Nc*cima*coupl(nGC_86)**2d0*coupl(nGC_88 &
                        )*coupl(nGC_89) + 80d0*Nc*cima*coupl(nGC_86)*coupl(    &
                        nGC_87)*coupl(nGC_88)*coupl(nGC_89) + 20d0*Nc*cima*    &
                        coupl(nGC_87)**2d0*coupl(nGC_88)*coupl(nGC_89) + 20d0* &
                        Nc*cima*coupl(nGC_91)**2d0*coupl(nGC_93)*coupl(nGC_94  &
                        ) + 80d0*Nc*cima*coupl(nGC_91)*coupl(nGC_92)*coupl(    &
                        nGC_93)*coupl(nGC_94) + 20d0*Nc*cima*coupl(nGC_92)**2d0&
                        *coupl(nGC_93)*coupl(nGC_94) + 20d0*cima*coupl(nGC_101 &
                        )**2d0*coupl(nGC_103)*coupl(nGC_104) + 80d0*cima*coupl(&
                        nGC_101)*coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_104   &
                        ) + 20d0*cima*coupl(nGC_102)**2d0*coupl(nGC_103)*coupl(&
                        nGC_104) - 10d0*cima*coupl(nGC_1103)**2d0*coupl(nGC_34 &
                        )*coupl(nGC_46) - 20d0*cima*coupl(nGC_1103)**2d0*coupl(&
                        nGC_34)*coupl(nGC_47) - 20d0*cima*coupl(nGC_1103)**2d0*&
                        coupl(nGC_35)*coupl(nGC_46) - 10d0*cima*coupl(nGC_1103 &
                        )**2d0*coupl(nGC_35)*coupl(nGC_47) + 20d0*cima*coupl(  &
                        nGC_116)**2d0*coupl(nGC_118)*coupl(nGC_119) + 80d0*cima&
                        *coupl(nGC_116)*coupl(nGC_117)*coupl(nGC_118)*coupl(   &
                        nGC_119) + 20d0*cima*coupl(nGC_117)**2d0*coupl(nGC_118 &
                        )*coupl(nGC_119) + 12d0*cima*coupl(nGC_26)*coupl(nGC_30&
                        ) - 10d0*cima*coupl(nGC_57)*coupl(nGC_61)*coupl(nGC_629&
                        )**2d0 - 10d0*cima*coupl(nGC_57)*coupl(nGC_61)*coupl(  &
                        nGC_703)**2d0 + 6d0*cima*coupl(nGC_64)*coupl(nGC_66) + &
                        20d0*cima*coupl(nGC_96)**2d0*coupl(nGC_98)*coupl(nGC_99&
                        ) + 80d0*cima*coupl(nGC_96)*coupl(nGC_97)*coupl(nGC_98 &
                        )*coupl(nGC_99) + 20d0*cima*coupl(nGC_97)**2d0*coupl(  &
                        nGC_98)*coupl(nGC_99) - 6d0*coupl(nGC_1103)**2d0*coupl(&
                        nGC_18) + 6d0*coupl(nGC_1103)**2d0*coupl(nGC_30) - 3d0*&
                        coupl(nGC_13)*coupl(nGC_34)*coupl(nGC_47) - 3d0*coupl( &
                        nGC_13)*coupl(nGC_35)*coupl(nGC_46) - 3d0*coupl(nGC_15 &
                        )*coupl(nGC_57)*coupl(nGC_61) - 6d0*coupl(nGC_18)*coupl&
                        (nGC_57)*coupl(nGC_703) - 6d0*coupl(nGC_18)*coupl(     &
                        nGC_61)*coupl(nGC_629) - 6d0*coupl(nGC_19)*coupl(nGC_57&
                        )*coupl(nGC_629) - 6d0*coupl(nGC_20)*coupl(nGC_61)*    &
                        coupl(nGC_703) - 3d0*coupl(nGC_21)*coupl(nGC_703)**2d0 &
                         - 3d0*coupl(nGC_22)*coupl(nGC_629)**2d0 - 6d0*coupl(  &
                        nGC_25)*coupl(nGC_629)*coupl(nGC_703) + 3d0*coupl(     &
                        nGC_26)*coupl(nGC_34)*coupl(nGC_47) + 3d0*coupl(nGC_26 &
                        )*coupl(nGC_35)*coupl(nGC_46) + 3d0*coupl(nGC_57)*coupl&
                        (nGC_61)*coupl(nGC_64) + 3d0*coupl(nGC_629)**2d0*coupl(&
                        nGC_66) + 3d0*coupl(nGC_66)*coupl(nGC_703)**2d0)/(96d0*&
                        pi**2d0)
      coupl(nGC_5156) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(64d0*pi**2d0)
      coupl(nGC_5155) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl&
                        (nGC_2))/(32d0*pi**2d0*Nc)
      coupl(nGC_5154) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(16d0*pi**2d0*Nc**2d0)
      coupl(nGC_5153) = (20d0*Nc*cima*coupl(nGC_106)**2d0*coupl(nGC_109)**2d0  &
                         + 80d0*Nc*cima*coupl(nGC_106)*coupl(nGC_107)*coupl(   &
                        nGC_109)**2d0 + 20d0*Nc*cima*coupl(nGC_107)**2d0*coupl(&
                        nGC_109)**2d0 + 20d0*Nc*cima*coupl(nGC_111)**2d0*coupl(&
                        nGC_114)**2d0 + 80d0*Nc*cima*coupl(nGC_111)*coupl(     &
                        nGC_112)*coupl(nGC_114)**2d0 + 20d0*Nc*cima*coupl(     &
                        nGC_112)**2d0*coupl(nGC_114)**2d0 + 20d0*Nc*cima*coupl(&
                        nGC_121)**2d0*coupl(nGC_124)**2d0 + 80d0*Nc*cima*coupl(&
                        nGC_121)*coupl(nGC_122)*coupl(nGC_124)**2d0 + 20d0*Nc* &
                        cima*coupl(nGC_122)**2d0*coupl(nGC_124)**2d0 + 20d0*Nc*&
                        cima*coupl(nGC_81)**2d0*coupl(nGC_84)**2d0 + 80d0*Nc*  &
                        cima*coupl(nGC_81)*coupl(nGC_82)*coupl(nGC_84)**2d0 +  &
                        20d0*Nc*cima*coupl(nGC_82)**2d0*coupl(nGC_84)**2d0 +   &
                        20d0*Nc*cima*coupl(nGC_86)**2d0*coupl(nGC_89)**2d0 +   &
                        80d0*Nc*cima*coupl(nGC_86)*coupl(nGC_87)*coupl(nGC_89  &
                        )**2d0 + 20d0*Nc*cima*coupl(nGC_87)**2d0*coupl(nGC_89  &
                        )**2d0 + 20d0*Nc*cima*coupl(nGC_91)**2d0*coupl(nGC_94  &
                        )**2d0 + 80d0*Nc*cima*coupl(nGC_91)*coupl(nGC_92)*coupl&
                        (nGC_94)**2d0 + 20d0*Nc*cima*coupl(nGC_92)**2d0*coupl( &
                        nGC_94)**2d0 + 20d0*cima*coupl(nGC_101)**2d0*coupl(    &
                        nGC_104)**2d0 + 80d0*cima*coupl(nGC_101)*coupl(nGC_102 &
                        )*coupl(nGC_104)**2d0 + 20d0*cima*coupl(nGC_102)**2d0* &
                        coupl(nGC_104)**2d0 - 10d0*cima*coupl(nGC_1103)**2d0*  &
                        coupl(nGC_46)**2d0 - 40d0*cima*coupl(nGC_1103)**2d0*   &
                        coupl(nGC_46)*coupl(nGC_47) - 10d0*cima*coupl(nGC_1103 &
                        )**2d0*coupl(nGC_47)**2d0 + 20d0*cima*coupl(nGC_116)** &
                        2d0*coupl(nGC_119)**2d0 + 80d0*cima*coupl(nGC_116)*    &
                        coupl(nGC_117)*coupl(nGC_119)**2d0 + 20d0*cima*coupl(  &
                        nGC_117)**2d0*coupl(nGC_119)**2d0 + 12d0*cima*coupl(   &
                        nGC_26)*coupl(nGC_31) - 10d0*cima*coupl(nGC_61)**2d0*  &
                        coupl(nGC_629)**2d0 - 10d0*cima*coupl(nGC_61)**2d0*    &
                        coupl(nGC_703)**2d0 + 6d0*cima*coupl(nGC_64)*coupl(    &
                        nGC_67) + 20d0*cima*coupl(nGC_96)**2d0*coupl(nGC_99)** &
                        2d0 + 80d0*cima*coupl(nGC_96)*coupl(nGC_97)*coupl(     &
                        nGC_99)**2d0 + 20d0*cima*coupl(nGC_97)**2d0*coupl(     &
                        nGC_99)**2d0 - 6d0*coupl(nGC_1103)**2d0*coupl(nGC_19   &
                        ) + 6d0*coupl(nGC_1103)**2d0*coupl(nGC_31) - 6d0*coupl(&
                        nGC_13)*coupl(nGC_46)*coupl(nGC_47) - 3d0*coupl(nGC_15 &
                        )*coupl(nGC_61)**2d0 - 12d0*coupl(nGC_18)*coupl(nGC_61 &
                        )*coupl(nGC_703) - 12d0*coupl(nGC_19)*coupl(nGC_61)*   &
                        coupl(nGC_629) - 6d0*coupl(nGC_22)*coupl(nGC_629)*coupl&
                        (nGC_703) - 3d0*coupl(nGC_24)*coupl(nGC_629)**2d0 - 3d0&
                        *coupl(nGC_25)*coupl(nGC_703)**2d0 + 6d0*coupl(nGC_26)*&
                        coupl(nGC_46)*coupl(nGC_47) + 3d0*coupl(nGC_61)**2d0*  &
                        coupl(nGC_64) + 3d0*coupl(nGC_629)**2d0*coupl(nGC_67   &
                        ) + 3d0*coupl(nGC_67)*coupl(nGC_703)**2d0)/(96d0*pi**  &
                        2d0)
      coupl(nGC_5152) = (20d0*Nc*cima*coupl(nGC_106)**2d0*coupl(nGC_107)**2d0  &
                         + 20d0*Nc*cima*coupl(nGC_111)**2d0*coupl(nGC_112)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_121)**2d0*coupl(nGC_122)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_81)**2d0*coupl(nGC_82)**2d0  &
                         + 20d0*Nc*cima*coupl(nGC_86)**2d0*coupl(nGC_87)**2d0  &
                         + 20d0*Nc*cima*coupl(nGC_91)**2d0*coupl(nGC_92)**2d0  &
                         + 20d0*cima*coupl(nGC_101)**2d0*coupl(nGC_102)**2d0 - &
                        10d0*cima*coupl(nGC_1103)**4d0 + 20d0*cima*coupl(      &
                        nGC_116)**2d0*coupl(nGC_117)**2d0 + 6d0*cima*coupl(    &
                        nGC_26)**2d0 - 5d0*cima*coupl(nGC_629)**4d0 - 10d0*cima&
                        *coupl(nGC_629)**2d0*coupl(nGC_703)**2d0 + 3d0*cima*   &
                        coupl(nGC_64)**2d0 - 5d0*cima*coupl(nGC_703)**4d0 +    &
                        20d0*cima*coupl(nGC_96)**2d0*coupl(nGC_97)**2d0 - 6d0* &
                        coupl(nGC_1103)**2d0*coupl(nGC_13) + 6d0*coupl(nGC_1103&
                        )**2d0*coupl(nGC_26) - 6d0*coupl(nGC_18)*coupl(nGC_629 &
                        )*coupl(nGC_703) - 3d0*coupl(nGC_19)*coupl(nGC_629)**  &
                        2d0 - 3d0*coupl(nGC_20)*coupl(nGC_703)**2d0 + 3d0*coupl&
                        (nGC_629)**2d0*coupl(nGC_64) + 3d0*coupl(nGC_64)*coupl(&
                        nGC_703)**2d0)/(16d0*pi**2d0)
      coupl(nGC_5016) = 3d0*(8d0*Nc*cMB*coupl(nGC_83)**3d0 + 8d0*Nc*cMC*coupl( &
                        nGC_88)**3d0 + 8d0*Nc*cMD*coupl(nGC_93)**3d0 + 8d0*Nc* &
                        cMS*coupl(nGC_108)**3d0 + 8d0*Nc*cMT*coupl(nGC_113)**  &
                        3d0 + 8d0*Nc*cMU*coupl(nGC_123)**3d0 + 8d0*cME*coupl(  &
                        nGC_98)**3d0 + 8d0*cMM*coupl(nGC_103)**3d0 + 8d0*cMTA* &
                        coupl(nGC_118)**3d0 + 4d0*cima*coupl(nGC_28)*coupl(    &
                        nGC_69) + 2d0*cima*coupl(nGC_65)*coupl(nGC_72) + 2d0*  &
                        coupl(nGC_34)*coupl(nGC_35)*coupl(nGC_69) - 2d0*coupl( &
                        nGC_34)*coupl(nGC_35)*coupl(nGC_75) + coupl(nGC_57)**  &
                        2d0*coupl(nGC_72) - coupl(nGC_57)**2d0*coupl(nGC_75))/(&
                        32d0*pi**2d0)
      coupl(nGC_7443) = coupl(nGC_4)*dZeMinusL_QED2 + coupl(nGC_55)*dZZA_QED2/ &
                        2d0
      coupl(nGC_7442) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_5236)
      coupl(nGC_5158) = (20d0*Nc*cima*coupl(nGC_106)**2d0*coupl(nGC_108)**2d0  &
                         + 80d0*Nc*cima*coupl(nGC_106)*coupl(nGC_107)*coupl(   &
                        nGC_108)**2d0 + 20d0*Nc*cima*coupl(nGC_107)**2d0*coupl(&
                        nGC_108)**2d0 + 20d0*Nc*cima*coupl(nGC_111)**2d0*coupl(&
                        nGC_113)**2d0 + 80d0*Nc*cima*coupl(nGC_111)*coupl(     &
                        nGC_112)*coupl(nGC_113)**2d0 + 20d0*Nc*cima*coupl(     &
                        nGC_112)**2d0*coupl(nGC_113)**2d0 + 20d0*Nc*cima*coupl(&
                        nGC_121)**2d0*coupl(nGC_123)**2d0 + 80d0*Nc*cima*coupl(&
                        nGC_121)*coupl(nGC_122)*coupl(nGC_123)**2d0 + 20d0*Nc* &
                        cima*coupl(nGC_122)**2d0*coupl(nGC_123)**2d0 + 20d0*Nc*&
                        cima*coupl(nGC_81)**2d0*coupl(nGC_83)**2d0 + 80d0*Nc*  &
                        cima*coupl(nGC_81)*coupl(nGC_82)*coupl(nGC_83)**2d0 +  &
                        20d0*Nc*cima*coupl(nGC_82)**2d0*coupl(nGC_83)**2d0 +   &
                        20d0*Nc*cima*coupl(nGC_86)**2d0*coupl(nGC_88)**2d0 +   &
                        80d0*Nc*cima*coupl(nGC_86)*coupl(nGC_87)*coupl(nGC_88  &
                        )**2d0 + 20d0*Nc*cima*coupl(nGC_87)**2d0*coupl(nGC_88  &
                        )**2d0 + 20d0*Nc*cima*coupl(nGC_91)**2d0*coupl(nGC_93  &
                        )**2d0 + 80d0*Nc*cima*coupl(nGC_91)*coupl(nGC_92)*coupl&
                        (nGC_93)**2d0 + 20d0*Nc*cima*coupl(nGC_92)**2d0*coupl( &
                        nGC_93)**2d0 + 20d0*cima*coupl(nGC_101)**2d0*coupl(    &
                        nGC_103)**2d0 + 80d0*cima*coupl(nGC_101)*coupl(nGC_102 &
                        )*coupl(nGC_103)**2d0 + 20d0*cima*coupl(nGC_102)**2d0* &
                        coupl(nGC_103)**2d0 - 10d0*cima*coupl(nGC_1103)**2d0*  &
                        coupl(nGC_34)**2d0 - 40d0*cima*coupl(nGC_1103)**2d0*   &
                        coupl(nGC_34)*coupl(nGC_35) - 10d0*cima*coupl(nGC_1103 &
                        )**2d0*coupl(nGC_35)**2d0 + 20d0*cima*coupl(nGC_116)** &
                        2d0*coupl(nGC_118)**2d0 + 80d0*cima*coupl(nGC_116)*    &
                        coupl(nGC_117)*coupl(nGC_118)**2d0 + 20d0*cima*coupl(  &
                        nGC_117)**2d0*coupl(nGC_118)**2d0 + 12d0*cima*coupl(   &
                        nGC_26)*coupl(nGC_28) - 10d0*cima*coupl(nGC_57)**2d0*  &
                        coupl(nGC_629)**2d0 - 10d0*cima*coupl(nGC_57)**2d0*    &
                        coupl(nGC_703)**2d0 + 6d0*cima*coupl(nGC_64)*coupl(    &
                        nGC_65) + 20d0*cima*coupl(nGC_96)**2d0*coupl(nGC_98)** &
                        2d0 + 80d0*cima*coupl(nGC_96)*coupl(nGC_97)*coupl(     &
                        nGC_98)**2d0 + 20d0*cima*coupl(nGC_97)**2d0*coupl(     &
                        nGC_98)**2d0 - 6d0*coupl(nGC_1103)**2d0*coupl(nGC_20   &
                        ) + 6d0*coupl(nGC_1103)**2d0*coupl(nGC_28) - 6d0*coupl(&
                        nGC_13)*coupl(nGC_34)*coupl(nGC_35) - 3d0*coupl(nGC_15 &
                        )*coupl(nGC_57)**2d0 - 12d0*coupl(nGC_18)*coupl(nGC_57 &
                        )*coupl(nGC_629) - 12d0*coupl(nGC_20)*coupl(nGC_57)*   &
                        coupl(nGC_703) - 6d0*coupl(nGC_21)*coupl(nGC_629)*coupl&
                        (nGC_703) - 3d0*coupl(nGC_23)*coupl(nGC_703)**2d0 - 3d0&
                        *coupl(nGC_25)*coupl(nGC_629)**2d0 + 6d0*coupl(nGC_26)*&
                        coupl(nGC_34)*coupl(nGC_35) + 3d0*coupl(nGC_57)**2d0*  &
                        coupl(nGC_64) + 3d0*coupl(nGC_629)**2d0*coupl(nGC_65   &
                        ) + 3d0*coupl(nGC_65)*coupl(nGC_703)**2d0)/(96d0*pi**  &
                        2d0)
      coupl(nGC_5078) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_50)**2d0 + coupl(nGC_80)**2d0 + coupl(nGC_81)*coupl&
                        (nGC_82) + coupl(nGC_83)**2d0 + coupl(nGC_84)**2d0)/(  &
                        64d0*pi**2d0*Nc)
      coupl(nGC_5079) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(    &
                        nGC_110)**2d0 - 4d0*coupl(nGC_33)**2d0 - 4d0*coupl(    &
                        nGC_53)**2d0 - coupl(nGC_81)*coupl(nGC_82) - coupl(    &
                        nGC_83)**2d0 - coupl(nGC_84)**2d0)/(64d0*pi**2d0)
      coupl(nGC_5238) = coupl(nGC_4612)*dsw_QED2 + coupl(nGC_4613)*da_QED2 +   &
                        coupl(nGC_4614)*dZee_QED2
      coupl(nGC_5239) = coupl(nGC_4643)*dsw_QED2 + coupl(nGC_4644)*da_QED2 +   &
                        coupl(nGC_4645)*dZee_QED2
      coupl(nGC_5337) = coupl(nGC_4806)*dyc_QED3
      coupl(nGC_5336) = coupl(nGC_4806)*dyc_QED1_QCD2
      coupl(nGC_5335) = coupl(nGC_4814)*dyc_QED3
      coupl(nGC_5334) = coupl(nGC_4814)*dyc_QED1_QCD2
      coupl(nGC_5232) = coupl(nGC_4692)*da_QED2 + coupl(nGC_4693)*dl2_QED4 +   &
                        coupl(nGC_4694)*dvev_QED1 + coupl(nGC_4695)*dvevs_QED1 &
                         + coupl(nGC_4696)*dl3_QED4
      coupl(nGC_5233) = coupl(nGC_231)*dvev_QED1 + coupl(nGC_233)*dl1_QED4 +   &
                        coupl(nGC_235)*dl2_QED4 + coupl(nGC_237)*dvevs_QED1 +  &
                        coupl(nGC_239)*da_QED2 + coupl(nGC_241)*dl3_QED4
      coupl(nGC_5230) = coupl(nGC_203)*dvev_QED1 + coupl(nGC_205)*dl1_QED4 +   &
                        coupl(nGC_207)*dl2_QED4 + coupl(nGC_209)*dvevs_QED1 +  &
                        coupl(nGC_211)*da_QED2 + coupl(nGC_213)*dl3_QED4
      coupl(nGC_7804) = coupl(nGC_36)*dZZA_QED2/2d0 + coupl(nGC_4)*dZA_QED2/2d0&
                         + coupl(nGC_5236)
      coupl(nGC_5237) = coupl(nGC_4610)*dsw_QED2 + coupl(nGC_4611)*dZee_QED2
      coupl(nGC_5234) = coupl(nGC_245)*dvev_QED1 + coupl(nGC_247)*dl1_QED4 +   &
                        coupl(nGC_249)*dl2_QED4 + coupl(nGC_251)*dvevs_QED1 +  &
                        coupl(nGC_253)*da_QED2 + coupl(nGC_255)*dl3_QED4
      coupl(nGC_7199) = coupl(nGC_18)*dZHh_QED2/2d0 + coupl(nGC_18)*dZHl_QED2/ &
                        2d0 + coupl(nGC_19)*dZHhHl_QED2/2d0 + coupl(nGC_20)*   &
                        dZHlHh_QED2/2d0 + coupl(nGC_5227)
      coupl(nGC_TS_GC_108_Hl) = -coupl(nGC_108)*dtHl_QED1/cMHL**2d0
      coupl(nGC_7210) = coupl(nGC_110)*dZbL_QED2/2d0 + coupl(nGC_110)*dZtR_QED2&
                        /2d0 + coupl(nGC_5288)
      coupl(nGC_8569) = coupl(nGC_5277) + coupl(nGC_56)*dZZ_QED2/2d0 + coupl(  &
                        nGC_56)*dZnu_tauL_QED2
      coupl(nGC_7063) = coupl(nGC_40)*dZA_QED2/2d0 + coupl(nGC_40)*dZHl_QED2/  &
                        2d0 + coupl(nGC_40)*dZWMinus_QED2/2d0 + coupl(nGC_48)* &
                        dZHhHl_QED2/2d0 + coupl(nGC_5238) + coupl(nGC_9)*      &
                        dZZA_QED2/2d0
      coupl(nGC_7194) = coupl(nGC_28)*dZHl_QED2 + coupl(nGC_28)*dZWMinus_QED2  &
                         + coupl(nGC_30)*dZHhHl_QED2 + coupl(nGC_5248)
      coupl(nGC_5275) = coupl(nGC_4640)*dsw_QED2 + coupl(nGC_4641)*dcw_QED2 +  &
                        coupl(nGC_4642)*dZee_QED2
      coupl(nGC_5272) = coupl(nGC_4584)*dsw_QED2 + coupl(nGC_4585)*dZee_QED2
    end subroutine fill_CTcouplings_mdl10
end module fill_ctcouplings10
