!******************************************************************************!
!                                                                              !
!    fill_ctcouplings13.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings13.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 06:18             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings13
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl13()
      coupl(nGC_4984) = coupl(nGC_11)**2d0*coupl(nGC_122)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4983) = (-coupl(nGC_1103)*coupl(nGC_120)*coupl(nGC_33) - coupl(&
                        nGC_120)*coupl(nGC_90)*coupl(nGC_92) - coupl(nGC_121)* &
                        coupl(nGC_122)**2d0 - coupl(nGC_121)*coupl(nGC_123)**  &
                        2d0 - coupl(nGC_121)*coupl(nGC_124)**2d0 + 8d0*coupl(  &
                        nGC_122)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_122)*coupl( &
                        nGC_51)*coupl(nGC_54) + coupl(nGC_123)*coupl(nGC_51)*  &
                        coupl(nGC_703) - coupl(nGC_123)*coupl(nGC_54)*coupl(   &
                        nGC_703) + coupl(nGC_124)*coupl(nGC_51)*coupl(nGC_629  &
                        ) - coupl(nGC_124)*coupl(nGC_54)*coupl(nGC_629))/(32d0*&
                        pi**2d0)
      coupl(nGC_4982) = coupl(nGC_11)**2d0*coupl(nGC_121)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4981) = (coupl(nGC_1103)*coupl(nGC_120)*coupl(nGC_33) - coupl( &
                        nGC_120)*coupl(nGC_90)*coupl(nGC_91) - coupl(nGC_121)**&
                        2d0*coupl(nGC_122) + 8d0*coupl(nGC_121)*coupl(nGC_2)** &
                        2d0 + 8d0*coupl(nGC_121)*coupl(nGC_51)*coupl(nGC_54) - &
                        coupl(nGC_122)*coupl(nGC_123)**2d0 - coupl(nGC_122)*   &
                        coupl(nGC_124)**2d0 - coupl(nGC_123)*coupl(nGC_51)*    &
                        coupl(nGC_703) + coupl(nGC_123)*coupl(nGC_54)*coupl(   &
                        nGC_703) - coupl(nGC_124)*coupl(nGC_51)*coupl(nGC_629  &
                        ) + coupl(nGC_124)*coupl(nGC_54)*coupl(nGC_629))/(32d0*&
                        pi**2d0)
      coupl(nGC_4980) = (coupl(nGC_1103)*coupl(nGC_115)*coupl(nGC_33) - coupl( &
                        nGC_116)*coupl(nGC_117)**2d0 - coupl(nGC_116)*coupl(   &
                        nGC_118)**2d0 - coupl(nGC_116)*coupl(nGC_119)**2d0 +   &
                        8d0*coupl(nGC_117)*coupl(nGC_4)**2d0 + 8d0*coupl(      &
                        nGC_117)*coupl(nGC_52)*coupl(nGC_55) - coupl(nGC_118)* &
                        coupl(nGC_52)*coupl(nGC_703) + coupl(nGC_118)*coupl(   &
                        nGC_55)*coupl(nGC_703) - coupl(nGC_119)*coupl(nGC_52)* &
                        coupl(nGC_629) + coupl(nGC_119)*coupl(nGC_55)*coupl(   &
                        nGC_629))/(32d0*pi**2d0)
      coupl(nGC_8154) = 3d0*coupl(nGC_22)*dZHh_QED2/2d0 + coupl(nGC_22)*       &
                        dZHl_QED2/2d0 + coupl(nGC_24)*dZHhHl_QED2/2d0 + 3d0*   &
                        coupl(nGC_25)*dZHlHh_QED2/2d0 + coupl(nGC_5226)
      coupl(nGC_4869) = -Nc*cima*coupl(nGC_1003)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_7132) = coupl(nGC_113)*dZHl_QED2/2d0 + coupl(nGC_114)*         &
                        dZHhHl_QED2/2d0 + coupl(nGC_5346)
      coupl(nGC_7131) = coupl(nGC_113)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_7130) = coupl(nGC_113)*(dZtL_QED2 + dZtR_QED2)/2d0
      coupl(nGC_7030) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_5271)
      coupl(nGC_7031) = coupl(nGC_7027) + coupl(nGC_7030)
      coupl(nGC_5096) = coupl(nGC_11)*sq2*(-coupl(nGC_111)*coupl(nGC_112) -    &
                        coupl(nGC_113)**2d0 - coupl(nGC_114)**2d0 - 4d0*coupl( &
                        nGC_2)**2d0 - 4d0*coupl(nGC_33)**2d0 - 4d0*coupl(nGC_54&
                        )**2d0 - coupl(nGC_80)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_5097) = coupl(nGC_11)*sq2*(-coupl(nGC_110)**2d0 - coupl(nGC_111&
                        )*coupl(nGC_112) - coupl(nGC_113)**2d0 - coupl(nGC_114 &
                        )**2d0 - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_51)**2d0&
                        )/(64d0*pi**2d0*Nc)
      coupl(nGC_5094) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(      &
                        nGC_105)**2d0 + coupl(nGC_106)*coupl(nGC_107) + coupl( &
                        nGC_108)**2d0 + coupl(nGC_109)**2d0 + 4d0*coupl(nGC_50 &
                        )**2d0)/(64d0*pi**2d0)
      coupl(nGC_5095) = coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(       &
                        nGC_1003) - coupl(nGC_11))/(64d0*pi**2d0*Nc)
      coupl(nGC_5092) = coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(      &
                        nGC_1003) + coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
      coupl(nGC_5093) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(      &
                        nGC_106)*coupl(nGC_107) + coupl(nGC_108)**2d0 + coupl( &
                        nGC_109)**2d0 + 4d0*coupl(nGC_33)**2d0 + 4d0*coupl(    &
                        nGC_53)**2d0 + coupl(nGC_85)**2d0)/(64d0*pi**2d0)
      coupl(nGC_5090) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                        nGC_106)*coupl(nGC_107) - coupl(nGC_108)**2d0 - coupl( &
                        nGC_109)**2d0 - 4d0*coupl(nGC_33)**2d0 - 4d0*coupl(    &
                        nGC_53)**2d0 - coupl(nGC_85)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_5091) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                        nGC_105)**2d0 - coupl(nGC_106)*coupl(nGC_107) - coupl( &
                        nGC_108)**2d0 - coupl(nGC_109)**2d0 - 4d0*coupl(nGC_50 &
                        )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_5098) = coupl(nGC_11)*sq2*(coupl(nGC_111)*coupl(nGC_112) +     &
                        coupl(nGC_113)**2d0 + coupl(nGC_114)**2d0 + 4d0*coupl( &
                        nGC_2)**2d0 + 4d0*coupl(nGC_33)**2d0 + 4d0*coupl(nGC_54&
                        )**2d0 + coupl(nGC_80)**2d0)/(64d0*pi**2d0)
      coupl(nGC_5099) = coupl(nGC_11)*sq2*(coupl(nGC_110)**2d0 + coupl(nGC_111 &
                        )*coupl(nGC_112) + coupl(nGC_113)**2d0 + coupl(nGC_114 &
                        )**2d0 + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_51)**2d0&
                        )/(64d0*pi**2d0)
      coupl(nGC_7524) = coupl(nGC_28)*dZHlHh_QED2/2d0 + coupl(nGC_30)*dZHh_QED2&
                        /2d0 + coupl(nGC_30)*dZHl_QED2/2d0 + coupl(nGC_30)*    &
                        dZWMinus_QED2 + coupl(nGC_31)*dZHhHl_QED2/2d0 + coupl( &
                        nGC_5249)
      coupl(nGC_7527) = coupl(nGC_100)*dZmuMinusR_QED2/2d0 + coupl(nGC_100)*   &
                        dZnu_muL_QED2/2d0 + coupl(nGC_5316)
      coupl(nGC_TS_GC_84_Hh) = -coupl(nGC_84)*dtHh_QED1/cMHH**2d0
      coupl(nGC_4914) = (4d0*coupl(nGC_1)*coupl(nGC_33)**2d0 + coupl(nGC_1)*   &
                        coupl(nGC_90)**2d0 + coupl(nGC_121)*coupl(nGC_122)*    &
                        coupl(nGC_2) + coupl(nGC_123)**2d0*coupl(nGC_2) + coupl&
                        (nGC_124)**2d0*coupl(nGC_2) - 4d0*coupl(nGC_1751)*coupl&
                        (nGC_33)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2&
                        )*coupl(nGC_54)**2d0)/(32d0*pi**2d0)
      coupl(nGC_4910) = (4d0*coupl(nGC_1)*coupl(nGC_33)**2d0 + coupl(nGC_1)*   &
                        coupl(nGC_80)**2d0 + coupl(nGC_111)*coupl(nGC_112)*    &
                        coupl(nGC_2) + coupl(nGC_113)**2d0*coupl(nGC_2) + coupl&
                        (nGC_114)**2d0*coupl(nGC_2) - 4d0*coupl(nGC_1751)*coupl&
                        (nGC_33)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2&
                        )*coupl(nGC_54)**2d0)/(32d0*pi**2d0)
      coupl(nGC_4912) = coupl(nGC_4)*(coupl(nGC_116)*coupl(nGC_117) + coupl(   &
                        nGC_118)**2d0 + coupl(nGC_119)**2d0 + 4d0*coupl(nGC_4  &
                        )**2d0 + 4d0*coupl(nGC_52)**2d0)/(32d0*pi**2d0)
      coupl(nGC_4913) = (coupl(nGC_116)*coupl(nGC_117)*coupl(nGC_4) + coupl(   &
                        nGC_118)**2d0*coupl(nGC_4) + coupl(nGC_119)**2d0*coupl(&
                        nGC_4) + 4d0*coupl(nGC_1751)*coupl(nGC_33)**2d0 + 4d0* &
                        coupl(nGC_4)**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_55)**2d0&
                        )/(32d0*pi**2d0)
      coupl(nGC_7757) = coupl(nGC_7226) + coupl(nGC_7755)
      coupl(nGC_7963) = coupl(nGC_1)*dZsL_QED2 + coupl(nGC_53)*dZZA_QED2/2d0
      coupl(nGC_7964) = coupl(nGC_1)*dZsR_QED2 + coupl(nGC_50)*dZZA_QED2/2d0
      coupl(nGC_7965) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_5270)
      coupl(nGC_7966) = coupl(nGC_7964) + coupl(nGC_7965)
      coupl(nGC_7967) = coupl(nGC_7963) + coupl(nGC_7965)
      coupl(nGC_10199) = coupl(nGC_5362) + coupl(nGC_60)*dZHl_QED2/2d0 + coupl(&
                         nGC_62)*dZHhHl_QED2/2d0
      coupl(nGC_5273) = coupl(nGC_4646)*dsw_QED2 + coupl(nGC_4647)*dcw_QED2 +  &
                        coupl(nGC_4648)*dZee_QED2
      coupl(nGC_5267) = coupl(nGC_4679)*dsw_QED2 + coupl(nGC_4680)*dvev_QED1 + &
                        coupl(nGC_4681)*dcw_QED2 + coupl(nGC_4682)*da_QED2 +   &
                        coupl(nGC_4683)*dZee_QED2
      coupl(nGC_7298) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_7299) = coupl(nGC_11)*dZbR_QED2
      coupl(nGC_7356) = coupl(nGC_7351) + coupl(nGC_7355)
      coupl(nGC_5008) = (coupl(nGC_110)*coupl(nGC_33)*coupl(nGC_46) - coupl(   &
                        nGC_110)*coupl(nGC_80)*coupl(nGC_84) - coupl(nGC_111)**&
                        2d0*coupl(nGC_114) - coupl(nGC_111)*coupl(nGC_51)*coupl&
                        (nGC_61) + coupl(nGC_111)*coupl(nGC_54)*coupl(nGC_61   &
                        ) - coupl(nGC_113)**2d0*coupl(nGC_114) - coupl(nGC_114 &
                        )**3d0 + 8d0*coupl(nGC_114)*coupl(nGC_2)**2d0 + 8d0*   &
                        coupl(nGC_114)*coupl(nGC_51)*coupl(nGC_54))/(32d0*pi** &
                        2d0)
      coupl(nGC_5030) = coupl(nGC_11)**2d0*sq2**2d0*(cMB*coupl(nGC_83) + cMC*  &
                        coupl(nGC_88) + cMD*coupl(nGC_93) + cMS*coupl(nGC_108  &
                        ) + cMT*coupl(nGC_113) + cMU*coupl(nGC_123))/(16d0*pi**&
                        2d0*Nc)
      coupl(nGC_5144) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(  &
                        nGC_50) + coupl(nGC_1)*coupl(nGC_53) + coupl(nGC_2)*   &
                        coupl(nGC_51) + coupl(nGC_2)*coupl(nGC_54))/(32d0*pi** &
                        2d0)
      coupl(nGC_5145) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_105)**2d0 &
                         - coupl(nGC_110)**2d0 - coupl(nGC_120)**2d0 - coupl(  &
                        nGC_80)**2d0 - coupl(nGC_85)**2d0 - coupl(nGC_90)**2d0 &
                        )/(32d0*pi**2d0)
      coupl(nGC_5146) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_105)**2d0  &
                         + coupl(nGC_110)**2d0 + coupl(nGC_120)**2d0 + coupl(  &
                        nGC_80)**2d0 + coupl(nGC_85)**2d0 + coupl(nGC_90)**2d0 &
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_5143) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl( &
                        nGC_50) - coupl(nGC_1)*coupl(nGC_53) - coupl(nGC_2)*   &
                        coupl(nGC_51) - coupl(nGC_2)*coupl(nGC_54))/(32d0*pi** &
                        2d0*Nc)
      coupl(nGC_5063) = (4d0*coupl(nGC_33)**2d0*coupl(nGC_55) - 4d0*coupl(     &
                        nGC_33)**2d0*coupl(nGC_991) + coupl(nGC_52)*coupl(     &
                        nGC_95)**2d0 + 4d0*coupl(nGC_56)**3d0)/(32d0*pi**2d0)
      coupl(nGC_5062) = (4d0*coupl(nGC_33)**2d0*coupl(nGC_56) + 4d0*coupl(     &
                        nGC_33)**2d0*coupl(nGC_991) + 4d0*coupl(nGC_4)**2d0*   &
                        coupl(nGC_55) + coupl(nGC_52)*coupl(nGC_96)*coupl(     &
                        nGC_97) + coupl(nGC_52)*coupl(nGC_98)**2d0 + coupl(    &
                        nGC_52)*coupl(nGC_99)**2d0 + 4d0*coupl(nGC_55)**3d0)/( &
                        32d0*pi**2d0)
      coupl(nGC_5061) = (4d0*coupl(nGC_4)**2d0*coupl(nGC_52) + 4d0*coupl(nGC_52&
                        )**3d0 + coupl(nGC_55)*coupl(nGC_96)*coupl(nGC_97) +   &
                        coupl(nGC_55)*coupl(nGC_98)**2d0 + coupl(nGC_55)*coupl(&
                        nGC_99)**2d0 + coupl(nGC_56)*coupl(nGC_95)**2d0)/(32d0*&
                        pi**2d0)
    end subroutine fill_CTcouplings_mdl13
end module fill_ctcouplings13
