!******************************************************************************!
!                                                                              !
!    fill_ctcouplings15.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings15.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 06:18             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings15
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl15()
      coupl(nGC_5199) = (-20d0*cima*coupl(nGC_1003)**4d0*sq2**4d0 + 3d0*cima*  &
                        coupl(nGC_1785)**2d0 - 6d0*cima*coupl(nGC_1785)*coupl( &
                        nGC_1789) + 3d0*cima*coupl(nGC_1789)**2d0 - 18d0*coupl(&
                        nGC_1003)**2d0*coupl(nGC_1785)*sq2**2d0 + 18d0*coupl(  &
                        nGC_1003)**2d0*coupl(nGC_1789)*sq2**2d0 + 12d0*coupl(  &
                        nGC_1003)**2d0*coupl(nGC_1793)*sq2**2d0)/(384d0*pi**2d0&
                        )
      coupl(nGC_5198) = (-40d0*cima*coupl(nGC_1003)**4d0*sq2**4d0 + 96d0*cima* &
                        coupl(nGC_1793)**2d0 + 3d0*coupl(nGC_1003)**2d0*coupl( &
                        nGC_1785)*sq2**2d0 - 3d0*coupl(nGC_1003)**2d0*coupl(   &
                        nGC_1789)*sq2**2d0 - 132d0*coupl(nGC_1003)**2d0*coupl( &
                        nGC_1793)*sq2**2d0)/(768d0*pi**2d0)
      coupl(nGC_9901) = coupl(nGC_5431) + coupl(nGC_TS_GC_123_Hl) + coupl(     &
                        nGC_TS_GC_124_Hh)
      coupl(nGC_9902) = coupl(nGC_9893) + coupl(nGC_9901)
      coupl(nGC_TS_GC_40_Hl) = -coupl(nGC_40)*dtHl_QED1/cMHL**2d0
      coupl(nGC_5065) = (coupl(nGC_101)*coupl(nGC_102)*coupl(nGC_52) + coupl(  &
                        nGC_103)**2d0*coupl(nGC_52) + coupl(nGC_104)**2d0*coupl&
                        (nGC_52) + 4d0*coupl(nGC_33)**2d0*coupl(nGC_56) + 4d0* &
                        coupl(nGC_33)**2d0*coupl(nGC_991) + 4d0*coupl(nGC_4)** &
                        2d0*coupl(nGC_55) + 4d0*coupl(nGC_55)**3d0)/(32d0*pi** &
                        2d0)
      coupl(nGC_8338) = coupl(nGC_35)*dZHl_QED2/2d0 + coupl(nGC_35)*           &
                        dZWMinus_QED2/2d0 + coupl(nGC_47)*dZHhHl_QED2/2d0 +    &
                        coupl(nGC_5242)
      coupl(nGC_7634) = coupl(nGC_51)*dZuR_QCD2
      coupl(nGC_7636) = coupl(nGC_5274) + coupl(nGC_54)*dZZ_QED2/2d0 + coupl(  &
                        nGC_54)*dZuL_QED2
      coupl(nGC_7637) = coupl(nGC_51)*dZZ_QED2/2d0 + coupl(nGC_51)*dZuR_QED2 + &
                        coupl(nGC_5273)
      coupl(nGC_7631) = coupl(nGC_54)*dZuL_QCD2
      coupl(nGC_7638) = coupl(nGC_7044) + coupl(nGC_7637)
      coupl(nGC_7639) = coupl(nGC_7044) + coupl(nGC_7636)
      coupl(nGC_7227) = coupl(nGC_7224) + coupl(nGC_7226)
      coupl(nGC_4958) = coupl(nGC_11)**2d0*coupl(nGC_81)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4959) = (-coupl(nGC_105)*coupl(nGC_106)*coupl(nGC_85) + coupl( &
                        nGC_1103)*coupl(nGC_33)*coupl(nGC_85) + 8d0*coupl(nGC_2&
                        )**2d0*coupl(nGC_86) + 8d0*coupl(nGC_51)*coupl(nGC_54)*&
                        coupl(nGC_86) - coupl(nGC_51)*coupl(nGC_629)*coupl(    &
                        nGC_89) - coupl(nGC_51)*coupl(nGC_703)*coupl(nGC_88) + &
                        coupl(nGC_54)*coupl(nGC_629)*coupl(nGC_89) + coupl(    &
                        nGC_54)*coupl(nGC_703)*coupl(nGC_88) - coupl(nGC_86)** &
                        2d0*coupl(nGC_87) - coupl(nGC_87)*coupl(nGC_88)**2d0 - &
                        coupl(nGC_87)*coupl(nGC_89)**2d0)/(32d0*pi**2d0)
      coupl(nGC_8603) = coupl(nGC_5315) + coupl(nGC_95)*dZeMinusR_QED2/2d0 +   &
                        coupl(nGC_95)*dZnu_eL_QED2/2d0
      coupl(nGC_4951) = (4d0*Nc*cMB*coupl(nGC_81)**2d0*coupl(nGC_84) + 16d0*Nc*&
                        cMB*coupl(nGC_81)*coupl(nGC_82)*coupl(nGC_84) + 4d0*Nc*&
                        cMB*coupl(nGC_82)**2d0*coupl(nGC_84) + 4d0*Nc*cMC*coupl&
                        (nGC_86)**2d0*coupl(nGC_89) + 16d0*Nc*cMC*coupl(nGC_86 &
                        )*coupl(nGC_87)*coupl(nGC_89) + 4d0*Nc*cMC*coupl(nGC_87&
                        )**2d0*coupl(nGC_89) + 4d0*Nc*cMD*coupl(nGC_91)**2d0*  &
                        coupl(nGC_94) + 16d0*Nc*cMD*coupl(nGC_91)*coupl(nGC_92 &
                        )*coupl(nGC_94) + 4d0*Nc*cMD*coupl(nGC_92)**2d0*coupl( &
                        nGC_94) + 4d0*Nc*cMS*coupl(nGC_106)**2d0*coupl(nGC_109 &
                        ) + 16d0*Nc*cMS*coupl(nGC_106)*coupl(nGC_107)*coupl(   &
                        nGC_109) + 4d0*Nc*cMS*coupl(nGC_107)**2d0*coupl(nGC_109&
                        ) + 4d0*Nc*cMT*coupl(nGC_111)**2d0*coupl(nGC_114) +    &
                        16d0*Nc*cMT*coupl(nGC_111)*coupl(nGC_112)*coupl(nGC_114&
                        ) + 4d0*Nc*cMT*coupl(nGC_112)**2d0*coupl(nGC_114) + 4d0&
                        *Nc*cMU*coupl(nGC_121)**2d0*coupl(nGC_124) + 16d0*Nc*  &
                        cMU*coupl(nGC_121)*coupl(nGC_122)*coupl(nGC_124) + 4d0*&
                        Nc*cMU*coupl(nGC_122)**2d0*coupl(nGC_124) + 4d0*cME*   &
                        coupl(nGC_96)**2d0*coupl(nGC_99) + 16d0*cME*coupl(     &
                        nGC_96)*coupl(nGC_97)*coupl(nGC_99) + 4d0*cME*coupl(   &
                        nGC_97)**2d0*coupl(nGC_99) + 4d0*cMM*coupl(nGC_101)**  &
                        2d0*coupl(nGC_104) + 16d0*cMM*coupl(nGC_101)*coupl(    &
                        nGC_102)*coupl(nGC_104) + 4d0*cMM*coupl(nGC_102)**2d0* &
                        coupl(nGC_104) + 4d0*cMTA*coupl(nGC_116)**2d0*coupl(   &
                        nGC_119) + 16d0*cMTA*coupl(nGC_116)*coupl(nGC_117)*    &
                        coupl(nGC_119) + 4d0*cMTA*coupl(nGC_117)**2d0*coupl(   &
                        nGC_119) + 4d0*cima*coupl(nGC_26)*coupl(nGC_70) + 2d0* &
                        cima*coupl(nGC_64)*coupl(nGC_73) + 2d0*coupl(nGC_1103  &
                        )**2d0*coupl(nGC_70) - 2d0*coupl(nGC_1103)**2d0*coupl( &
                        nGC_74) - 2d0*coupl(nGC_61)*coupl(nGC_629)*coupl(nGC_74&
                        ) - 2d0*coupl(nGC_61)*coupl(nGC_703)*coupl(nGC_75) +   &
                        coupl(nGC_629)**2d0*coupl(nGC_73) - coupl(nGC_629)**2d0&
                        *coupl(nGC_77) - 2d0*coupl(nGC_629)*coupl(nGC_703)*    &
                        coupl(nGC_79) + coupl(nGC_703)**2d0*coupl(nGC_73) -    &
                        coupl(nGC_703)**2d0*coupl(nGC_76))/(32d0*pi**2d0)
      coupl(nGC_9223) = coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(nGC_5256) + coupl(  &
                        nGC_55)*dZZ_QED2/2d0
      coupl(nGC_4953) = (-4d0*Nc*coupl(nGC_106)*coupl(nGC_109)*coupl(nGC_50) + &
                        4d0*Nc*coupl(nGC_106)*coupl(nGC_109)*coupl(nGC_53) +   &
                        4d0*Nc*coupl(nGC_107)*coupl(nGC_109)*coupl(nGC_50) -   &
                        4d0*Nc*coupl(nGC_107)*coupl(nGC_109)*coupl(nGC_53) +   &
                        4d0*Nc*coupl(nGC_111)*coupl(nGC_114)*coupl(nGC_51) -   &
                        4d0*Nc*coupl(nGC_111)*coupl(nGC_114)*coupl(nGC_54) -   &
                        4d0*Nc*coupl(nGC_112)*coupl(nGC_114)*coupl(nGC_51) +   &
                        4d0*Nc*coupl(nGC_112)*coupl(nGC_114)*coupl(nGC_54) +   &
                        4d0*Nc*coupl(nGC_121)*coupl(nGC_124)*coupl(nGC_51) -   &
                        4d0*Nc*coupl(nGC_121)*coupl(nGC_124)*coupl(nGC_54) -   &
                        4d0*Nc*coupl(nGC_122)*coupl(nGC_124)*coupl(nGC_51) +   &
                        4d0*Nc*coupl(nGC_122)*coupl(nGC_124)*coupl(nGC_54) -   &
                        4d0*Nc*coupl(nGC_50)*coupl(nGC_81)*coupl(nGC_84) + 4d0*&
                        Nc*coupl(nGC_50)*coupl(nGC_82)*coupl(nGC_84) - 4d0*Nc* &
                        coupl(nGC_50)*coupl(nGC_91)*coupl(nGC_94) + 4d0*Nc*    &
                        coupl(nGC_50)*coupl(nGC_92)*coupl(nGC_94) + 4d0*Nc*    &
                        coupl(nGC_51)*coupl(nGC_86)*coupl(nGC_89) - 4d0*Nc*    &
                        coupl(nGC_51)*coupl(nGC_87)*coupl(nGC_89) + 4d0*Nc*    &
                        coupl(nGC_53)*coupl(nGC_81)*coupl(nGC_84) - 4d0*Nc*    &
                        coupl(nGC_53)*coupl(nGC_82)*coupl(nGC_84) + 4d0*Nc*    &
                        coupl(nGC_53)*coupl(nGC_91)*coupl(nGC_94) - 4d0*Nc*    &
                        coupl(nGC_53)*coupl(nGC_92)*coupl(nGC_94) - 4d0*Nc*    &
                        coupl(nGC_54)*coupl(nGC_86)*coupl(nGC_89) + 4d0*Nc*    &
                        coupl(nGC_54)*coupl(nGC_87)*coupl(nGC_89) - 4d0*coupl( &
                        nGC_101)*coupl(nGC_104)*coupl(nGC_52) + 4d0*coupl(     &
                        nGC_101)*coupl(nGC_104)*coupl(nGC_55) + 4d0*coupl(     &
                        nGC_102)*coupl(nGC_104)*coupl(nGC_52) - 4d0*coupl(     &
                        nGC_102)*coupl(nGC_104)*coupl(nGC_55) - 6d0*coupl(     &
                        nGC_1103)*coupl(nGC_37)*coupl(nGC_46) + coupl(nGC_1103 &
                        )*coupl(nGC_46)*coupl(nGC_617) + coupl(nGC_1103)*coupl(&
                        nGC_47)*coupl(nGC_55) - 6d0*coupl(nGC_1103)*coupl(     &
                        nGC_47)*coupl(nGC_991) - 4d0*coupl(nGC_116)*coupl(     &
                        nGC_119)*coupl(nGC_52) + 4d0*coupl(nGC_116)*coupl(     &
                        nGC_119)*coupl(nGC_55) + 4d0*coupl(nGC_117)*coupl(     &
                        nGC_119)*coupl(nGC_52) - 4d0*coupl(nGC_117)*coupl(     &
                        nGC_119)*coupl(nGC_55) - 4d0*coupl(nGC_52)*coupl(nGC_96&
                        )*coupl(nGC_99) + 4d0*coupl(nGC_52)*coupl(nGC_97)*coupl&
                        (nGC_99) + 4d0*coupl(nGC_55)*coupl(nGC_96)*coupl(nGC_99&
                        ) - 4d0*coupl(nGC_55)*coupl(nGC_97)*coupl(nGC_99) +    &
                        coupl(nGC_57)*coupl(nGC_61)*coupl(nGC_703) + coupl(    &
                        nGC_61)**2d0*coupl(nGC_629))/(96d0*pi**2d0)
      coupl(nGC_4954) = (-4d0*Nc*coupl(nGC_106)*coupl(nGC_108)*coupl(nGC_50) + &
                        4d0*Nc*coupl(nGC_106)*coupl(nGC_108)*coupl(nGC_53) +   &
                        4d0*Nc*coupl(nGC_107)*coupl(nGC_108)*coupl(nGC_50) -   &
                        4d0*Nc*coupl(nGC_107)*coupl(nGC_108)*coupl(nGC_53) +   &
                        4d0*Nc*coupl(nGC_111)*coupl(nGC_113)*coupl(nGC_51) -   &
                        4d0*Nc*coupl(nGC_111)*coupl(nGC_113)*coupl(nGC_54) -   &
                        4d0*Nc*coupl(nGC_112)*coupl(nGC_113)*coupl(nGC_51) +   &
                        4d0*Nc*coupl(nGC_112)*coupl(nGC_113)*coupl(nGC_54) +   &
                        4d0*Nc*coupl(nGC_121)*coupl(nGC_123)*coupl(nGC_51) -   &
                        4d0*Nc*coupl(nGC_121)*coupl(nGC_123)*coupl(nGC_54) -   &
                        4d0*Nc*coupl(nGC_122)*coupl(nGC_123)*coupl(nGC_51) +   &
                        4d0*Nc*coupl(nGC_122)*coupl(nGC_123)*coupl(nGC_54) -   &
                        4d0*Nc*coupl(nGC_50)*coupl(nGC_81)*coupl(nGC_83) + 4d0*&
                        Nc*coupl(nGC_50)*coupl(nGC_82)*coupl(nGC_83) - 4d0*Nc* &
                        coupl(nGC_50)*coupl(nGC_91)*coupl(nGC_93) + 4d0*Nc*    &
                        coupl(nGC_50)*coupl(nGC_92)*coupl(nGC_93) + 4d0*Nc*    &
                        coupl(nGC_51)*coupl(nGC_86)*coupl(nGC_88) - 4d0*Nc*    &
                        coupl(nGC_51)*coupl(nGC_87)*coupl(nGC_88) + 4d0*Nc*    &
                        coupl(nGC_53)*coupl(nGC_81)*coupl(nGC_83) - 4d0*Nc*    &
                        coupl(nGC_53)*coupl(nGC_82)*coupl(nGC_83) + 4d0*Nc*    &
                        coupl(nGC_53)*coupl(nGC_91)*coupl(nGC_93) - 4d0*Nc*    &
                        coupl(nGC_53)*coupl(nGC_92)*coupl(nGC_93) - 4d0*Nc*    &
                        coupl(nGC_54)*coupl(nGC_86)*coupl(nGC_88) + 4d0*Nc*    &
                        coupl(nGC_54)*coupl(nGC_87)*coupl(nGC_88) - 4d0*coupl( &
                        nGC_101)*coupl(nGC_103)*coupl(nGC_52) + 4d0*coupl(     &
                        nGC_101)*coupl(nGC_103)*coupl(nGC_55) + 4d0*coupl(     &
                        nGC_102)*coupl(nGC_103)*coupl(nGC_52) - 4d0*coupl(     &
                        nGC_102)*coupl(nGC_103)*coupl(nGC_55) - 6d0*coupl(     &
                        nGC_1103)*coupl(nGC_34)*coupl(nGC_37) + coupl(nGC_1103 &
                        )*coupl(nGC_34)*coupl(nGC_617) + coupl(nGC_1103)*coupl(&
                        nGC_35)*coupl(nGC_55) - 6d0*coupl(nGC_1103)*coupl(     &
                        nGC_35)*coupl(nGC_991) - 4d0*coupl(nGC_116)*coupl(     &
                        nGC_118)*coupl(nGC_52) + 4d0*coupl(nGC_116)*coupl(     &
                        nGC_118)*coupl(nGC_55) + 4d0*coupl(nGC_117)*coupl(     &
                        nGC_118)*coupl(nGC_52) - 4d0*coupl(nGC_117)*coupl(     &
                        nGC_118)*coupl(nGC_55) - 4d0*coupl(nGC_52)*coupl(nGC_96&
                        )*coupl(nGC_98) + 4d0*coupl(nGC_52)*coupl(nGC_97)*coupl&
                        (nGC_98) + 4d0*coupl(nGC_55)*coupl(nGC_96)*coupl(nGC_98&
                        ) - 4d0*coupl(nGC_55)*coupl(nGC_97)*coupl(nGC_98) +    &
                        coupl(nGC_57)**2d0*coupl(nGC_703) + coupl(nGC_57)*coupl&
                        (nGC_61)*coupl(nGC_629))/(96d0*pi**2d0)
      coupl(nGC_4955) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_82) - coupl(nGC_110)* &
                        coupl(nGC_112)*coupl(nGC_80) + coupl(nGC_1103)*coupl(  &
                        nGC_33)*coupl(nGC_80) + 8d0*coupl(nGC_50)*coupl(nGC_53 &
                        )*coupl(nGC_82) - coupl(nGC_50)*coupl(nGC_629)*coupl(  &
                        nGC_84) - coupl(nGC_50)*coupl(nGC_703)*coupl(nGC_83) + &
                        coupl(nGC_53)*coupl(nGC_629)*coupl(nGC_84) + coupl(    &
                        nGC_53)*coupl(nGC_703)*coupl(nGC_83) - coupl(nGC_81)*  &
                        coupl(nGC_82)**2d0 - coupl(nGC_81)*coupl(nGC_83)**2d0  &
                         - coupl(nGC_81)*coupl(nGC_84)**2d0)/(32d0*pi**2d0)
      coupl(nGC_4956) = coupl(nGC_11)**2d0*coupl(nGC_82)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4957) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_81) - coupl(nGC_110)* &
                        coupl(nGC_111)*coupl(nGC_80) - coupl(nGC_1103)*coupl(  &
                        nGC_33)*coupl(nGC_80) + 8d0*coupl(nGC_50)*coupl(nGC_53 &
                        )*coupl(nGC_81) + coupl(nGC_50)*coupl(nGC_629)*coupl(  &
                        nGC_84) + coupl(nGC_50)*coupl(nGC_703)*coupl(nGC_83) - &
                        coupl(nGC_53)*coupl(nGC_629)*coupl(nGC_84) - coupl(    &
                        nGC_53)*coupl(nGC_703)*coupl(nGC_83) - coupl(nGC_81)** &
                        2d0*coupl(nGC_82) - coupl(nGC_82)*coupl(nGC_83)**2d0 - &
                        coupl(nGC_82)*coupl(nGC_84)**2d0)/(32d0*pi**2d0)
      coupl(nGC_4899) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_53 &
                        )**2d0 + coupl(nGC_1)*coupl(nGC_91)*coupl(nGC_92) +    &
                        coupl(nGC_1)*coupl(nGC_93)**2d0 + coupl(nGC_1)*coupl(  &
                        nGC_94)**2d0 + coupl(nGC_120)**2d0*coupl(nGC_2) + 4d0* &
                        coupl(nGC_2)*coupl(nGC_33)**2d0 - 4d0*coupl(nGC_3)*    &
                        coupl(nGC_33)**2d0)/(32d0*pi**2d0)
      coupl(nGC_TS_GC_119_Hh) = -coupl(nGC_119)*dtHh_QED1/cMHH**2d0
      coupl(nGC_8177) = coupl(nGC_3)*dZAZ_QED2/2d0 + coupl(nGC_37)*dZZ_QED2/2d0&
                         + coupl(nGC_5214)
      coupl(nGC_8230) = coupl(nGC_5438) + coupl(nGC_8225)
      coupl(nGC_5342) = coupl(nGC_4672)*da_QED2 + coupl(nGC_4673)*dyup_QED3
      coupl(nGC_5123) = (3d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_50)**2d0 + 3d0&
                        *Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_53)**2d0 + 3d0*Nc*&
                        cima*coupl(nGC_2)**2d0*coupl(nGC_51)**2d0 + 3d0*Nc*cima&
                        *coupl(nGC_2)**2d0*coupl(nGC_54)**2d0 - 10d0*cima*coupl&
                        (nGC_1751)**2d0*coupl(nGC_991)**2d0 + 12d0*cima*coupl( &
                        nGC_29)*coupl(nGC_5) - 10d0*cima*coupl(nGC_3)**2d0*    &
                        coupl(nGC_37)**2d0 + 3d0*cima*coupl(nGC_4)**2d0*coupl( &
                        nGC_52)**2d0 + 3d0*cima*coupl(nGC_4)**2d0*coupl(nGC_55 &
                        )**2d0 - 9d0*coupl(nGC_1751)**2d0*coupl(nGC_29) + 3d0* &
                        coupl(nGC_1751)*coupl(nGC_1929)*coupl(nGC_991) + 3d0*  &
                        coupl(nGC_1929)*coupl(nGC_3)*coupl(nGC_37) - 9d0*coupl(&
                        nGC_29)*coupl(nGC_3)**2d0 - 9d0*coupl(nGC_37)**2d0*    &
                        coupl(nGC_5) - 9d0*coupl(nGC_5)*coupl(nGC_991)**2d0)/( &
                        24d0*pi**2d0)
      coupl(nGC_5100) = sq2**3d0*(-11d0*Nc*cima*coupl(nGC_1003)**3d0 + 48d0*   &
                        coupl(nGC_11)**3d0)/(768d0*pi**2d0)
      coupl(nGC_7054) = coupl(nGC_7044) + coupl(nGC_7052)
      coupl(nGC_5102) = coupl(nGC_11)*sq2*(-coupl(nGC_121)*coupl(nGC_122) -    &
                        coupl(nGC_123)**2d0 - coupl(nGC_124)**2d0 - 4d0*coupl( &
                        nGC_2)**2d0 - 4d0*coupl(nGC_33)**2d0 - 4d0*coupl(nGC_54&
                        )**2d0 - coupl(nGC_90)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_5103) = coupl(nGC_11)*sq2*(-coupl(nGC_120)**2d0 - coupl(nGC_121&
                        )*coupl(nGC_122) - coupl(nGC_123)**2d0 - coupl(nGC_124 &
                        )**2d0 - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_51)**2d0&
                        )/(64d0*pi**2d0*Nc)
      coupl(nGC_5104) = coupl(nGC_11)*sq2*(coupl(nGC_121)*coupl(nGC_122) +     &
                        coupl(nGC_123)**2d0 + coupl(nGC_124)**2d0 + 4d0*coupl( &
                        nGC_2)**2d0 + 4d0*coupl(nGC_33)**2d0 + 4d0*coupl(nGC_54&
                        )**2d0 + coupl(nGC_90)**2d0)/(64d0*pi**2d0)
      coupl(nGC_5105) = coupl(nGC_11)*sq2*(coupl(nGC_120)**2d0 + coupl(nGC_121 &
                        )*coupl(nGC_122) + coupl(nGC_123)**2d0 + coupl(nGC_124 &
                        )**2d0 + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_51)**2d0&
                        )/(64d0*pi**2d0)
      coupl(nGC_5263) = coupl(nGC_4689)*dsw_QED2 + coupl(nGC_4690)*dcw_QED2 +  &
                        coupl(nGC_4691)*dZee_QED2
      coupl(nGC_5050) = coupl(nGC_33)*(coupl(nGC_1751)*coupl(nGC_4) + coupl(   &
                        nGC_37)*coupl(nGC_56) + coupl(nGC_55)*coupl(nGC_56) +  &
                        coupl(nGC_55)*coupl(nGC_991))/(8d0*pi**2d0)
      coupl(nGC_TS_GC_17_Hh) = -coupl(nGC_17)*dtHh_QED1/cMHH**2d0
      coupl(nGC_5343) = coupl(nGC_4673)*dyup_QED1_QCD2
      coupl(nGC_7851) = coupl(nGC_117)*dZtauMinusL_QED2/2d0 + coupl(nGC_117)*  &
                        dZtauMinusR_QED2/2d0 + coupl(nGC_5323)
      coupl(nGC_7852) = coupl(nGC_116)*dZtauMinusL_QED2/2d0 + coupl(nGC_116)*  &
                        dZtauMinusR_QED2/2d0 + coupl(nGC_5322)
      coupl(nGC_5110) = (-24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_106)*coupl( &
                        nGC_107) - 24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_81 &
                        )*coupl(nGC_82) - 24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(&
                        nGC_91)*coupl(nGC_92) - 24d0*Nc*cima*coupl(nGC_111)*   &
                        coupl(nGC_112)*coupl(nGC_2)**2d0 - 24d0*Nc*cima*coupl( &
                        nGC_121)*coupl(nGC_122)*coupl(nGC_2)**2d0 - 24d0*Nc*   &
                        cima*coupl(nGC_2)**2d0*coupl(nGC_86)*coupl(nGC_87) -   &
                        24d0*cima*coupl(nGC_101)*coupl(nGC_102)*coupl(nGC_4)** &
                        2d0 - 4d0*cima*coupl(nGC_1103)**2d0*coupl(nGC_1401)**  &
                        2d0 - 9d0*cima*coupl(nGC_1103)**2d0*coupl(nGC_1751)**  &
                        2d0 - 9d0*cima*coupl(nGC_1103)**2d0*coupl(nGC_3)**2d0  &
                         - 4d0*cima*coupl(nGC_1103)**2d0*coupl(nGC_4)**2d0 -   &
                        24d0*cima*coupl(nGC_116)*coupl(nGC_117)*coupl(nGC_4)** &
                        2d0 - 24d0*cima*coupl(nGC_26)*coupl(nGC_5) - 24d0*cima*&
                        coupl(nGC_4)**2d0*coupl(nGC_96)*coupl(nGC_97) - 12d0*  &
                        coupl(nGC_1103)**2d0*coupl(nGC_5) - 6d0*coupl(nGC_1103 &
                        )**2d0*coupl(nGC_6) + 6d0*coupl(nGC_1103)*coupl(       &
                        nGC_1751)*coupl(nGC_38) - 6d0*coupl(nGC_1103)*coupl(   &
                        nGC_1751)*coupl(nGC_39) - 6d0*coupl(nGC_1103)*coupl(   &
                        nGC_3)*coupl(nGC_38) + 6d0*coupl(nGC_1103)*coupl(nGC_3 &
                        )*coupl(nGC_39) + 18d0*coupl(nGC_1751)**2d0*coupl(     &
                        nGC_26) + 18d0*coupl(nGC_26)*coupl(nGC_3)**2d0)/(96d0* &
                        pi**2d0)
      coupl(nGC_7330) = coupl(nGC_4)*dZAZ_QED2/2d0
      coupl(nGC_7539) = coupl(nGC_4)*dZtauMinusL_QED2 + coupl(nGC_55)*dZZA_QED2&
                        /2d0
      coupl(nGC_5262) = coupl(nGC_4807)*dsw_QED2 + coupl(nGC_4808)*dcw_QED2 +  &
                        coupl(nGC_4809)*dZee_QED2
      coupl(nGC_5034) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_108) + coupl(nGC_105)*&
                        coupl(nGC_33)*coupl(nGC_35) - coupl(nGC_105)*coupl(    &
                        nGC_85)*coupl(nGC_88) - coupl(nGC_107)**2d0*coupl(     &
                        nGC_108) - coupl(nGC_107)*coupl(nGC_50)*coupl(nGC_57   &
                        ) + coupl(nGC_107)*coupl(nGC_53)*coupl(nGC_57) - coupl(&
                        nGC_108)**3d0 - coupl(nGC_108)*coupl(nGC_109)**2d0 +   &
                        8d0*coupl(nGC_108)*coupl(nGC_50)*coupl(nGC_53))/(32d0* &
                        pi**2d0)
      coupl(nGC_8731) = coupl(nGC_2)*dZuR_QCD2
      coupl(nGC_5036) = coupl(nGC_108)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_7538) = coupl(nGC_4)*dZtauMinusR_QED2 + coupl(nGC_52)*dZZA_QED2&
                        /2d0
    end subroutine fill_CTcouplings_mdl15
end module fill_ctcouplings15
