!******************************************************************************!
!                                                                              !
!    fill_ctcouplings16.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings16.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 06:18             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings16
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl16()
      coupl(nGC_8734) = coupl(nGC_2)*dZuR_QED2 + coupl(nGC_51)*dZZA_QED2/2d0
      coupl(nGC_5031) = coupl(nGC_11)**2d0*sq2**2d0*(-cMB*coupl(nGC_83) - cMC* &
                        coupl(nGC_88) - cMD*coupl(nGC_93) - cMS*coupl(nGC_108  &
                        ) - cMT*coupl(nGC_113) - cMU*coupl(nGC_123))/(16d0*pi**&
                        2d0)
      coupl(nGC_5033) = (coupl(nGC_100)*coupl(nGC_33)*coupl(nGC_35) - coupl(   &
                        nGC_102)**2d0*coupl(nGC_103) - coupl(nGC_102)*coupl(   &
                        nGC_52)*coupl(nGC_57) + coupl(nGC_102)*coupl(nGC_55)*  &
                        coupl(nGC_57) - coupl(nGC_103)**3d0 - coupl(nGC_103)*  &
                        coupl(nGC_104)**2d0 + 8d0*coupl(nGC_103)*coupl(nGC_4)**&
                        2d0 + 8d0*coupl(nGC_103)*coupl(nGC_52)*coupl(nGC_55))/(&
                        32d0*pi**2d0)
      coupl(nGC_7305) = coupl(nGC_7030) + coupl(nGC_7300)
      coupl(nGC_7306) = coupl(nGC_7030) + coupl(nGC_7302)
      coupl(nGC_5038) = (-coupl(nGC_110)*coupl(nGC_33)*coupl(nGC_35) - coupl(  &
                        nGC_110)*coupl(nGC_80)*coupl(nGC_83) - coupl(nGC_112)**&
                        2d0*coupl(nGC_113) + coupl(nGC_112)*coupl(nGC_51)*coupl&
                        (nGC_57) - coupl(nGC_112)*coupl(nGC_54)*coupl(nGC_57   &
                        ) - coupl(nGC_113)**3d0 - coupl(nGC_113)*coupl(nGC_114 &
                        )**2d0 + 8d0*coupl(nGC_113)*coupl(nGC_2)**2d0 + 8d0*   &
                        coupl(nGC_113)*coupl(nGC_51)*coupl(nGC_54))/(32d0*pi** &
                        2d0)
      coupl(nGC_5039) = coupl(nGC_11)**2d0*coupl(nGC_113)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_7265) = coupl(nGC_108)*dZHl_QED2/2d0 + coupl(nGC_109)*         &
                        dZHhHl_QED2/2d0 + coupl(nGC_5305)
      coupl(nGC_13421) = coupl(nGC_5230) + 3d0*coupl(nGC_76)*dZHhHl_QED2/2d0 + &
                         3d0*coupl(nGC_78)*dZHl_QED2/2d0 + coupl(              &
                         nGC_TS_GC_21_Hh) + coupl(nGC_TS_GC_23_Hl)
      coupl(nGC_5035) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_108) - coupl(nGC_105)*&
                        coupl(nGC_33)*coupl(nGC_34) - coupl(nGC_105)*coupl(    &
                        nGC_85)*coupl(nGC_88) - coupl(nGC_106)**2d0*coupl(     &
                        nGC_108) + coupl(nGC_106)*coupl(nGC_50)*coupl(nGC_57   &
                        ) - coupl(nGC_106)*coupl(nGC_53)*coupl(nGC_57) - coupl(&
                        nGC_108)**3d0 - coupl(nGC_108)*coupl(nGC_109)**2d0 +   &
                        8d0*coupl(nGC_108)*coupl(nGC_50)*coupl(nGC_53))/(32d0* &
                        pi**2d0)
      coupl(nGC_5217) = coupl(nGC_4586)*dsw_QED2 + coupl(nGC_4587)*dcw_QED2 +  &
                        coupl(nGC_4588)*dZee_QED2
      coupl(nGC_8543) = coupl(nGC_5267) + coupl(nGC_72)*dZHl_QED2/2d0 + coupl( &
                        nGC_72)*dZZ_QED2 + coupl(nGC_73)*dZHhHl_QED2/2d0 +     &
                        coupl(nGC_TS_GC_65_Hl) + coupl(nGC_TS_GC_66_Hh)
      coupl(nGC_5358) = coupl(nGC_4769)*dcw_QED2 + coupl(nGC_4770)*dMW2_QED2 + &
                        coupl(nGC_4771)*dsw_QED2 + coupl(nGC_4772)*dZee_QED2
      coupl(nGC_5040) = (-coupl(nGC_115)*coupl(nGC_33)*coupl(nGC_34) - coupl(  &
                        nGC_116)**2d0*coupl(nGC_118) + coupl(nGC_116)*coupl(   &
                        nGC_52)*coupl(nGC_57) - coupl(nGC_116)*coupl(nGC_55)*  &
                        coupl(nGC_57) - coupl(nGC_118)**3d0 - coupl(nGC_118)*  &
                        coupl(nGC_119)**2d0 + 8d0*coupl(nGC_118)*coupl(nGC_4)**&
                        2d0 + 8d0*coupl(nGC_118)*coupl(nGC_52)*coupl(nGC_55))/(&
                        32d0*pi**2d0)
      coupl(nGC_5353) = coupl(nGC_283)*dyt_QED1_QCD2
      coupl(nGC_5352) = coupl(nGC_281)*da_QED2 + coupl(nGC_283)*dyt_QED3
      coupl(nGC_5355) = coupl(nGC_4790)*dsw_QED2 + coupl(nGC_4791)*dMW2_QED2 + &
                        coupl(nGC_4792)*dZee_QED2
      coupl(nGC_5354) = coupl(nGC_4757)*dMW2_QED2 + coupl(nGC_4758)*dZee_QED2
      coupl(nGC_5356) = coupl(nGC_4815)*da_QED2 + coupl(nGC_4816)*dMW2_QED2 +  &
                        coupl(nGC_4817)*dsw_QED2 + coupl(nGC_4818)*dZee_QED2
      coupl(nGC_7238) = coupl(nGC_26)*dZWMinus_QED2 + coupl(nGC_5247)
      coupl(nGC_8420) = coupl(nGC_7442) + coupl(nGC_8418)
      coupl(nGC_8421) = coupl(nGC_7442) + coupl(nGC_8419)
      coupl(nGC_5181) = (-30d0*Nc*cima*coupl(nGC_33)**4d0 - 4d0*cima*coupl(    &
                        nGC_1751)**4d0 - 16d0*cima*coupl(nGC_1751)**2d0*coupl( &
                        nGC_3)**2d0 - 8d0*cima*coupl(nGC_1751)**2d0*coupl(     &
                        nGC_991)**2d0 - 32d0*cima*coupl(nGC_1751)*coupl(nGC_3)*&
                        coupl(nGC_37)*coupl(nGC_991) + 12d0*cima*coupl(nGC_27  &
                        )**2d0 - 4d0*cima*coupl(nGC_3)**4d0 - 8d0*cima*coupl(  &
                        nGC_3)**2d0*coupl(nGC_37)**2d0 - 30d0*cima*coupl(nGC_33&
                        )**4d0 - 4d0*cima*coupl(nGC_37)**4d0 - 16d0*cima*coupl(&
                        nGC_37)**2d0*coupl(nGC_991)**2d0 - 4d0*cima*coupl(     &
                        nGC_991)**4d0 + 3d0*coupl(nGC_1661)*coupl(nGC_1751)**  &
                        2d0 + 3d0*coupl(nGC_1661)*coupl(nGC_3)**2d0 + 3d0*coupl&
                        (nGC_1661)*coupl(nGC_37)**2d0 + 3d0*coupl(nGC_1661)*   &
                        coupl(nGC_991)**2d0 + 3d0*coupl(nGC_1751)**2d0*coupl(  &
                        nGC_5) + 6d0*coupl(nGC_1751)*coupl(nGC_1929)*coupl(    &
                        nGC_991) - 36d0*coupl(nGC_1751)*coupl(nGC_27)*coupl(   &
                        nGC_3) + 6d0*coupl(nGC_1929)*coupl(nGC_3)*coupl(nGC_37 &
                        ) - 36d0*coupl(nGC_27)*coupl(nGC_37)*coupl(nGC_991) +  &
                        3d0*coupl(nGC_29)*coupl(nGC_37)**2d0 + 3d0*coupl(nGC_29&
                        )*coupl(nGC_991)**2d0 + 3d0*coupl(nGC_3)**2d0*coupl(   &
                        nGC_5))/(48d0*pi**2d0)
      coupl(nGC_7066) = coupl(nGC_37)*dZWMinus_QED2/2d0 + coupl(nGC_5214)
      coupl(nGC_5037) = (coupl(nGC_110)*coupl(nGC_33)*coupl(nGC_34) - coupl(   &
                        nGC_110)*coupl(nGC_80)*coupl(nGC_83) - coupl(nGC_111)**&
                        2d0*coupl(nGC_113) - coupl(nGC_111)*coupl(nGC_51)*coupl&
                        (nGC_57) + coupl(nGC_111)*coupl(nGC_54)*coupl(nGC_57   &
                        ) - coupl(nGC_113)**3d0 - coupl(nGC_113)*coupl(nGC_114 &
                        )**2d0 + 8d0*coupl(nGC_113)*coupl(nGC_2)**2d0 + 8d0*   &
                        coupl(nGC_113)*coupl(nGC_51)*coupl(nGC_54))/(32d0*pi** &
                        2d0)
      coupl(nGC_5329) = coupl(nGC_269)*da_QED2 + coupl(nGC_271)*dytau_QED3
      coupl(nGC_9450) = coupl(nGC_5441) + coupl(nGC_TS_GC_83_Hl) + coupl(      &
                        nGC_TS_GC_84_Hh)
      coupl(nGC_9451) = coupl(nGC_9442) + coupl(nGC_9450)
      coupl(nGC_4998) = coupl(nGC_11)**2d0*coupl(nGC_94)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4999) = (-coupl(nGC_33)*coupl(nGC_46)*coupl(nGC_95) + 8d0*coupl&
                        (nGC_4)**2d0*coupl(nGC_99) + 8d0*coupl(nGC_52)*coupl(  &
                        nGC_55)*coupl(nGC_99) + coupl(nGC_52)*coupl(nGC_61)*   &
                        coupl(nGC_96) - coupl(nGC_55)*coupl(nGC_61)*coupl(     &
                        nGC_96) - coupl(nGC_96)**2d0*coupl(nGC_99) - coupl(    &
                        nGC_98)**2d0*coupl(nGC_99) - coupl(nGC_99)**3d0)/(32d0*&
                        pi**2d0)
      coupl(nGC_4853) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_50)**2d0 + 2d0*Nc*cMB**&
                        2d0*cima*coupl(nGC_53)**2d0 + 2d0*Nc*cMC**2d0*cima*    &
                        coupl(nGC_51)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(nGC_54 &
                        )**2d0 + 2d0*Nc*cMD**2d0*cima*coupl(nGC_50)**2d0 + 2d0*&
                        Nc*cMD**2d0*cima*coupl(nGC_53)**2d0 + 2d0*Nc*cMS**2d0* &
                        cima*coupl(nGC_50)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(  &
                        nGC_53)**2d0 + 2d0*Nc*cMT**2d0*cima*coupl(nGC_51)**2d0 &
                         + 2d0*Nc*cMT**2d0*cima*coupl(nGC_54)**2d0 + 2d0*Nc*cMU&
                        **2d0*cima*coupl(nGC_51)**2d0 + 2d0*Nc*cMU**2d0*cima*  &
                        coupl(nGC_54)**2d0 + 2d0*cME**2d0*cima*coupl(nGC_52)** &
                        2d0 + 2d0*cME**2d0*cima*coupl(nGC_55)**2d0 + 2d0*cMM** &
                        2d0*cima*coupl(nGC_52)**2d0 + 2d0*cMM**2d0*cima*coupl( &
                        nGC_55)**2d0 + 2d0*cMTA**2d0*cima*coupl(nGC_52)**2d0 + &
                        2d0*cMTA**2d0*cima*coupl(nGC_55)**2d0 + 3d0*cMW**2d0*  &
                        cima*coupl(nGC_37)**2d0 + 3d0*cMW**2d0*cima*coupl(     &
                        nGC_991)**2d0 + 4d0*cMW**2d0*coupl(nGC_29))/(16d0*pi** &
                        2d0)
      coupl(nGC_4852) = cima*(coupl(nGC_37)**2d0 + coupl(nGC_991)**2d0)/(48d0* &
                        pi**2d0)
      coupl(nGC_4994) = (-coupl(nGC_105)*coupl(nGC_109)*coupl(nGC_85) + 8d0*   &
                        coupl(nGC_2)**2d0*coupl(nGC_89) - coupl(nGC_33)*coupl( &
                        nGC_47)*coupl(nGC_85) + 8d0*coupl(nGC_51)*coupl(nGC_54 &
                        )*coupl(nGC_89) + coupl(nGC_51)*coupl(nGC_61)*coupl(   &
                        nGC_87) - coupl(nGC_54)*coupl(nGC_61)*coupl(nGC_87) -  &
                        coupl(nGC_87)**2d0*coupl(nGC_89) - coupl(nGC_88)**2d0* &
                        coupl(nGC_89) - coupl(nGC_89)**3d0)/(32d0*pi**2d0)
      coupl(nGC_4996) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_94) - coupl(nGC_120)* &
                        coupl(nGC_124)*coupl(nGC_90) + coupl(nGC_33)*coupl(    &
                        nGC_47)*coupl(nGC_90) + 8d0*coupl(nGC_50)*coupl(nGC_53 &
                        )*coupl(nGC_94) - coupl(nGC_50)*coupl(nGC_61)*coupl(   &
                        nGC_92) + coupl(nGC_53)*coupl(nGC_61)*coupl(nGC_92) -  &
                        coupl(nGC_92)**2d0*coupl(nGC_94) - coupl(nGC_93)**2d0* &
                        coupl(nGC_94) - coupl(nGC_94)**3d0)/(32d0*pi**2d0)
      coupl(nGC_4997) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_94) - coupl(nGC_120)* &
                        coupl(nGC_124)*coupl(nGC_90) - coupl(nGC_33)*coupl(    &
                        nGC_46)*coupl(nGC_90) + 8d0*coupl(nGC_50)*coupl(nGC_53 &
                        )*coupl(nGC_94) + coupl(nGC_50)*coupl(nGC_61)*coupl(   &
                        nGC_91) - coupl(nGC_53)*coupl(nGC_61)*coupl(nGC_91) -  &
                        coupl(nGC_91)**2d0*coupl(nGC_94) - coupl(nGC_93)**2d0* &
                        coupl(nGC_94) - coupl(nGC_94)**3d0)/(32d0*pi**2d0)
      coupl(nGC_4990) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_84) - coupl(nGC_110)* &
                        coupl(nGC_114)*coupl(nGC_80) + coupl(nGC_33)*coupl(    &
                        nGC_47)*coupl(nGC_80) + 8d0*coupl(nGC_50)*coupl(nGC_53 &
                        )*coupl(nGC_84) - coupl(nGC_50)*coupl(nGC_61)*coupl(   &
                        nGC_82) + coupl(nGC_53)*coupl(nGC_61)*coupl(nGC_82) -  &
                        coupl(nGC_82)**2d0*coupl(nGC_84) - coupl(nGC_83)**2d0* &
                        coupl(nGC_84) - coupl(nGC_84)**3d0)/(32d0*pi**2d0)
      coupl(nGC_4991) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_84) - coupl(nGC_110)* &
                        coupl(nGC_114)*coupl(nGC_80) - coupl(nGC_33)*coupl(    &
                        nGC_46)*coupl(nGC_80) + 8d0*coupl(nGC_50)*coupl(nGC_53 &
                        )*coupl(nGC_84) + coupl(nGC_50)*coupl(nGC_61)*coupl(   &
                        nGC_81) - coupl(nGC_53)*coupl(nGC_61)*coupl(nGC_81) -  &
                        coupl(nGC_81)**2d0*coupl(nGC_84) - coupl(nGC_83)**2d0* &
                        coupl(nGC_84) - coupl(nGC_84)**3d0)/(32d0*pi**2d0)
      coupl(nGC_4992) = coupl(nGC_11)**2d0*coupl(nGC_84)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4993) = (-coupl(nGC_105)*coupl(nGC_109)*coupl(nGC_85) + 8d0*   &
                        coupl(nGC_2)**2d0*coupl(nGC_89) + coupl(nGC_33)*coupl( &
                        nGC_46)*coupl(nGC_85) + 8d0*coupl(nGC_51)*coupl(nGC_54 &
                        )*coupl(nGC_89) - coupl(nGC_51)*coupl(nGC_61)*coupl(   &
                        nGC_86) + coupl(nGC_54)*coupl(nGC_61)*coupl(nGC_86) -  &
                        coupl(nGC_86)**2d0*coupl(nGC_89) - coupl(nGC_88)**2d0* &
                        coupl(nGC_89) - coupl(nGC_89)**3d0)/(32d0*pi**2d0)
      coupl(nGC_5069) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_50) + coupl(nGC_105)**&
                        2d0*coupl(nGC_54) + coupl(nGC_106)*coupl(nGC_107)*coupl&
                        (nGC_53) + coupl(nGC_108)**2d0*coupl(nGC_53) + coupl(  &
                        nGC_109)**2d0*coupl(nGC_53) + 4d0*coupl(nGC_50)**3d0)/(&
                        32d0*pi**2d0)
      coupl(nGC_7121) = coupl(nGC_103)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
      coupl(nGC_7122) = coupl(nGC_103)*dZHl_QED2/2d0 + coupl(nGC_104)*         &
                        dZHhHl_QED2/2d0 + coupl(nGC_5325)
      coupl(nGC_7123) = coupl(nGC_7121) + coupl(nGC_7122)
      coupl(nGC_7043) = coupl(nGC_17)*dZHh_QED2/2d0 + coupl(nGC_17)*           &
                        dZWMinus_QED2/2d0 + coupl(nGC_17)*dZZ_QED2/2d0 + coupl(&
                        nGC_48)*dZAZ_QED2/2d0 + coupl(nGC_5259) + coupl(nGC_9)*&
                        dZHlHh_QED2/2d0
      coupl(nGC_10324) = coupl(nGC_10315) + coupl(nGC_5436)
      coupl(nGC_10322) = coupl(nGC_5435) + coupl(nGC_TS_GC_113_Hl) + coupl(    &
                         nGC_TS_GC_114_Hh)
      coupl(nGC_10321) = coupl(nGC_MI)*dZtR_QCD2
      coupl(nGC_10320) = coupl(nGC_MI)*dZtR_QED2
      coupl(nGC_10079) = coupl(nGC_TS_GC_35_Hl) + coupl(nGC_TS_GC_47_Hh)
      coupl(nGC_TS_GC_61_Hh) = -coupl(nGC_61)*dtHh_QED1/cMHH**2d0
    end subroutine fill_CTcouplings_mdl16
end module fill_ctcouplings16
