!******************************************************************************!
!                                                                              !
!    fill_ctcouplings17.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings17.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 06:18             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings17
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl17()
      coupl(nGC_11819) = 3d0*coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_5210)
      coupl(nGC_5032) = (-coupl(nGC_100)*coupl(nGC_33)*coupl(nGC_34) - coupl(  &
                        nGC_101)**2d0*coupl(nGC_103) + coupl(nGC_101)*coupl(   &
                        nGC_52)*coupl(nGC_57) - coupl(nGC_101)*coupl(nGC_55)*  &
                        coupl(nGC_57) - coupl(nGC_103)**3d0 - coupl(nGC_103)*  &
                        coupl(nGC_104)**2d0 + 8d0*coupl(nGC_103)*coupl(nGC_4)**&
                        2d0 + 8d0*coupl(nGC_103)*coupl(nGC_52)*coupl(nGC_55))/(&
                        32d0*pi**2d0)
      coupl(nGC_7235) = coupl(nGC_3)*dZWMinus_QED2/2d0 + coupl(nGC_5212)
      coupl(nGC_4920) = (-4d0*Nc*coupl(nGC_105)*coupl(nGC_109)*coupl(nGC_33) + &
                        4d0*Nc*coupl(nGC_110)*coupl(nGC_114)*coupl(nGC_33) +   &
                        4d0*Nc*coupl(nGC_120)*coupl(nGC_124)*coupl(nGC_33) -   &
                        4d0*Nc*coupl(nGC_33)*coupl(nGC_80)*coupl(nGC_84) + 4d0*&
                        Nc*coupl(nGC_33)*coupl(nGC_85)*coupl(nGC_89) - 4d0*Nc* &
                        coupl(nGC_33)*coupl(nGC_90)*coupl(nGC_94) - 4d0*coupl( &
                        nGC_100)*coupl(nGC_104)*coupl(nGC_33) + coupl(nGC_1103 &
                        )*coupl(nGC_32)*coupl(nGC_47) - 4d0*coupl(nGC_115)*    &
                        coupl(nGC_119)*coupl(nGC_33) - 6d0*coupl(nGC_1401)*    &
                        coupl(nGC_1751)*coupl(nGC_46) + coupl(nGC_1589)*coupl( &
                        nGC_46)*coupl(nGC_47) + coupl(nGC_2229)*coupl(nGC_34)* &
                        coupl(nGC_47) - 6d0*coupl(nGC_32)*coupl(nGC_37)*coupl( &
                        nGC_61) + coupl(nGC_32)*coupl(nGC_61)*coupl(nGC_617) - &
                        4d0*coupl(nGC_33)*coupl(nGC_95)*coupl(nGC_99) - 6d0*   &
                        coupl(nGC_46)*coupl(nGC_617)*coupl(nGC_991))/(96d0*pi**&
                        2d0)
      coupl(nGC_4923) = (-coupl(nGC_1)*coupl(nGC_1401)*coupl(nGC_80) + 8d0*    &
                        coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_80) - coupl(nGC_110&
                        )*coupl(nGC_111)*coupl(nGC_82) - coupl(nGC_110)*coupl( &
                        nGC_113)*coupl(nGC_83) - coupl(nGC_110)*coupl(nGC_114)*&
                        coupl(nGC_84) + coupl(nGC_1401)*coupl(nGC_2)*coupl(    &
                        nGC_80) + coupl(nGC_1589)*coupl(nGC_33)*coupl(nGC_84   &
                        ) + coupl(nGC_2229)*coupl(nGC_33)*coupl(nGC_83) + coupl&
                        (nGC_32)*coupl(nGC_33)*coupl(nGC_82) + 8d0*coupl(nGC_50&
                        )*coupl(nGC_54)*coupl(nGC_80) - coupl(nGC_50)*coupl(   &
                        nGC_617)*coupl(nGC_80) + coupl(nGC_54)*coupl(nGC_617)* &
                        coupl(nGC_80))/(32d0*pi**2d0)
      coupl(nGC_4922) = (2d0*Nc*cMB*coupl(nGC_33)*coupl(nGC_50)*coupl(nGC_80   &
                        ) - 2d0*Nc*cMB*coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_80&
                        ) - 2d0*Nc*cMB*coupl(nGC_33)*coupl(nGC_54)*coupl(nGC_80&
                        ) + 2d0*Nc*cMC*coupl(nGC_33)*coupl(nGC_51)*coupl(nGC_85&
                        ) - 2d0*Nc*cMC*coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_85&
                        ) - 2d0*Nc*cMC*coupl(nGC_33)*coupl(nGC_54)*coupl(nGC_85&
                        ) + 2d0*Nc*cMD*coupl(nGC_33)*coupl(nGC_50)*coupl(nGC_90&
                        ) - 2d0*Nc*cMD*coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_90&
                        ) - 2d0*Nc*cMD*coupl(nGC_33)*coupl(nGC_54)*coupl(nGC_90&
                        ) + 2d0*Nc*cMS*coupl(nGC_105)*coupl(nGC_33)*coupl(     &
                        nGC_50) - 2d0*Nc*cMS*coupl(nGC_105)*coupl(nGC_33)*coupl&
                        (nGC_53) - 2d0*Nc*cMS*coupl(nGC_105)*coupl(nGC_33)*    &
                        coupl(nGC_54) + 2d0*Nc*cMT*coupl(nGC_110)*coupl(nGC_33 &
                        )*coupl(nGC_51) - 2d0*Nc*cMT*coupl(nGC_110)*coupl(     &
                        nGC_33)*coupl(nGC_53) - 2d0*Nc*cMT*coupl(nGC_110)*coupl&
                        (nGC_33)*coupl(nGC_54) + 2d0*Nc*cMU*coupl(nGC_120)*    &
                        coupl(nGC_33)*coupl(nGC_51) - 2d0*Nc*cMU*coupl(nGC_120 &
                        )*coupl(nGC_33)*coupl(nGC_53) - 2d0*Nc*cMU*coupl(      &
                        nGC_120)*coupl(nGC_33)*coupl(nGC_54) + 2d0*cME*coupl(  &
                        nGC_33)*coupl(nGC_52)*coupl(nGC_95) - 2d0*cME*coupl(   &
                        nGC_33)*coupl(nGC_55)*coupl(nGC_95) - 2d0*cME*coupl(   &
                        nGC_33)*coupl(nGC_56)*coupl(nGC_95) + 2d0*cMM*coupl(   &
                        nGC_100)*coupl(nGC_33)*coupl(nGC_52) - 2d0*cMM*coupl(  &
                        nGC_100)*coupl(nGC_33)*coupl(nGC_55) - 2d0*cMM*coupl(  &
                        nGC_100)*coupl(nGC_33)*coupl(nGC_56) + 2d0*cMTA*coupl( &
                        nGC_115)*coupl(nGC_33)*coupl(nGC_52) - 2d0*cMTA*coupl( &
                        nGC_115)*coupl(nGC_33)*coupl(nGC_55) - 2d0*cMTA*coupl( &
                        nGC_115)*coupl(nGC_33)*coupl(nGC_56) - 2d0*cima*coupl( &
                        nGC_41)*coupl(nGC_71) - 2d0*cima*coupl(nGC_483)*coupl( &
                        nGC_68) + coupl(nGC_1401)*coupl(nGC_3)*coupl(nGC_68) - &
                        coupl(nGC_1589)*coupl(nGC_70)*coupl(nGC_991) + coupl(  &
                        nGC_1589)*coupl(nGC_73)*coupl(nGC_991) - coupl(nGC_2229&
                        )*coupl(nGC_69)*coupl(nGC_991) + coupl(nGC_2229)*coupl(&
                        nGC_72)*coupl(nGC_991) + 6d0*coupl(nGC_3)*coupl(nGC_71 &
                        )*coupl(nGC_991) + coupl(nGC_37)*coupl(nGC_617)*coupl( &
                        nGC_68) + 6d0*coupl(nGC_37)*coupl(nGC_68)*coupl(nGC_991&
                        ))/(32d0*pi**2d0)
      coupl(nGC_4925) = (-coupl(nGC_1)*coupl(nGC_110)*coupl(nGC_1401) + 8d0*   &
                        coupl(nGC_1)*coupl(nGC_110)*coupl(nGC_2) + coupl(      &
                        nGC_110)*coupl(nGC_1401)*coupl(nGC_2) + 8d0*coupl(     &
                        nGC_110)*coupl(nGC_51)*coupl(nGC_53) + coupl(nGC_110)* &
                        coupl(nGC_51)*coupl(nGC_617) - coupl(nGC_110)*coupl(   &
                        nGC_53)*coupl(nGC_617) - coupl(nGC_112)*coupl(nGC_32)* &
                        coupl(nGC_33) - coupl(nGC_112)*coupl(nGC_80)*coupl(    &
                        nGC_81) - coupl(nGC_113)*coupl(nGC_2229)*coupl(nGC_33  &
                        ) - coupl(nGC_113)*coupl(nGC_80)*coupl(nGC_83) - coupl(&
                        nGC_114)*coupl(nGC_1589)*coupl(nGC_33) - coupl(nGC_114 &
                        )*coupl(nGC_80)*coupl(nGC_84))/(32d0*pi**2d0)
      coupl(nGC_4927) = (-coupl(nGC_1)*coupl(nGC_1401)*coupl(nGC_85) + 8d0*    &
                        coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_85) - coupl(nGC_105&
                        )*coupl(nGC_106)*coupl(nGC_87) - coupl(nGC_105)*coupl( &
                        nGC_108)*coupl(nGC_88) - coupl(nGC_105)*coupl(nGC_109)*&
                        coupl(nGC_89) + coupl(nGC_1401)*coupl(nGC_2)*coupl(    &
                        nGC_85) - coupl(nGC_1589)*coupl(nGC_33)*coupl(nGC_89   &
                        ) - coupl(nGC_2229)*coupl(nGC_33)*coupl(nGC_88) - coupl&
                        (nGC_32)*coupl(nGC_33)*coupl(nGC_87) + 8d0*coupl(nGC_51&
                        )*coupl(nGC_53)*coupl(nGC_85) + coupl(nGC_51)*coupl(   &
                        nGC_617)*coupl(nGC_85) - coupl(nGC_53)*coupl(nGC_617)* &
                        coupl(nGC_85))/(32d0*pi**2d0)
      coupl(nGC_4926) = coupl(nGC_11)**2d0*coupl(nGC_110)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4928) = coupl(nGC_11)**2d0*coupl(nGC_85)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_31_Hh) = -coupl(nGC_31)*dtHh_QED1/cMHH**2d0
      coupl(nGC_7959) = coupl(nGC_1)*dZsR_QCD2
      coupl(nGC_4868) = cima*sq2**2d0*(Nc*coupl(nGC_1003)**2d0 - 4d0*coupl(    &
                        nGC_11)**2d0)/(64d0*pi**2d0)
      coupl(nGC_7956) = coupl(nGC_1)*dZsL_QCD2
      coupl(nGC_7953) = coupl(nGC_5)*dZA_QED2 + coupl(nGC_5)*dZWMinus_QED2 +   &
                        coupl(nGC_5213)
      coupl(nGC_10774) = coupl(nGC_5334) + coupl(nGC_87)*dZcL_QCD2/2d0 + coupl(&
                         nGC_87)*dZcR_QCD2/2d0
      coupl(nGC_10776) = coupl(nGC_5335) + coupl(nGC_87)*dZcL_QED2/2d0 + coupl(&
                         nGC_87)*dZcR_QED2/2d0
      coupl(nGC_10777) = coupl(nGC_5337) + coupl(nGC_86)*dZcL_QED2/2d0 + coupl(&
                         nGC_86)*dZcR_QED2/2d0
      coupl(nGC_7345) = coupl(nGC_39)*dZA_QED2/2d0 + coupl(nGC_39)*            &
                        dZWMinus_QED2/2d0 + coupl(nGC_5237) + coupl(nGC_8)*    &
                        dZZA_QED2/2d0
      coupl(nGC_4905) = (-4d0*coupl(nGC_1751)*coupl(nGC_33)**2d0 + 4d0*coupl(  &
                        nGC_33)**2d0*coupl(nGC_4) + coupl(nGC_4)*coupl(nGC_95  &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_10470) = 2d0*coupl(nGC_21)*dZHhHl_QED2 + 2d0*coupl(nGC_23)*    &
                         dZHl_QED2 + coupl(nGC_5223)
      coupl(nGC_5170) = (-32d0*Nc*cima*coupl(nGC_108)*coupl(nGC_109)*coupl(    &
                        nGC_50)**2d0 + 40d0*Nc*cima*coupl(nGC_108)*coupl(      &
                        nGC_109)*coupl(nGC_50)*coupl(nGC_53) - 32d0*Nc*cima*   &
                        coupl(nGC_108)*coupl(nGC_109)*coupl(nGC_53)**2d0 - 32d0&
                        *Nc*cima*coupl(nGC_113)*coupl(nGC_114)*coupl(nGC_51)** &
                        2d0 + 40d0*Nc*cima*coupl(nGC_113)*coupl(nGC_114)*coupl(&
                        nGC_51)*coupl(nGC_54) - 32d0*Nc*cima*coupl(nGC_113)*   &
                        coupl(nGC_114)*coupl(nGC_54)**2d0 - 32d0*Nc*cima*coupl(&
                        nGC_123)*coupl(nGC_124)*coupl(nGC_51)**2d0 + 40d0*Nc*  &
                        cima*coupl(nGC_123)*coupl(nGC_124)*coupl(nGC_51)*coupl(&
                        nGC_54) - 32d0*Nc*cima*coupl(nGC_123)*coupl(nGC_124)*  &
                        coupl(nGC_54)**2d0 - 32d0*Nc*cima*coupl(nGC_50)**2d0*  &
                        coupl(nGC_83)*coupl(nGC_84) - 32d0*Nc*cima*coupl(nGC_50&
                        )**2d0*coupl(nGC_93)*coupl(nGC_94) + 40d0*Nc*cima*coupl&
                        (nGC_50)*coupl(nGC_53)*coupl(nGC_83)*coupl(nGC_84) +   &
                        40d0*Nc*cima*coupl(nGC_50)*coupl(nGC_53)*coupl(nGC_93)*&
                        coupl(nGC_94) - 32d0*Nc*cima*coupl(nGC_51)**2d0*coupl( &
                        nGC_88)*coupl(nGC_89) + 40d0*Nc*cima*coupl(nGC_51)*    &
                        coupl(nGC_54)*coupl(nGC_88)*coupl(nGC_89) - 32d0*Nc*   &
                        cima*coupl(nGC_53)**2d0*coupl(nGC_83)*coupl(nGC_84) -  &
                        32d0*Nc*cima*coupl(nGC_53)**2d0*coupl(nGC_93)*coupl(   &
                        nGC_94) - 32d0*Nc*cima*coupl(nGC_54)**2d0*coupl(nGC_88 &
                        )*coupl(nGC_89) - 32d0*cima*coupl(nGC_103)*coupl(      &
                        nGC_104)*coupl(nGC_52)**2d0 + 40d0*cima*coupl(nGC_103)*&
                        coupl(nGC_104)*coupl(nGC_52)*coupl(nGC_55) - 32d0*cima*&
                        coupl(nGC_103)*coupl(nGC_104)*coupl(nGC_55)**2d0 - 32d0&
                        *cima*coupl(nGC_118)*coupl(nGC_119)*coupl(nGC_52)**2d0 &
                         + 40d0*cima*coupl(nGC_118)*coupl(nGC_119)*coupl(nGC_52&
                        )*coupl(nGC_55) - 32d0*cima*coupl(nGC_118)*coupl(      &
                        nGC_119)*coupl(nGC_55)**2d0 - 24d0*cima*coupl(nGC_29)* &
                        coupl(nGC_30) - 9d0*cima*coupl(nGC_34)*coupl(nGC_37)** &
                        2d0*coupl(nGC_47) - 4d0*cima*coupl(nGC_34)*coupl(nGC_47&
                        )*coupl(nGC_617)**2d0 - 4d0*cima*coupl(nGC_35)*coupl(  &
                        nGC_46)*coupl(nGC_55)**2d0 - 9d0*cima*coupl(nGC_35)*   &
                        coupl(nGC_46)*coupl(nGC_991)**2d0 - 32d0*cima*coupl(   &
                        nGC_52)**2d0*coupl(nGC_98)*coupl(nGC_99) + 40d0*cima*  &
                        coupl(nGC_52)*coupl(nGC_55)*coupl(nGC_98)*coupl(nGC_99 &
                        ) - 32d0*cima*coupl(nGC_55)**2d0*coupl(nGC_98)*coupl(  &
                        nGC_99) - 4d0*cima*coupl(nGC_57)**2d0*coupl(nGC_61)*   &
                        coupl(nGC_703) - 4d0*cima*coupl(nGC_57)*coupl(nGC_61)**&
                        2d0*coupl(nGC_629) + 6d0*coupl(nGC_17)*coupl(nGC_34)*  &
                        coupl(nGC_37) + 6d0*coupl(nGC_17)*coupl(nGC_35)*coupl( &
                        nGC_991) - 6d0*coupl(nGC_29)*coupl(nGC_34)*coupl(nGC_47&
                        ) - 6d0*coupl(nGC_29)*coupl(nGC_35)*coupl(nGC_46) +    &
                        18d0*coupl(nGC_30)*coupl(nGC_37)**2d0 + 18d0*coupl(    &
                        nGC_30)*coupl(nGC_991)**2d0 - 3d0*coupl(nGC_34)*coupl( &
                        nGC_47)*coupl(nGC_63) - 3d0*coupl(nGC_35)*coupl(nGC_46 &
                        )*coupl(nGC_63) - 6d0*coupl(nGC_37)*coupl(nGC_47)*coupl&
                        (nGC_9) - 6d0*coupl(nGC_46)*coupl(nGC_9)*coupl(nGC_991 &
                        ) - 3d0*coupl(nGC_57)*coupl(nGC_61)*coupl(nGC_64))/(   &
                        96d0*pi**2d0)
      coupl(nGC_5173) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_109)**2d0  &
                         + coupl(nGC_114)**2d0 + coupl(nGC_124)**2d0 + coupl(  &
                        nGC_84)**2d0 + coupl(nGC_89)**2d0 + coupl(nGC_94)**2d0 &
                        )/(16d0*pi**2d0*Nc)
      coupl(nGC_5172) = (20d0*Nc*cima*coupl(nGC_108)**4d0 + 20d0*Nc*cima*coupl(&
                        nGC_113)**4d0 + 20d0*Nc*cima*coupl(nGC_123)**4d0 + 20d0&
                        *Nc*cima*coupl(nGC_83)**4d0 + 20d0*Nc*cima*coupl(nGC_88&
                        )**4d0 + 20d0*Nc*cima*coupl(nGC_93)**4d0 + 20d0*cima*  &
                        coupl(nGC_103)**4d0 + 20d0*cima*coupl(nGC_118)**4d0 +  &
                        6d0*cima*coupl(nGC_28)**2d0 - 10d0*cima*coupl(nGC_34)**&
                        2d0*coupl(nGC_35)**2d0 - 5d0*cima*coupl(nGC_57)**4d0 + &
                        3d0*cima*coupl(nGC_65)**2d0 + 20d0*cima*coupl(nGC_98)**&
                        4d0 - 6d0*coupl(nGC_20)*coupl(nGC_34)*coupl(nGC_35) -  &
                        3d0*coupl(nGC_20)*coupl(nGC_57)**2d0 + 6d0*coupl(nGC_28&
                        )*coupl(nGC_34)*coupl(nGC_35) + 3d0*coupl(nGC_57)**2d0*&
                        coupl(nGC_65))/(16d0*pi**2d0)
      coupl(nGC_5175) = (-32d0*Nc*cima*coupl(nGC_108)**2d0*coupl(nGC_50)**2d0  &
                         + 40d0*Nc*cima*coupl(nGC_108)**2d0*coupl(nGC_50)*coupl&
                        (nGC_53) - 32d0*Nc*cima*coupl(nGC_108)**2d0*coupl(     &
                        nGC_53)**2d0 - 32d0*Nc*cima*coupl(nGC_113)**2d0*coupl( &
                        nGC_51)**2d0 + 40d0*Nc*cima*coupl(nGC_113)**2d0*coupl( &
                        nGC_51)*coupl(nGC_54) - 32d0*Nc*cima*coupl(nGC_113)**  &
                        2d0*coupl(nGC_54)**2d0 - 32d0*Nc*cima*coupl(nGC_123)** &
                        2d0*coupl(nGC_51)**2d0 + 40d0*Nc*cima*coupl(nGC_123)** &
                        2d0*coupl(nGC_51)*coupl(nGC_54) - 32d0*Nc*cima*coupl(  &
                        nGC_123)**2d0*coupl(nGC_54)**2d0 - 32d0*Nc*cima*coupl( &
                        nGC_50)**2d0*coupl(nGC_83)**2d0 - 32d0*Nc*cima*coupl(  &
                        nGC_50)**2d0*coupl(nGC_93)**2d0 + 40d0*Nc*cima*coupl(  &
                        nGC_50)*coupl(nGC_53)*coupl(nGC_83)**2d0 + 40d0*Nc*cima&
                        *coupl(nGC_50)*coupl(nGC_53)*coupl(nGC_93)**2d0 - 32d0*&
                        Nc*cima*coupl(nGC_51)**2d0*coupl(nGC_88)**2d0 + 40d0*Nc&
                        *cima*coupl(nGC_51)*coupl(nGC_54)*coupl(nGC_88)**2d0 - &
                        32d0*Nc*cima*coupl(nGC_53)**2d0*coupl(nGC_83)**2d0 -   &
                        32d0*Nc*cima*coupl(nGC_53)**2d0*coupl(nGC_93)**2d0 -   &
                        32d0*Nc*cima*coupl(nGC_54)**2d0*coupl(nGC_88)**2d0 -   &
                        32d0*cima*coupl(nGC_103)**2d0*coupl(nGC_52)**2d0 + 40d0&
                        *cima*coupl(nGC_103)**2d0*coupl(nGC_52)*coupl(nGC_55   &
                        ) - 32d0*cima*coupl(nGC_103)**2d0*coupl(nGC_55)**2d0 - &
                        32d0*cima*coupl(nGC_118)**2d0*coupl(nGC_52)**2d0 + 40d0&
                        *cima*coupl(nGC_118)**2d0*coupl(nGC_52)*coupl(nGC_55   &
                        ) - 32d0*cima*coupl(nGC_118)**2d0*coupl(nGC_55)**2d0 - &
                        24d0*cima*coupl(nGC_28)*coupl(nGC_29) - 9d0*cima*coupl(&
                        nGC_34)*coupl(nGC_35)*coupl(nGC_37)**2d0 - 4d0*cima*   &
                        coupl(nGC_34)*coupl(nGC_35)*coupl(nGC_55)**2d0 - 4d0*  &
                        cima*coupl(nGC_34)*coupl(nGC_35)*coupl(nGC_617)**2d0 - &
                        9d0*cima*coupl(nGC_34)*coupl(nGC_35)*coupl(nGC_991)**  &
                        2d0 - 32d0*cima*coupl(nGC_52)**2d0*coupl(nGC_98)**2d0  &
                         + 40d0*cima*coupl(nGC_52)*coupl(nGC_55)*coupl(nGC_98  &
                        )**2d0 - 32d0*cima*coupl(nGC_55)**2d0*coupl(nGC_98)**  &
                        2d0 - 4d0*cima*coupl(nGC_57)**3d0*coupl(nGC_703) - 4d0*&
                        cima*coupl(nGC_57)**2d0*coupl(nGC_61)*coupl(nGC_629) + &
                        18d0*coupl(nGC_28)*coupl(nGC_37)**2d0 + 18d0*coupl(    &
                        nGC_28)*coupl(nGC_991)**2d0 - 12d0*coupl(nGC_29)*coupl(&
                        nGC_34)*coupl(nGC_35) - 6d0*coupl(nGC_34)*coupl(nGC_35 &
                        )*coupl(nGC_63) + 6d0*coupl(nGC_34)*coupl(nGC_37)*coupl&
                        (nGC_9) - 6d0*coupl(nGC_34)*coupl(nGC_9)*coupl(nGC_991 &
                        ) - 6d0*coupl(nGC_35)*coupl(nGC_37)*coupl(nGC_9) + 6d0*&
                        coupl(nGC_35)*coupl(nGC_9)*coupl(nGC_991) - 3d0*coupl( &
                        nGC_57)**2d0*coupl(nGC_64))/(96d0*pi**2d0)
      coupl(nGC_5174) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_109)**2d0 &
                         - coupl(nGC_114)**2d0 - coupl(nGC_124)**2d0 - coupl(  &
                        nGC_84)**2d0 - coupl(nGC_89)**2d0 - coupl(nGC_94)**2d0 &
                        )/(16d0*pi**2d0)
      coupl(nGC_5177) = (36d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_53)**2d0 -  &
                        60d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_53)*coupl(   &
                        nGC_54) + 36d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_54 &
                        )**2d0 + 12d0*cima*coupl(nGC_1661)*coupl(nGC_29) - 32d0&
                        *cima*coupl(nGC_3)**2d0*coupl(nGC_991)**2d0 + 36d0*cima&
                        *coupl(nGC_33)**2d0*coupl(nGC_55)**2d0 - 60d0*cima*    &
                        coupl(nGC_33)**2d0*coupl(nGC_55)*coupl(nGC_56) + 36d0* &
                        cima*coupl(nGC_33)**2d0*coupl(nGC_56)**2d0 - 32d0*cima*&
                        coupl(nGC_37)**2d0*coupl(nGC_991)**2d0 - 9d0*coupl(    &
                        nGC_1661)*coupl(nGC_37)**2d0 - 9d0*coupl(nGC_1661)*    &
                        coupl(nGC_991)**2d0 - 36d0*coupl(nGC_29)*coupl(nGC_3)**&
                        2d0 - 36d0*coupl(nGC_29)*coupl(nGC_37)**2d0 - 6d0*coupl&
                        (nGC_3)*coupl(nGC_41)*coupl(nGC_991) - 6d0*coupl(nGC_37&
                        )*coupl(nGC_483)*coupl(nGC_991))/(96d0*pi**2d0)
      coupl(nGC_5176) = (-8d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_53)**2d0 +  &
                        24d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_53)*coupl(   &
                        nGC_54) - 8d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_54  &
                        )**2d0 - 16d0*cima*coupl(nGC_3)**2d0*coupl(nGC_991)**  &
                        2d0 - 8d0*cima*coupl(nGC_33)**2d0*coupl(nGC_55)**2d0 + &
                        24d0*cima*coupl(nGC_33)**2d0*coupl(nGC_55)*coupl(nGC_56&
                        ) - 8d0*cima*coupl(nGC_33)**2d0*coupl(nGC_56)**2d0 -   &
                        16d0*cima*coupl(nGC_37)**2d0*coupl(nGC_991)**2d0 + 2d0*&
                        cima*coupl(nGC_41)**2d0 + 2d0*cima*coupl(nGC_483)**2d0 &
                         + 2d0*coupl(nGC_1661)*coupl(nGC_37)**2d0 - coupl(     &
                        nGC_1661)*coupl(nGC_991)**2d0 + 2d0*coupl(nGC_29)*coupl&
                        (nGC_3)**2d0 + 2d0*coupl(nGC_29)*coupl(nGC_37)**2d0 -  &
                        8d0*coupl(nGC_3)*coupl(nGC_41)*coupl(nGC_991) - 8d0*   &
                        coupl(nGC_37)*coupl(nGC_483)*coupl(nGC_991))/(64d0*pi**&
                        2d0)
      coupl(nGC_5179) = cima*coupl(nGC_11)**2d0*coupl(nGC_33)**2d0*sq2**2d0/(  &
                        32d0*pi**2d0)
      coupl(nGC_5178) = (-8d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_53)**2d0 +  &
                        24d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_53)*coupl(   &
                        nGC_54) - 8d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_54  &
                        )**2d0 - 16d0*cima*coupl(nGC_3)**2d0*coupl(nGC_991)**  &
                        2d0 - 8d0*cima*coupl(nGC_33)**2d0*coupl(nGC_55)**2d0 + &
                        24d0*cima*coupl(nGC_33)**2d0*coupl(nGC_55)*coupl(nGC_56&
                        ) - 8d0*cima*coupl(nGC_33)**2d0*coupl(nGC_56)**2d0 -   &
                        16d0*cima*coupl(nGC_37)**2d0*coupl(nGC_991)**2d0 + 2d0*&
                        cima*coupl(nGC_41)**2d0 + 2d0*cima*coupl(nGC_483)**2d0 &
                         - coupl(nGC_1661)*coupl(nGC_37)**2d0 + 2d0*coupl(     &
                        nGC_1661)*coupl(nGC_991)**2d0 + 2d0*coupl(nGC_29)*coupl&
                        (nGC_3)**2d0 + 2d0*coupl(nGC_29)*coupl(nGC_37)**2d0 -  &
                        8d0*coupl(nGC_3)*coupl(nGC_41)*coupl(nGC_991) - 8d0*   &
                        coupl(nGC_37)*coupl(nGC_483)*coupl(nGC_991))/(64d0*pi**&
                        2d0)
      coupl(nGC_5072) = (coupl(nGC_115)**2d0*coupl(nGC_56) + coupl(nGC_116)*   &
                        coupl(nGC_117)*coupl(nGC_55) + coupl(nGC_118)**2d0*    &
                        coupl(nGC_55) + coupl(nGC_119)**2d0*coupl(nGC_55) + 4d0&
                        *coupl(nGC_4)**2d0*coupl(nGC_52) + 4d0*coupl(nGC_52)** &
                        3d0)/(32d0*pi**2d0)
      coupl(nGC_5073) = (coupl(nGC_116)*coupl(nGC_117)*coupl(nGC_52) + coupl(  &
                        nGC_118)**2d0*coupl(nGC_52) + coupl(nGC_119)**2d0*coupl&
                        (nGC_52) + 4d0*coupl(nGC_33)**2d0*coupl(nGC_56) + 4d0* &
                        coupl(nGC_33)**2d0*coupl(nGC_991) + 4d0*coupl(nGC_4)** &
                        2d0*coupl(nGC_55) + 4d0*coupl(nGC_55)**3d0)/(32d0*pi** &
                        2d0)
      coupl(nGC_5074) = (coupl(nGC_121)*coupl(nGC_122)*coupl(nGC_51) + coupl(  &
                        nGC_123)**2d0*coupl(nGC_51) + coupl(nGC_124)**2d0*coupl&
                        (nGC_51) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_54) + 4d0*  &
                        coupl(nGC_33)**2d0*coupl(nGC_53) - 4d0*coupl(nGC_33)** &
                        2d0*coupl(nGC_991) + coupl(nGC_50)*coupl(nGC_90)**2d0  &
                         + 4d0*coupl(nGC_54)**3d0)/(32d0*pi**2d0)
      coupl(nGC_5075) = (coupl(nGC_120)**2d0*coupl(nGC_53) + coupl(nGC_121)*   &
                        coupl(nGC_122)*coupl(nGC_54) + coupl(nGC_123)**2d0*    &
                        coupl(nGC_54) + coupl(nGC_124)**2d0*coupl(nGC_54) + 4d0&
                        *coupl(nGC_2)**2d0*coupl(nGC_51) + 4d0*coupl(nGC_51)** &
                        3d0)/(32d0*pi**2d0)
      coupl(nGC_5076) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(     &
                        nGC_110)**2d0 + 4d0*coupl(nGC_33)**2d0 + 4d0*coupl(    &
                        nGC_53)**2d0 + coupl(nGC_81)*coupl(nGC_82) + coupl(    &
                        nGC_83)**2d0 + coupl(nGC_84)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_5077) = -coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(      &
                        nGC_1003) - coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
      coupl(nGC_9113) = coupl(nGC_5252) + coupl(nGC_69)*dZHlHh_QED2/2d0 + coupl&
                        (nGC_70)*dZHh_QED2/2d0 + coupl(nGC_70)*dZWMinus_QED2 + &
                        coupl(nGC_TS_GC_30_Hl) + coupl(nGC_TS_GC_31_Hh)
      coupl(nGC_TS_GC_48_Hh) = -coupl(nGC_48)*dtHh_QED1/cMHH**2d0
      coupl(nGC_9757) = -coupl(nGC_9223)
      coupl(nGC_9611) = coupl(nGC_5277) + coupl(nGC_56)*dZZ_QED2/2d0 + coupl(  &
                        nGC_56)*dZnu_eL_QED2
      coupl(nGC_5314) = coupl(nGC_4796)*dyb_QED1_QCD2
      coupl(nGC_5310) = coupl(nGC_4675)*dydo_QED1_QCD2
      coupl(nGC_5313) = coupl(nGC_4795)*da_QED2 + coupl(nGC_4796)*dyb_QED3
      coupl(nGC_8726) = coupl(nGC_2)*dZuL_QCD2
      coupl(nGC_8460) = coupl(nGC_5276) + coupl(nGC_53)*dZZ_QED2/2d0 + coupl(  &
                        nGC_53)*dZsL_QED2
      coupl(nGC_8462) = coupl(nGC_7313) + coupl(nGC_8460)
      coupl(nGC_4962) = coupl(nGC_11)**2d0*coupl(nGC_87)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_7085) = coupl(nGC_33)*dZWMinus_QED2/2d0 + coupl(nGC_33)*       &
                        dZeMinusL_QED2/2d0 + coupl(nGC_33)*dZnu_eL_QED2/2d0 +  &
                        coupl(nGC_5272)
      coupl(nGC_4839) = (4d0*Nc*cMB**2d0*cima*coupl(nGC_1)**2d0 + 4d0*Nc*cMC** &
                        2d0*cima*coupl(nGC_2)**2d0 + 4d0*Nc*cMD**2d0*cima*coupl&
                        (nGC_1)**2d0 + 4d0*Nc*cMS**2d0*cima*coupl(nGC_1)**2d0  &
                         + 4d0*Nc*cMT**2d0*cima*coupl(nGC_2)**2d0 + 4d0*Nc*cMU &
                        **2d0*cima*coupl(nGC_2)**2d0 + 4d0*cME**2d0*cima*coupl(&
                        nGC_4)**2d0 + 4d0*cMM**2d0*cima*coupl(nGC_4)**2d0 + 4d0&
                        *cMTA**2d0*cima*coupl(nGC_4)**2d0 + 3d0*cMW**2d0*cima* &
                        coupl(nGC_1751)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_3)**&
                        2d0 + 4d0*cMW**2d0*coupl(nGC_5))/(16d0*pi**2d0)
      coupl(nGC_8292) = coupl(nGC_115)*dZnu_tauL_QED2/2d0 + coupl(nGC_115)*    &
                        dZtauMinusR_QED2/2d0 + coupl(nGC_5317)
    end subroutine fill_CTcouplings_mdl17
end module fill_ctcouplings17
