!******************************************************************************!
!                                                                              !
!    fill_ctcouplings18.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings18.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 06:18             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings18
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl18()
      coupl(nGC_4838) = cima*(coupl(nGC_1751)**2d0 + coupl(nGC_3)**2d0)/(48d0* &
                        pi**2d0)
      coupl(nGC_8295) = -coupl(nGC_7572)
      coupl(nGC_7320) = coupl(nGC_50)*dZZ_QED2/2d0 + coupl(nGC_50)*dZdR_QED2 + &
                        coupl(nGC_5275)
      coupl(nGC_10183) = coupl(nGC_11)*dZuL_QED2
      coupl(nGC_8339) = -coupl(nGC_8338)
      coupl(nGC_5127) = (-12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_108)*coupl(      &
                        nGC_109)*coupl(nGC_50) - 12d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_108)*coupl(nGC_109)*coupl(nGC_53) - 12d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_50)*coupl(nGC_83)*coupl(   &
                        nGC_84) - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_50)*coupl&
                        (nGC_93)*coupl(nGC_94) - 12d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_53)*coupl(nGC_83)*coupl(nGC_84) - 12d0*Nc*   &
                        cima*coupl(nGC_1)*coupl(nGC_53)*coupl(nGC_93)*coupl(   &
                        nGC_94) - 12d0*Nc*cima*coupl(nGC_113)*coupl(nGC_114)*  &
                        coupl(nGC_2)*coupl(nGC_51) - 12d0*Nc*cima*coupl(nGC_113&
                        )*coupl(nGC_114)*coupl(nGC_2)*coupl(nGC_54) - 12d0*Nc* &
                        cima*coupl(nGC_123)*coupl(nGC_124)*coupl(nGC_2)*coupl( &
                        nGC_51) - 12d0*Nc*cima*coupl(nGC_123)*coupl(nGC_124)*  &
                        coupl(nGC_2)*coupl(nGC_54) - 12d0*Nc*cima*coupl(nGC_2)*&
                        coupl(nGC_51)*coupl(nGC_88)*coupl(nGC_89) - 12d0*Nc*   &
                        cima*coupl(nGC_2)*coupl(nGC_54)*coupl(nGC_88)*coupl(   &
                        nGC_89) - 12d0*cima*coupl(nGC_103)*coupl(nGC_104)*coupl&
                        (nGC_4)*coupl(nGC_52) - 12d0*cima*coupl(nGC_103)*coupl(&
                        nGC_104)*coupl(nGC_4)*coupl(nGC_55) - 12d0*cima*coupl( &
                        nGC_118)*coupl(nGC_119)*coupl(nGC_4)*coupl(nGC_52) -   &
                        12d0*cima*coupl(nGC_118)*coupl(nGC_119)*coupl(nGC_4)*  &
                        coupl(nGC_55) - 4d0*cima*coupl(nGC_1401)*coupl(nGC_34)*&
                        coupl(nGC_47)*coupl(nGC_617) - 9d0*cima*coupl(nGC_1751 &
                        )*coupl(nGC_35)*coupl(nGC_46)*coupl(nGC_991) - 24d0*   &
                        cima*coupl(nGC_1929)*coupl(nGC_30) - 9d0*cima*coupl(   &
                        nGC_3)*coupl(nGC_34)*coupl(nGC_37)*coupl(nGC_47) - 4d0*&
                        cima*coupl(nGC_35)*coupl(nGC_4)*coupl(nGC_46)*coupl(   &
                        nGC_55) - 12d0*cima*coupl(nGC_4)*coupl(nGC_52)*coupl(  &
                        nGC_98)*coupl(nGC_99) - 12d0*cima*coupl(nGC_4)*coupl(  &
                        nGC_55)*coupl(nGC_98)*coupl(nGC_99) + 3d0*coupl(nGC_17 &
                        )*coupl(nGC_1751)*coupl(nGC_35) + 3d0*coupl(nGC_17)*   &
                        coupl(nGC_3)*coupl(nGC_34) + 18d0*coupl(nGC_1751)*coupl&
                        (nGC_30)*coupl(nGC_991) - 3d0*coupl(nGC_1751)*coupl(   &
                        nGC_46)*coupl(nGC_9) - 6d0*coupl(nGC_1929)*coupl(nGC_34&
                        )*coupl(nGC_47) - 6d0*coupl(nGC_1929)*coupl(nGC_35)*   &
                        coupl(nGC_46) + 18d0*coupl(nGC_3)*coupl(nGC_30)*coupl( &
                        nGC_37) - 3d0*coupl(nGC_3)*coupl(nGC_47)*coupl(nGC_9   &
                        ) + 3d0*coupl(nGC_34)*coupl(nGC_37)*coupl(nGC_48) - 3d0&
                        *coupl(nGC_34)*coupl(nGC_47)*coupl(nGC_58) - 3d0*coupl(&
                        nGC_35)*coupl(nGC_46)*coupl(nGC_58) + 3d0*coupl(nGC_35 &
                        )*coupl(nGC_48)*coupl(nGC_991) + 3d0*coupl(nGC_37)*    &
                        coupl(nGC_40)*coupl(nGC_46) + 3d0*coupl(nGC_40)*coupl( &
                        nGC_47)*coupl(nGC_991))/(96d0*pi**2d0)
      coupl(nGC_10182) = coupl(nGC_11)*dZuR_QCD2
      coupl(nGC_8733) = coupl(nGC_2)*dZuL_QED2 + coupl(nGC_54)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_18_Hl) = -coupl(nGC_18)*dtHl_QED1/cMHL**2d0
      coupl(nGC_7731) = coupl(nGC_112)*dZtL_QED2/2d0 + coupl(nGC_112)*dZtR_QED2&
                        /2d0 + coupl(nGC_5341)
      coupl(nGC_7730) = coupl(nGC_111)*dZtL_QED2/2d0 + coupl(nGC_111)*dZtR_QED2&
                        /2d0 + coupl(nGC_5339)
      coupl(nGC_TS_GC_18_Hh) = -coupl(nGC_18)*dtHh_QED1/cMHH**2d0
      coupl(nGC_8994) = coupl(nGC_123)*(dZuL_QED2 + dZuR_QED2)/2d0
      coupl(nGC_8995) = coupl(nGC_123)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_8996) = coupl(nGC_123)*dZHl_QED2/2d0 + coupl(nGC_124)*         &
                        dZHhHl_QED2/2d0 + coupl(nGC_5342)
      coupl(nGC_8997) = coupl(nGC_8994) + coupl(nGC_8996)
      coupl(nGC_8125) = coupl(nGC_104)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
      coupl(nGC_4898) = coupl(nGC_11)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_8126) = coupl(nGC_103)*dZHlHh_QED2/2d0 + coupl(nGC_104)*       &
                        dZHh_QED2/2d0 + coupl(nGC_5328)
      coupl(nGC_4891) = (-4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_50)*coupl(nGC_83   &
                        ) - 4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_53)*coupl(nGC_83 &
                        ) - 4d0*Nc*cMC*coupl(nGC_2)*coupl(nGC_51)*coupl(nGC_88 &
                        ) - 4d0*Nc*cMC*coupl(nGC_2)*coupl(nGC_54)*coupl(nGC_88 &
                        ) - 4d0*Nc*cMD*coupl(nGC_1)*coupl(nGC_50)*coupl(nGC_93 &
                        ) - 4d0*Nc*cMD*coupl(nGC_1)*coupl(nGC_53)*coupl(nGC_93 &
                        ) - 4d0*Nc*cMS*coupl(nGC_1)*coupl(nGC_108)*coupl(nGC_50&
                        ) - 4d0*Nc*cMS*coupl(nGC_1)*coupl(nGC_108)*coupl(nGC_53&
                        ) - 4d0*Nc*cMT*coupl(nGC_113)*coupl(nGC_2)*coupl(nGC_51&
                        ) - 4d0*Nc*cMT*coupl(nGC_113)*coupl(nGC_2)*coupl(nGC_54&
                        ) - 4d0*Nc*cMU*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_51&
                        ) - 4d0*Nc*cMU*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_54&
                        ) - 4d0*cME*coupl(nGC_4)*coupl(nGC_52)*coupl(nGC_98) - &
                        4d0*cME*coupl(nGC_4)*coupl(nGC_55)*coupl(nGC_98) - 4d0*&
                        cMM*coupl(nGC_103)*coupl(nGC_4)*coupl(nGC_52) - 4d0*cMM&
                        *coupl(nGC_103)*coupl(nGC_4)*coupl(nGC_55) - 4d0*cMTA* &
                        coupl(nGC_118)*coupl(nGC_4)*coupl(nGC_52) - 4d0*cMTA*  &
                        coupl(nGC_118)*coupl(nGC_4)*coupl(nGC_55) - 8d0*cima*  &
                        coupl(nGC_1929)*coupl(nGC_69) - coupl(nGC_1751)*coupl( &
                        nGC_34)*coupl(nGC_68) + 6d0*coupl(nGC_1751)*coupl(     &
                        nGC_69)*coupl(nGC_991) - coupl(nGC_3)*coupl(nGC_35)*   &
                        coupl(nGC_68) + 6d0*coupl(nGC_3)*coupl(nGC_37)*coupl(  &
                        nGC_69) + coupl(nGC_34)*coupl(nGC_37)*coupl(nGC_71) +  &
                        coupl(nGC_35)*coupl(nGC_71)*coupl(nGC_991))/(32d0*pi** &
                        2d0)
      coupl(nGC_4890) = (-8d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_83) - 8d0*Nc* &
                        cMC*coupl(nGC_2)**2d0*coupl(nGC_88) - 8d0*Nc*cMD*coupl(&
                        nGC_1)**2d0*coupl(nGC_93) - 8d0*Nc*cMS*coupl(nGC_1)**  &
                        2d0*coupl(nGC_108) - 8d0*Nc*cMT*coupl(nGC_113)*coupl(  &
                        nGC_2)**2d0 - 8d0*Nc*cMU*coupl(nGC_123)*coupl(nGC_2)** &
                        2d0 - 8d0*cME*coupl(nGC_4)**2d0*coupl(nGC_98) - 8d0*cMM&
                        *coupl(nGC_103)*coupl(nGC_4)**2d0 - 8d0*cMTA*coupl(    &
                        nGC_118)*coupl(nGC_4)**2d0 - 8d0*cima*coupl(nGC_5)*    &
                        coupl(nGC_69) + 6d0*coupl(nGC_1751)**2d0*coupl(nGC_69  &
                        ) - coupl(nGC_1751)*coupl(nGC_34)*coupl(nGC_71) + coupl&
                        (nGC_1751)*coupl(nGC_35)*coupl(nGC_71) + 6d0*coupl(    &
                        nGC_3)**2d0*coupl(nGC_69) + coupl(nGC_3)*coupl(nGC_34)*&
                        coupl(nGC_71) - coupl(nGC_3)*coupl(nGC_35)*coupl(nGC_71&
                        ))/(32d0*pi**2d0)
      coupl(nGC_4893) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_53 &
                        )**2d0 + coupl(nGC_1)*coupl(nGC_81)*coupl(nGC_82) +    &
                        coupl(nGC_1)*coupl(nGC_83)**2d0 + coupl(nGC_1)*coupl(  &
                        nGC_84)**2d0 + coupl(nGC_110)**2d0*coupl(nGC_2) + 4d0* &
                        coupl(nGC_2)*coupl(nGC_33)**2d0 - 4d0*coupl(nGC_3)*    &
                        coupl(nGC_33)**2d0)/(32d0*pi**2d0)
      coupl(nGC_4892) = (12d0*Nc*coupl(nGC_1)*coupl(nGC_33)**2d0 - 12d0*Nc*    &
                        coupl(nGC_2)*coupl(nGC_33)**2d0 + 11d0*coupl(nGC_1751)*&
                        coupl(nGC_3)**2d0 + 11d0*coupl(nGC_1751)*coupl(nGC_37  &
                        )**2d0 + 12d0*coupl(nGC_33)**2d0*coupl(nGC_4))/(96d0*pi&
                        **2d0)
      coupl(nGC_4895) = coupl(nGC_1)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_4894) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_50 &
                        )**2d0 + coupl(nGC_1)*coupl(nGC_81)*coupl(nGC_82) +    &
                        coupl(nGC_1)*coupl(nGC_83)**2d0 + coupl(nGC_1)*coupl(  &
                        nGC_84)**2d0 + coupl(nGC_2)*coupl(nGC_80)**2d0)/(32d0* &
                        pi**2d0)
      coupl(nGC_4897) = (coupl(nGC_1)*coupl(nGC_85)**2d0 + 4d0*coupl(nGC_2)**  &
                        3d0 + 4d0*coupl(nGC_2)*coupl(nGC_51)**2d0 + coupl(nGC_2&
                        )*coupl(nGC_86)*coupl(nGC_87) + coupl(nGC_2)*coupl(    &
                        nGC_88)**2d0 + coupl(nGC_2)*coupl(nGC_89)**2d0)/(32d0* &
                        pi**2d0)
      coupl(nGC_4896) = (coupl(nGC_1)*coupl(nGC_105)**2d0 + 4d0*coupl(nGC_1)*  &
                        coupl(nGC_33)**2d0 - 4d0*coupl(nGC_1751)*coupl(nGC_33  &
                        )**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl&
                        (nGC_54)**2d0 + coupl(nGC_2)*coupl(nGC_86)*coupl(nGC_87&
                        ) + coupl(nGC_2)*coupl(nGC_88)**2d0 + coupl(nGC_2)*    &
                        coupl(nGC_89)**2d0)/(32d0*pi**2d0)
      coupl(nGC_8044) = -coupl(nGC_7372)
      coupl(nGC_7163) = -2d0*coupl(nGC_7161) + coupl(nGC_7162)
      coupl(nGC_8040) = coupl(nGC_7044) + coupl(nGC_8038)
      coupl(nGC_5182) = (72d0*Nc*cima*coupl(nGC_33)**4d0 + 6d0*cima*coupl(     &
                        nGC_1661)**2d0 - 32d0*cima*coupl(nGC_1751)**4d0 - 48d0*&
                        cima*coupl(nGC_1751)**2d0*coupl(nGC_3)**2d0 - 64d0*cima&
                        *coupl(nGC_1751)**2d0*coupl(nGC_991)**2d0 - 96d0*cima* &
                        coupl(nGC_1751)*coupl(nGC_3)*coupl(nGC_37)*coupl(      &
                        nGC_991) + 96d0*cima*coupl(nGC_1929)**2d0 + 48d0*cima* &
                        coupl(nGC_29)**2d0 - 32d0*cima*coupl(nGC_3)**4d0 - 64d0&
                        *cima*coupl(nGC_3)**2d0*coupl(nGC_37)**2d0 + 72d0*cima*&
                        coupl(nGC_33)**4d0 - 32d0*cima*coupl(nGC_37)**4d0 -    &
                        48d0*cima*coupl(nGC_37)**2d0*coupl(nGC_991)**2d0 + 48d0&
                        *cima*coupl(nGC_5)**2d0 - 32d0*cima*coupl(nGC_991)**4d0&
                         - 21d0*coupl(nGC_1661)*coupl(nGC_1751)**2d0 - 21d0*   &
                        coupl(nGC_1661)*coupl(nGC_3)**2d0 - 21d0*coupl(nGC_1661&
                        )*coupl(nGC_37)**2d0 - 21d0*coupl(nGC_1661)*coupl(     &
                        nGC_991)**2d0 - 66d0*coupl(nGC_1751)**2d0*coupl(nGC_5  &
                        ) - 132d0*coupl(nGC_1751)*coupl(nGC_1929)*coupl(nGC_991&
                        ) + 12d0*coupl(nGC_1751)*coupl(nGC_27)*coupl(nGC_3) -  &
                        132d0*coupl(nGC_1929)*coupl(nGC_3)*coupl(nGC_37) + 12d0&
                        *coupl(nGC_27)*coupl(nGC_37)*coupl(nGC_991) - 66d0*    &
                        coupl(nGC_29)*coupl(nGC_37)**2d0 - 66d0*coupl(nGC_29)* &
                        coupl(nGC_991)**2d0 - 66d0*coupl(nGC_3)**2d0*coupl(    &
                        nGC_5))/(192d0*pi**2d0)
      coupl(nGC_5183) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_108)*coupl(&
                        nGC_109) + coupl(nGC_113)*coupl(nGC_114) + coupl(      &
                        nGC_123)*coupl(nGC_124) + coupl(nGC_83)*coupl(nGC_84   &
                        ) + coupl(nGC_88)*coupl(nGC_89) + coupl(nGC_93)*coupl( &
                        nGC_94))/(16d0*pi**2d0*Nc)
      coupl(nGC_5184) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_108)*coupl&
                        (nGC_109) - coupl(nGC_113)*coupl(nGC_114) - coupl(     &
                        nGC_123)*coupl(nGC_124) - coupl(nGC_83)*coupl(nGC_84   &
                        ) - coupl(nGC_88)*coupl(nGC_89) - coupl(nGC_93)*coupl( &
                        nGC_94))/(16d0*pi**2d0)
      coupl(nGC_5185) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_108)**2d0  &
                         + coupl(nGC_113)**2d0 + coupl(nGC_123)**2d0 + coupl(  &
                        nGC_83)**2d0 + coupl(nGC_88)**2d0 + coupl(nGC_93)**2d0 &
                        )/(16d0*pi**2d0*Nc)
      coupl(nGC_5186) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_108)**2d0 &
                         - coupl(nGC_113)**2d0 - coupl(nGC_123)**2d0 - coupl(  &
                        nGC_83)**2d0 - coupl(nGC_88)**2d0 - coupl(nGC_93)**2d0 &
                        )/(16d0*pi**2d0)
      coupl(nGC_5187) = (3d0*Nc*cima*coupl(nGC_50)**4d0 + 3d0*Nc*cima*coupl(   &
                        nGC_51)**4d0 + 3d0*Nc*cima*coupl(nGC_53)**4d0 + 3d0*Nc*&
                        cima*coupl(nGC_54)**4d0 + 12d0*cima*coupl(nGC_29)**2d0 &
                         - 10d0*cima*coupl(nGC_37)**4d0 + 3d0*cima*coupl(nGC_52&
                        )**4d0 + 3d0*cima*coupl(nGC_55)**4d0 + 3d0*cima*coupl( &
                        nGC_56)**4d0 - 10d0*cima*coupl(nGC_991)**4d0 - 15d0*   &
                        coupl(nGC_29)*coupl(nGC_37)**2d0 - 15d0*coupl(nGC_29)* &
                        coupl(nGC_991)**2d0)/(24d0*pi**2d0)
      coupl(nGC_TS_GC_103_Hl) = -coupl(nGC_103)*dtHl_QED1/cMHL**2d0
      coupl(nGC_7082) = coupl(nGC_39)*dZAZ_QED2/2d0 + coupl(nGC_5257) + coupl( &
                        nGC_8)*dZWMinus_QED2/2d0 + coupl(nGC_8)*dZZ_QED2/2d0
      coupl(nGC_4851) = cima*(-2d0*Nc*coupl(nGC_50)**2d0 - 2d0*Nc*coupl(nGC_51 &
                        )**2d0 - 2d0*Nc*coupl(nGC_53)**2d0 - 2d0*Nc*coupl(     &
                        nGC_54)**2d0 - coupl(nGC_37)**2d0 - 2d0*coupl(nGC_52)**&
                        2d0 - 2d0*coupl(nGC_55)**2d0 - 2d0*coupl(nGC_56)**2d0  &
                         - coupl(nGC_991)**2d0)/(32d0*pi**2d0)
      coupl(nGC_8249) = -coupl(nGC_7952)/2d0 + coupl(nGC_7953)
      coupl(nGC_4965) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_91) - coupl(nGC_1103)*&
                        coupl(nGC_33)*coupl(nGC_90) - coupl(nGC_120)*coupl(    &
                        nGC_121)*coupl(nGC_90) + 8d0*coupl(nGC_50)*coupl(nGC_53&
                        )*coupl(nGC_91) + coupl(nGC_50)*coupl(nGC_629)*coupl(  &
                        nGC_94) + coupl(nGC_50)*coupl(nGC_703)*coupl(nGC_93) - &
                        coupl(nGC_53)*coupl(nGC_629)*coupl(nGC_94) - coupl(    &
                        nGC_53)*coupl(nGC_703)*coupl(nGC_93) - coupl(nGC_91)** &
                        2d0*coupl(nGC_92) - coupl(nGC_92)*coupl(nGC_93)**2d0 - &
                        coupl(nGC_92)*coupl(nGC_94)**2d0)/(32d0*pi**2d0)
      coupl(nGC_4964) = coupl(nGC_11)**2d0*coupl(nGC_92)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4967) = (-coupl(nGC_1103)*coupl(nGC_33)*coupl(nGC_95) + 8d0*   &
                        coupl(nGC_4)**2d0*coupl(nGC_96) + 8d0*coupl(nGC_52)*   &
                        coupl(nGC_55)*coupl(nGC_96) + coupl(nGC_52)*coupl(     &
                        nGC_629)*coupl(nGC_99) + coupl(nGC_52)*coupl(nGC_703)* &
                        coupl(nGC_98) - coupl(nGC_55)*coupl(nGC_629)*coupl(    &
                        nGC_99) - coupl(nGC_55)*coupl(nGC_703)*coupl(nGC_98) - &
                        coupl(nGC_96)**2d0*coupl(nGC_97) - coupl(nGC_97)*coupl(&
                        nGC_98)**2d0 - coupl(nGC_97)*coupl(nGC_99)**2d0)/(32d0*&
                        pi**2d0)
      coupl(nGC_4966) = coupl(nGC_11)**2d0*coupl(nGC_91)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4961) = (-coupl(nGC_105)*coupl(nGC_107)*coupl(nGC_85) - coupl( &
                        nGC_1103)*coupl(nGC_33)*coupl(nGC_85) + 8d0*coupl(nGC_2&
                        )**2d0*coupl(nGC_87) + 8d0*coupl(nGC_51)*coupl(nGC_54)*&
                        coupl(nGC_87) + coupl(nGC_51)*coupl(nGC_629)*coupl(    &
                        nGC_89) + coupl(nGC_51)*coupl(nGC_703)*coupl(nGC_88) - &
                        coupl(nGC_54)*coupl(nGC_629)*coupl(nGC_89) - coupl(    &
                        nGC_54)*coupl(nGC_703)*coupl(nGC_88) - coupl(nGC_86)*  &
                        coupl(nGC_87)**2d0 - coupl(nGC_86)*coupl(nGC_88)**2d0  &
                         - coupl(nGC_86)*coupl(nGC_89)**2d0)/(32d0*pi**2d0)
      coupl(nGC_4960) = coupl(nGC_11)**2d0*coupl(nGC_86)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4963) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_92) + coupl(nGC_1103)*&
                        coupl(nGC_33)*coupl(nGC_90) - coupl(nGC_120)*coupl(    &
                        nGC_122)*coupl(nGC_90) + 8d0*coupl(nGC_50)*coupl(nGC_53&
                        )*coupl(nGC_92) - coupl(nGC_50)*coupl(nGC_629)*coupl(  &
                        nGC_94) - coupl(nGC_50)*coupl(nGC_703)*coupl(nGC_93) + &
                        coupl(nGC_53)*coupl(nGC_629)*coupl(nGC_94) + coupl(    &
                        nGC_53)*coupl(nGC_703)*coupl(nGC_93) - coupl(nGC_91)*  &
                        coupl(nGC_92)**2d0 - coupl(nGC_91)*coupl(nGC_93)**2d0  &
                         - coupl(nGC_91)*coupl(nGC_94)**2d0)/(32d0*pi**2d0)
      coupl(nGC_7606) = coupl(nGC_5251) + coupl(nGC_69)*dZHl_QED2/2d0 + coupl( &
                        nGC_69)*dZWMinus_QED2 + coupl(nGC_70)*dZHhHl_QED2/2d0  &
                         + coupl(nGC_TS_GC_28_Hl) + coupl(nGC_TS_GC_30_Hh)
      coupl(nGC_10185) = coupl(nGC_10182) + coupl(nGC_7030)
      coupl(nGC_10184) = coupl(nGC_11)*dZuL_QCD2
    end subroutine fill_CTcouplings_mdl18
end module fill_ctcouplings18
