!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 06:18             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl2()
      coupl(nGC_7856) = coupl(nGC_MI)*dZcL_QCD2
      coupl(nGC_7857) = coupl(nGC_MC)*(dZcL_QED2 + dZcR_QED2)/2d0
      coupl(nGC_7858) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_5359) = coupl(nGC_4760)*dsw_QED2 + coupl(nGC_4761)*dcw_QED2 +  &
                        coupl(nGC_4762)*dZee_QED2
      coupl(nGC_5351) = coupl(nGC_4577)*dyc_QED3 + coupl(nGC_4578)*da_QED2
      coupl(nGC_5350) = coupl(nGC_4577)*dyc_QED1_QCD2
      coupl(nGC_5357) = coupl(nGC_4624)*da_QED2 + coupl(nGC_4625)*dMW2_QED2 +  &
                        coupl(nGC_4626)*dsw_QED2 + coupl(nGC_4627)*dZee_QED2
      coupl(nGC_8931) = coupl(nGC_73)*dZZA_QED2/2d0
      coupl(nGC_12179) = coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_7670) = coupl(nGC_89)*(dZcL_QED2 + dZcR_QED2)/2d0
      coupl(nGC_7671) = coupl(nGC_89)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_7672) = coupl(nGC_5350) + coupl(nGC_7671)
      coupl(nGC_7673) = coupl(nGC_5351) + coupl(nGC_88)*dZHlHh_QED2/2d0 + coupl&
                        (nGC_89)*dZHh_QED2/2d0
      coupl(nGC_7674) = coupl(nGC_7670) + coupl(nGC_7673)
      coupl(nGC_7515) = coupl(nGC_36)*dZWMinus_QED2/2d0 + coupl(nGC_5359)
      coupl(nGC_7241) = coupl(nGC_MM)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
      coupl(nGC_7240) = coupl(nGC_MI)*dZmuMinusL_QED2
      coupl(nGC_7245) = coupl(nGC_MI)*dZmuMinusR_QED2
      coupl(nGC_10504) = coupl(nGC_MI)*dZnu_eL_QED2
      coupl(nGC_7864) = coupl(nGC_MI)*dZcR_QCD2
      coupl(nGC_7863) = coupl(nGC_MI)*dZcR_QED2
      coupl(nGC_5340) = coupl(nGC_4633)*dyt_QED1_QCD2
      coupl(nGC_5341) = coupl(nGC_4633)*dyt_QED3
      coupl(nGC_TS_GC_74_Hh) = -coupl(nGC_74)*dtHh_QED1/cMHH**2d0
      coupl(nGC_7649) = coupl(nGC_84)*(dZbL_QED2 + dZbR_QED2)/2d0
      coupl(nGC_TS_GC_89_Hh) = -coupl(nGC_89)*dtHh_QED1/cMHH**2d0
      coupl(nGC_7502) = coupl(nGC_44)*dZHlHh_QED2/2d0 + coupl(nGC_49)*dZHh_QED2&
                        /2d0 + coupl(nGC_5357)
      coupl(nGC_5231) = coupl(nGC_217)*dvev_QED1 + coupl(nGC_219)*dl1_QED4 +   &
                        coupl(nGC_221)*dl2_QED4 + coupl(nGC_223)*dvevs_QED1 +  &
                        coupl(nGC_225)*da_QED2 + coupl(nGC_227)*dl3_QED4
      coupl(nGC_5236) = coupl(nGC_4703)*dZee_QED2
      coupl(nGC_5235) = coupl(nGC_4707)*dZee_QED2
      coupl(nGC_7472) = coupl(nGC_88)*(dZcL_QED2 + dZcR_QED2)/2d0
      coupl(nGC_7473) = coupl(nGC_88)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_5333) = coupl(nGC_4664)*dyup_QED3
      coupl(nGC_5332) = coupl(nGC_4664)*dyup_QED1_QCD2
      coupl(nGC_9449) = coupl(nGC_MI)*dZbR_QCD2
      coupl(nGC_9448) = coupl(nGC_MI)*dZbR_QED2
      coupl(nGC_5339) = coupl(nGC_4570)*dyt_QED3
      coupl(nGC_5338) = coupl(nGC_4570)*dyt_QED1_QCD2
      coupl(nGC_9441) = coupl(nGC_MI)*dZbL_QCD2
      coupl(nGC_9440) = coupl(nGC_MI)*dZbL_QED2
      coupl(nGC_9443) = coupl(nGC_MB)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_9442) = coupl(nGC_MB)*(dZbL_QED2 + dZbR_QED2)/2d0
      coupl(nGC_7650) = coupl(nGC_84)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_5249) = coupl(nGC_4602)*dsw_QED2 + coupl(nGC_4603)*da_QED2 +   &
                        coupl(nGC_4604)*dZee_QED2
      coupl(nGC_5248) = coupl(nGC_4592)*dsw_QED2 + coupl(nGC_4593)*da_QED2 +   &
                        coupl(nGC_4594)*dZee_QED2
      coupl(nGC_5247) = coupl(nGC_4573)*dsw_QED2 + coupl(nGC_4574)*dZee_QED2
      coupl(nGC_5244) = coupl(nGC_4608)*dsw_QED2 + coupl(nGC_4609)*dZee_QED2
      coupl(nGC_5243) = coupl(nGC_4634)*dsw_QED2 + coupl(nGC_4635)*da_QED2 +   &
                        coupl(nGC_4636)*dZee_QED2
      coupl(nGC_5240) = coupl(nGC_4719)*dsw_QED2 + coupl(nGC_4720)*dvev_QED1 + &
                        coupl(nGC_4721)*dZee_QED2
      coupl(nGC_8066) = coupl(nGC_61)*dZZA_QED2/2d0
    end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
