!******************************************************************************!
!                                                                              !
!    fill_ctcouplings22.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings22.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 06:18             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings22
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl22()
      coupl(nGC_14098) = -coupl(nGC_4940)
      coupl(nGC_8998) = coupl(nGC_5343) + coupl(nGC_8995)
      coupl(nGC_7368) = coupl(nGC_5263) + coupl(nGC_58)*dZAZ_QED2 + coupl(     &
                        nGC_63)*dZZ_QED2
      coupl(nGC_8597) = coupl(nGC_8592) + coupl(nGC_8596)
      coupl(nGC_7939) = coupl(nGC_7932) + coupl(nGC_7938)
      coupl(nGC_7360) = coupl(nGC_5363) + coupl(nGC_60)*dZHlHh_QED2/2d0 + coupl&
                        (nGC_62)*dZHh_QED2/2d0
      coupl(nGC_7111) = coupl(nGC_29)*dZWMinus_QED2 + coupl(nGC_29)*dZZ_QED2 + &
                        coupl(nGC_5217)
      coupl(nGC_8127) = coupl(nGC_8125) + coupl(nGC_8126)
      coupl(nGC_4871) = cima*sq2**2d0*(-Nc*coupl(nGC_1003)**2d0 + 4d0*coupl(   &
                        nGC_11)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_8459) = coupl(nGC_50)*dZZ_QED2/2d0 + coupl(nGC_50)*dZsR_QED2 + &
                        coupl(nGC_5275)
      coupl(nGC_7569) = coupl(nGC_7561) + coupl(nGC_7568)
      coupl(nGC_7567) = coupl(nGC_5312) + coupl(nGC_7562)
      coupl(nGC_5117) = (4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_105)*coupl(nGC_108 &
                        )*coupl(nGC_33) - 16d0*Nc*cima*coupl(nGC_1)*coupl(     &
                        nGC_110)*coupl(nGC_113)*coupl(nGC_33) - 16d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_120)*coupl(nGC_123)*coupl(nGC_33&
                        ) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_33)*coupl(nGC_80&
                        )*coupl(nGC_83) - 16d0*Nc*cima*coupl(nGC_1)*coupl(     &
                        nGC_33)*coupl(nGC_85)*coupl(nGC_88) + 4d0*Nc*cima*coupl&
                        (nGC_1)*coupl(nGC_33)*coupl(nGC_90)*coupl(nGC_93) -    &
                        16d0*Nc*cima*coupl(nGC_105)*coupl(nGC_108)*coupl(nGC_2 &
                        )*coupl(nGC_33) + 4d0*Nc*cima*coupl(nGC_110)*coupl(    &
                        nGC_113)*coupl(nGC_2)*coupl(nGC_33) + 4d0*Nc*cima*coupl&
                        (nGC_120)*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_33) -  &
                        16d0*Nc*cima*coupl(nGC_2)*coupl(nGC_33)*coupl(nGC_80)* &
                        coupl(nGC_83) + 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_33)*&
                        coupl(nGC_85)*coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_2 &
                        )*coupl(nGC_33)*coupl(nGC_90)*coupl(nGC_93) + 4d0*cima*&
                        coupl(nGC_100)*coupl(nGC_103)*coupl(nGC_33)*coupl(nGC_4&
                        ) - 4d0*cima*coupl(nGC_1103)*coupl(nGC_32)*coupl(nGC_35&
                        )*coupl(nGC_4) + 4d0*cima*coupl(nGC_115)*coupl(nGC_118 &
                        )*coupl(nGC_33)*coupl(nGC_4) - 9d0*cima*coupl(nGC_1401 &
                        )*coupl(nGC_1751)*coupl(nGC_3)*coupl(nGC_34) - 4d0*cima&
                        *coupl(nGC_1401)*coupl(nGC_32)*coupl(nGC_57)*coupl(    &
                        nGC_617) - 4d0*cima*coupl(nGC_1589)*coupl(nGC_35)*coupl&
                        (nGC_4)*coupl(nGC_46) - 12d0*cima*coupl(nGC_1611)*coupl&
                        (nGC_40) - 9d0*cima*coupl(nGC_1751)*coupl(nGC_32)*coupl&
                        (nGC_37)*coupl(nGC_57) - 4d0*cima*coupl(nGC_2229)*coupl&
                        (nGC_34)*coupl(nGC_35)*coupl(nGC_4) - 9d0*cima*coupl(  &
                        nGC_3)*coupl(nGC_34)*coupl(nGC_617)*coupl(nGC_991) +   &
                        4d0*cima*coupl(nGC_33)*coupl(nGC_4)*coupl(nGC_95)*coupl&
                        (nGC_98) - 12d0*cima*coupl(nGC_41)*coupl(nGC_9) - 3d0* &
                        coupl(nGC_1401)*coupl(nGC_1611)*coupl(nGC_34) + 6d0*   &
                        coupl(nGC_1401)*coupl(nGC_3)*coupl(nGC_40) - 6d0*coupl(&
                        nGC_1589)*coupl(nGC_1751)*coupl(nGC_30) - 6d0*coupl(   &
                        nGC_1589)*coupl(nGC_35)*coupl(nGC_48) - 6d0*coupl(     &
                        nGC_1751)*coupl(nGC_2229)*coupl(nGC_28) + 36d0*coupl(  &
                        nGC_1751)*coupl(nGC_3)*coupl(nGC_40) + 6d0*coupl(      &
                        nGC_1751)*coupl(nGC_34)*coupl(nGC_6) + 36d0*coupl(     &
                        nGC_1751)*coupl(nGC_37)*coupl(nGC_9) - 6d0*coupl(      &
                        nGC_2229)*coupl(nGC_35)*coupl(nGC_40) + 6d0*coupl(     &
                        nGC_26)*coupl(nGC_3)*coupl(nGC_34) - 6d0*coupl(nGC_32)*&
                        coupl(nGC_35)*coupl(nGC_38) - 3d0*coupl(nGC_32)*coupl( &
                        nGC_41)*coupl(nGC_57) - 3d0*coupl(nGC_34)*coupl(nGC_41 &
                        )*coupl(nGC_617) + 6d0*coupl(nGC_34)*coupl(nGC_58)*    &
                        coupl(nGC_991) + 6d0*coupl(nGC_37)*coupl(nGC_38)*coupl(&
                        nGC_57) + 6d0*coupl(nGC_37)*coupl(nGC_40)*coupl(nGC_617&
                        ) - 6d0*coupl(nGC_38)*coupl(nGC_57)*coupl(nGC_617))/(  &
                        192d0*pi**2d0)
      coupl(nGC_14358) = -coupl(nGC_4919)
      coupl(nGC_5115) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_105)**2d0*coupl( &
                        nGC_50) + 10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_105)**2d0&
                        *coupl(nGC_54) + 10d0*Nc*cima*coupl(nGC_1)*coupl(      &
                        nGC_110)**2d0*coupl(nGC_51) - 16d0*Nc*cima*coupl(nGC_1 &
                        )*coupl(nGC_110)**2d0*coupl(nGC_53) + 10d0*Nc*cima*    &
                        coupl(nGC_1)*coupl(nGC_120)**2d0*coupl(nGC_51) - 16d0* &
                        Nc*cima*coupl(nGC_1)*coupl(nGC_120)**2d0*coupl(nGC_53  &
                        ) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_50)*coupl(     &
                        nGC_80)**2d0 - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_50)*&
                        coupl(nGC_90)**2d0 + 10d0*Nc*cima*coupl(nGC_1)*coupl(  &
                        nGC_51)*coupl(nGC_85)**2d0 - 16d0*Nc*cima*coupl(nGC_1)*&
                        coupl(nGC_53)*coupl(nGC_85)**2d0 + 10d0*Nc*cima*coupl( &
                        nGC_1)*coupl(nGC_54)*coupl(nGC_80)**2d0 + 10d0*Nc*cima*&
                        coupl(nGC_1)*coupl(nGC_54)*coupl(nGC_90)**2d0 + 10d0*Nc&
                        *cima*coupl(nGC_105)**2d0*coupl(nGC_2)*coupl(nGC_50) - &
                        16d0*Nc*cima*coupl(nGC_105)**2d0*coupl(nGC_2)*coupl(   &
                        nGC_54) - 16d0*Nc*cima*coupl(nGC_110)**2d0*coupl(nGC_2 &
                        )*coupl(nGC_51) + 10d0*Nc*cima*coupl(nGC_110)**2d0*    &
                        coupl(nGC_2)*coupl(nGC_53) - 16d0*Nc*cima*coupl(nGC_120&
                        )**2d0*coupl(nGC_2)*coupl(nGC_51) + 10d0*Nc*cima*coupl(&
                        nGC_120)**2d0*coupl(nGC_2)*coupl(nGC_53) + 10d0*Nc*cima&
                        *coupl(nGC_2)*coupl(nGC_50)*coupl(nGC_80)**2d0 + 10d0* &
                        Nc*cima*coupl(nGC_2)*coupl(nGC_50)*coupl(nGC_90)**2d0  &
                         - 16d0*Nc*cima*coupl(nGC_2)*coupl(nGC_51)*coupl(nGC_85&
                        )**2d0 + 10d0*Nc*cima*coupl(nGC_2)*coupl(nGC_53)*coupl(&
                        nGC_85)**2d0 - 16d0*Nc*cima*coupl(nGC_2)*coupl(nGC_54)*&
                        coupl(nGC_80)**2d0 - 16d0*Nc*cima*coupl(nGC_2)*coupl(  &
                        nGC_54)*coupl(nGC_90)**2d0 - 16d0*cima*coupl(nGC_100)**&
                        2d0*coupl(nGC_4)*coupl(nGC_52) + 10d0*cima*coupl(      &
                        nGC_100)**2d0*coupl(nGC_4)*coupl(nGC_56) - 16d0*cima*  &
                        coupl(nGC_115)**2d0*coupl(nGC_4)*coupl(nGC_52) + 10d0* &
                        cima*coupl(nGC_115)**2d0*coupl(nGC_4)*coupl(nGC_56) -  &
                        4d0*cima*coupl(nGC_1401)**2d0*coupl(nGC_4)*coupl(      &
                        nGC_617) - 4d0*cima*coupl(nGC_1401)*coupl(nGC_55)*coupl&
                        (nGC_617)**2d0 - 9d0*cima*coupl(nGC_1589)*coupl(       &
                        nGC_1751)*coupl(nGC_2155)*coupl(nGC_991) - 9d0*cima*   &
                        coupl(nGC_1751)*coupl(nGC_2229)*coupl(nGC_983)*coupl(  &
                        nGC_991) - 9d0*cima*coupl(nGC_1751)*coupl(nGC_32)**2d0*&
                        coupl(nGC_991) - 24d0*cima*coupl(nGC_1929)*coupl(nGC_26&
                        ) - 16d0*cima*coupl(nGC_4)*coupl(nGC_52)*coupl(nGC_95  &
                        )**2d0 + 10d0*cima*coupl(nGC_4)*coupl(nGC_56)*coupl(   &
                        nGC_95)**2d0 - 3d0*coupl(nGC_1401)*coupl(nGC_4)*coupl( &
                        nGC_58) - 3d0*coupl(nGC_1589)*coupl(nGC_17)*coupl(     &
                        nGC_1751) - 6d0*coupl(nGC_1589)*coupl(nGC_1929)*coupl( &
                        nGC_2155) + 3d0*coupl(nGC_1589)*coupl(nGC_37)*coupl(   &
                        nGC_48) + 3d0*coupl(nGC_17)*coupl(nGC_1751)*coupl(     &
                        nGC_2155) - 3d0*coupl(nGC_1751)*coupl(nGC_2229)*coupl( &
                        nGC_9) + 18d0*coupl(nGC_1751)*coupl(nGC_26)*coupl(     &
                        nGC_991) + 3d0*coupl(nGC_1751)*coupl(nGC_32)*coupl(    &
                        nGC_7) - 3d0*coupl(nGC_1751)*coupl(nGC_32)*coupl(nGC_8 &
                        ) + 3d0*coupl(nGC_1751)*coupl(nGC_9)*coupl(nGC_983) -  &
                        6d0*coupl(nGC_1929)*coupl(nGC_2229)*coupl(nGC_983) -   &
                        6d0*coupl(nGC_1929)*coupl(nGC_32)**2d0 + 3d0*coupl(    &
                        nGC_2155)*coupl(nGC_48)*coupl(nGC_991) + 3d0*coupl(    &
                        nGC_2229)*coupl(nGC_37)*coupl(nGC_40) + 18d0*coupl(    &
                        nGC_26)*coupl(nGC_3)*coupl(nGC_37) + 3d0*coupl(nGC_32)*&
                        coupl(nGC_37)*coupl(nGC_39) + 3d0*coupl(nGC_32)*coupl( &
                        nGC_38)*coupl(nGC_991) + 3d0*coupl(nGC_40)*coupl(      &
                        nGC_983)*coupl(nGC_991) - 3d0*coupl(nGC_55)*coupl(     &
                        nGC_58)*coupl(nGC_617))/(96d0*pi**2d0)
      coupl(nGC_5114) = (4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_105)*coupl(nGC_106 &
                        )*coupl(nGC_33) - 16d0*Nc*cima*coupl(nGC_1)*coupl(     &
                        nGC_110)*coupl(nGC_111)*coupl(nGC_33) - 16d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_120)*coupl(nGC_121)*coupl(nGC_33&
                        ) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_33)*coupl(nGC_80&
                        )*coupl(nGC_81) - 16d0*Nc*cima*coupl(nGC_1)*coupl(     &
                        nGC_33)*coupl(nGC_85)*coupl(nGC_86) + 4d0*Nc*cima*coupl&
                        (nGC_1)*coupl(nGC_33)*coupl(nGC_90)*coupl(nGC_91) -    &
                        16d0*Nc*cima*coupl(nGC_105)*coupl(nGC_106)*coupl(nGC_2 &
                        )*coupl(nGC_33) + 4d0*Nc*cima*coupl(nGC_110)*coupl(    &
                        nGC_111)*coupl(nGC_2)*coupl(nGC_33) + 4d0*Nc*cima*coupl&
                        (nGC_120)*coupl(nGC_121)*coupl(nGC_2)*coupl(nGC_33) -  &
                        16d0*Nc*cima*coupl(nGC_2)*coupl(nGC_33)*coupl(nGC_80)* &
                        coupl(nGC_81) + 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_33)*&
                        coupl(nGC_85)*coupl(nGC_86) - 16d0*Nc*cima*coupl(nGC_2 &
                        )*coupl(nGC_33)*coupl(nGC_90)*coupl(nGC_91) + 4d0*cima*&
                        coupl(nGC_100)*coupl(nGC_101)*coupl(nGC_33)*coupl(nGC_4&
                        ) - 4d0*cima*coupl(nGC_1103)**2d0*coupl(nGC_32)*coupl( &
                        nGC_4) - 9d0*cima*coupl(nGC_1103)*coupl(nGC_1401)*coupl&
                        (nGC_1751)*coupl(nGC_3) - 4d0*cima*coupl(nGC_1103)*    &
                        coupl(nGC_1589)*coupl(nGC_4)*coupl(nGC_46) - 4d0*cima* &
                        coupl(nGC_1103)*coupl(nGC_2229)*coupl(nGC_34)*coupl(   &
                        nGC_4) - 9d0*cima*coupl(nGC_1103)*coupl(nGC_3)*coupl(  &
                        nGC_617)*coupl(nGC_991) + 4d0*cima*coupl(nGC_115)*coupl&
                        (nGC_116)*coupl(nGC_33)*coupl(nGC_4) - 4d0*cima*coupl( &
                        nGC_1401)*coupl(nGC_1589)*coupl(nGC_617)*coupl(nGC_629 &
                        ) - 4d0*cima*coupl(nGC_1401)*coupl(nGC_2229)*coupl(    &
                        nGC_617)*coupl(nGC_703) - 9d0*cima*coupl(nGC_1589)*    &
                        coupl(nGC_1751)*coupl(nGC_37)*coupl(nGC_629) - 12d0*   &
                        cima*coupl(nGC_1611)*coupl(nGC_38) - 9d0*cima*coupl(   &
                        nGC_1751)*coupl(nGC_2229)*coupl(nGC_37)*coupl(nGC_703  &
                        ) + 4d0*cima*coupl(nGC_33)*coupl(nGC_4)*coupl(nGC_95)* &
                        coupl(nGC_96) - 12d0*cima*coupl(nGC_41)*coupl(nGC_7) - &
                        3d0*coupl(nGC_1103)*coupl(nGC_1401)*coupl(nGC_1611) -  &
                        6d0*coupl(nGC_1103)*coupl(nGC_1589)*coupl(nGC_48) + 6d0&
                        *coupl(nGC_1103)*coupl(nGC_1751)*coupl(nGC_6) - 6d0*   &
                        coupl(nGC_1103)*coupl(nGC_2229)*coupl(nGC_40) + 6d0*   &
                        coupl(nGC_1103)*coupl(nGC_26)*coupl(nGC_3) - 6d0*coupl(&
                        nGC_1103)*coupl(nGC_32)*coupl(nGC_38) - 3d0*coupl(     &
                        nGC_1103)*coupl(nGC_41)*coupl(nGC_617) + 6d0*coupl(    &
                        nGC_1103)*coupl(nGC_58)*coupl(nGC_991) + 6d0*coupl(    &
                        nGC_1401)*coupl(nGC_3)*coupl(nGC_38) - 3d0*coupl(      &
                        nGC_1589)*coupl(nGC_41)*coupl(nGC_629) - 6d0*coupl(    &
                        nGC_1751)*coupl(nGC_26)*coupl(nGC_32) + 36d0*coupl(    &
                        nGC_1751)*coupl(nGC_3)*coupl(nGC_38) + 36d0*coupl(     &
                        nGC_1751)*coupl(nGC_37)*coupl(nGC_7) - 3d0*coupl(      &
                        nGC_2229)*coupl(nGC_41)*coupl(nGC_703) + 6d0*coupl(    &
                        nGC_37)*coupl(nGC_38)*coupl(nGC_617) + 6d0*coupl(nGC_37&
                        )*coupl(nGC_40)*coupl(nGC_703) + 6d0*coupl(nGC_37)*    &
                        coupl(nGC_48)*coupl(nGC_629) - 6d0*coupl(nGC_40)*coupl(&
                        nGC_617)*coupl(nGC_703) - 6d0*coupl(nGC_48)*coupl(     &
                        nGC_617)*coupl(nGC_629))/(192d0*pi**2d0)
      coupl(nGC_7032) = coupl(nGC_7029) + coupl(nGC_7030)
      coupl(nGC_7246) = coupl(nGC_5429) + coupl(nGC_TS_GC_103_Hl) + coupl(     &
                        nGC_TS_GC_104_Hh)
      coupl(nGC_8280) = coupl(nGC_7330) + coupl(nGC_8277)
      coupl(nGC_10988) = -coupl(nGC_8076)
      coupl(nGC_12208) = -2d0*coupl(nGC_12207)
      coupl(nGC_4884) = (-2d0*Nc*cMB*coupl(nGC_2)*coupl(nGC_33)*coupl(nGC_80   &
                        ) - 2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_33)*coupl(nGC_85 &
                        ) - 2d0*Nc*cMD*coupl(nGC_2)*coupl(nGC_33)*coupl(nGC_90 &
                        ) - 2d0*Nc*cMS*coupl(nGC_105)*coupl(nGC_2)*coupl(nGC_33&
                        ) - 2d0*Nc*cMT*coupl(nGC_1)*coupl(nGC_110)*coupl(nGC_33&
                        ) - 2d0*Nc*cMU*coupl(nGC_1)*coupl(nGC_120)*coupl(nGC_33&
                        ) - 2d0*cima*coupl(nGC_1611)*coupl(nGC_71) - 2d0*cima* &
                        coupl(nGC_41)*coupl(nGC_68) + coupl(nGC_1401)*coupl(   &
                        nGC_3)*coupl(nGC_71) - coupl(nGC_1589)*coupl(nGC_1751)*&
                        coupl(nGC_70) - coupl(nGC_1751)*coupl(nGC_2229)*coupl( &
                        nGC_69) + 6d0*coupl(nGC_1751)*coupl(nGC_3)*coupl(nGC_71&
                        ) + 6d0*coupl(nGC_1751)*coupl(nGC_37)*coupl(nGC_68) +  &
                        coupl(nGC_37)*coupl(nGC_617)*coupl(nGC_71))/(32d0*pi** &
                        2d0)
      coupl(nGC_4885) = (4d0*Nc*coupl(nGC_1)*coupl(nGC_105)**2d0 + 4d0*Nc*coupl&
                        (nGC_1)*coupl(nGC_110)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl&
                        (nGC_120)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl(nGC_80)**2d0&
                         + 4d0*Nc*coupl(nGC_1)*coupl(nGC_85)**2d0 + 4d0*Nc*    &
                        coupl(nGC_1)*coupl(nGC_90)**2d0 - 4d0*Nc*coupl(nGC_105 &
                        )**2d0*coupl(nGC_2) - 4d0*Nc*coupl(nGC_110)**2d0*coupl(&
                        nGC_2) - 4d0*Nc*coupl(nGC_120)**2d0*coupl(nGC_2) - 4d0*&
                        Nc*coupl(nGC_2)*coupl(nGC_80)**2d0 - 4d0*Nc*coupl(nGC_2&
                        )*coupl(nGC_85)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(nGC_90&
                        )**2d0 + 4d0*coupl(nGC_100)**2d0*coupl(nGC_4) + 4d0*   &
                        coupl(nGC_115)**2d0*coupl(nGC_4) + coupl(nGC_1401)**2d0&
                        *coupl(nGC_4) + coupl(nGC_1401)*coupl(nGC_55)*coupl(   &
                        nGC_617) - 6d0*coupl(nGC_1589)*coupl(nGC_1751)*coupl(  &
                        nGC_2155) - 6d0*coupl(nGC_1751)*coupl(nGC_2229)*coupl( &
                        nGC_983) - 6d0*coupl(nGC_1751)*coupl(nGC_32)**2d0 + 4d0&
                        *coupl(nGC_4)*coupl(nGC_95)**2d0)/(96d0*pi**2d0)
      coupl(nGC_4883) = (-2d0*Nc*cMB*coupl(nGC_2)*coupl(nGC_33)*coupl(nGC_80   &
                        ) - 2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_33)*coupl(nGC_85 &
                        ) - 2d0*Nc*cMD*coupl(nGC_2)*coupl(nGC_33)*coupl(nGC_90 &
                        ) - 2d0*Nc*cMS*coupl(nGC_105)*coupl(nGC_2)*coupl(nGC_33&
                        ) - 2d0*Nc*cMT*coupl(nGC_1)*coupl(nGC_110)*coupl(nGC_33&
                        ) - 2d0*Nc*cMU*coupl(nGC_1)*coupl(nGC_120)*coupl(nGC_33&
                        ) - 2d0*cima*coupl(nGC_1611)*coupl(nGC_71) - 2d0*cima* &
                        coupl(nGC_41)*coupl(nGC_68) + 6d0*coupl(nGC_1751)*coupl&
                        (nGC_3)*coupl(nGC_71) + coupl(nGC_1751)*coupl(nGC_4)*  &
                        coupl(nGC_71) - coupl(nGC_2155)*coupl(nGC_3)*coupl(    &
                        nGC_70) + 6d0*coupl(nGC_3)*coupl(nGC_68)*coupl(nGC_991 &
                        ) - coupl(nGC_3)*coupl(nGC_69)*coupl(nGC_983) + coupl( &
                        nGC_55)*coupl(nGC_71)*coupl(nGC_991))/(32d0*pi**2d0)
      coupl(nGC_15294) = -coupl(nGC_4954)
      coupl(nGC_13605) = -coupl(nGC_5045)
      coupl(nGC_4889) = (-4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_50)*coupl(nGC_84   &
                        ) - 4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_53)*coupl(nGC_84 &
                        ) - 4d0*Nc*cMC*coupl(nGC_2)*coupl(nGC_51)*coupl(nGC_89 &
                        ) - 4d0*Nc*cMC*coupl(nGC_2)*coupl(nGC_54)*coupl(nGC_89 &
                        ) - 4d0*Nc*cMD*coupl(nGC_1)*coupl(nGC_50)*coupl(nGC_94 &
                        ) - 4d0*Nc*cMD*coupl(nGC_1)*coupl(nGC_53)*coupl(nGC_94 &
                        ) - 4d0*Nc*cMS*coupl(nGC_1)*coupl(nGC_109)*coupl(nGC_50&
                        ) - 4d0*Nc*cMS*coupl(nGC_1)*coupl(nGC_109)*coupl(nGC_53&
                        ) - 4d0*Nc*cMT*coupl(nGC_114)*coupl(nGC_2)*coupl(nGC_51&
                        ) - 4d0*Nc*cMT*coupl(nGC_114)*coupl(nGC_2)*coupl(nGC_54&
                        ) - 4d0*Nc*cMU*coupl(nGC_124)*coupl(nGC_2)*coupl(nGC_51&
                        ) - 4d0*Nc*cMU*coupl(nGC_124)*coupl(nGC_2)*coupl(nGC_54&
                        ) - 4d0*cME*coupl(nGC_4)*coupl(nGC_52)*coupl(nGC_99) - &
                        4d0*cME*coupl(nGC_4)*coupl(nGC_55)*coupl(nGC_99) - 4d0*&
                        cMM*coupl(nGC_104)*coupl(nGC_4)*coupl(nGC_52) - 4d0*cMM&
                        *coupl(nGC_104)*coupl(nGC_4)*coupl(nGC_55) - 4d0*cMTA* &
                        coupl(nGC_119)*coupl(nGC_4)*coupl(nGC_52) - 4d0*cMTA*  &
                        coupl(nGC_119)*coupl(nGC_4)*coupl(nGC_55) - 8d0*cima*  &
                        coupl(nGC_1929)*coupl(nGC_70) - coupl(nGC_1751)*coupl( &
                        nGC_46)*coupl(nGC_68) + 6d0*coupl(nGC_1751)*coupl(     &
                        nGC_70)*coupl(nGC_991) + 6d0*coupl(nGC_3)*coupl(nGC_37 &
                        )*coupl(nGC_70) - coupl(nGC_3)*coupl(nGC_47)*coupl(    &
                        nGC_68) + coupl(nGC_37)*coupl(nGC_46)*coupl(nGC_71) +  &
                        coupl(nGC_47)*coupl(nGC_71)*coupl(nGC_991))/(32d0*pi** &
                        2d0)
      coupl(nGC_5108) = (36d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_33)**2d0 -   &
                        60d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_33)** &
                        2d0 + 36d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_33)**2d0&
                         + 12d0*cima*coupl(nGC_1661)*coupl(nGC_5) - 32d0*cima* &
                        coupl(nGC_1751)**2d0*coupl(nGC_3)**2d0 - 16d0*cima*    &
                        coupl(nGC_1751)**2d0*coupl(nGC_37)**2d0 - 16d0*cima*   &
                        coupl(nGC_3)**2d0*coupl(nGC_991)**2d0 + 36d0*cima*coupl&
                        (nGC_33)**2d0*coupl(nGC_4)**2d0 - 6d0*coupl(nGC_1611)* &
                        coupl(nGC_1751)*coupl(nGC_3) - 9d0*coupl(nGC_1661)*    &
                        coupl(nGC_1751)**2d0 - 9d0*coupl(nGC_1661)*coupl(nGC_3 &
                        )**2d0 - 3d0*coupl(nGC_1751)*coupl(nGC_37)*coupl(nGC_41&
                        ) - 36d0*coupl(nGC_3)**2d0*coupl(nGC_5) - 3d0*coupl(   &
                        nGC_3)*coupl(nGC_41)*coupl(nGC_991) - 36d0*coupl(nGC_37&
                        )**2d0*coupl(nGC_5))/(96d0*pi**2d0)
      coupl(nGC_7476) = coupl(nGC_7472) + coupl(nGC_7475)
      coupl(nGC_7150) = coupl(nGC_7030) + coupl(nGC_7144)
      coupl(nGC_9122) = coupl(nGC_118)*dZHlHh_QED2/2d0 + coupl(nGC_119)*       &
                        dZHh_QED2/2d0 + coupl(nGC_5329)
      coupl(nGC_7090) = coupl(nGC_5253) + coupl(nGC_58)*dZA_QED2/2d0 + coupl(  &
                        nGC_58)*dZZ_QED2/2d0 + coupl(nGC_6)*dZAZ_QED2/2d0 +    &
                        coupl(nGC_63)*dZZA_QED2/2d0
      coupl(nGC_12226) = -coupl(nGC_12220)
      coupl(nGC_5106) = (-32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_105)**2d0 - &
                        32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_110)**2d0 -   &
                        32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_120)**2d0 -   &
                        32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_80)**2d0 -    &
                        32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_85)**2d0 -    &
                        32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_90)**2d0 +    &
                        40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_105)**2d0*coupl(   &
                        nGC_2) + 40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_110)**2d0*&
                        coupl(nGC_2) + 40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_120 &
                        )**2d0*coupl(nGC_2) + 40d0*Nc*cima*coupl(nGC_1)*coupl( &
                        nGC_2)*coupl(nGC_80)**2d0 + 40d0*Nc*cima*coupl(nGC_1)* &
                        coupl(nGC_2)*coupl(nGC_85)**2d0 + 40d0*Nc*cima*coupl(  &
                        nGC_1)*coupl(nGC_2)*coupl(nGC_90)**2d0 - 32d0*Nc*cima* &
                        coupl(nGC_105)**2d0*coupl(nGC_2)**2d0 - 32d0*Nc*cima*  &
                        coupl(nGC_110)**2d0*coupl(nGC_2)**2d0 - 32d0*Nc*cima*  &
                        coupl(nGC_120)**2d0*coupl(nGC_2)**2d0 - 32d0*Nc*cima*  &
                        coupl(nGC_2)**2d0*coupl(nGC_80)**2d0 - 32d0*Nc*cima*   &
                        coupl(nGC_2)**2d0*coupl(nGC_85)**2d0 - 32d0*Nc*cima*   &
                        coupl(nGC_2)**2d0*coupl(nGC_90)**2d0 - 32d0*cima*coupl(&
                        nGC_100)**2d0*coupl(nGC_4)**2d0 - 32d0*cima*coupl(     &
                        nGC_115)**2d0*coupl(nGC_4)**2d0 - 4d0*cima*coupl(      &
                        nGC_1401)**3d0*coupl(nGC_4) - 4d0*cima*coupl(nGC_1401  &
                        )**2d0*coupl(nGC_55)*coupl(nGC_617) - 4d0*cima*coupl(  &
                        nGC_1401)*coupl(nGC_4)**3d0 - 9d0*cima*coupl(nGC_1589)*&
                        coupl(nGC_1751)**2d0*coupl(nGC_2155) - 9d0*cima*coupl( &
                        nGC_1589)*coupl(nGC_2155)*coupl(nGC_3)**2d0 - 9d0*cima*&
                        coupl(nGC_1751)**2d0*coupl(nGC_2229)*coupl(nGC_983) -  &
                        9d0*cima*coupl(nGC_1751)**2d0*coupl(nGC_32)**2d0 - 9d0*&
                        cima*coupl(nGC_2229)*coupl(nGC_3)**2d0*coupl(nGC_983   &
                        ) - 48d0*cima*coupl(nGC_26)*coupl(nGC_5) - 9d0*cima*   &
                        coupl(nGC_3)**2d0*coupl(nGC_32)**2d0 - 4d0*cima*coupl( &
                        nGC_4)**2d0*coupl(nGC_55)*coupl(nGC_617) - 32d0*cima*  &
                        coupl(nGC_4)**2d0*coupl(nGC_95)**2d0 - 6d0*coupl(      &
                        nGC_1401)*coupl(nGC_4)*coupl(nGC_6) - 6d0*coupl(       &
                        nGC_1589)*coupl(nGC_1751)*coupl(nGC_48) - 12d0*coupl(  &
                        nGC_1589)*coupl(nGC_2155)*coupl(nGC_5) + 6d0*coupl(    &
                        nGC_1589)*coupl(nGC_3)*coupl(nGC_48) + 36d0*coupl(     &
                        nGC_1751)**2d0*coupl(nGC_26) + 6d0*coupl(nGC_1751)*    &
                        coupl(nGC_2155)*coupl(nGC_48) - 6d0*coupl(nGC_1751)*   &
                        coupl(nGC_2229)*coupl(nGC_40) + 6d0*coupl(nGC_1751)*   &
                        coupl(nGC_32)*coupl(nGC_38) - 6d0*coupl(nGC_1751)*coupl&
                        (nGC_32)*coupl(nGC_39) + 6d0*coupl(nGC_1751)*coupl(    &
                        nGC_40)*coupl(nGC_983) - 6d0*coupl(nGC_2155)*coupl(    &
                        nGC_3)*coupl(nGC_48) + 6d0*coupl(nGC_2229)*coupl(nGC_3 &
                        )*coupl(nGC_40) - 12d0*coupl(nGC_2229)*coupl(nGC_5)*   &
                        coupl(nGC_983) + 36d0*coupl(nGC_26)*coupl(nGC_3)**2d0  &
                         - 6d0*coupl(nGC_3)*coupl(nGC_32)*coupl(nGC_38) + 6d0* &
                        coupl(nGC_3)*coupl(nGC_32)*coupl(nGC_39) - 6d0*coupl(  &
                        nGC_3)*coupl(nGC_40)*coupl(nGC_983) - 12d0*coupl(nGC_32&
                        )**2d0*coupl(nGC_5) - 6d0*coupl(nGC_55)*coupl(nGC_6)*  &
                        coupl(nGC_617))/(192d0*pi**2d0)
      coupl(nGC_5107) = (-24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_33)**2d0 +  &
                        72d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_33)** &
                        2d0 - 24d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_33)**2d0&
                         + 6d0*cima*coupl(nGC_1611)**2d0 - 48d0*cima*coupl(    &
                        nGC_1751)**2d0*coupl(nGC_3)**2d0 - 32d0*cima*coupl(    &
                        nGC_1751)**2d0*coupl(nGC_37)**2d0 - 16d0*cima*coupl(   &
                        nGC_3)**2d0*coupl(nGC_991)**2d0 - 24d0*cima*coupl(     &
                        nGC_33)**2d0*coupl(nGC_4)**2d0 + 6d0*cima*coupl(nGC_41 &
                        )**2d0 - 24d0*coupl(nGC_1611)*coupl(nGC_1751)*coupl(   &
                        nGC_3) - 3d0*coupl(nGC_1661)*coupl(nGC_1751)**2d0 + 6d0&
                        *coupl(nGC_1661)*coupl(nGC_3)**2d0 - 36d0*coupl(       &
                        nGC_1751)*coupl(nGC_37)*coupl(nGC_41) + 6d0*coupl(nGC_3&
                        )**2d0*coupl(nGC_5) + 12d0*coupl(nGC_3)*coupl(nGC_41)* &
                        coupl(nGC_991) + 6d0*coupl(nGC_37)**2d0*coupl(nGC_5))/(&
                        192d0*pi**2d0)
      coupl(nGC_7256) = coupl(nGC_17)*dZZA_QED2/2d0 + coupl(nGC_40)*dZHlHh_QED2&
                        /2d0 + coupl(nGC_48)*dZA_QED2/2d0 + coupl(nGC_48)*     &
                        dZHh_QED2/2d0 + coupl(nGC_48)*dZWMinus_QED2/2d0 + coupl&
                        (nGC_5239)
      coupl(nGC_8037) = coupl(nGC_51)*dZZ_QED2/2d0 + coupl(nGC_51)*dZtR_QED2 + &
                        coupl(nGC_5273)
      coupl(nGC_9123) = coupl(nGC_9121) + coupl(nGC_9122)
      coupl(nGC_7399) = coupl(nGC_5229) + coupl(nGC_74)*dZHhHl_QED2/2d0 + coupl&
                        (nGC_75)*dZHl_QED2/2d0 + coupl(nGC_TS_GC_18_Hh) + coupl&
                        (nGC_TS_GC_20_Hl)
      coupl(nGC_8526) = coupl(nGC_121)*dZuL_QED2/2d0 + coupl(nGC_121)*dZuR_QED2&
                        /2d0 + coupl(nGC_5331)
      coupl(nGC_8039) = coupl(nGC_7044) + coupl(nGC_8037)
      coupl(nGC_8007) = -coupl(nGC_7116)
      coupl(nGC_14538) = -coupl(nGC_4939)
      coupl(nGC_14241) = -coupl(nGC_4938)
      coupl(nGC_7795) = coupl(nGC_7792) + coupl(nGC_7794)
      coupl(nGC_9996) = coupl(nGC_9990) + coupl(nGC_9995)
      coupl(nGC_7335) = coupl(nGC_7330) + coupl(nGC_7334)
      coupl(nGC_14255) = -coupl(nGC_4885)
      coupl(nGC_7341) = -coupl(nGC_7340)
      coupl(nGC_7531) = coupl(nGC_7110) - 2d0*coupl(nGC_7111)
    end subroutine fill_CTcouplings_mdl22
end module fill_ctcouplings22
