!******************************************************************************!
!                                                                              !
!    fill_ctcouplings23.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings23.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 06:18             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings23
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl23()
      coupl(nGC_7112) = -coupl(nGC_7110)/2d0 + coupl(nGC_7111)
      coupl(nGC_7380) = coupl(nGC_7330) + coupl(nGC_7378)
      coupl(nGC_7323) = coupl(nGC_7313) + coupl(nGC_7321)
      coupl(nGC_8461) = coupl(nGC_7313) + coupl(nGC_8459)
      coupl(nGC_7247) = coupl(nGC_7241) + coupl(nGC_7246)
      coupl(nGC_7656) = coupl(nGC_7649) + coupl(nGC_7655)
      coupl(nGC_13985) = -coupl(nGC_4918)
    end subroutine fill_CTcouplings_mdl23
end module fill_ctcouplings23
