!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 06:18             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_8067) = -coupl(nGC_8066)
      coupl(nGC_9041) = coupl(nGC_93)*(dZdL_QED2 + dZdR_QED2)/2d0
      coupl(nGC_9042) = coupl(nGC_93)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_9626) = coupl(nGC_MI)*dZnu_tauL_QED2
      coupl(nGC_TS_GC_83_Hl) = -coupl(nGC_83)*dtHl_QED1/cMHL**2d0
      coupl(nGC_7319) = coupl(nGC_53)*dZdL_QCD2
      coupl(nGC_7316) = coupl(nGC_50)*dZdR_QCD2
      coupl(nGC_TS_GC_25_Hh) = -coupl(nGC_25)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_25_Hl) = -coupl(nGC_25)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_19_Hh) = -coupl(nGC_19)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_99_Hh) = -coupl(nGC_99)*dtHh_QED1/cMHH**2d0
      coupl(nGC_12707) = coupl(nGC_MI)*dZAZ_QED2/2d0
      coupl(nGC_5430) = -cima*dMTA_QED2
      coupl(nGC_12709) = coupl(nGC_MZ)*dZZA_QED2/2d0
      coupl(nGC_12708) = coupl(nGC_MI)*dZZA_QED2/2d0
      coupl(nGC_5320) = coupl(nGC_4768)*dym_QED3
      coupl(nGC_5321) = coupl(nGC_4763)*dym_QED3
      coupl(nGC_5322) = coupl(nGC_4697)*dytau_QED3
      coupl(nGC_5323) = coupl(nGC_4729)*dytau_QED3
      coupl(nGC_5324) = coupl(nGC_4751)*da_QED2 + coupl(nGC_4752)*dye_QED3
      coupl(nGC_5327) = coupl(nGC_4571)*da_QED2 + coupl(nGC_4572)*dye_QED3
      coupl(nGC_TS_GC_65_Hl) = -coupl(nGC_65)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_88_Hl) = -coupl(nGC_88)*dtHl_QED1/cMHL**2d0
      coupl(nGC_5258) = coupl(nGC_4726)*dcw_QED2 + coupl(nGC_4727)*da_QED2 +   &
                        coupl(nGC_4728)*dZee_QED2
      coupl(nGC_5259) = coupl(nGC_4736)*dcw_QED2 + coupl(nGC_4737)*da_QED2 +   &
                        coupl(nGC_4738)*dZee_QED2
      coupl(nGC_5255) = coupl(nGC_4684)*dsw_QED2 + coupl(nGC_4685)*dcw_QED2 +  &
                        coupl(nGC_4686)*da_QED2 + coupl(nGC_4687)*dZee_QED2
      coupl(nGC_5257) = coupl(nGC_4638)*dcw_QED2 + coupl(nGC_4639)*dZee_QED2
      coupl(nGC_5252) = coupl(nGC_4619)*dsw_QED2 + coupl(nGC_4620)*dvev_QED1 + &
                        coupl(nGC_4621)*da_QED2 + coupl(nGC_4622)*dZee_QED2
      coupl(nGC_TS_GC_73_Hh) = -coupl(nGC_73)*dtHh_QED1/cMHH**2d0
      coupl(nGC_9900) = coupl(nGC_MI)*dZuR_QCD2
      coupl(nGC_10312) = coupl(nGC_MI)*dZtL_QED2
      coupl(nGC_7300) = coupl(nGC_11)*dZbR_QCD2
      coupl(nGC_7301) = coupl(nGC_11)*dZbL_QED2
      coupl(nGC_7302) = coupl(nGC_11)*dZbL_QCD2
      coupl(nGC_5429) = -cima*dMM_QED2
      coupl(nGC_5319) = coupl(nGC_4733)*dye_QED3
      coupl(nGC_5318) = coupl(nGC_4730)*dye_QED3
      coupl(nGC_5315) = -cima*dye_QED3
      coupl(nGC_5317) = -cima*dytau_QED3
      coupl(nGC_5316) = -cima*dym_QED3
      coupl(nGC_5311) = coupl(nGC_4631)*da_QED2 + coupl(nGC_4632)*dys_QED3
      coupl(nGC_5312) = coupl(nGC_4632)*dys_QED1_QCD2
      coupl(nGC_5268) = coupl(nGC_4741)*dsw_QED2 + coupl(nGC_4742)*dvev_QED1 + &
                        coupl(nGC_4743)*dcw_QED2 + coupl(nGC_4744)*da_QED2 +   &
                        coupl(nGC_4745)*dZee_QED2
      coupl(nGC_8684) = coupl(nGC_5268) + coupl(nGC_72)*dZHlHh_QED2/2d0 + coupl&
                        (nGC_73)*dZHh_QED2/2d0 + coupl(nGC_73)*dZZ_QED2 + coupl&
                        (nGC_TS_GC_66_Hl) + coupl(nGC_TS_GC_67_Hh)
      coupl(nGC_5260) = coupl(nGC_4704)*dcw_QED2 + coupl(nGC_4705)*dvev_QED1 + &
                        coupl(nGC_4706)*dZee_QED2
      coupl(nGC_8686) = coupl(nGC_MI)*dZeMinusL_QED2
      coupl(nGC_8687) = coupl(nGC_ME)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
      coupl(nGC_5265) = coupl(nGC_4722)*dsw_QED2 + coupl(nGC_4723)*dcw_QED2 +  &
                        coupl(nGC_4724)*da_QED2 + coupl(nGC_4725)*dZee_QED2
      coupl(nGC_5264) = coupl(nGC_4710)*dsw_QED2 + coupl(nGC_4711)*dcw_QED2 +  &
                        coupl(nGC_4712)*da_QED2 + coupl(nGC_4713)*dZee_QED2
      coupl(nGC_5266) = coupl(nGC_4828)*dsw_QED2 + coupl(nGC_4829)*dcw_QED2 +  &
                        coupl(nGC_4830)*da_QED2 + coupl(nGC_4831)*dZee_QED2
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
