!******************************************************************************!
!                                                                              !
!    fill_ctcouplings5.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings5.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 06:18             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings5
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl5()
      coupl(nGC_4875) = cima*(-coupl(nGC_33)**2d0 - coupl(nGC_56)**2d0)/(16d0* &
                        pi**2d0)
      coupl(nGC_4874) = cMM*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_52)*coupl(    &
                        nGC_55))/(8d0*pi**2d0)
      coupl(nGC_4901) = coupl(nGC_4)*(4d0*coupl(nGC_4)**2d0 + 4d0*coupl(nGC_52 &
                        )**2d0 + coupl(nGC_96)*coupl(nGC_97) + coupl(nGC_98)** &
                        2d0 + coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_4900) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_50 &
                        )**2d0 + coupl(nGC_1)*coupl(nGC_91)*coupl(nGC_92) +    &
                        coupl(nGC_1)*coupl(nGC_93)**2d0 + coupl(nGC_1)*coupl(  &
                        nGC_94)**2d0 + coupl(nGC_2)*coupl(nGC_90)**2d0)/(32d0* &
                        pi**2d0)
      coupl(nGC_9146) = coupl(nGC_I)*dZHh_QED2
      coupl(nGC_7211) = coupl(nGC_5290) + coupl(nGC_80)*dZbR_QED2/2d0 + coupl( &
                        nGC_80)*dZtL_QED2/2d0
      coupl(nGC_7217) = coupl(nGC_2)*dZtR_QCD2
      coupl(nGC_11156) = coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_10378) = coupl(nGC_124)*(dZuL_QED2 + dZuR_QED2)/2d0
      coupl(nGC_10379) = coupl(nGC_124)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_7687) = coupl(nGC_56)*dZZA_QED2/2d0
      coupl(nGC_7105) = coupl(nGC_33)*(dZbL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_11889) = coupl(nGC_MI)*dZsR_QCD2
      coupl(nGC_11888) = coupl(nGC_MI)*dZsR_QED2
      coupl(nGC_11881) = coupl(nGC_MI)*dZsL_QCD2
      coupl(nGC_11880) = coupl(nGC_MI)*dZsL_QED2
      coupl(nGC_11883) = coupl(nGC_MS)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_11882) = coupl(nGC_MS)*(dZsL_QED2 + dZsR_QED2)/2d0
      coupl(nGC_5052) = coupl(nGC_11)**2d0*coupl(nGC_53)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_5053) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_50) + 4d0*coupl(nGC_50&
                        )**3d0 + coupl(nGC_53)*coupl(nGC_81)*coupl(nGC_82) +   &
                        coupl(nGC_53)*coupl(nGC_83)**2d0 + coupl(nGC_53)*coupl(&
                        nGC_84)**2d0 + coupl(nGC_54)*coupl(nGC_80)**2d0)/(32d0*&
                        pi**2d0)
      coupl(nGC_5056) = coupl(nGC_11)**2d0*coupl(nGC_54)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_5057) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_51) + 4d0*coupl(nGC_51&
                        )**3d0 + coupl(nGC_53)*coupl(nGC_85)**2d0 + coupl(     &
                        nGC_54)*coupl(nGC_86)*coupl(nGC_87) + coupl(nGC_54)*   &
                        coupl(nGC_88)**2d0 + coupl(nGC_54)*coupl(nGC_89)**2d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_5054) = coupl(nGC_11)**2d0*coupl(nGC_50)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_23_Hl) = -coupl(nGC_23)*dtHl_QED1/cMHL**2d0
      coupl(nGC_5058) = coupl(nGC_11)**2d0*coupl(nGC_51)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_5059) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_53) + coupl(nGC_120)**&
                        2d0*coupl(nGC_51) - 4d0*coupl(nGC_33)**2d0*coupl(nGC_37&
                        ) + 4d0*coupl(nGC_33)**2d0*coupl(nGC_54) + coupl(nGC_50&
                        )*coupl(nGC_91)*coupl(nGC_92) + coupl(nGC_50)*coupl(   &
                        nGC_93)**2d0 + coupl(nGC_50)*coupl(nGC_94)**2d0 + 4d0* &
                        coupl(nGC_53)**3d0)/(32d0*pi**2d0)
      coupl(nGC_7044) = coupl(nGC_2)*dZAZ_QED2/2d0
      coupl(nGC_TS_GC_46_Hh) = -coupl(nGC_46)*dtHh_QED1/cMHH**2d0
      coupl(nGC_8525) = coupl(nGC_122)*dZuL_QED2/2d0 + coupl(nGC_122)*dZuR_QED2&
                        /2d0 + coupl(nGC_5333)
      coupl(nGC_5209) = cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
      coupl(nGC_5208) = -3d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc &
                        **3d0)
      coupl(nGC_4860) = cMC*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_51)*coupl(    &
                        nGC_54))/(8d0*pi**2d0)
      coupl(nGC_4861) = cMC*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_4862) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_51)**2d0)/(16d0*pi&
                        **2d0)
      coupl(nGC_4863) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_50)*coupl(    &
                        nGC_53))/(8d0*pi**2d0)
      coupl(nGC_4864) = cMD*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_4865) = cima*(coupl(nGC_4)**2d0 + coupl(nGC_52)**2d0)/(16d0*pi &
                        **2d0)
      coupl(nGC_4866) = cima*(coupl(nGC_33)**2d0 + coupl(nGC_4)**2d0 + coupl(  &
                        nGC_55)**2d0)/(16d0*pi**2d0)
      coupl(nGC_4867) = cME*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_52)*coupl(    &
                        nGC_55))/(8d0*pi**2d0)
      coupl(nGC_4915) = (coupl(nGC_1)*coupl(nGC_120)**2d0 + coupl(nGC_121)*    &
                        coupl(nGC_122)*coupl(nGC_2) + coupl(nGC_123)**2d0*coupl&
                        (nGC_2) + coupl(nGC_124)**2d0*coupl(nGC_2) + 4d0*coupl(&
                        nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_51)**2d0)/(   &
                        32d0*pi**2d0)
      coupl(nGC_5426) = -cima*dMHH2_QED2
      coupl(nGC_5425) = -cima*dMHL2_QED2
      coupl(nGC_7351) = coupl(nGC_99)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
      coupl(nGC_7355) = coupl(nGC_5327) + coupl(nGC_98)*dZHlHh_QED2/2d0 + coupl&
                        (nGC_99)*dZHh_QED2/2d0
      coupl(nGC_5300) = coupl(nGC_4735)*dyb_QED3
      coupl(nGC_7594) = coupl(nGC_4)*dZWMinus_QED2/2d0 + coupl(nGC_5236)
      coupl(nGC_11162) = -coupl(nGC_11156)
      coupl(nGC_7173) = coupl(nGC_5279) + coupl(nGC_90)*dZdR_QCD2/2d0 + coupl( &
                        nGC_90)*dZuL_QCD2/2d0
      coupl(nGC_7172) = coupl(nGC_120)*dZdL_QCD2/2d0 + coupl(nGC_120)*dZuR_QCD2&
                        /2d0 + coupl(nGC_5281)
      coupl(nGC_7175) = coupl(nGC_5280) + coupl(nGC_90)*dZdR_QED2/2d0 + coupl( &
                        nGC_90)*dZuL_QED2/2d0
    end subroutine fill_CTcouplings_mdl5
end module fill_ctcouplings5
