!******************************************************************************!
!                                                                              !
!    fill_ctcouplings6.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings6.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 06:18             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings6
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl6()
      coupl(nGC_7174) = coupl(nGC_120)*dZdL_QED2/2d0 + coupl(nGC_120)*dZuR_QED2&
                        /2d0 + coupl(nGC_5282)
      coupl(nGC_5192) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_50) + coupl&
                        (nGC_51) + coupl(nGC_53) + coupl(nGC_54))/(128d0*pi**  &
                        2d0)
      coupl(nGC_5191) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_50) -     &
                        coupl(nGC_51) - coupl(nGC_53) - coupl(nGC_54))/(64d0*pi&
                        **2d0*Nc)
      coupl(nGC_5190) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_50) + coupl&
                        (nGC_51) + coupl(nGC_53) + coupl(nGC_54))/(32d0*pi**2d0&
                        *Nc**2d0)
      coupl(nGC_7952) = coupl(nGC_41)*dZZA_QED2
      coupl(nGC_7917) = coupl(nGC_5318) + coupl(nGC_96)*dZeMinusL_QED2/2d0 +   &
                        coupl(nGC_96)*dZeMinusR_QED2/2d0
      coupl(nGC_7916) = coupl(nGC_5319) + coupl(nGC_97)*dZeMinusL_QED2/2d0 +   &
                        coupl(nGC_97)*dZeMinusR_QED2/2d0
      coupl(nGC_5210) = coupl(nGC_4657)*dZgs_QCD2
      coupl(nGC_5211) = coupl(nGC_4731)*dZgs_QCD2
      coupl(nGC_5212) = coupl(nGC_4819)*dZee_QED2
      coupl(nGC_5213) = coupl(nGC_4569)*dZee_QED2
      coupl(nGC_5214) = coupl(nGC_4605)*dsw_QED2 + coupl(nGC_4606)*dcw_QED2 +  &
                        coupl(nGC_4607)*dZee_QED2
      coupl(nGC_5215) = coupl(nGC_4575)*dsw_QED2 + coupl(nGC_4576)*dZee_QED2
      coupl(nGC_5216) = coupl(nGC_4616)*dsw_QED2 + coupl(nGC_4617)*dcw_QED2 +  &
                        coupl(nGC_4618)*dZee_QED2
      coupl(nGC_5218) = coupl(nGC_4764)*da_QED2 + coupl(nGC_4765)*dl2_QED4 +   &
                        coupl(nGC_4766)*dl1_QED4 + coupl(nGC_4767)*dl3_QED4
      coupl(nGC_5219) = coupl(nGC_4746)*dl2_QED4
      coupl(nGC_5328) = coupl(nGC_4793)*da_QED2 + coupl(nGC_4794)*dym_QED3
      coupl(nGC_4855) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_33)**2d0 - coupl( &
                        nGC_53)**2d0)/(16d0*pi**2d0)
      coupl(nGC_7770) = coupl(nGC_105)*dZcL_QED2/2d0 + coupl(nGC_105)*dZsR_QED2&
                        /2d0 + coupl(nGC_5284)
      coupl(nGC_4857) = cMB*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_4856) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_50)*coupl(    &
                        nGC_53))/(8d0*pi**2d0)
      coupl(nGC_7779) = coupl(nGC_30)*dZHlHh_QED2 + coupl(nGC_31)*dZHh_QED2 +  &
                        coupl(nGC_31)*dZWMinus_QED2 + coupl(nGC_5250)
      coupl(nGC_4859) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_33)**2d0 - coupl( &
                        nGC_54)**2d0)/(16d0*pi**2d0)
      coupl(nGC_4858) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_50)**2d0)/(16d0*pi&
                        **2d0)
      coupl(nGC_12180) = -coupl(nGC_12179)
      coupl(nGC_5438) = -cima*dMD_QCD2
      coupl(nGC_5439) = -cima*dMS_QED2
      coupl(nGC_4909) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_106)*  &
                        coupl(nGC_107) + coupl(nGC_1)*coupl(nGC_108)**2d0 +    &
                        coupl(nGC_1)*coupl(nGC_109)**2d0 + 4d0*coupl(nGC_1)*   &
                        coupl(nGC_50)**2d0 + coupl(nGC_105)**2d0*coupl(nGC_2   &
                        ))/(32d0*pi**2d0)
      coupl(nGC_5431) = -cima*dMU_QED2
      coupl(nGC_5432) = -cima*dMU_QCD2
      coupl(nGC_5433) = -cima*dMC_QED2
      coupl(nGC_5434) = -cima*dMC_QCD2
      coupl(nGC_5435) = -cima*dMT_QED2
      coupl(nGC_5436) = -cima*dMT_QCD2
      coupl(nGC_5437) = -cima*dMD_QED2
      coupl(nGC_7583) = coupl(nGC_102)*dZmuMinusL_QED2/2d0 + coupl(nGC_102)*   &
                        dZmuMinusR_QED2/2d0 + coupl(nGC_5320)
      coupl(nGC_TS_GC_35_Hl) = -coupl(nGC_35)*dtHl_QED1/cMHL**2d0
      coupl(nGC_7584) = coupl(nGC_101)*dZmuMinusL_QED2/2d0 + coupl(nGC_101)*   &
                        dZmuMinusR_QED2/2d0 + coupl(nGC_5321)
      coupl(nGC_TS_GC_75_Hl) = -coupl(nGC_75)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_21_Hl) = -coupl(nGC_21)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_21_Hh) = -coupl(nGC_21)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_76_Hl) = -coupl(nGC_76)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_76_Hh) = -coupl(nGC_76)*dtHh_QED1/cMHH**2d0
      coupl(nGC_11373) = coupl(nGC_I)*dZHlHh_QED2/2d0
      coupl(nGC_11374) = coupl(nGC_I)*dZHhHl_QED2/2d0
      coupl(nGC_11379) = coupl(nGC_MHH)*dZHhHl_QED2/2d0 + coupl(nGC_MHL)*      &
                         dZHlHh_QED2/2d0 + coupl(nGC_TS_GC_76_Hl) + coupl(     &
                         nGC_TS_GC_79_Hh)
      coupl(nGC_TS_GC_109_Hh) = -coupl(nGC_109)*dtHh_QED1/cMHH**2d0
      coupl(nGC_7161) = coupl(nGC_29)*dZZA_QED2/2d0 + coupl(nGC_5)*dZAZ_QED2/2d0
      coupl(nGC_7162) = coupl(nGC_41)*dZA_QED2/2d0 + coupl(nGC_41)*            &
                        dZWMinus_QED2 + coupl(nGC_41)*dZZ_QED2/2d0 + coupl(    &
                        nGC_5216)
      coupl(nGC_5180) = -cima*coupl(nGC_11)**2d0*coupl(nGC_33)**2d0*sq2**2d0/( &
                        32d0*pi**2d0*Nc)
    end subroutine fill_CTcouplings_mdl6
end module fill_ctcouplings6
