!******************************************************************************!
!                                                                              !
!    fill_ctcouplings7.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings7.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 06:18             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings7
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl7()
      coupl(nGC_5188) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_50)**2d0  &
                         - coupl(nGC_51)**2d0 - coupl(nGC_53)**2d0 - coupl(    &
                        nGC_54)**2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_5189) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_50)**2d0 + &
                        coupl(nGC_51)**2d0 + coupl(nGC_53)**2d0 + coupl(nGC_54 &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_5015) = coupl(nGC_11)**2d0*coupl(nGC_124)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_5012) = (coupl(nGC_115)*coupl(nGC_33)*coupl(nGC_47) - coupl(   &
                        nGC_117)**2d0*coupl(nGC_119) - coupl(nGC_117)*coupl(   &
                        nGC_52)*coupl(nGC_61) + coupl(nGC_117)*coupl(nGC_55)*  &
                        coupl(nGC_61) - coupl(nGC_118)**2d0*coupl(nGC_119) -   &
                        coupl(nGC_119)**3d0 + 8d0*coupl(nGC_119)*coupl(nGC_4)**&
                        2d0 + 8d0*coupl(nGC_119)*coupl(nGC_52)*coupl(nGC_55))/(&
                        32d0*pi**2d0)
      coupl(nGC_5042) = (coupl(nGC_120)*coupl(nGC_33)*coupl(nGC_34) - coupl(   &
                        nGC_120)*coupl(nGC_90)*coupl(nGC_93) - coupl(nGC_121)**&
                        2d0*coupl(nGC_123) - coupl(nGC_121)*coupl(nGC_51)*coupl&
                        (nGC_57) + coupl(nGC_121)*coupl(nGC_54)*coupl(nGC_57   &
                        ) - coupl(nGC_123)**3d0 - coupl(nGC_123)*coupl(nGC_124 &
                        )**2d0 + 8d0*coupl(nGC_123)*coupl(nGC_2)**2d0 + 8d0*   &
                        coupl(nGC_123)*coupl(nGC_51)*coupl(nGC_54))/(32d0*pi** &
                        2d0)
      coupl(nGC_5013) = (coupl(nGC_120)*coupl(nGC_33)*coupl(nGC_46) - coupl(   &
                        nGC_120)*coupl(nGC_90)*coupl(nGC_94) - coupl(nGC_121)**&
                        2d0*coupl(nGC_124) - coupl(nGC_121)*coupl(nGC_51)*coupl&
                        (nGC_61) + coupl(nGC_121)*coupl(nGC_54)*coupl(nGC_61   &
                        ) - coupl(nGC_123)**2d0*coupl(nGC_124) - coupl(nGC_124 &
                        )**3d0 + 8d0*coupl(nGC_124)*coupl(nGC_2)**2d0 + 8d0*   &
                        coupl(nGC_124)*coupl(nGC_51)*coupl(nGC_54))/(32d0*pi** &
                        2d0)
      coupl(nGC_7189) = coupl(nGC_33)*(dZdL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_5134) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +  &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0)
      coupl(nGC_7441) = coupl(nGC_4)*dZeMinusR_QED2 + coupl(nGC_52)*dZZA_QED2/ &
                        2d0
      coupl(nGC_TS_GC_72_Hl) = -coupl(nGC_72)*dtHl_QED1/cMHL**2d0
      coupl(nGC_8222) = coupl(nGC_MI)*dZdL_QED2
      coupl(nGC_8223) = coupl(nGC_MI)*dZdL_QCD2
      coupl(nGC_5011) = (-coupl(nGC_115)*coupl(nGC_33)*coupl(nGC_46) - coupl(  &
                        nGC_116)**2d0*coupl(nGC_119) + coupl(nGC_116)*coupl(   &
                        nGC_52)*coupl(nGC_61) - coupl(nGC_116)*coupl(nGC_55)*  &
                        coupl(nGC_61) - coupl(nGC_118)**2d0*coupl(nGC_119) -   &
                        coupl(nGC_119)**3d0 + 8d0*coupl(nGC_119)*coupl(nGC_4)**&
                        2d0 + 8d0*coupl(nGC_119)*coupl(nGC_52)*coupl(nGC_55))/(&
                        32d0*pi**2d0)
      coupl(nGC_8226) = coupl(nGC_MI)*dZdR_QED2
      coupl(nGC_8227) = coupl(nGC_MI)*dZdR_QCD2
      coupl(nGC_8224) = coupl(nGC_MD)*(dZdL_QED2 + dZdR_QED2)/2d0
      coupl(nGC_8225) = coupl(nGC_MD)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_7865) = coupl(nGC_5433) + coupl(nGC_TS_GC_88_Hl) + coupl(      &
                        nGC_TS_GC_89_Hh)
      coupl(nGC_7867) = coupl(nGC_5434) + coupl(nGC_7858)
      coupl(nGC_7866) = coupl(nGC_7857) + coupl(nGC_7865)
      coupl(nGC_TS_GC_47_Hh) = -coupl(nGC_47)*dtHh_QED1/cMHH**2d0
      coupl(nGC_5001) = coupl(nGC_11)**2d0*sq2**2d0*(cMB*coupl(nGC_84) + cMC*  &
                        coupl(nGC_89) + cMD*coupl(nGC_94) + cMS*coupl(nGC_109  &
                        ) + cMT*coupl(nGC_114) + cMU*coupl(nGC_124))/(16d0*pi**&
                        2d0*Nc)
      coupl(nGC_5003) = (-coupl(nGC_100)*coupl(nGC_33)*coupl(nGC_46) - coupl(  &
                        nGC_101)**2d0*coupl(nGC_104) + coupl(nGC_101)*coupl(   &
                        nGC_52)*coupl(nGC_61) - coupl(nGC_101)*coupl(nGC_55)*  &
                        coupl(nGC_61) - coupl(nGC_103)**2d0*coupl(nGC_104) -   &
                        coupl(nGC_104)**3d0 + 8d0*coupl(nGC_104)*coupl(nGC_4)**&
                        2d0 + 8d0*coupl(nGC_104)*coupl(nGC_52)*coupl(nGC_55))/(&
                        32d0*pi**2d0)
      coupl(nGC_5002) = coupl(nGC_11)**2d0*sq2**2d0*(-cMB*coupl(nGC_84) - cMC* &
                        coupl(nGC_89) - cMD*coupl(nGC_94) - cMS*coupl(nGC_109  &
                        ) - cMT*coupl(nGC_114) - cMU*coupl(nGC_124))/(16d0*pi**&
                        2d0)
      coupl(nGC_5005) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_109) + coupl(nGC_105)*&
                        coupl(nGC_33)*coupl(nGC_47) - coupl(nGC_105)*coupl(    &
                        nGC_85)*coupl(nGC_89) - coupl(nGC_107)**2d0*coupl(     &
                        nGC_109) - coupl(nGC_107)*coupl(nGC_50)*coupl(nGC_61   &
                        ) + coupl(nGC_107)*coupl(nGC_53)*coupl(nGC_61) - coupl(&
                        nGC_108)**2d0*coupl(nGC_109) - coupl(nGC_109)**3d0 +   &
                        8d0*coupl(nGC_109)*coupl(nGC_50)*coupl(nGC_53))/(32d0* &
                        pi**2d0)
      coupl(nGC_5004) = (coupl(nGC_100)*coupl(nGC_33)*coupl(nGC_47) - coupl(   &
                        nGC_102)**2d0*coupl(nGC_104) - coupl(nGC_102)*coupl(   &
                        nGC_52)*coupl(nGC_61) + coupl(nGC_102)*coupl(nGC_55)*  &
                        coupl(nGC_61) - coupl(nGC_103)**2d0*coupl(nGC_104) -   &
                        coupl(nGC_104)**3d0 + 8d0*coupl(nGC_104)*coupl(nGC_4)**&
                        2d0 + 8d0*coupl(nGC_104)*coupl(nGC_52)*coupl(nGC_55))/(&
                        32d0*pi**2d0)
      coupl(nGC_5007) = coupl(nGC_109)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_5006) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_109) - coupl(nGC_105)*&
                        coupl(nGC_33)*coupl(nGC_46) - coupl(nGC_105)*coupl(    &
                        nGC_85)*coupl(nGC_89) - coupl(nGC_106)**2d0*coupl(     &
                        nGC_109) + coupl(nGC_106)*coupl(nGC_50)*coupl(nGC_61   &
                        ) - coupl(nGC_106)*coupl(nGC_53)*coupl(nGC_61) - coupl(&
                        nGC_108)**2d0*coupl(nGC_109) - coupl(nGC_109)**3d0 +   &
                        8d0*coupl(nGC_109)*coupl(nGC_50)*coupl(nGC_53))/(32d0* &
                        pi**2d0)
      coupl(nGC_5009) = (-coupl(nGC_110)*coupl(nGC_33)*coupl(nGC_47) - coupl(  &
                        nGC_110)*coupl(nGC_80)*coupl(nGC_84) - coupl(nGC_112)**&
                        2d0*coupl(nGC_114) + coupl(nGC_112)*coupl(nGC_51)*coupl&
                        (nGC_61) - coupl(nGC_112)*coupl(nGC_54)*coupl(nGC_61   &
                        ) - coupl(nGC_113)**2d0*coupl(nGC_114) - coupl(nGC_114 &
                        )**3d0 + 8d0*coupl(nGC_114)*coupl(nGC_2)**2d0 + 8d0*   &
                        coupl(nGC_114)*coupl(nGC_51)*coupl(nGC_54))/(32d0*pi** &
                        2d0)
      coupl(nGC_7047) = coupl(nGC_51)*dZcR_QCD2
      coupl(nGC_7544) = coupl(nGC_33)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_8703) = coupl(nGC_5445) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_8702) = coupl(nGC_TS_GC_34_Hl) + coupl(nGC_TS_GC_46_Hh)
      coupl(nGC_7576) = coupl(nGC_5266) + coupl(nGC_66)*dZHlHh_QED2 + coupl(   &
                        nGC_67)*dZHh_QED2 + coupl(nGC_67)*dZZ_QED2
      coupl(nGC_5256) = coupl(nGC_4658)*dsw_QED2 + coupl(nGC_4659)*dcw_QED2 +  &
                        coupl(nGC_4660)*dZee_QED2
      coupl(nGC_9452) = coupl(nGC_5442) + coupl(nGC_9443)
      coupl(nGC_7703) = coupl(nGC_5291) + coupl(nGC_91)*dZdL_QCD2/2d0 + coupl( &
                        nGC_91)*dZdR_QCD2/2d0
      coupl(nGC_8486) = coupl(nGC_107)*dZsL_QED2/2d0 + coupl(nGC_107)*dZsR_QED2&
                        /2d0 + coupl(nGC_5296)
      coupl(nGC_8487) = coupl(nGC_106)*dZsL_QED2/2d0 + coupl(nGC_106)*dZsR_QED2&
                        /2d0 + coupl(nGC_5298)
      coupl(nGC_8484) = coupl(nGC_107)*dZsL_QCD2/2d0 + coupl(nGC_107)*dZsR_QCD2&
                        /2d0 + coupl(nGC_5295)
      coupl(nGC_8485) = coupl(nGC_106)*dZsL_QCD2/2d0 + coupl(nGC_106)*dZsR_QCD2&
                        /2d0 + coupl(nGC_5297)
      coupl(nGC_5241) = coupl(nGC_4579)*dsw_QED2 + coupl(nGC_4580)*dZee_QED2
      coupl(nGC_7705) = coupl(nGC_5292) + coupl(nGC_91)*dZdL_QED2/2d0 + coupl( &
                        nGC_91)*dZdR_QED2/2d0
      coupl(nGC_5346) = coupl(nGC_275)*da_QED2 + coupl(nGC_277)*dyt_QED3
      coupl(nGC_5347) = coupl(nGC_277)*dyt_QED1_QCD2
      coupl(nGC_5344) = coupl(nGC_4823)*dyc_QED1_QCD2
      coupl(nGC_5345) = coupl(nGC_4823)*dyc_QED3 + coupl(nGC_4824)*da_QED2
      coupl(nGC_5229) = coupl(nGC_4714)*da_QED2 + coupl(nGC_4715)*dl2_QED4 +   &
                        coupl(nGC_4716)*dvev_QED1 + coupl(nGC_4717)*dvevs_QED1 &
                         + coupl(nGC_4718)*dl3_QED4
      coupl(nGC_5228) = coupl(nGC_4747)*da_QED2 + coupl(nGC_4748)*dl2_QED4 +   &
                        coupl(nGC_4749)*dl1_QED4 + coupl(nGC_4750)*dl3_QED4
      coupl(nGC_5225) = coupl(nGC_4773)*da_QED2 + coupl(nGC_4774)*dl2_QED4 +   &
                        coupl(nGC_4775)*dl1_QED4 + coupl(nGC_4776)*dl3_QED4
    end subroutine fill_CTcouplings_mdl7
end module fill_ctcouplings7
