!******************************************************************************!
!                                                                              !
!    ctparameter146.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter146.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 06:20             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter146
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter146()
  if (dMD_QED2_scheme .eq. 0) then
    dMD_QED2 = (2d0*Ten268*cMD*coupl(nGC_1)**2d0 + Ten269*cMD*(-2d0*coupl(     &
               nGC_50)**2d0 + 8d0*coupl(nGC_50)*coupl(nGC_53) - 2d0*coupl(     &
               nGC_53)**2d0 - coupl(nGC_91)**2d0 - 2d0*coupl(nGC_91)*coupl(    &
               nGC_92) - coupl(nGC_92)**2d0)/2d0 + Ten270*(-cMD*coupl(nGC_120  &
               )**2d0/2d0 - cMD*coupl(nGC_33)**2d0 - cMD*coupl(nGC_90)**2d0/2d0&
                - cMU*coupl(nGC_120)*coupl(nGC_90)) + Ten271*cMD*coupl(nGC_93  &
               )**2d0 + Ten272*cMD*coupl(nGC_94)**2d0 - 2d0*Ten273*cMD*coupl(  &
               nGC_1)**2d0 + Ten274*cMD*(-coupl(nGC_50)**2d0 - coupl(nGC_53)** &
               2d0 - coupl(nGC_91)*coupl(nGC_92)) + Ten275*cMD*(-coupl(nGC_120 &
               )**2d0 - 2d0*coupl(nGC_33)**2d0 - coupl(nGC_90)**2d0)/2d0 -     &
               Ten276*cMD*coupl(nGC_93)**2d0 - Ten277*cMD*coupl(nGC_94)**2d0 + &
               pi**2d0*(-cMD*coupl(nGC_1)**2d0/pi**2d0 + cMD*coupl(nGC_33)**2d0&
               /(2d0*pi**2d0) + cMD*coupl(nGC_50)**2d0/(2d0*pi**2d0) - 2d0*cMD*&
               coupl(nGC_50)*coupl(nGC_53)/pi**2d0 + cMD*coupl(nGC_53)**2d0/(  &
               2d0*pi**2d0)))/(16d0*pi**2d0) + cima*coupl(nGC_93)*dtHl_QED1/   &
               cMHL**2d0 + cima*coupl(nGC_94)*dtHh_QED1/cMHH**2d0
    dMD_QED2 = cone*real(dMD_QED2,kind=dp)
  end if 
end subroutine set_ctparameter146
end module ctparameter146
