!******************************************************************************!
!                                                                              !
!    ctparameter69.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter69.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 06:20             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter69
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter69()
  dalZ_QED2 = (16d0*pi*Nc*Ten417*aEW*(2d0*MB**2d0 + rMZ**2d0)/(27d0*rMZ**2d0   &
              ) + 64d0*pi*Nc*Ten418*aEW*(2d0*MC**2d0 + rMZ**2d0)/(27d0*rMZ**2d0&
              ) + 64d0*pi*Nc*Ten549*aEW*(-2d0*MU**2d0 - rMZ**2d0)/(27d0*rMZ**  &
              2d0) + 64d0*pi*Nc*Ten550*aEW*(-2d0*MC**2d0 - rMZ**2d0)/(27d0*rMZ &
              **2d0) + 16d0*pi*Nc*Ten552*aEW*(-2d0*MD**2d0 - rMZ**2d0)/(27d0*  &
              rMZ**2d0) + 16d0*pi*Nc*Ten553*aEW*(-2d0*MS**2d0 - rMZ**2d0)/(27d0&
              *rMZ**2d0) + 16d0*pi*Nc*Ten554*aEW*(-2d0*MB**2d0 - rMZ**2d0)/(   &
              27d0*rMZ**2d0) + 16d0*pi*Nc*Ten668*aEW*(2d0*MD**2d0 + rMZ**2d0)/(&
              27d0*rMZ**2d0) + 16d0*pi*Nc*Ten669*aEW*(2d0*MS**2d0 + rMZ**2d0)/(&
              27d0*rMZ**2d0) + 64d0*pi*Nc*Ten670*aEW*(2d0*MU**2d0 + rMZ**2d0)/(&
              27d0*rMZ**2d0) + 16d0*pi*Ten546*aEW*(-2d0*ME**2d0 - rMZ**2d0)/(  &
              3d0*rMZ**2d0) + 16d0*pi*Ten547*aEW*(-2d0*MM**2d0 - rMZ**2d0)/(3d0&
              *rMZ**2d0) + 16d0*pi*Ten548*aEW*(-2d0*MTA**2d0 - rMZ**2d0)/(3d0* &
              rMZ**2d0) + 16d0*pi*Ten665*aEW*(2d0*ME**2d0 + rMZ**2d0)/(3d0*rMZ &
              **2d0) + 16d0*pi*Ten666*aEW*(2d0*MM**2d0 + rMZ**2d0)/(3d0*rMZ**  &
              2d0) + 16d0*pi*Ten667*aEW*(2d0*MTA**2d0 + rMZ**2d0)/(3d0*rMZ**2d0&
              ) + pi**2d0*(176d0*Nc*aEW/(81d0*pi) + 16d0*aEW/(3d0*pi)))/(16d0* &
              pi**2d0)
  dalZ_QED2 = cone*real(dalZ_QED2,kind=dp)
end subroutine set_ctparameter69
end module ctparameter69
