!******************************************************************************!
!                                                                              !
!    vertices_info3.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info3.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 06:18             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info3
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl3()
      allocate(vertices(196)%branchCT(0:0))
      call avCT(196, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_7617])

      allocate(vertices(1200)%branchCT(0:1))
      call avCT(1200, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_8116, nGC_8117])

      call avCT(1200, 1, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_8109, nGC_8112])

      allocate(vertices(198)%branchCT(0:0))
      call avCT(198, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7646])

      allocate(vertices(199)%branchCT(0:0))
      call avCT(199, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_8127, nGC_8127])

      allocate(vertices(103)%branchCT(0:0))
      call avCT(103, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_7877])

      allocate(vertices(1198)%branchCT(0:0))
      call avCT(1198, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_7572])

      allocate(vertices(201)%branchCT(0:1))
      call avCT(201, 0, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_7322, nGC_7323])

      call avCT(201, 1, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_7316, nGC_7319])

      allocate(vertices(202)%branchCT(0:1))
      call avCT(202, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_7266, nGC_7266])

      call avCT(202, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_7267, nGC_7267])

      allocate(vertices(203)%branchCT(0:0))
      call avCT(203, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_8154])

      allocate(vertices(204)%branchCT(0:0))
      call avCT(204, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_7572])

      allocate(vertices(205)%branchCT(0:0))
      call avCT(205, 0, 9, 1, 0, VVVV2, 0, [0, 4], [nGC_8072])

      allocate(vertices(206)%branchCT(0:0))
      call avCT(206, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_7527])

      allocate(vertices(207)%branchCT(0:0))
      call avCT(207, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7199])

      allocate(vertices(1401)%branchCT(0:0))
      call avCT(1401, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7611])

      allocate(vertices(1402)%branchCT(0:0))
      call avCT(1402, 0, 14, 1, 0, VS1, 0, [0, 2], [nGC_8172, nGC_8173])

      allocate(vertices(209)%branchCT(0:0))
      call avCT(209, 0, 8, 1, 0, UaUV0, 0, [0, 3], [nGC_8177])

      allocate(vertices(725)%branchCT(0:0))
      call avCT(725, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7971])

      allocate(vertices(1202)%branchCT(0:0))
      call avCT(1202, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7199])

      allocate(vertices(211)%branchCT(0:0))
      call avCT(211, 0, 9, 1, 0, VVVV1, 0, [0, 4], [nGC_8072])

      allocate(vertices(212)%branchCT(0:1))
      call avCT(212, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_7702, nGC_7703])

      call avCT(212, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_7704, nGC_7705])

      allocate(vertices(213)%branchCT(0:0))
      call avCT(213, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7063])

      allocate(vertices(214)%branchCT(0:0))
      call avCT(214, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7063])

      allocate(vertices(215)%branchCT(0:0))
      call avCT(215, 0, 8, 1, 0, SUaU0, 0, [0, 3], [nGC_7947])

      allocate(vertices(216)%branchCT(0:0))
      call avCT(216, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_8211])

      allocate(vertices(217)%branchCT(0:0))
      call avCT(217, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_5358])

      allocate(vertices(218)%branchCT(0:0))
      call avCT(218, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7251])

      allocate(vertices(1403)%branchCT(0:1))
      call avCT(1403, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_8226, nGC_8222,       &
      nGC_8229, nGC_8229])

      call avCT(1403, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_8227, nGC_8223,       &
      nGC_8230, nGC_8230])

      allocate(vertices(1404)%branchCT(0:0))
      call avCT(1404, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_7687])

      allocate(vertices(728)%branchCT(0:0))
      call avCT(728, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_7515])

      allocate(vertices(220)%branchCT(0:1))
      call avCT(220, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_7459, nGC_7460])

      call avCT(220, 1, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_7456, nGC_7452])

      allocate(vertices(221)%branchCT(0:0))
      call avCT(221, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7090])

      allocate(vertices(1405)%branchCT(0:0))
      call avCT(1405, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_7489])

      allocate(vertices(501)%branchCT(0:0))
      call avCT(501, 0, 9, 1, 0, VVVV2, 0, [0, 4], [nGC_8249])

      allocate(vertices(224)%branchCT(0:0))
      call avCT(224, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7043])

      allocate(vertices(225)%branchCT(0:0))
      call avCT(225, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7576])

      allocate(vertices(226)%branchCT(0:0))
      call avCT(226, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7238])

      allocate(vertices(227)%branchCT(0:0))
      call avCT(227, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7842])

      allocate(vertices(228)%branchCT(0:1))
      call avCT(228, 0, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_7545])

      call avCT(228, 1, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_7544])

      allocate(vertices(229)%branchCT(0:0))
      call avCT(229, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_7186])

      allocate(vertices(1406)%branchCT(0:0))
      call avCT(1406, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_7687])

      allocate(vertices(231)%branchCT(0:0))
      call avCT(231, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_8279, nGC_8280])

      allocate(vertices(998)%branchCT(0:0))
      call avCT(998, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_5355])

      allocate(vertices(232)%branchCT(0:0))
      call avCT(232, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7238])

      allocate(vertices(233)%branchCT(0:0))
      call avCT(233, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5221])

      allocate(vertices(235)%branchCT(0:0))
      call avCT(235, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_7877])

      allocate(vertices(236)%branchCT(0:0))
      call avCT(236, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_8292])

      allocate(vertices(237)%branchCT(0:0))
      call avCT(237, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8295])

      allocate(vertices(238)%branchCT(0:0))
      call avCT(238, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_5358])

      allocate(vertices(1407)%branchCT(0:0))
      call avCT(1407, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7180])

      allocate(vertices(239)%branchCT(0:3))
      call avCT(239, 0, 22, 3, 0, FaVF0, 0, [1, 2], [nGC_7026, nGC_7028])

      call avCT(239, 1, 22, 3, 0, FaVF0, 0, [3, 0], [nGC_7031, nGC_7032])

      call avCT(239, 2, 23, 2, 0, FaVF0, 0, [1, 2], [nGC_7026, nGC_7028])

      call avCT(239, 3, 23, 2, 0, FaVF0, 0, [3, 0], [nGC_7031, nGC_7032])

      allocate(vertices(240)%branchCT(0:0))
      call avCT(240, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7646])

      allocate(vertices(241)%branchCT(0:1))
      call avCT(241, 0, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_7106])

      call avCT(241, 1, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_7105])

      allocate(vertices(51)%branchCT(0:0))
      call avCT(51, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7043])

      allocate(vertices(243)%branchCT(0:0))
      call avCT(243, 0, 8, 1, 0, VUUa0, 0, [0, 3], [nGC_7846])

      allocate(vertices(464)%branchCT(0:1))
      call avCT(464, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_8116, nGC_8117])

      call avCT(464, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_8109, nGC_8112])

      allocate(vertices(244)%branchCT(0:0))
      call avCT(244, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_7572])

      allocate(vertices(245)%branchCT(0:0))
      call avCT(245, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7238])

      allocate(vertices(246)%branchCT(0:0))
      call avCT(246, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8339])

      allocate(vertices(247)%branchCT(0:0))
      call avCT(247, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7449])

      allocate(vertices(248)%branchCT(0:0))
      call avCT(248, 0, 8, 1, 0, UUaV0, 0, [0, 3], [nGC_7594])

      allocate(vertices(731)%branchCT(0:0))
      call avCT(731, 0, 9, 1, 0, VVVV2, 0, [0, 4], [nGC_7112])

      allocate(vertices(250)%branchCT(0:0))
      call avCT(250, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_7540, nGC_7541])

      allocate(vertices(251)%branchCT(0:1))
      call avCT(251, 0, 0, 4, 0, UaUV0, 0, [3, 0], [nGC_8356])

      call avCT(251, 1, 1, 5, 0, UaUV0, 0, [3, 0], [nGC_8356])

      allocate(vertices(252)%branchCT(0:0))
      call avCT(252, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_7851, nGC_7852])

      allocate(vertices(966)%branchCT(0:0))
      call avCT(966, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7043])

      allocate(vertices(253)%branchCT(0:0))
      call avCT(253, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7082])

      allocate(vertices(254)%branchCT(0:1))
      call avCT(254, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_7134, nGC_7134])

      call avCT(254, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_7133, nGC_7133])

      allocate(vertices(1208)%branchCT(0:0))
      call avCT(1208, 0, 8, 1, 0, UUaS0, 0, [0, 3], [nGC_7502])

      allocate(vertices(255)%branchCT(0:0))
      call avCT(255, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_5354])

      allocate(vertices(42)%branchCT(0:0))
      call avCT(42, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7345])

      allocate(vertices(257)%branchCT(0:0))
      call avCT(257, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7199])

      allocate(vertices(259)%branchCT(0:0))
      call avCT(259, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_7279])

      allocate(vertices(280)%branchCT(0:0))
      call avCT(280, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7646])

      allocate(vertices(261)%branchCT(0:0))
      call avCT(261, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_7279])

      allocate(vertices(262)%branchCT(0:0))
      call avCT(262, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7090])

      allocate(vertices(263)%branchCT(0:0))
      call avCT(263, 0, 8, 1, 0, UaVU0, 0, [0, 3], [nGC_7846])

      allocate(vertices(264)%branchCT(0:0))
      call avCT(264, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7256])

      allocate(vertices(266)%branchCT(0:0))
      call avCT(266, 0, 8, 1, 0, SUaU0, 0, [0, 3], [nGC_7502])

      allocate(vertices(267)%branchCT(0:0))
      call avCT(267, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_7527])

      allocate(vertices(268)%branchCT(0:0))
      call avCT(268, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_8420, nGC_8421])

      allocate(vertices(269)%branchCT(0:0))
      call avCT(269, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7251])

      allocate(vertices(270)%branchCT(0:1))
      call avCT(270, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_7939, nGC_7939])

      call avCT(270, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_7940, nGC_7940])

      allocate(vertices(271)%branchCT(0:0))
      call avCT(271, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7345])

      allocate(vertices(272)%branchCT(0:3))
      call avCT(272, 0, 24, 3, 0, FaFV1, 0, [1, 2], [nGC_7813, nGC_7815])

      call avCT(272, 1, 24, 3, 0, FaFV1, 0, [3, 0], [nGC_7817, nGC_7818])

      call avCT(272, 2, 25, 2, 0, FaFV1, 0, [1, 2], [nGC_7813, nGC_7815])

      call avCT(272, 3, 25, 2, 0, FaFV1, 0, [3, 0], [nGC_7817, nGC_7818])

      allocate(vertices(274)%branchCT(0:0))
      call avCT(274, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7163])

      allocate(vertices(275)%branchCT(0:1))
      call avCT(275, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_8461, nGC_8462])

      call avCT(275, 1, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_8455, nGC_8458])

      allocate(vertices(276)%branchCT(0:0))
      call avCT(276, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7842])

      allocate(vertices(1408)%branchCT(0:0))
      call avCT(1408, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7429])

      allocate(vertices(277)%branchCT(0:1))
      call avCT(277, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_7569, nGC_7569])

      call avCT(277, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_7567, nGC_7567])

      allocate(vertices(278)%branchCT(0:1))
      call avCT(278, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_8484, nGC_8485])

      call avCT(278, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_8486, nGC_8487])

      allocate(vertices(279)%branchCT(0:0))
      call avCT(279, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7524])

      allocate(vertices(260)%branchCT(0:0))
      call avCT(260, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7251])

      allocate(vertices(281)%branchCT(0:0))
      call avCT(281, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7043])

      allocate(vertices(282)%branchCT(0:1))
      call avCT(282, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_7173, nGC_7172])

      call avCT(282, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_7175, nGC_7174])

      allocate(vertices(283)%branchCT(0:1))
      call avCT(283, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_7717, nGC_7716])

      call avCT(283, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_7719, nGC_7718])

      allocate(vertices(284)%branchCT(0:1))
      call avCT(284, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8524, nGC_8523])

      call avCT(284, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8526, nGC_8525])

      allocate(vertices(285)%branchCT(0:0))
      call avCT(285, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7251])

      allocate(vertices(296)%branchCT(0:1))
      call avCT(296, 0, 38, 4, 0, VUaU0, 0, [3, 0], [nGC_8356])

      call avCT(296, 1, 39, 5, 0, VUaU0, 0, [3, 0], [nGC_8356])

      allocate(vertices(287)%branchCT(0:0))
      call avCT(287, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7043])

      allocate(vertices(288)%branchCT(0:0))
      call avCT(288, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8543])

      allocate(vertices(289)%branchCT(0:0))
      call avCT(289, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7646])

      allocate(vertices(746)%branchCT(0:1))
      call avCT(746, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_7569, nGC_7569])

      call avCT(746, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_7567, nGC_7567])

      allocate(vertices(1319)%branchCT(0:0))
      call avCT(1319, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7368])

      allocate(vertices(291)%branchCT(0:0))
      call avCT(291, 0, 8, 1, 0, UaVU0, 0, [0, 3], [nGC_7594])

      allocate(vertices(292)%branchCT(0:0))
      call avCT(292, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7199])

      allocate(vertices(936)%branchCT(0:0))
      call avCT(936, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7345])

      allocate(vertices(293)%branchCT(0:0))
      call avCT(293, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_8569])

      allocate(vertices(973)%branchCT(0:0))
      call avCT(973, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5220])

      allocate(vertices(295)%branchCT(0:0))
      call avCT(295, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7779])

      allocate(vertices(1409)%branchCT(0:0))
      call avCT(1409, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_7687])

      allocate(vertices(286)%branchCT(0:3))
      call avCT(286, 0, 30, 3, 0, VFFa0, 0, [1, 2], [nGC_7026, nGC_7028])

      call avCT(286, 1, 30, 3, 0, VFFa0, 0, [3, 0], [nGC_7031, nGC_7032])

      call avCT(286, 2, 31, 2, 0, VFFa0, 0, [1, 2], [nGC_7026, nGC_7028])

      call avCT(286, 3, 31, 2, 0, VFFa0, 0, [3, 0], [nGC_7031, nGC_7032])

      allocate(vertices(297)%branchCT(0:0))
      call avCT(297, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_8589])

      allocate(vertices(1410)%branchCT(0:0))
      call avCT(1410, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7023])

      allocate(vertices(298)%branchCT(0:0))
      call avCT(298, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_8597, nGC_8597])

      allocate(vertices(299)%branchCT(0:0))
      call avCT(299, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7449])

      allocate(vertices(300)%branchCT(0:0))
      call avCT(300, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_8603])

      allocate(vertices(301)%branchCT(0:0))
      call avCT(301, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7199])

      allocate(vertices(302)%branchCT(0:0))
      call avCT(302, 0, 8, 1, 0, UUaS0, 0, [0, 3], [nGC_5354])

      allocate(vertices(303)%branchCT(0:0))
      call avCT(303, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7256])

      allocate(vertices(304)%branchCT(0:0))
      call avCT(304, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_7360])

      allocate(vertices(74)%branchCT(0:1))
      call avCT(74, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_7702, nGC_7703])

      call avCT(74, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_7704, nGC_7705])

      allocate(vertices(305)%branchCT(0:1))
      call avCT(305, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_7459, nGC_7460])

      call avCT(305, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_7456, nGC_7452])

      allocate(vertices(306)%branchCT(0:0))
      call avCT(306, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7256])

      allocate(vertices(102)%branchCT(0:0))
      call avCT(102, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7043])

      allocate(vertices(309)%branchCT(0:0))
      call avCT(309, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7779])

      allocate(vertices(310)%branchCT(0:0))
      call avCT(310, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_7947])

      allocate(vertices(515)%branchCT(0:0))
      call avCT(515, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7971])

      allocate(vertices(312)%branchCT(0:1))
      call avCT(312, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_7106])

      call avCT(312, 1, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_7105])

      allocate(vertices(313)%branchCT(0:0))
      call avCT(313, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_8127, nGC_8127])

      allocate(vertices(314)%branchCT(0:0))
      call avCT(314, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7646])

      allocate(vertices(315)%branchCT(0:0))
      call avCT(315, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7256])

      allocate(vertices(316)%branchCT(0:0))
      call avCT(316, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7449])

      allocate(vertices(317)%branchCT(0:1))
      call avCT(317, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_7767, nGC_7768])

      call avCT(317, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_7769, nGC_7770])

      allocate(vertices(318)%branchCT(0:0))
      call avCT(318, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_8678])

      allocate(vertices(319)%branchCT(0:0))
      call avCT(319, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8684])

      allocate(vertices(1411)%branchCT(0:0))
      call avCT(1411, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_8691, nGC_8686,       &
      nGC_8693, nGC_8693])

      allocate(vertices(320)%branchCT(0:0))
      call avCT(320, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_5354])

      allocate(vertices(979)%branchCT(0:0))
      call avCT(979, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7058])

      allocate(vertices(1412)%branchCT(0:0))
      call avCT(1412, 0, 14, 1, 0, VS1, 0, [0, 2], [nGC_8702, nGC_8703])

      allocate(vertices(322)%branchCT(0:0))
      call avCT(322, 0, 9, 1, 0, VVVV1, 0, [0, 4], [nGC_7928])

      allocate(vertices(516)%branchCT(0:0))
      call avCT(516, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7043])

      allocate(vertices(324)%branchCT(0:0))
      call avCT(324, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7449])

      allocate(vertices(325)%branchCT(0:1))
      call avCT(325, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_7053, nGC_7054])

      call avCT(325, 1, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_7047, nGC_7050])

      allocate(vertices(326)%branchCT(0:0))
      call avCT(326, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_7606])

      allocate(vertices(53)%branchCT(0:1))
      call avCT(53, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_8735, nGC_8736])

      call avCT(53, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_8731, nGC_8726])

      allocate(vertices(328)%branchCT(0:0))
      call avCT(328, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_8603])

      allocate(vertices(329)%branchCT(0:0))
      call avCT(329, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7063])

      allocate(vertices(330)%branchCT(0:0))
      call avCT(330, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_7444, nGC_7445])

      allocate(vertices(517)%branchCT(0:0))
      call avCT(517, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7256])

      allocate(vertices(331)%branchCT(0:1))
      call avCT(331, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_7190])

      call avCT(331, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_7189])

      allocate(vertices(332)%branchCT(0:0))
      call avCT(332, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7043])

      allocate(vertices(333)%branchCT(0:0))
      call avCT(333, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7251])

      allocate(vertices(748)%branchCT(0:0))
      call avCT(748, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_7583, nGC_7584])

      allocate(vertices(983)%branchCT(0:0))
      call avCT(983, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7251])

      allocate(vertices(714)%branchCT(0:0))
      call avCT(714, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7063])

      allocate(vertices(336)%branchCT(0:1))
      call avCT(336, 0, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_7545])

      call avCT(336, 1, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_7544])

      allocate(vertices(337)%branchCT(0:0))
      call avCT(337, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7842])

      allocate(vertices(338)%branchCT(0:1))
      call avCT(338, 0, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_7106])

      call avCT(338, 1, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_7105])

      allocate(vertices(56)%branchCT(0:0))
      call avCT(56, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7368])

      allocate(vertices(340)%branchCT(0:0))
      call avCT(340, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7256])

      allocate(vertices(341)%branchCT(0:1))
      call avCT(341, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_8800, nGC_8800])

      call avCT(341, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_8801, nGC_8801])

      allocate(vertices(687)%branchCT(0:0))
      call avCT(687, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_8029])

      allocate(vertices(1413)%branchCT(0:0))
      call avCT(1413, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7023])

      allocate(vertices(395)%branchCT(0:0))
      call avCT(395, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_8044])

      allocate(vertices(343)%branchCT(0:0))
      call avCT(343, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_8569])

      allocate(vertices(344)%branchCT(0:0))
      call avCT(344, 0, 8, 1, 0, UUaS0, 0, [0, 3], [nGC_5361])

      allocate(vertices(345)%branchCT(0:0))
      call avCT(345, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8817])

      allocate(vertices(346)%branchCT(0:0))
      call avCT(346, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7063])

      allocate(vertices(540)%branchCT(0:1))
      call avCT(540, 0, 34, 4, 0, UVUa0, 0, [3, 0], [nGC_8356])

      call avCT(540, 1, 35, 5, 0, UVUa0, 0, [3, 0], [nGC_8356])

      allocate(vertices(347)%branchCT(0:0))
      call avCT(347, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_7877])

      allocate(vertices(349)%branchCT(0:0))
      call avCT(349, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7646])

      allocate(vertices(1369)%branchCT(0:0))
      call avCT(1369, 0, 8, 1, 0, SFaF2, 0, [0, 3], [nGC_8603])

      allocate(vertices(1414)%branchCT(0:0))
      call avCT(1414, 0, 14, 1, 0, SV0, 0, [0, 2], [nGC_8173, nGC_8172])

      allocate(vertices(352)%branchCT(0:0))
      call avCT(352, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_7851, nGC_7852])

      allocate(vertices(353)%branchCT(0:0))
      call avCT(353, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7238])

      allocate(vertices(354)%branchCT(0:0))
      call avCT(354, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_8029])

      allocate(vertices(355)%branchCT(0:0))
      call avCT(355, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_7399])

      allocate(vertices(357)%branchCT(0:0))
      call avCT(357, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7063])

      allocate(vertices(358)%branchCT(0:1))
      call avCT(358, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_8116, nGC_8117])

      call avCT(358, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_8109, nGC_8112])

      allocate(vertices(359)%branchCT(0:0))
      call avCT(359, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5221])

      allocate(vertices(360)%branchCT(0:0))
      call avCT(360, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_7085])

      allocate(vertices(361)%branchCT(0:0))
      call avCT(361, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7097])

      allocate(vertices(362)%branchCT(0:0))
      call avCT(362, 0, 8, 1, 0, VUaU0, 0, [0, 3], [nGC_7594])

      allocate(vertices(364)%branchCT(0:0))
      call avCT(364, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7063])

      allocate(vertices(366)%branchCT(0:0))
      call avCT(366, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_8678])

      allocate(vertices(367)%branchCT(0:0))
      call avCT(367, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_7502])

      allocate(vertices(368)%branchCT(0:0))
      call avCT(368, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7251])

      allocate(vertices(369)%branchCT(0:1))
      call avCT(369, 0, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_8116, nGC_8117])

      call avCT(369, 1, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_8109, nGC_8112])

      allocate(vertices(755)%branchCT(0:0))
      call avCT(755, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7251])

      allocate(vertices(371)%branchCT(0:0))
      call avCT(371, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_8420, nGC_8421])

      allocate(vertices(372)%branchCT(0:1))
      call avCT(372, 0, 40, 4, 0, VUUa0, 0, [3, 0], [nGC_8356])

      call avCT(372, 1, 41, 5, 0, VUUa0, 0, [3, 0], [nGC_8356])

      allocate(vertices(373)%branchCT(0:0))
      call avCT(373, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_7583, nGC_7584])

      allocate(vertices(374)%branchCT(0:0))
      call avCT(374, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7842])

      allocate(vertices(375)%branchCT(0:0))
      call avCT(375, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7971])

      allocate(vertices(376)%branchCT(0:0))
      call avCT(376, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_7186])

      allocate(vertices(378)%branchCT(0:0))
      call avCT(378, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7449])

      allocate(vertices(379)%branchCT(0:0))
      call avCT(379, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5220])

      allocate(vertices(1415)%branchCT(0:0))
      call avCT(1415, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8931])

      allocate(vertices(382)%branchCT(0:3))
      call avCT(382, 0, 11, 3, 0, FFaV0, 0, [1, 2], [nGC_7145, nGC_7143])

      call avCT(382, 1, 11, 3, 0, FFaV0, 0, [3, 0], [nGC_7149, nGC_7150])

      call avCT(382, 2, 12, 2, 0, FFaV0, 0, [1, 2], [nGC_7145, nGC_7143])

      call avCT(382, 3, 12, 2, 0, FFaV0, 0, [3, 0], [nGC_7149, nGC_7150])

      allocate(vertices(383)%branchCT(0:0))
      call avCT(383, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7842])

      allocate(vertices(384)%branchCT(0:0))
      call avCT(384, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7368])

      allocate(vertices(385)%branchCT(0:1))
      call avCT(385, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_7133, nGC_7133])

      call avCT(385, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_7134, nGC_7134])

      allocate(vertices(386)%branchCT(0:0))
      call avCT(386, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7256])

      allocate(vertices(387)%branchCT(0:3))
      call avCT(387, 0, 11, 3, 0, FFaV0, 0, [1, 2], [nGC_7299, nGC_7301])

      call avCT(387, 1, 11, 3, 0, FFaV0, 0, [3, 0], [nGC_7305, nGC_7306])

      call avCT(387, 2, 12, 2, 0, FFaV0, 0, [1, 2], [nGC_7299, nGC_7301])

      call avCT(387, 3, 12, 2, 0, FFaV0, 0, [3, 0], [nGC_7305, nGC_7306])

      allocate(vertices(1416)%branchCT(0:0))
      call avCT(1416, 0, 14, 1, 0, SS0, 0, [0, 2], [nGC_8980, nGC_8975])

      allocate(vertices(389)%branchCT(0:1))
      call avCT(389, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_7053, nGC_7054])

      call avCT(389, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_7047, nGC_7050])

      allocate(vertices(390)%branchCT(0:1))
      call avCT(390, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_8997, nGC_8997])

      call avCT(390, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_8998, nGC_8998])

      allocate(vertices(1358)%branchCT(0:1))
      call avCT(1358, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_7795, nGC_7795])

      call avCT(1358, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_7796, nGC_7796])

      allocate(vertices(391)%branchCT(0:0))
      call avCT(391, 0, 9, 1, 0, VVVV2, 0, [0, 4], [nGC_7112])

      allocate(vertices(392)%branchCT(0:0))
      call avCT(392, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_8177])

      allocate(vertices(393)%branchCT(0:0))
      call avCT(393, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7063])

      allocate(vertices(394)%branchCT(0:0))
      call avCT(394, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_7502])

      allocate(vertices(265)%branchCT(0:0))
      call avCT(265, 0, 8, 1, 0, SFaF2, 0, [0, 3], [nGC_8292])

      allocate(vertices(396)%branchCT(0:0))
      call avCT(396, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_8279, nGC_8280])

      allocate(vertices(397)%branchCT(0:0))
      call avCT(397, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7163])

      allocate(vertices(398)%branchCT(0:0))
      call avCT(398, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7256])

      allocate(vertices(399)%branchCT(0:1))
      call avCT(399, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_9044, nGC_9044])

      call avCT(399, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9045, nGC_9045])

      allocate(vertices(400)%branchCT(0:0))
      call avCT(400, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7238])

      allocate(vertices(401)%branchCT(0:1))
      call avCT(401, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_7728, nGC_7729])

      call avCT(401, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_7730, nGC_7731])

      allocate(vertices(402)%branchCT(0:0))
      call avCT(402, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5220])

      allocate(vertices(403)%branchCT(0:1))
      call avCT(403, 0, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_7545])

      call avCT(403, 1, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_7544])

      allocate(vertices(404)%branchCT(0:0))
      call avCT(404, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8684])

      allocate(vertices(405)%branchCT(0:0))
      call avCT(405, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7063])

      allocate(vertices(406)%branchCT(0:1))
      call avCT(406, 0, 36, 4, 0, UUaV0, 0, [3, 0], [nGC_8356])

      call avCT(406, 1, 37, 5, 0, UUaV0, 0, [3, 0], [nGC_8356])

      allocate(vertices(407)%branchCT(0:1))
      call avCT(407, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_7939, nGC_7939])

      call avCT(407, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_7940, nGC_7940])

      allocate(vertices(408)%branchCT(0:1))
      call avCT(408, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_7227, nGC_7228])

      call avCT(408, 1, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_7217, nGC_7220])

      allocate(vertices(557)%branchCT(0:1))
      call avCT(557, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_7208, nGC_7209])

      call avCT(557, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_7210, nGC_7211])

      allocate(vertices(410)%branchCT(0:0))
      call avCT(410, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7043])

      allocate(vertices(411)%branchCT(0:0))
      call avCT(411, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_9103])

      allocate(vertices(412)%branchCT(0:0))
      call avCT(412, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7256])

      allocate(vertices(767)%branchCT(0:0))
      call avCT(767, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_9113])

      allocate(vertices(413)%branchCT(0:0))
      call avCT(413, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8817])

      allocate(vertices(414)%branchCT(0:0))
      call avCT(414, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_9123, nGC_9123])

      allocate(vertices(415)%branchCT(0:0))
      call avCT(415, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7971])

      allocate(vertices(416)%branchCT(0:0))
      call avCT(416, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7063])

      allocate(vertices(417)%branchCT(0:1))
      call avCT(417, 0, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_7750, nGC_7753])

      call avCT(417, 1, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_7757, nGC_7758])

      allocate(vertices(419)%branchCT(0:0))
      call avCT(419, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_9145, nGC_9145])

      allocate(vertices(1417)%branchCT(0:0))
      call avCT(1417, 0, 14, 1, 0, SS0, 0, [0, 2], [nGC_9151, nGC_9146])

      allocate(vertices(421)%branchCT(0:0))
      call avCT(421, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7238])

      allocate(vertices(422)%branchCT(0:0))
      call avCT(422, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7063])

      allocate(vertices(423)%branchCT(0:1))
      call avCT(423, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8998, nGC_8998])

      call avCT(423, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8997, nGC_8997])

      allocate(vertices(424)%branchCT(0:0))
      call avCT(424, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8338])

      allocate(vertices(1418)%branchCT(0:0))
      call avCT(1418, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_7489])

      allocate(vertices(425)%branchCT(0:0))
      call avCT(425, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7199])

      allocate(vertices(426)%branchCT(0:1))
      call avCT(426, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8484, nGC_8485])

      call avCT(426, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8486, nGC_8487])

      allocate(vertices(1211)%branchCT(0:0))
      call avCT(1211, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7082])

      allocate(vertices(428)%branchCT(0:0))
      call avCT(428, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_9188])

      allocate(vertices(1419)%branchCT(0:0))
      call avCT(1419, 0, 14, 1, 0, SS1, 0, [0, 2], [nGC_9191])

      allocate(vertices(429)%branchCT(0:0))
      call avCT(429, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7576])

      allocate(vertices(430)%branchCT(0:0))
      call avCT(430, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7842])

      allocate(vertices(431)%branchCT(0:0))
      call avCT(431, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7256])

      allocate(vertices(1420)%branchCT(0:0))
      call avCT(1420, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8931])

      allocate(vertices(432)%branchCT(0:0))
      call avCT(432, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7971])

      allocate(vertices(433)%branchCT(0:0))
      call avCT(433, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_7399])

      allocate(vertices(434)%branchCT(0:0))
      call avCT(434, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7524])

      allocate(vertices(435)%branchCT(0:0))
      call avCT(435, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7524])

      allocate(vertices(436)%branchCT(0:0))
      call avCT(436, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_9223])

      allocate(vertices(437)%branchCT(0:0))
      call avCT(437, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7082])

      allocate(vertices(1263)%branchCT(0:0))
      call avCT(1263, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_7540, nGC_7541])

      allocate(vertices(439)%branchCT(0:0))
      call avCT(439, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7345])

      allocate(vertices(440)%branchCT(0:1))
      call avCT(440, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_7106])

      call avCT(440, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_7105])

      allocate(vertices(1421)%branchCT(0:0))
      call avCT(1421, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7611])

      allocate(vertices(1288)%branchCT(0:0))
      call avCT(1288, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_7372])

      allocate(vertices(443)%branchCT(0:0))
      call avCT(443, 0, 8, 1, 0, VUaU0, 0, [0, 3], [nGC_7804])

      allocate(vertices(444)%branchCT(0:0))
      call avCT(444, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_8603])

      allocate(vertices(445)%branchCT(0:0))
      call avCT(445, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7238])

      allocate(vertices(446)%branchCT(0:0))
      call avCT(446, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_9254])

      allocate(vertices(447)%branchCT(0:1))
      call avCT(447, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_7767, nGC_7768])

      call avCT(447, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_7769, nGC_7770])

      allocate(vertices(448)%branchCT(0:0))
      call avCT(448, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7524])

      allocate(vertices(1422)%branchCT(0:0))
      call avCT(1422, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7611])

      allocate(vertices(1186)%branchCT(0:0))
      call avCT(1186, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_7606])

      allocate(vertices(1423)%branchCT(0:0))
      call avCT(1423, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7611])

      allocate(vertices(451)%branchCT(0:0))
      call avCT(451, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_9276])

      allocate(vertices(452)%branchCT(0:0))
      call avCT(452, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_8279, nGC_8280])

      allocate(vertices(453)%branchCT(0:0))
      call avCT(453, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8295])

      allocate(vertices(454)%branchCT(0:1))
      call avCT(454, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8524, nGC_8523])

      call avCT(454, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8526, nGC_8525])

      allocate(vertices(455)%branchCT(0:0))
      call avCT(455, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_8420, nGC_8421])

      allocate(vertices(456)%branchCT(0:0))
      call avCT(456, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7043])

      allocate(vertices(1245)%branchCT(0:0))
      call avCT(1245, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7043])

      allocate(vertices(457)%branchCT(0:0))
      call avCT(457, 0, 9, 1, 0, VVVV2, 0, [0, 4], [nGC_8072])

      allocate(vertices(458)%branchCT(0:1))
      call avCT(458, 0, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_8461, nGC_8462])

      call avCT(458, 1, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_8455, nGC_8458])

      allocate(vertices(459)%branchCT(0:0))
      call avCT(459, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7063])

      allocate(vertices(460)%branchCT(0:0))
      call avCT(460, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_7606])

      allocate(vertices(1003)%branchCT(0:0))
      call avCT(1003, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_7340])

      allocate(vertices(462)%branchCT(0:0))
      call avCT(462, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_9276])

      allocate(vertices(463)%branchCT(0:0))
      call avCT(463, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7524])

      allocate(vertices(365)%branchCT(0:1))
      call avCT(365, 0, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_7190])

      call avCT(365, 1, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_7189])

      allocate(vertices(465)%branchCT(0:1))
      call avCT(465, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_7172, nGC_7173])

      call avCT(465, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_7174, nGC_7175])

      allocate(vertices(901)%branchCT(0:1))
      call avCT(901, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_9044, nGC_9044])

      call avCT(901, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_9045, nGC_9045])

      allocate(vertices(466)%branchCT(0:1))
      call avCT(466, 0, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_7190])

      call avCT(466, 1, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_7189])

      allocate(vertices(467)%branchCT(0:0))
      call avCT(467, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_7279])

      allocate(vertices(965)%branchCT(0:0))
      call avCT(965, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7971])

      allocate(vertices(27)%branchCT(0:0))
      call avCT(27, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7082])

      allocate(vertices(470)%branchCT(0:1))
      call avCT(470, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9371, nGC_9366])

      call avCT(470, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_9375, nGC_9376])

      allocate(vertices(471)%branchCT(0:0))
      call avCT(471, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7043])

      allocate(vertices(472)%branchCT(0:0))
      call avCT(472, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_7335, nGC_7336])

      allocate(vertices(473)%branchCT(0:0))
      call avCT(473, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7256])

      allocate(vertices(474)%branchCT(0:0))
      call avCT(474, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8338])

      allocate(vertices(1006)%branchCT(0:0))
      call avCT(1006, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_7085])

      allocate(vertices(1424)%branchCT(0:0))
      call avCT(1424, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7611])

      allocate(vertices(477)%branchCT(0:0))
      call avCT(477, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7842])

      allocate(vertices(478)%branchCT(0:1))
      call avCT(478, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_7717, nGC_7716])

      call avCT(478, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_7719, nGC_7718])

      allocate(vertices(479)%branchCT(0:0))
      call avCT(479, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7256])

      allocate(vertices(480)%branchCT(0:0))
      call avCT(480, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7971])

      allocate(vertices(481)%branchCT(0:1))
      call avCT(481, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_7656, nGC_7656])

      call avCT(481, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_7657, nGC_7657])

      allocate(vertices(483)%branchCT(0:1))
      call avCT(483, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_7266, nGC_7266])

      call avCT(483, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_7267, nGC_7267])

      allocate(vertices(484)%branchCT(0:1))
      call avCT(484, 0, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_7638, nGC_7639])

      call avCT(484, 1, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_7634, nGC_7631])

      allocate(vertices(1425)%branchCT(0:1))
      call avCT(1425, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_9448, nGC_9440,       &
      nGC_9451, nGC_9451])

      call avCT(1425, 1, 13, 1, 0, FFa0, 0, [2, 0], [nGC_9449, nGC_9441,       &
      nGC_9452, nGC_9452])

      allocate(vertices(420)%branchCT(0:0))
      call avCT(420, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7238])

      allocate(vertices(486)%branchCT(0:0))
      call avCT(486, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7090])

      allocate(vertices(105)%branchCT(0:0))
      call avCT(105, 0, 8, 1, 0, VUaU0, 0, [0, 3], [nGC_7594])

      allocate(vertices(489)%branchCT(0:0))
      call avCT(489, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7199])

      allocate(vertices(490)%branchCT(0:0))
      call avCT(490, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7199])

      allocate(vertices(491)%branchCT(0:0))
      call avCT(491, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_7877])

      allocate(vertices(1426)%branchCT(0:0))
      call avCT(1426, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7429])

      allocate(vertices(492)%branchCT(0:0))
      call avCT(492, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7345])

      allocate(vertices(1100)%branchCT(0:0))
      call avCT(1100, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_9123, nGC_9123])

      allocate(vertices(493)%branchCT(0:0))
      call avCT(493, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7043])

      allocate(vertices(494)%branchCT(0:0))
      call avCT(494, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_7916, nGC_7917])

      allocate(vertices(495)%branchCT(0:0))
      call avCT(495, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7256])

      allocate(vertices(496)%branchCT(0:0))
      call avCT(496, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7063])

      allocate(vertices(497)%branchCT(0:0))
      call avCT(497, 0, 8, 1, 0, UUaV0, 0, [0, 3], [nGC_7594])

      allocate(vertices(933)%branchCT(0:0))
      call avCT(933, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8295])

      allocate(vertices(498)%branchCT(0:0))
      call avCT(498, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7194])

      allocate(vertices(499)%branchCT(0:0))
      call avCT(499, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7449])

      allocate(vertices(77)%branchCT(0:0))
      call avCT(77, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7097])

      allocate(vertices(550)%branchCT(0:0))
      call avCT(550, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7058])

      allocate(vertices(502)%branchCT(0:0))
      call avCT(502, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_9113])

      allocate(vertices(503)%branchCT(0:0))
      call avCT(503, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7449])

      allocate(vertices(504)%branchCT(0:1))
      call avCT(504, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_7545])

      call avCT(504, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_7544])

      allocate(vertices(505)%branchCT(0:0))
      call avCT(505, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_8597, nGC_8597])

      allocate(vertices(506)%branchCT(0:0))
      call avCT(506, 0, 8, 1, 0, UaUV0, 0, [0, 3], [nGC_7594])

      allocate(vertices(507)%branchCT(0:0))
      call avCT(507, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7163])

      allocate(vertices(508)%branchCT(0:0))
      call avCT(508, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7063])

      allocate(vertices(509)%branchCT(0:1))
      call avCT(509, 0, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_8731, nGC_8726])

      call avCT(509, 1, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_8735, nGC_8736])

      allocate(vertices(510)%branchCT(0:1))
      call avCT(510, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_7795, nGC_7795])

      call avCT(510, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_7796, nGC_7796])

      allocate(vertices(511)%branchCT(0:1))
      call avCT(511, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_7638, nGC_7639])

      call avCT(511, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_7634, nGC_7631])

      allocate(vertices(1344)%branchCT(0:0))
      call avCT(1344, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7043])

      allocate(vertices(1427)%branchCT(0:0))
      call avCT(1427, 0, 14, 1, 0, SS1, 0, [0, 2], [nGC_9191])

      allocate(vertices(1015)%branchCT(0:0))
      call avCT(1015, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_5355])

      allocate(vertices(514)%branchCT(0:1))
      call avCT(514, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_9045, nGC_9045])

      call avCT(514, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_9044, nGC_9044])

      allocate(vertices(311)%branchCT(0:0))
      call avCT(311, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7871])

      allocate(vertices(323)%branchCT(0:0))
      call avCT(323, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7842])

      allocate(vertices(1428)%branchCT(0:1))
      call avCT(1428, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_9448, nGC_9440,       &
      nGC_9451, nGC_9451])

      call avCT(1428, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_9449, nGC_9441,       &
      nGC_9452, nGC_9452])

      allocate(vertices(518)%branchCT(0:1))
      call avCT(518, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_7795, nGC_7795])

      call avCT(518, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_7796, nGC_7796])

      allocate(vertices(1304)%branchCT(0:0))
      call avCT(1304, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7082])

      allocate(vertices(519)%branchCT(0:0))
      call avCT(519, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_9611])

      allocate(vertices(1254)%branchCT(0:0))
      call avCT(1254, 0, 9, 1, 0, VVVV2, 0, [0, 4], [nGC_8072])

      allocate(vertices(520)%branchCT(0:0))
      call avCT(520, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7954])

      allocate(vertices(521)%branchCT(0:0))
      call avCT(521, 0, 9, 1, 0, VVVV1, 0, [0, 4], [nGC_8072])

      allocate(vertices(522)%branchCT(0:0))
      call avCT(522, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_7846])

      allocate(vertices(1429)%branchCT(0:0))
      call avCT(1429, 0, 14, 1, 0, FFa1, 0, [0, 2], [nGC_9626])

      allocate(vertices(1375)%branchCT(0:0))
      call avCT(1375, 0, 8, 1, 0, UaVU0, 0, [0, 3], [nGC_8177])

      allocate(vertices(523)%branchCT(0:0))
      call avCT(523, 0, 9, 1, 0, VVVV2, 0, [0, 4], [nGC_8249])

      allocate(vertices(524)%branchCT(0:0))
      call avCT(524, 0, 8, 1, 0, SUaU0, 0, [0, 3], [nGC_7502])

      allocate(vertices(525)%branchCT(0:0))
      call avCT(525, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_7101])

      allocate(vertices(526)%branchCT(0:0))
      call avCT(526, 0, 8, 1, 0, VUaU0, 0, [0, 3], [nGC_8177])

      allocate(vertices(527)%branchCT(0:0))
      call avCT(527, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7842])

      allocate(vertices(528)%branchCT(0:0))
      call avCT(528, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7256])

      allocate(vertices(1255)%branchCT(0:1))
      call avCT(1255, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_8735, nGC_8736])

      call avCT(1255, 1, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_8731, nGC_8726])

      allocate(vertices(530)%branchCT(0:1))
      call avCT(530, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_8461, nGC_8462])

      call avCT(530, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_8455, nGC_8458])

      allocate(vertices(781)%branchCT(0:0))
      call avCT(781, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7238])

      allocate(vertices(1430)%branchCT(0:0))
      call avCT(1430, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7429])

      allocate(vertices(533)%branchCT(0:0))
      call avCT(533, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_7617])

      allocate(vertices(534)%branchCT(0:0))
      call avCT(534, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7090])

      allocate(vertices(535)%branchCT(0:0))
      call avCT(535, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_5358])

      allocate(vertices(537)%branchCT(0:0))
      call avCT(537, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7194])

      allocate(vertices(538)%branchCT(0:0))
      call avCT(538, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_7877])

      allocate(vertices(539)%branchCT(0:0))
      call avCT(539, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7063])

      allocate(vertices(450)%branchCT(0:0))
      call avCT(450, 0, 8, 1, 0, SUaU0, 0, [0, 3], [nGC_5354])

      allocate(vertices(1258)%branchCT(0:0))
      call avCT(1258, 0, 8, 1, 0, UUaV0, 0, [0, 3], [nGC_7235])

      allocate(vertices(542)%branchCT(0:0))
      call avCT(542, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_9698])

      allocate(vertices(543)%branchCT(0:0))
      call avCT(543, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7238])

      allocate(vertices(544)%branchCT(0:3))
      call avCT(544, 0, 30, 3, 0, VFFa0, 0, [1, 2], [nGC_7282, nGC_7284])

      call avCT(544, 1, 30, 3, 0, VFFa0, 0, [3, 0], [nGC_7286, nGC_7287])

      call avCT(544, 2, 31, 2, 0, VFFa0, 0, [1, 2], [nGC_7282, nGC_7284])

      call avCT(544, 3, 31, 2, 0, VFFa0, 0, [3, 0], [nGC_7286, nGC_7287])

      allocate(vertices(545)%branchCT(0:0))
      call avCT(545, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_7877])

      allocate(vertices(546)%branchCT(0:0))
      call avCT(546, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_9721])

      allocate(vertices(547)%branchCT(0:0))
      call avCT(547, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7043])

      allocate(vertices(1431)%branchCT(0:0))
      call avCT(1431, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_7687])

      allocate(vertices(549)%branchCT(0:0))
      call avCT(549, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_5358])

      allocate(vertices(717)%branchCT(0:0))
      call avCT(717, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8339])

      allocate(vertices(551)%branchCT(0:1))
      call avCT(551, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_7209, nGC_7208])

      call avCT(551, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_7211, nGC_7210])

      allocate(vertices(1432)%branchCT(0:0))
      call avCT(1432, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7611])

      allocate(vertices(1433)%branchCT(0:0))
      call avCT(1433, 0, 14, 1, 0, SS1, 0, [0, 2], [nGC_9191])

      allocate(vertices(552)%branchCT(0:3))
      call avCT(552, 0, 28, 3, 0, VFaF1, 0, [1, 2], [nGC_7026, nGC_7028])

      call avCT(552, 1, 28, 3, 0, VFaF1, 0, [3, 0], [nGC_7031, nGC_7032])

      call avCT(552, 2, 29, 2, 0, VFaF1, 0, [1, 2], [nGC_7026, nGC_7028])

      call avCT(552, 3, 29, 2, 0, VFaF1, 0, [3, 0], [nGC_7031, nGC_7032])

      allocate(vertices(553)%branchCT(0:0))
      call avCT(553, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_9757])

      allocate(vertices(554)%branchCT(0:0))
      call avCT(554, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_9188])

      allocate(vertices(783)%branchCT(0:0))
      call avCT(783, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7063])

      allocate(vertices(558)%branchCT(0:0))
      call avCT(558, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7971])

      allocate(vertices(563)%branchCT(0:0))
      call avCT(563, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_9276])

      allocate(vertices(784)%branchCT(0:0))
      call avCT(784, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_7356, nGC_7356])

      allocate(vertices(590)%branchCT(0:0))
      call avCT(590, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7063])

      allocate(vertices(562)%branchCT(0:1))
      call avCT(562, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_7656, nGC_7656])

      call avCT(562, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_7657, nGC_7657])

      allocate(vertices(1363)%branchCT(0:0))
      call avCT(1363, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_7123, nGC_7123])

      allocate(vertices(785)%branchCT(0:0))
      call avCT(785, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7842])

      allocate(vertices(564)%branchCT(0:0))
      call avCT(564, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7256])

      allocate(vertices(88)%branchCT(0:0))
      call avCT(88, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_8603])

      allocate(vertices(566)%branchCT(0:1))
      call avCT(566, 0, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_8116, nGC_8117])

      call avCT(566, 1, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_8109, nGC_8112])

      allocate(vertices(1434)%branchCT(0:0))
      call avCT(1434, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7429])

      allocate(vertices(567)%branchCT(0:0))
      call avCT(567, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_7186])

      allocate(vertices(1347)%branchCT(0:0))
      call avCT(1347, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_7877])

      allocate(vertices(568)%branchCT(0:1))
      call avCT(568, 0, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_7545])

      call avCT(568, 1, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_7544])

      allocate(vertices(569)%branchCT(0:0))
      call avCT(569, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7251])

      allocate(vertices(570)%branchCT(0:1))
      call avCT(570, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_7768, nGC_7767])

      call avCT(570, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_7770, nGC_7769])

      allocate(vertices(787)%branchCT(0:0))
      call avCT(787, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7646])

      allocate(vertices(571)%branchCT(0:1))
      call avCT(571, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8801, nGC_8801])

      call avCT(571, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8800, nGC_8800])

      allocate(vertices(572)%branchCT(0:0))
      call avCT(572, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7646])

      allocate(vertices(573)%branchCT(0:0))
      call avCT(573, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7256])

      allocate(vertices(574)%branchCT(0:0))
      call avCT(574, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_9611])

      allocate(vertices(575)%branchCT(0:0))
      call avCT(575, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_7388])

      allocate(vertices(576)%branchCT(0:0))
      call avCT(576, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7238])

      allocate(vertices(577)%branchCT(0:0))
      call avCT(577, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7449])

      allocate(vertices(578)%branchCT(0:1))
      call avCT(578, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_7190])

      call avCT(578, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_7189])

      allocate(vertices(579)%branchCT(0:1))
      call avCT(579, 0, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_8039, nGC_8040])

      call avCT(579, 1, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_8033, nGC_8036])

      allocate(vertices(580)%branchCT(0:0))
      call avCT(580, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_5360])

      allocate(vertices(719)%branchCT(0:0))
      call avCT(719, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7199])

      allocate(vertices(582)%branchCT(0:1))
      call avCT(582, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_9375, nGC_9376])

      call avCT(582, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_9371, nGC_9366])

      allocate(vertices(1435)%branchCT(0:1))
      call avCT(1435, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_9899, nGC_9891,       &
      nGC_9902, nGC_9902])

      call avCT(1435, 1, 13, 1, 0, FFa0, 0, [2, 0], [nGC_9900, nGC_9892,       &
      nGC_9903, nGC_9903])

      allocate(vertices(583)%branchCT(0:0))
      call avCT(583, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_9276])

      allocate(vertices(584)%branchCT(0:1))
      call avCT(584, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_8039, nGC_8040])

      call avCT(584, 1, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_8033, nGC_8036])

      allocate(vertices(585)%branchCT(0:0))
      call avCT(585, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_8678])

      allocate(vertices(586)%branchCT(0:3))
      call avCT(586, 0, 24, 3, 0, FaFV1, 0, [1, 2], [nGC_7299, nGC_7301])

      call avCT(586, 1, 24, 3, 0, FaFV1, 0, [3, 0], [nGC_7305, nGC_7306])

      call avCT(586, 2, 25, 2, 0, FaFV1, 0, [1, 2], [nGC_7299, nGC_7301])

      call avCT(586, 3, 25, 2, 0, FaFV1, 0, [3, 0], [nGC_7305, nGC_7306])

      allocate(vertices(587)%branchCT(0:0))
      call avCT(587, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_7085])

      allocate(vertices(773)%branchCT(0:0))
      call avCT(773, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8338])

      allocate(vertices(290)%branchCT(0:0))
      call avCT(290, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7194])

      allocate(vertices(589)%branchCT(0:0))
      call avCT(589, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_8211])

      allocate(vertices(561)%branchCT(0:0))
      call avCT(561, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7524])

      allocate(vertices(1436)%branchCT(0:1))
      call avCT(1436, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_9899, nGC_9891,       &
      nGC_9902, nGC_9902])

      call avCT(1436, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_9900, nGC_9892,       &
      nGC_9903, nGC_9903])

      allocate(vertices(591)%branchCT(0:0))
      call avCT(591, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_9254])

      allocate(vertices(592)%branchCT(0:0))
      call avCT(592, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_9123, nGC_9123])

      allocate(vertices(593)%branchCT(0:1))
      call avCT(593, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_7053, nGC_7054])

      call avCT(593, 1, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_7047, nGC_7050])

      allocate(vertices(594)%branchCT(0:0))
      call avCT(594, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7251])

      allocate(vertices(595)%branchCT(0:0))
      call avCT(595, 0, 8, 1, 0, SUaU0, 0, [0, 3], [nGC_5355])

      allocate(vertices(596)%branchCT(0:0))
      call avCT(596, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7251])

      allocate(vertices(597)%branchCT(0:0))
      call avCT(597, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_9145, nGC_9145])

      allocate(vertices(825)%branchCT(0:0))
      call avCT(825, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7449])

      allocate(vertices(631)%branchCT(0:0))
      call avCT(631, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7238])

      allocate(vertices(1437)%branchCT(0:0))
      call avCT(1437, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_9994, nGC_9989,       &
      nGC_9996, nGC_9996])

      allocate(vertices(600)%branchCT(0:0))
      call avCT(600, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_7279])

      allocate(vertices(601)%branchCT(0:0))
      call avCT(601, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7256])

      allocate(vertices(603)%branchCT(0:1))
      call avCT(603, 0, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_7750, nGC_7753])

      call avCT(603, 1, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_7757, nGC_7758])

      allocate(vertices(604)%branchCT(0:1))
      call avCT(604, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_8801, nGC_8801])

      call avCT(604, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_8800, nGC_8800])

      allocate(vertices(605)%branchCT(0:0))
      call avCT(605, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7256])

      allocate(vertices(1438)%branchCT(0:0))
      call avCT(1438, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7611])

      allocate(vertices(608)%branchCT(0:0))
      call avCT(608, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_7877])

      allocate(vertices(609)%branchCT(0:1))
      call avCT(609, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_7795, nGC_7795])

      call avCT(609, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_7796, nGC_7796])

      allocate(vertices(1031)%branchCT(0:0))
      call avCT(1031, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_8420, nGC_8421])

      allocate(vertices(1270)%branchCT(0:0))
      call avCT(1270, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7043])

      allocate(vertices(612)%branchCT(0:0))
      call avCT(612, 0, 9, 1, 0, VVVV1, 0, [0, 4], [nGC_7112])

      allocate(vertices(613)%branchCT(0:0))
      call avCT(613, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_5358])

      allocate(vertices(1439)%branchCT(0:0))
      call avCT(1439, 0, 14, 1, 0, FFa1, 0, [0, 2], [nGC_10051])

      allocate(vertices(614)%branchCT(0:0))
      call avCT(614, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7256])

      allocate(vertices(615)%branchCT(0:0))
      call avCT(615, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7842])

      allocate(vertices(616)%branchCT(0:1))
      call avCT(616, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_8524, nGC_8523])

      call avCT(616, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_8526, nGC_8525])

      allocate(vertices(617)%branchCT(0:0))
      call avCT(617, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7063])

      allocate(vertices(618)%branchCT(0:0))
      call avCT(618, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7449])

      allocate(vertices(1440)%branchCT(0:0))
      call avCT(1440, 0, 14, 1, 0, VS1, 0, [0, 2], [nGC_10079, nGC_10080])

      allocate(vertices(619)%branchCT(0:0))
      call avCT(619, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_7360])

      allocate(vertices(620)%branchCT(0:1))
      call avCT(620, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_7209, nGC_7208])

      call avCT(620, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_7211, nGC_7210])

      allocate(vertices(621)%branchCT(0:1))
      call avCT(621, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_7545])

      call avCT(621, 1, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_7544])

      allocate(vertices(622)%branchCT(0:0))
      call avCT(622, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7971])

      allocate(vertices(623)%branchCT(0:0))
      call avCT(623, 0, 9, 1, 0, VVVV2, 0, [0, 4], [nGC_8072])

      allocate(vertices(624)%branchCT(0:0))
      call avCT(624, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7097])

      allocate(vertices(625)%branchCT(0:0))
      call avCT(625, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7524])

      allocate(vertices(626)%branchCT(0:0))
      call avCT(626, 0, 8, 1, 0, VUaU0, 0, [0, 3], [nGC_7235])

      allocate(vertices(627)%branchCT(0:0))
      call avCT(627, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7449])

      allocate(vertices(1333)%branchCT(0:0))
      call avCT(1333, 0, 8, 1, 0, UaUV0, 0, [0, 3], [nGC_7686])

      allocate(vertices(796)%branchCT(0:3))
      call avCT(796, 0, 30, 3, 0, VFFa0, 0, [1, 2], [nGC_7813, nGC_7815])

      call avCT(796, 1, 30, 3, 0, VFFa0, 0, [3, 0], [nGC_7817, nGC_7818])

      call avCT(796, 2, 31, 2, 0, VFFa0, 0, [1, 2], [nGC_7813, nGC_7815])

      call avCT(796, 3, 31, 2, 0, VFFa0, 0, [3, 0], [nGC_7817, nGC_7818])

      allocate(vertices(630)%branchCT(0:1))
      call avCT(630, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_7728, nGC_7729])

      call avCT(630, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_7730, nGC_7731])

      allocate(vertices(632)%branchCT(0:0))
      call avCT(632, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7971])

      allocate(vertices(633)%branchCT(0:1))
      call avCT(633, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_7208, nGC_7209])

      call avCT(633, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_7210, nGC_7211])

      allocate(vertices(634)%branchCT(0:0))
      call avCT(634, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_5354])

      allocate(vertices(635)%branchCT(0:0))
      call avCT(635, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7971])

      allocate(vertices(636)%branchCT(0:1))
      call avCT(636, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_7474, nGC_7474])

      call avCT(636, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_7476, nGC_7476])

      allocate(vertices(1093)%branchCT(0:0))
      call avCT(1093, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_8154])

      allocate(vertices(638)%branchCT(0:0))
      call avCT(638, 0, 8, 1, 0, UaVU0, 0, [0, 3], [nGC_7066])

      allocate(vertices(639)%branchCT(0:0))
      call avCT(639, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7199])

      allocate(vertices(640)%branchCT(0:0))
      call avCT(640, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_8603])

      allocate(vertices(1038)%branchCT(0:0))
      call avCT(1038, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7199])

      allocate(vertices(642)%branchCT(0:0))
      call avCT(642, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5221])

      allocate(vertices(1441)%branchCT(0:0))
      call avCT(1441, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7180])

      allocate(vertices(643)%branchCT(0:3))
      call avCT(643, 0, 22, 3, 0, FaVF0, 0, [1, 2], [nGC_10181, nGC_10183])

      call avCT(643, 1, 22, 3, 0, FaVF0, 0, [3, 0], [nGC_10185, nGC_10186])

      call avCT(643, 2, 23, 2, 0, FaVF0, 0, [1, 2], [nGC_10181, nGC_10183])

      call avCT(643, 3, 23, 2, 0, FaVF0, 0, [3, 0], [nGC_10185, nGC_10186])

      allocate(vertices(644)%branchCT(0:0))
      call avCT(644, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7449])

      allocate(vertices(697)%branchCT(0:0))
      call avCT(697, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_10199])

      allocate(vertices(646)%branchCT(0:0))
      call avCT(646, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_7399])

      allocate(vertices(647)%branchCT(0:0))
      call avCT(647, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7779])

      allocate(vertices(648)%branchCT(0:3))
      call avCT(648, 0, 27, 2, 0, FVFa0, 0, [1, 2], [nGC_7299, nGC_7301])

      call avCT(648, 1, 27, 2, 0, FVFa0, 0, [3, 0], [nGC_7305, nGC_7306])

      call avCT(648, 2, 26, 3, 0, FVFa0, 0, [1, 2], [nGC_7299, nGC_7301])

      call avCT(648, 3, 26, 3, 0, FVFa0, 0, [3, 0], [nGC_7305, nGC_7306])

      allocate(vertices(649)%branchCT(0:0))
      call avCT(649, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7090])

      allocate(vertices(650)%branchCT(0:0))
      call avCT(650, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_7186])

      allocate(vertices(651)%branchCT(0:1))
      call avCT(651, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_7106])

      call avCT(651, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_7105])

      allocate(vertices(652)%branchCT(0:0))
      call avCT(652, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7058])

      allocate(vertices(653)%branchCT(0:0))
      call avCT(653, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_7444, nGC_7445])

      allocate(vertices(797)%branchCT(0:0))
      call avCT(797, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7043])

      allocate(vertices(655)%branchCT(0:0))
      call avCT(655, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7238])

      allocate(vertices(656)%branchCT(0:0))
      call avCT(656, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7256])

      allocate(vertices(657)%branchCT(0:3))
      call avCT(657, 0, 24, 3, 0, FaFV1, 0, [1, 2], [nGC_7026, nGC_7028])

      call avCT(657, 1, 24, 3, 0, FaFV1, 0, [3, 0], [nGC_7031, nGC_7032])

      call avCT(657, 2, 25, 2, 0, FaFV1, 0, [1, 2], [nGC_7026, nGC_7028])

      call avCT(657, 3, 25, 2, 0, FaFV1, 0, [3, 0], [nGC_7031, nGC_7032])

      allocate(vertices(559)%branchCT(0:1))
      call avCT(559, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_7133, nGC_7133])

      call avCT(559, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_7134, nGC_7134])

      allocate(vertices(659)%branchCT(0:0))
      call avCT(659, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_5361])

      allocate(vertices(660)%branchCT(0:0))
      call avCT(660, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7199])

      allocate(vertices(661)%branchCT(0:0))
      call avCT(661, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_7399])

      allocate(vertices(662)%branchCT(0:1))
      call avCT(662, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_7172, nGC_7173])

      call avCT(662, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_7174, nGC_7175])

      allocate(vertices(663)%branchCT(0:0))
      call avCT(663, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_7380, nGC_7381])

      allocate(vertices(664)%branchCT(0:0))
      call avCT(664, 0, 8, 1, 0, VUUa0, 0, [0, 3], [nGC_7235])

      allocate(vertices(665)%branchCT(0:0))
      call avCT(665, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7779])

      allocate(vertices(666)%branchCT(0:0))
      call avCT(666, 0, 8, 1, 0, UaVU0, 0, [0, 3], [nGC_7804])

      allocate(vertices(667)%branchCT(0:0))
      call avCT(667, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_7502])

      allocate(vertices(668)%branchCT(0:0))
      call avCT(668, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7058])

      allocate(vertices(670)%branchCT(0:0))
      call avCT(670, 0, 8, 1, 0, VUUa0, 0, [0, 3], [nGC_7594])

      allocate(vertices(1442)%branchCT(0:1))
      call avCT(1442, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_10320, nGC_10312,     &
      nGC_10323, nGC_10323])

      call avCT(1442, 1, 13, 1, 0, FFa0, 0, [2, 0], [nGC_10321, nGC_10313,     &
      nGC_10324, nGC_10324])

      allocate(vertices(671)%branchCT(0:0))
      call avCT(671, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_8597, nGC_8597])

      allocate(vertices(672)%branchCT(0:0))
      call avCT(672, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_8603])

      allocate(vertices(1282)%branchCT(0:0))
      call avCT(1282, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_8597, nGC_8597])

      allocate(vertices(674)%branchCT(0:0))
      call avCT(674, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8816])

      allocate(vertices(675)%branchCT(0:0))
      call avCT(675, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7531])

      allocate(vertices(676)%branchCT(0:0))
      call avCT(676, 0, 8, 1, 0, UaVU0, 0, [0, 3], [nGC_7235])

      allocate(vertices(1443)%branchCT(0:0))
      call avCT(1443, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7611])

      allocate(vertices(678)%branchCT(0:1))
      call avCT(678, 0, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_8461, nGC_8462])

      call avCT(678, 1, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_8455, nGC_8458])

      allocate(vertices(679)%branchCT(0:0))
      call avCT(679, 0, 8, 1, 0, FFaS2, 0, [0, 3], [nGC_8292])

      allocate(vertices(680)%branchCT(0:1))
      call avCT(680, 0, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_7227, nGC_7228])

      call avCT(680, 1, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_7217, nGC_7220])

      allocate(vertices(1444)%branchCT(0:0))
      call avCT(1444, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_7276])

      allocate(vertices(681)%branchCT(0:1))
      call avCT(681, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_7638, nGC_7639])

      call avCT(681, 1, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_7634, nGC_7631])

      allocate(vertices(1445)%branchCT(0:0))
      call avCT(1445, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_7687])

      allocate(vertices(682)%branchCT(0:0))
      call avCT(682, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_7916, nGC_7917])

      allocate(vertices(442)%branchCT(0:1))
      call avCT(442, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_10384, nGC_10384])

      call avCT(442, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_10386, nGC_10386])

      allocate(vertices(1125)%branchCT(0:0))
      call avCT(1125, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_5358])

      allocate(vertices(684)%branchCT(0:0))
      call avCT(684, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_7947])

      allocate(vertices(685)%branchCT(0:0))
      call avCT(685, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8684])

      allocate(vertices(686)%branchCT(0:0))
      call avCT(686, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_7116])

      allocate(vertices(342)%branchCT(0:0))
      call avCT(342, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7238])

      allocate(vertices(982)%branchCT(0:0))
      call avCT(982, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7238])

      allocate(vertices(689)%branchCT(0:0))
      call avCT(689, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7043])

      allocate(vertices(690)%branchCT(0:0))
      call avCT(690, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7082])

      allocate(vertices(691)%branchCT(0:0))
      call avCT(691, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7063])

      allocate(vertices(1446)%branchCT(0:0))
      call avCT(1446, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7180])

      allocate(vertices(692)%branchCT(0:0))
      call avCT(692, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_9103])

      allocate(vertices(693)%branchCT(0:0))
      call avCT(693, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_7617])

      allocate(vertices(694)%branchCT(0:0))
      call avCT(694, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7058])

      allocate(vertices(1447)%branchCT(0:0))
      call avCT(1447, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7180])

      allocate(vertices(695)%branchCT(0:0))
      call avCT(695, 0, 8, 1, 0, VUUa0, 0, [0, 3], [nGC_7066])

      allocate(vertices(696)%branchCT(0:0))
      call avCT(696, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7043])

      allocate(vertices(645)%branchCT(0:0))
      call avCT(645, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8339])

      allocate(vertices(699)%branchCT(0:0))
      call avCT(699, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7063])

      allocate(vertices(50)%branchCT(0:0))
      call avCT(50, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_7356, nGC_7356])

      allocate(vertices(701)%branchCT(0:0))
      call avCT(701, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_7444, nGC_7445])

      allocate(vertices(702)%branchCT(0:0))
      call avCT(702, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7842])

      allocate(vertices(703)%branchCT(0:0))
      call avCT(703, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7238])

      allocate(vertices(704)%branchCT(0:1))
      call avCT(704, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_9044, nGC_9044])

      call avCT(704, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_9045, nGC_9045])

      allocate(vertices(48)%branchCT(0:0))
      call avCT(48, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7531])

      allocate(vertices(115)%branchCT(0:0))
      call avCT(115, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_10470])

      allocate(vertices(95)%branchCT(0:0))
      call avCT(95, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7199])

      allocate(vertices(707)%branchCT(0:3))
      call avCT(707, 0, 11, 3, 0, FFaV0, 0, [1, 2], [nGC_7282, nGC_7284])

      call avCT(707, 1, 11, 3, 0, FFaV0, 0, [3, 0], [nGC_7286, nGC_7287])

      call avCT(707, 2, 12, 2, 0, FFaV0, 0, [1, 2], [nGC_7282, nGC_7284])

      call avCT(707, 3, 12, 2, 0, FFaV0, 0, [3, 0], [nGC_7286, nGC_7287])

      allocate(vertices(708)%branchCT(0:0))
      call avCT(708, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_9223])

      allocate(vertices(709)%branchCT(0:0))
      call avCT(709, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7194])

      allocate(vertices(710)%branchCT(0:0))
      call avCT(710, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_5361])

      allocate(vertices(1448)%branchCT(0:0))
      call avCT(1448, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7429])

      allocate(vertices(711)%branchCT(0:1))
      call avCT(711, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_7106])

      call avCT(711, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_7105])

      allocate(vertices(712)%branchCT(0:0))
      call avCT(712, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7842])

      allocate(vertices(713)%branchCT(0:0))
      call avCT(713, 0, 8, 1, 0, UaUV0, 0, [0, 3], [nGC_7235])

      allocate(vertices(1449)%branchCT(0:0))
      call avCT(1449, 0, 14, 1, 0, FFa1, 0, [0, 2], [nGC_10504])

      allocate(vertices(223)%branchCT(0:1))
      call avCT(223, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_7322, nGC_7323])

      call avCT(223, 1, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_7316, nGC_7319])

      allocate(vertices(172)%branchCT(0:0))
      call avCT(172, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_7279])

      allocate(vertices(716)%branchCT(0:0))
      call avCT(716, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_7380, nGC_7381])

      allocate(vertices(718)%branchCT(0:0))
      call avCT(718, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7449])

      allocate(vertices(581)%branchCT(0:0))
      call avCT(581, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7256])

      allocate(vertices(720)%branchCT(0:0))
      call avCT(720, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7256])

      allocate(vertices(721)%branchCT(0:0))
      call avCT(721, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_7279])

      allocate(vertices(722)%branchCT(0:0))
      call avCT(722, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7842])

      allocate(vertices(1249)%branchCT(0:1))
      call avCT(1249, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_7545])

      call avCT(1249, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_7544])

      allocate(vertices(809)%branchCT(0:0))
      call avCT(809, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7090])

      allocate(vertices(724)%branchCT(0:0))
      call avCT(724, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_7502])

      allocate(vertices(210)%branchCT(0:0))
      call avCT(210, 0, 9, 1, 0, VVVV1, 0, [0, 4], [nGC_8072])

      allocate(vertices(726)%branchCT(0:0))
      call avCT(726, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_9276])

      allocate(vertices(727)%branchCT(0:0))
      call avCT(727, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7063])

      allocate(vertices(219)%branchCT(0:0))
      call avCT(219, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_5358])

      allocate(vertices(729)%branchCT(0:0))
      call avCT(729, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7063])

      allocate(vertices(730)%branchCT(0:0))
      call avCT(730, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7842])

      allocate(vertices(249)%branchCT(0:0))
      call avCT(249, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7524])

      allocate(vertices(732)%branchCT(0:0))
      call avCT(732, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_8127, nGC_8127])

      allocate(vertices(811)%branchCT(0:0))
      call avCT(811, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_9145, nGC_9145])

      allocate(vertices(734)%branchCT(0:0))
      call avCT(734, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_7380, nGC_7381])

      allocate(vertices(1054)%branchCT(0:0))
      call avCT(1054, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7842])

      allocate(vertices(997)%branchCT(0:0))
      call avCT(997, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_10199])

      allocate(vertices(736)%branchCT(0:0))
      call avCT(736, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_7617])

      allocate(vertices(737)%branchCT(0:0))
      call avCT(737, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7449])

      allocate(vertices(738)%branchCT(0:0))
      call avCT(738, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8543])

      allocate(vertices(739)%branchCT(0:1))
      call avCT(739, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_7768, nGC_7767])

      call avCT(739, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_7770, nGC_7769])

      allocate(vertices(740)%branchCT(0:0))
      call avCT(740, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7871])

      allocate(vertices(812)%branchCT(0:0))
      call avCT(812, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_8154])

      allocate(vertices(1450)%branchCT(0:0))
      call avCT(1450, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7611])

      allocate(vertices(743)%branchCT(0:0))
      call avCT(743, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_7066])

      allocate(vertices(744)%branchCT(0:0))
      call avCT(744, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_8603])

      allocate(vertices(745)%branchCT(0:0))
      call avCT(745, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7842])

      allocate(vertices(258)%branchCT(0:0))
      call avCT(258, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_7617])

      allocate(vertices(747)%branchCT(0:0))
      call avCT(747, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_9103])

      allocate(vertices(334)%branchCT(0:0))
      call avCT(334, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_5360])

      allocate(vertices(1451)%branchCT(0:0))
      call avCT(1451, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7611])

      allocate(vertices(749)%branchCT(0:0))
      call avCT(749, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7194])

      allocate(vertices(750)%branchCT(0:0))
      call avCT(750, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7842])

      allocate(vertices(1057)%branchCT(0:0))
      call avCT(1057, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7043])

      allocate(vertices(752)%branchCT(0:0))
      call avCT(752, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7063])

      allocate(vertices(753)%branchCT(0:0))
      call avCT(753, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_5361])

      allocate(vertices(754)%branchCT(0:0))
      call avCT(754, 0, 8, 1, 0, FFaS2, 0, [0, 3], [nGC_8603])

      allocate(vertices(1370)%branchCT(0:0))
      call avCT(1370, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_8279, nGC_8280])

      allocate(vertices(370)%branchCT(0:0))
      call avCT(370, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7251])

      allocate(vertices(348)%branchCT(0:0))
      call avCT(348, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_8292])

      allocate(vertices(757)%branchCT(0:0))
      call avCT(757, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7345])

      allocate(vertices(758)%branchCT(0:1))
      call avCT(758, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_7638, nGC_7639])

      call avCT(758, 1, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_7634, nGC_7631])

      allocate(vertices(759)%branchCT(0:0))
      call avCT(759, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_8154])

      allocate(vertices(760)%branchCT(0:0))
      call avCT(760, 0, 8, 1, 0, UaVU0, 0, [0, 3], [nGC_7515])

      allocate(vertices(1317)%branchCT(0:0))
      call avCT(1317, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_8044])

      allocate(vertices(761)%branchCT(0:1))
      call avCT(761, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_8998, nGC_8998])

      call avCT(761, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_8997, nGC_8997])

      allocate(vertices(762)%branchCT(0:0))
      call avCT(762, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_7527])

      allocate(vertices(1452)%branchCT(0:0))
      call avCT(1452, 0, 14, 1, 0, SV0, 0, [0, 2], [nGC_10080, nGC_10079])

      allocate(vertices(764)%branchCT(0:0))
      call avCT(764, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7779])

      allocate(vertices(765)%branchCT(0:0))
      call avCT(765, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_7444, nGC_7445])

      allocate(vertices(766)%branchCT(0:0))
      call avCT(766, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8295])

      allocate(vertices(1453)%branchCT(0:0))
      call avCT(1453, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_7276])

      allocate(vertices(927)%branchCT(0:1))
      call avCT(927, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_7657, nGC_7657])

      call avCT(927, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_7656, nGC_7656])

      allocate(vertices(768)%branchCT(0:0))
      call avCT(768, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_7916, nGC_7917])

      allocate(vertices(769)%branchCT(0:0))
      call avCT(769, 0, 9, 1, 0, VVVV1, 0, [0, 4], [nGC_8072])

      allocate(vertices(409)%branchCT(0:3))
      call avCT(409, 0, 27, 2, 0, FVFa0, 0, [1, 2], [nGC_10181, nGC_10183])

      call avCT(409, 1, 27, 2, 0, FVFa0, 0, [3, 0], [nGC_10185, nGC_10186])

      call avCT(409, 2, 26, 3, 0, FVFa0, 0, [1, 2], [nGC_10181, nGC_10183])

      call avCT(409, 3, 26, 3, 0, FVFa0, 0, [3, 0], [nGC_10185, nGC_10186])

      allocate(vertices(770)%branchCT(0:0))
      call avCT(770, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7199])

      allocate(vertices(771)%branchCT(0:0))
      call avCT(771, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_7123, nGC_7123])

      allocate(vertices(772)%branchCT(0:0))
      call avCT(772, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7842])

      allocate(vertices(588)%branchCT(0:0))
      call avCT(588, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_7279])

      allocate(vertices(774)%branchCT(0:0))
      call avCT(774, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7063])

      allocate(vertices(775)%branchCT(0:0))
      call avCT(775, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7097])

      allocate(vertices(776)%branchCT(0:0))
      call avCT(776, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7524])

      allocate(vertices(153)%branchCT(0:0))
      call avCT(153, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_7279])

      allocate(vertices(778)%branchCT(0:1))
      call avCT(778, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_10775, nGC_10774])

      call avCT(778, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_10777, nGC_10776])

      allocate(vertices(779)%branchCT(0:0))
      call avCT(779, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7256])

      allocate(vertices(1454)%branchCT(0:0))
      call avCT(1454, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8931])

      allocate(vertices(377)%branchCT(0:0))
      call avCT(377, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7238])

      allocate(vertices(819)%branchCT(0:0))
      call avCT(819, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7256])

      allocate(vertices(782)%branchCT(0:0))
      call avCT(782, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5221])

      allocate(vertices(556)%branchCT(0:0))
      call avCT(556, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7063])

      allocate(vertices(1455)%branchCT(0:0))
      call avCT(1455, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_7490])

      allocate(vertices(705)%branchCT(0:0))
      call avCT(705, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7779])

      allocate(vertices(786)%branchCT(0:0))
      call avCT(786, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_7141])

      allocate(vertices(1456)%branchCT(0:0))
      call avCT(1456, 0, 14, 1, 0, FaF1, 0, [0, 2], [nGC_9626])

      allocate(vertices(1064)%branchCT(0:0))
      call avCT(1064, 0, 8, 1, 0, VUUa0, 0, [0, 3], [nGC_7594])

      allocate(vertices(788)%branchCT(0:0))
      call avCT(788, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7842])

      allocate(vertices(789)%branchCT(0:0))
      call avCT(789, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7842])

      allocate(vertices(1457)%branchCT(0:0))
      call avCT(1457, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7429])

      allocate(vertices(790)%branchCT(0:1))
      call avCT(790, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_7656, nGC_7656])

      call avCT(790, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_7657, nGC_7657])

      allocate(vertices(791)%branchCT(0:1))
      call avCT(791, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_7939, nGC_7939])

      call avCT(791, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_7940, nGC_7940])

      allocate(vertices(792)%branchCT(0:0))
      call avCT(792, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7043])

      allocate(vertices(793)%branchCT(0:0))
      call avCT(793, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7524])

      allocate(vertices(794)%branchCT(0:0))
      call avCT(794, 0, 8, 1, 0, SUaU0, 0, [0, 3], [nGC_5361])

      allocate(vertices(795)%branchCT(0:1))
      call avCT(795, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_7190])

      call avCT(795, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_7189])

      allocate(vertices(1458)%branchCT(0:0))
      call avCT(1458, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_7687])

      allocate(vertices(654)%branchCT(0:0))
      call avCT(654, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7345])

      allocate(vertices(307)%branchCT(0:0))
      call avCT(307, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_9611])

      allocate(vertices(799)%branchCT(0:0))
      call avCT(799, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7194])

      allocate(vertices(800)%branchCT(0:3))
      call avCT(800, 0, 27, 2, 0, FVFa0, 0, [1, 2], [nGC_7813, nGC_7815])

      call avCT(800, 1, 27, 2, 0, FVFa0, 0, [3, 0], [nGC_7817, nGC_7818])

      call avCT(800, 2, 26, 3, 0, FVFa0, 0, [1, 2], [nGC_7813, nGC_7815])

      call avCT(800, 3, 26, 3, 0, FVFa0, 0, [3, 0], [nGC_7817, nGC_7818])

      allocate(vertices(801)%branchCT(0:0))
      call avCT(801, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7199])

      allocate(vertices(802)%branchCT(0:1))
      call avCT(802, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8997, nGC_8997])

      call avCT(802, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8998, nGC_8998])

      allocate(vertices(824)%branchCT(0:0))
      call avCT(824, 0, 8, 1, 0, VUUa0, 0, [0, 3], [nGC_7235])

      allocate(vertices(804)%branchCT(0:1))
      call avCT(804, 0, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_7459, nGC_7460])

      call avCT(804, 1, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_7456, nGC_7452])

      allocate(vertices(805)%branchCT(0:0))
      call avCT(805, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7063])

      allocate(vertices(806)%branchCT(0:0))
      call avCT(806, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_5360])

      allocate(vertices(807)%branchCT(0:0))
      call avCT(807, 0, 9, 1, 0, VVVV1, 0, [0, 4], [nGC_8249])

      allocate(vertices(808)%branchCT(0:1))
      call avCT(808, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_10386, nGC_10386])

      call avCT(808, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_10384, nGC_10384])

      allocate(vertices(723)%branchCT(0:0))
      call avCT(723, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7345])

      allocate(vertices(810)%branchCT(0:0))
      call avCT(810, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7082])

      allocate(vertices(733)%branchCT(0:1))
      call avCT(733, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_7768, nGC_7767])

      call avCT(733, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_7770, nGC_7769])

      allocate(vertices(742)%branchCT(0:0))
      call avCT(742, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7842])

      allocate(vertices(184)%branchCT(0:0))
      call avCT(184, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_8029])

      allocate(vertices(1459)%branchCT(0:0))
      call avCT(1459, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7611])

      allocate(vertices(815)%branchCT(0:1))
      call avCT(815, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_7545])

      call avCT(815, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_7544])

      allocate(vertices(816)%branchCT(0:0))
      call avCT(816, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7043])

      allocate(vertices(1460)%branchCT(0:0))
      call avCT(1460, 0, 14, 1, 0, FaF1, 0, [0, 2], [nGC_10504])

      allocate(vertices(818)%branchCT(0:1))
      call avCT(818, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_7939, nGC_7939])

      call avCT(818, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_7940, nGC_7940])

      allocate(vertices(1461)%branchCT(0:0))
      call avCT(1461, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7023])

      allocate(vertices(820)%branchCT(0:0))
      call avCT(820, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_9253])

      allocate(vertices(821)%branchCT(0:0))
      call avCT(821, 0, 9, 1, 0, VVVV2, 0, [0, 4], [nGC_7928])

      allocate(vertices(822)%branchCT(0:0))
      call avCT(822, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_7388])

      allocate(vertices(823)%branchCT(0:0))
      call avCT(823, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7063])

      allocate(vertices(803)%branchCT(0:1))
      call avCT(803, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_7545])

      call avCT(803, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_7544])

      allocate(vertices(598)%branchCT(0:0))
      call avCT(598, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7043])

      allocate(vertices(826)%branchCT(0:1))
      call avCT(826, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_7939, nGC_7939])

      call avCT(826, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_7940, nGC_7940])

      allocate(vertices(532)%branchCT(0:0))
      call avCT(532, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7368])

      allocate(vertices(827)%branchCT(0:0))
      call avCT(827, 0, 8, 1, 0, UUaV0, 0, [0, 3], [nGC_7066])

      allocate(vertices(828)%branchCT(0:1))
      call avCT(828, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_7569, nGC_7569])

      call avCT(828, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_7567, nGC_7567])

      allocate(vertices(829)%branchCT(0:0))
      call avCT(829, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_10988])

      allocate(vertices(830)%branchCT(0:0))
      call avCT(830, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7345])

      allocate(vertices(831)%branchCT(0:0))
      call avCT(831, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7256])

      allocate(vertices(832)%branchCT(0:1))
      call avCT(832, 0, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_9375, nGC_9376])

      call avCT(832, 1, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_9371, nGC_9366])

      allocate(vertices(833)%branchCT(0:0))
      call avCT(833, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7043])

      allocate(vertices(834)%branchCT(0:0))
      call avCT(834, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_10988])

      allocate(vertices(835)%branchCT(0:0))
      call avCT(835, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7082])

      allocate(vertices(1462)%branchCT(0:0))
      call avCT(1462, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_7276])

      allocate(vertices(837)%branchCT(0:0))
      call avCT(837, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_8292])

      allocate(vertices(838)%branchCT(0:0))
      call avCT(838, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7043])

      allocate(vertices(839)%branchCT(0:0))
      call avCT(839, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_9757])

      allocate(vertices(1139)%branchCT(0:0))
      call avCT(1139, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_9113])

      allocate(vertices(840)%branchCT(0:0))
      call avCT(840, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7194])

      allocate(vertices(841)%branchCT(0:0))
      call avCT(841, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_7085])

      allocate(vertices(230)%branchCT(0:0))
      call avCT(230, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_8127, nGC_8127])

      allocate(vertices(842)%branchCT(0:0))
      call avCT(842, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_7186])

      allocate(vertices(843)%branchCT(0:0))
      call avCT(843, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7345])

      allocate(vertices(844)%branchCT(0:0))
      call avCT(844, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_8569])

      allocate(vertices(896)%branchCT(0:0))
      call avCT(896, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7256])

      allocate(vertices(1463)%branchCT(0:0))
      call avCT(1463, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8067])

      allocate(vertices(846)%branchCT(0:1))
      call avCT(846, 0, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_8735, nGC_8736])

      call avCT(846, 1, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_8731, nGC_8726])

      allocate(vertices(847)%branchCT(0:0))
      call avCT(847, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7199])

      allocate(vertices(848)%branchCT(0:0))
      call avCT(848, 0, 8, 1, 0, VUUa0, 0, [0, 3], [nGC_7515])

      allocate(vertices(849)%branchCT(0:0))
      call avCT(849, 0, 9, 1, 0, VVVV2, 0, [0, 4], [nGC_8072])

      allocate(vertices(850)%branchCT(0:0))
      call avCT(850, 0, 8, 1, 0, FFaS2, 0, [0, 3], [nGC_7527])

      allocate(vertices(851)%branchCT(0:0))
      call avCT(851, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7082])

      allocate(vertices(852)%branchCT(0:0))
      call avCT(852, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7971])

      allocate(vertices(853)%branchCT(0:1))
      call avCT(853, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_10775, nGC_10774])

      call avCT(853, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_10777, nGC_10776])

      allocate(vertices(854)%branchCT(0:0))
      call avCT(854, 0, 9, 1, 0, VVVV2, 0, [0, 4], [nGC_7112])

      allocate(vertices(855)%branchCT(0:0))
      call avCT(855, 0, 8, 1, 0, VUUa0, 0, [0, 3], [nGC_8177])

      allocate(vertices(856)%branchCT(0:1))
      call avCT(856, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_7190])

      call avCT(856, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_7189])

      allocate(vertices(857)%branchCT(0:0))
      call avCT(857, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7063])

      allocate(vertices(858)%branchCT(0:0))
      call avCT(858, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_8292])

      allocate(vertices(859)%branchCT(0:0))
      call avCT(859, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_9276])

      allocate(vertices(860)%branchCT(0:0))
      call avCT(860, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7058])

      allocate(vertices(1028)%branchCT(0:0))
      call avCT(1028, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5220])

      allocate(vertices(862)%branchCT(0:3))
      call avCT(862, 0, 24, 3, 0, FaFV1, 0, [1, 2], [nGC_10181, nGC_10183])

      call avCT(862, 1, 24, 3, 0, FaFV1, 0, [3, 0], [nGC_10185, nGC_10186])

      call avCT(862, 2, 25, 2, 0, FaFV1, 0, [1, 2], [nGC_10181, nGC_10183])

      call avCT(862, 3, 25, 2, 0, FaFV1, 0, [3, 0], [nGC_10185, nGC_10186])

      allocate(vertices(863)%branchCT(0:0))
      call avCT(863, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7842])

      allocate(vertices(865)%branchCT(0:0))
      call avCT(865, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_7123, nGC_7123])

      allocate(vertices(1464)%branchCT(0:0))
      call avCT(1464, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8931])

      allocate(vertices(866)%branchCT(0:0))
      call avCT(866, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5221])

      allocate(vertices(461)%branchCT(0:1))
      call avCT(461, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_7959, nGC_7956])

      call avCT(461, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_7966, nGC_7967])

      allocate(vertices(1069)%branchCT(0:0))
      call avCT(1069, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7163])

      allocate(vertices(142)%branchCT(0:0))
      call avCT(142, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_8678])

      allocate(vertices(870)%branchCT(0:1))
      call avCT(870, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_7728, nGC_7729])

      call avCT(870, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_7730, nGC_7731])

      allocate(vertices(1465)%branchCT(0:0))
      call avCT(1465, 0, 14, 1, 0, VV0, 0, [0, 2], [nGC_11162, nGC_11156,      &
      nGC_11161])

      allocate(vertices(871)%branchCT(0:1))
      call avCT(871, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_7767, nGC_7768])

      call avCT(871, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_7769, nGC_7770])

      allocate(vertices(872)%branchCT(0:0))
      call avCT(872, 0, 8, 1, 0, UUaS0, 0, [0, 3], [nGC_5354])

      allocate(vertices(1111)%branchCT(0:0))
      call avCT(1111, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7256])

      allocate(vertices(874)%branchCT(0:0))
      call avCT(874, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_7617])

      allocate(vertices(875)%branchCT(0:0))
      call avCT(875, 0, 8, 1, 0, SUaU0, 0, [0, 3], [nGC_5354])

      allocate(vertices(876)%branchCT(0:0))
      call avCT(876, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7251])

      allocate(vertices(1135)%branchCT(0:0))
      call avCT(1135, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7043])

      allocate(vertices(877)%branchCT(0:0))
      call avCT(877, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_9276])

      allocate(vertices(878)%branchCT(0:0))
      call avCT(878, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_5361])

      allocate(vertices(879)%branchCT(0:0))
      call avCT(879, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5220])

      allocate(vertices(880)%branchCT(0:1))
      call avCT(880, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_7173, nGC_7172])

      call avCT(880, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_7175, nGC_7174])

      allocate(vertices(881)%branchCT(0:0))
      call avCT(881, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7043])

      allocate(vertices(882)%branchCT(0:1))
      call avCT(882, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_8484, nGC_8485])

      call avCT(882, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_8486, nGC_8487])

      allocate(vertices(883)%branchCT(0:0))
      call avCT(883, 0, 8, 1, 0, VUaU0, 0, [0, 3], [nGC_7066])

      allocate(vertices(884)%branchCT(0:0))
      call avCT(884, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7082])

      allocate(vertices(885)%branchCT(0:0))
      call avCT(885, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7199])

      allocate(vertices(1206)%branchCT(0:0))
      call avCT(1206, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7090])

      allocate(vertices(512)%branchCT(0:0))
      call avCT(512, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7043])

      allocate(vertices(887)%branchCT(0:0))
      call avCT(887, 0, 8, 1, 0, VUaU0, 0, [0, 3], [nGC_7515])

      allocate(vertices(1466)%branchCT(0:0))
      call avCT(1466, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7611])

      allocate(vertices(889)%branchCT(0:1))
      call avCT(889, 0, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_7959, nGC_7956])

      call avCT(889, 1, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_7966, nGC_7967])

      allocate(vertices(1467)%branchCT(0:0))
      call avCT(1467, 0, 14, 1, 0, VV1, 0, [0, 2], [nGC_11162, nGC_11156,      &
      nGC_11161])

      allocate(vertices(890)%branchCT(0:0))
      call avCT(890, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_7804])

      allocate(vertices(891)%branchCT(0:0))
      call avCT(891, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7449])

      allocate(vertices(892)%branchCT(0:0))
      call avCT(892, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_9276])

      allocate(vertices(893)%branchCT(0:0))
      call avCT(893, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7063])

      allocate(vertices(1468)%branchCT(0:0))
      call avCT(1468, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7023])

      allocate(vertices(894)%branchCT(0:0))
      call avCT(894, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_10199])

      allocate(vertices(895)%branchCT(0:0))
      call avCT(895, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_7527])

      allocate(vertices(1379)%branchCT(0:1))
      call avCT(1379, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_7476, nGC_7476])

      call avCT(1379, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_7474, nGC_7474])

      allocate(vertices(836)%branchCT(0:0))
      call avCT(836, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7163])

      allocate(vertices(897)%branchCT(0:0))
      call avCT(897, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7199])

      allocate(vertices(898)%branchCT(0:1))
      call avCT(898, 0, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_7190])

      call avCT(898, 1, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_7189])

      allocate(vertices(381)%branchCT(0:1))
      call avCT(381, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_9044, nGC_9044])

      call avCT(381, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_9045, nGC_9045])

      allocate(vertices(902)%branchCT(0:0))
      call avCT(902, 0, 8, 1, 0, UaUV0, 0, [0, 3], [nGC_7846])

      allocate(vertices(903)%branchCT(0:0))
      call avCT(903, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_8420, nGC_8421])

      allocate(vertices(1316)%branchCT(0:0))
      call avCT(1316, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7043])

      allocate(vertices(905)%branchCT(0:0))
      call avCT(905, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_7540, nGC_7541])

      allocate(vertices(907)%branchCT(0:0))
      call avCT(907, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_7527])

      allocate(vertices(908)%branchCT(0:0))
      call avCT(908, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_7340])

      allocate(vertices(1280)%branchCT(0:0))
      call avCT(1280, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_7444, nGC_7445])

      allocate(vertices(910)%branchCT(0:0))
      call avCT(910, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7368])

      allocate(vertices(1469)%branchCT(0:0))
      call avCT(1469, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_7489])

      allocate(vertices(911)%branchCT(0:1))
      call avCT(911, 0, 32, 4, 0, UaVU0, 0, [3, 0], [nGC_8356])

      call avCT(911, 1, 33, 5, 0, UaVU0, 0, [3, 0], [nGC_8356])

      allocate(vertices(1350)%branchCT(0:0))
      call avCT(1350, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7971])

      allocate(vertices(912)%branchCT(0:3))
      call avCT(912, 0, 22, 3, 0, FaVF0, 0, [1, 2], [nGC_7145, nGC_7143])

      call avCT(912, 1, 22, 3, 0, FaVF0, 0, [3, 0], [nGC_7149, nGC_7150])

      call avCT(912, 2, 23, 2, 0, FaVF0, 0, [1, 2], [nGC_7145, nGC_7143])

      call avCT(912, 3, 23, 2, 0, FaVF0, 0, [3, 0], [nGC_7149, nGC_7150])

      allocate(vertices(913)%branchCT(0:0))
      call avCT(913, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_8292])

      allocate(vertices(915)%branchCT(0:1))
      call avCT(915, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_7322, nGC_7323])

      call avCT(915, 1, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_7316, nGC_7319])

      allocate(vertices(916)%branchCT(0:1))
      call avCT(916, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8484, nGC_8485])

      call avCT(916, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8486, nGC_8487])

      allocate(vertices(917)%branchCT(0:0))
      call avCT(917, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7842])

      allocate(vertices(918)%branchCT(0:1))
      call avCT(918, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_7133, nGC_7133])

      call avCT(918, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_7134, nGC_7134])

      allocate(vertices(1470)%branchCT(0:0))
      call avCT(1470, 0, 14, 1, 0, SS2, 0, [0, 2], [nGC_11379, nGC_11373,      &
      nGC_11374])

      allocate(vertices(920)%branchCT(0:1))
      call avCT(920, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_7209, nGC_7208])

      call avCT(920, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_7211, nGC_7210])

      allocate(vertices(1471)%branchCT(0:0))
      call avCT(1471, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7023])

      allocate(vertices(922)%branchCT(0:1))
      call avCT(922, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_8484, nGC_8485])

      call avCT(922, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_8486, nGC_8487])

      allocate(vertices(923)%branchCT(0:0))
      call avCT(923, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_7341])

      allocate(vertices(924)%branchCT(0:1))
      call avCT(924, 0, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_7106])

      call avCT(924, 1, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_7105])

      allocate(vertices(925)%branchCT(0:0))
      call avCT(925, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_7066])

      allocate(vertices(926)%branchCT(0:0))
      call avCT(926, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_5358])

      allocate(vertices(1322)%branchCT(0:1))
      call avCT(1322, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_7053, nGC_7054])

      call avCT(1322, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_7047, nGC_7050])

      allocate(vertices(1472)%branchCT(0:0))
      call avCT(1472, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7611])

      allocate(vertices(928)%branchCT(0:0))
      call avCT(928, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7090])

      allocate(vertices(929)%branchCT(0:0))
      call avCT(929, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_5361])

      allocate(vertices(930)%branchCT(0:1))
      call avCT(930, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_10775, nGC_10774])

      call avCT(930, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_10777, nGC_10776])

      allocate(vertices(931)%branchCT(0:0))
      call avCT(931, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7524])

      allocate(vertices(932)%branchCT(0:0))
      call avCT(932, 0, 8, 1, 0, UaUV0, 0, [0, 3], [nGC_7515])

      allocate(vertices(82)%branchCT(0:0))
      call avCT(82, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7842])

      allocate(vertices(934)%branchCT(0:0))
      call avCT(934, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7971])

      allocate(vertices(935)%branchCT(0:1))
      call avCT(935, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_8735, nGC_8736])

      call avCT(935, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_8731, nGC_8726])

      allocate(vertices(1084)%branchCT(0:0))
      call avCT(1084, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_9123, nGC_9123])

      allocate(vertices(1318)%branchCT(0:0))
      call avCT(1318, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7043])

    end subroutine fill_vertices_mdl3
end module vertices_info3
