!******************************************************************************!
!                                                                              !
!    fill_ctcouplings11.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings11.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 06:18             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings11
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl11()
      coupl(nGC_8816) = coupl(nGC_5255) + coupl(nGC_57)*dZHlHh_QED2/2d0 + coupl&
                        (nGC_61)*dZHh_QED2/2d0 + coupl(nGC_61)*dZZ_QED2/2d0
      coupl(nGC_5010) = coupl(nGC_11)**2d0*coupl(nGC_114)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_5271) = coupl(nGC_259)*dZgs_QCD2
      coupl(nGC_5242) = coupl(nGC_4589)*dsw_QED2 + coupl(nGC_4590)*da_QED2 +   &
                        coupl(nGC_4591)*dZee_QED2
      coupl(nGC_9698) = coupl(nGC_5234) + 3d0*coupl(nGC_77)*dZHh_QED2/2d0 + 3d0&
                        *coupl(nGC_79)*dZHlHh_QED2/2d0 + coupl(nGC_TS_GC_22_Hl &
                        ) + coupl(nGC_TS_GC_24_Hh)
      coupl(nGC_7719) = coupl(nGC_5300) + coupl(nGC_82)*dZbL_QED2/2d0 + coupl( &
                        nGC_82)*dZbR_QED2/2d0
      coupl(nGC_7718) = coupl(nGC_5302) + coupl(nGC_81)*dZbL_QED2/2d0 + coupl( &
                        nGC_81)*dZbR_QED2/2d0
      coupl(nGC_9366) = coupl(nGC_1)*dZbL_QCD2
      coupl(nGC_TS_GC_104_Hh) = -coupl(nGC_104)*dtHh_QED1/cMHH**2d0
      coupl(nGC_5246) = coupl(nGC_4825)*dsw_QED2 + coupl(nGC_4826)*da_QED2 +   &
                        coupl(nGC_4827)*dZee_QED2
      coupl(nGC_5245) = coupl(nGC_4581)*dsw_QED2 + coupl(nGC_4582)*da_QED2 +   &
                        coupl(nGC_4583)*dZee_QED2
      coupl(nGC_7717) = coupl(nGC_5299) + coupl(nGC_82)*dZbL_QCD2/2d0 + coupl( &
                        nGC_82)*dZbR_QCD2/2d0
      coupl(nGC_7716) = coupl(nGC_5301) + coupl(nGC_81)*dZbL_QCD2/2d0 + coupl( &
                        nGC_81)*dZbR_QCD2/2d0
      coupl(nGC_8109) = coupl(nGC_1)*dZdR_QCD2
      coupl(nGC_5278) = coupl(nGC_4649)*dsw_QED2 + coupl(nGC_4650)*dcw_QED2 +  &
                        coupl(nGC_4651)*dZee_QED2
      coupl(nGC_7260) = coupl(nGC_108)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_5331) = coupl(nGC_4759)*dyup_QED3
      coupl(nGC_9043) = coupl(nGC_5303) + coupl(nGC_93)*dZHl_QED2/2d0 + coupl( &
                        nGC_94)*dZHhHl_QED2/2d0
      coupl(nGC_7686) = coupl(nGC_3)*dZA_QED2/2d0 + coupl(nGC_37)*dZZA_QED2/2d0&
                         + coupl(nGC_5212)
      coupl(nGC_9045) = coupl(nGC_5304) + coupl(nGC_9042)
      coupl(nGC_9044) = coupl(nGC_9041) + coupl(nGC_9043)
      coupl(nGC_7101) = coupl(nGC_3)*dZAZ_QED2/2d0 + coupl(nGC_37)*            &
                        dZWMinus_QED2 + coupl(nGC_37)*dZZ_QED2/2d0 + coupl(    &
                        nGC_5214)
      coupl(nGC_5276) = coupl(nGC_4652)*dsw_QED2 + coupl(nGC_4653)*dcw_QED2 +  &
                        coupl(nGC_4654)*dZee_QED2
      coupl(nGC_7106) = coupl(nGC_33)*dZWMinus_QED2/2d0 + coupl(nGC_33)*       &
                        dZbL_QED2/2d0 + coupl(nGC_33)*dZtL_QED2/2d0 + coupl(   &
                        nGC_5272)
      coupl(nGC_9188) = coupl(nGC_35)*dZHlHh_QED2/2d0 + coupl(nGC_47)*dZHh_QED2&
                        /2d0 + coupl(nGC_47)*dZWMinus_QED2/2d0 + coupl(nGC_5243&
                        )
      coupl(nGC_5101) = sq2**3d0*(11d0*Nc*cima*coupl(nGC_1003)**3d0 - 48d0*    &
                        coupl(nGC_11)**3d0)/(768d0*pi**2d0)
      coupl(nGC_4872) = cima*coupl(nGC_1003)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_TS_GC_28_Hl) = -coupl(nGC_28)*dtHl_QED1/cMHL**2d0
      coupl(nGC_5051) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_53) + coupl(nGC_110)**&
                        2d0*coupl(nGC_51) - 4d0*coupl(nGC_33)**2d0*coupl(nGC_37&
                        ) + 4d0*coupl(nGC_33)**2d0*coupl(nGC_54) + coupl(nGC_50&
                        )*coupl(nGC_81)*coupl(nGC_82) + coupl(nGC_50)*coupl(   &
                        nGC_83)**2d0 + coupl(nGC_50)*coupl(nGC_84)**2d0 + 4d0* &
                        coupl(nGC_53)**3d0)/(32d0*pi**2d0)
      coupl(nGC_5055) = (coupl(nGC_105)**2d0*coupl(nGC_50) + 4d0*coupl(nGC_2)**&
                        2d0*coupl(nGC_54) + 4d0*coupl(nGC_33)**2d0*coupl(nGC_53&
                        ) - 4d0*coupl(nGC_33)**2d0*coupl(nGC_991) + coupl(     &
                        nGC_51)*coupl(nGC_86)*coupl(nGC_87) + coupl(nGC_51)*   &
                        coupl(nGC_88)**2d0 + coupl(nGC_51)*coupl(nGC_89)**2d0  &
                         + 4d0*coupl(nGC_54)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9989) = coupl(nGC_MI)*dZtauMinusL_QED2
      coupl(nGC_TS_GC_123_Hl) = -coupl(nGC_123)*dtHl_QED1/cMHL**2d0
      coupl(nGC_5119) = (6d0*Nc*cima*coupl(nGC_1)**3d0*coupl(nGC_50) + 6d0*Nc* &
                        cima*coupl(nGC_1)**3d0*coupl(nGC_53) + 6d0*Nc*cima*    &
                        coupl(nGC_2)**3d0*coupl(nGC_51) + 6d0*Nc*cima*coupl(   &
                        nGC_2)**3d0*coupl(nGC_54) - 20d0*cima*coupl(nGC_1751)**&
                        3d0*coupl(nGC_991) + 24d0*cima*coupl(nGC_1929)*coupl(  &
                        nGC_5) - 20d0*cima*coupl(nGC_3)**3d0*coupl(nGC_37) +   &
                        6d0*cima*coupl(nGC_4)**3d0*coupl(nGC_52) + 6d0*cima*   &
                        coupl(nGC_4)**3d0*coupl(nGC_55) - 15d0*coupl(nGC_1751  &
                        )**2d0*coupl(nGC_1929) - 15d0*coupl(nGC_1751)*coupl(   &
                        nGC_5)*coupl(nGC_991) - 15d0*coupl(nGC_1929)*coupl(    &
                        nGC_3)**2d0 - 15d0*coupl(nGC_3)*coupl(nGC_37)*coupl(   &
                        nGC_5))/(48d0*pi**2d0)
      coupl(nGC_5118) = (6d0*Nc*cima*coupl(nGC_1)**4d0 + 6d0*Nc*cima*coupl(    &
                        nGC_2)**4d0 - 10d0*cima*coupl(nGC_1751)**4d0 - 10d0*   &
                        cima*coupl(nGC_3)**4d0 + 6d0*cima*coupl(nGC_4)**4d0 +  &
                        12d0*cima*coupl(nGC_5)**2d0 - 15d0*coupl(nGC_1751)**2d0&
                        *coupl(nGC_5) - 15d0*coupl(nGC_3)**2d0*coupl(nGC_5))/( &
                        24d0*pi**2d0)
      coupl(nGC_7568) = coupl(nGC_108)*dZHlHh_QED2/2d0 + coupl(nGC_109)*       &
                        dZHh_QED2/2d0 + coupl(nGC_5311)
      coupl(nGC_5113) = (-48d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_108)*coupl( &
                        nGC_109) - 48d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_83 &
                        )*coupl(nGC_84) - 48d0*Nc*cima*coupl(nGC_1)**2d0*coupl(&
                        nGC_93)*coupl(nGC_94) - 48d0*Nc*cima*coupl(nGC_113)*   &
                        coupl(nGC_114)*coupl(nGC_2)**2d0 - 48d0*Nc*cima*coupl( &
                        nGC_123)*coupl(nGC_124)*coupl(nGC_2)**2d0 - 48d0*Nc*   &
                        cima*coupl(nGC_2)**2d0*coupl(nGC_88)*coupl(nGC_89) -   &
                        48d0*cima*coupl(nGC_103)*coupl(nGC_104)*coupl(nGC_4)** &
                        2d0 - 48d0*cima*coupl(nGC_118)*coupl(nGC_119)*coupl(   &
                        nGC_4)**2d0 - 4d0*cima*coupl(nGC_1401)**2d0*coupl(     &
                        nGC_34)*coupl(nGC_47) - 4d0*cima*coupl(nGC_1401)**2d0* &
                        coupl(nGC_35)*coupl(nGC_46) - 9d0*cima*coupl(nGC_1751  &
                        )**2d0*coupl(nGC_34)*coupl(nGC_47) - 9d0*cima*coupl(   &
                        nGC_1751)**2d0*coupl(nGC_35)*coupl(nGC_46) - 9d0*cima* &
                        coupl(nGC_3)**2d0*coupl(nGC_34)*coupl(nGC_47) - 9d0*   &
                        cima*coupl(nGC_3)**2d0*coupl(nGC_35)*coupl(nGC_46) -   &
                        48d0*cima*coupl(nGC_30)*coupl(nGC_5) - 4d0*cima*coupl( &
                        nGC_34)*coupl(nGC_4)**2d0*coupl(nGC_47) - 4d0*cima*    &
                        coupl(nGC_35)*coupl(nGC_4)**2d0*coupl(nGC_46) - 48d0*  &
                        cima*coupl(nGC_4)**2d0*coupl(nGC_98)*coupl(nGC_99) +   &
                        36d0*coupl(nGC_1751)**2d0*coupl(nGC_30) - 6d0*coupl(   &
                        nGC_1751)*coupl(nGC_34)*coupl(nGC_48) + 6d0*coupl(     &
                        nGC_1751)*coupl(nGC_35)*coupl(nGC_48) - 6d0*coupl(     &
                        nGC_1751)*coupl(nGC_40)*coupl(nGC_46) + 6d0*coupl(     &
                        nGC_1751)*coupl(nGC_40)*coupl(nGC_47) + 36d0*coupl(    &
                        nGC_3)**2d0*coupl(nGC_30) + 6d0*coupl(nGC_3)*coupl(    &
                        nGC_34)*coupl(nGC_48) - 6d0*coupl(nGC_3)*coupl(nGC_35)*&
                        coupl(nGC_48) + 6d0*coupl(nGC_3)*coupl(nGC_40)*coupl(  &
                        nGC_46) - 6d0*coupl(nGC_3)*coupl(nGC_40)*coupl(nGC_47  &
                        ) - 12d0*coupl(nGC_34)*coupl(nGC_47)*coupl(nGC_5) - 6d0&
                        *coupl(nGC_34)*coupl(nGC_47)*coupl(nGC_6) - 12d0*coupl(&
                        nGC_35)*coupl(nGC_46)*coupl(nGC_5) - 6d0*coupl(nGC_35)*&
                        coupl(nGC_46)*coupl(nGC_6))/(192d0*pi**2d0)
      coupl(nGC_5112) = (-24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_108)**2d0 - &
                        24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_83)**2d0 -    &
                        24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_93)**2d0 -    &
                        24d0*Nc*cima*coupl(nGC_113)**2d0*coupl(nGC_2)**2d0 -   &
                        24d0*Nc*cima*coupl(nGC_123)**2d0*coupl(nGC_2)**2d0 -   &
                        24d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_88)**2d0 -    &
                        24d0*cima*coupl(nGC_103)**2d0*coupl(nGC_4)**2d0 - 24d0*&
                        cima*coupl(nGC_118)**2d0*coupl(nGC_4)**2d0 - 4d0*cima* &
                        coupl(nGC_1401)**2d0*coupl(nGC_34)*coupl(nGC_35) - 9d0*&
                        cima*coupl(nGC_1751)**2d0*coupl(nGC_34)*coupl(nGC_35   &
                        ) - 24d0*cima*coupl(nGC_28)*coupl(nGC_5) - 9d0*cima*   &
                        coupl(nGC_3)**2d0*coupl(nGC_34)*coupl(nGC_35) - 4d0*   &
                        cima*coupl(nGC_34)*coupl(nGC_35)*coupl(nGC_4)**2d0 -   &
                        24d0*cima*coupl(nGC_4)**2d0*coupl(nGC_98)**2d0 + 18d0* &
                        coupl(nGC_1751)**2d0*coupl(nGC_28) - 6d0*coupl(nGC_1751&
                        )*coupl(nGC_34)*coupl(nGC_40) + 6d0*coupl(nGC_1751)*   &
                        coupl(nGC_35)*coupl(nGC_40) + 18d0*coupl(nGC_28)*coupl(&
                        nGC_3)**2d0 + 6d0*coupl(nGC_3)*coupl(nGC_34)*coupl(    &
                        nGC_40) - 6d0*coupl(nGC_3)*coupl(nGC_35)*coupl(nGC_40  &
                        ) - 12d0*coupl(nGC_34)*coupl(nGC_35)*coupl(nGC_5) - 6d0&
                        *coupl(nGC_34)*coupl(nGC_35)*coupl(nGC_6))/(96d0*pi**  &
                        2d0)
      coupl(nGC_5111) = (-24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_109)**2d0 - &
                        24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_84)**2d0 -    &
                        24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_94)**2d0 -    &
                        24d0*Nc*cima*coupl(nGC_114)**2d0*coupl(nGC_2)**2d0 -   &
                        24d0*Nc*cima*coupl(nGC_124)**2d0*coupl(nGC_2)**2d0 -   &
                        24d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_89)**2d0 -    &
                        24d0*cima*coupl(nGC_104)**2d0*coupl(nGC_4)**2d0 - 24d0*&
                        cima*coupl(nGC_119)**2d0*coupl(nGC_4)**2d0 - 4d0*cima* &
                        coupl(nGC_1401)**2d0*coupl(nGC_46)*coupl(nGC_47) - 9d0*&
                        cima*coupl(nGC_1751)**2d0*coupl(nGC_46)*coupl(nGC_47   &
                        ) - 9d0*cima*coupl(nGC_3)**2d0*coupl(nGC_46)*coupl(    &
                        nGC_47) - 24d0*cima*coupl(nGC_31)*coupl(nGC_5) - 4d0*  &
                        cima*coupl(nGC_4)**2d0*coupl(nGC_46)*coupl(nGC_47) -   &
                        24d0*cima*coupl(nGC_4)**2d0*coupl(nGC_99)**2d0 + 18d0* &
                        coupl(nGC_1751)**2d0*coupl(nGC_31) - 6d0*coupl(nGC_1751&
                        )*coupl(nGC_46)*coupl(nGC_48) + 6d0*coupl(nGC_1751)*   &
                        coupl(nGC_47)*coupl(nGC_48) + 18d0*coupl(nGC_3)**2d0*  &
                        coupl(nGC_31) + 6d0*coupl(nGC_3)*coupl(nGC_46)*coupl(  &
                        nGC_48) - 6d0*coupl(nGC_3)*coupl(nGC_47)*coupl(nGC_48  &
                        ) - 12d0*coupl(nGC_46)*coupl(nGC_47)*coupl(nGC_5) - 6d0&
                        *coupl(nGC_46)*coupl(nGC_47)*coupl(nGC_6))/(96d0*pi**  &
                        2d0)
      coupl(nGC_7561) = coupl(nGC_109)*(dZsL_QED2 + dZsR_QED2)/2d0
      coupl(nGC_7562) = coupl(nGC_109)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_5348) = coupl(nGC_4780)*da_QED2 + coupl(nGC_4781)*dyup_QED3
      coupl(nGC_5349) = coupl(nGC_4781)*dyup_QED1_QCD2
      coupl(nGC_7842) = coupl(nGC_17)*dZHhHl_QED2/2d0 + coupl(nGC_40)*dZAZ_QED2&
                        /2d0 + coupl(nGC_5258) + coupl(nGC_9)*dZHl_QED2/2d0 +  &
                        coupl(nGC_9)*dZWMinus_QED2/2d0 + coupl(nGC_9)*dZZ_QED2/&
                        2d0
      coupl(nGC_7846) = coupl(nGC_36)*dZZ_QED2/2d0 + coupl(nGC_4)*dZAZ_QED2/2d0&
                         + coupl(nGC_5359)
      coupl(nGC_5269) = coupl(nGC_4800)*dZee_QED2
      coupl(nGC_7449) = coupl(nGC_38)*dZA_QED2/2d0 + coupl(nGC_38)*            &
                        dZWMinus_QED2/2d0 + coupl(nGC_5244) + coupl(nGC_7)*    &
                        dZZA_QED2/2d0
      coupl(nGC_7928) = 2d0*coupl(nGC_27)*dZWMinus_QED2 + coupl(nGC_5215)
      coupl(nGC_TS_GC_77_Hh) = -coupl(nGC_77)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_30_Hl) = -coupl(nGC_30)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_30_Hh) = -coupl(nGC_30)*dtHh_QED1/cMHH**2d0
    end subroutine fill_CTcouplings_mdl11
end module fill_ctcouplings11
