!******************************************************************************!
!                                                                              !
!    fill_ctcouplings12.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings12.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 06:18             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings12
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl12()
      coupl(nGC_5027) = coupl(nGC_11)**2d0*coupl(nGC_93)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_5026) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_93) - coupl(nGC_120)* &
                        coupl(nGC_123)*coupl(nGC_90) - coupl(nGC_33)*coupl(    &
                        nGC_34)*coupl(nGC_90) + 8d0*coupl(nGC_50)*coupl(nGC_53 &
                        )*coupl(nGC_93) + coupl(nGC_50)*coupl(nGC_57)*coupl(   &
                        nGC_91) - coupl(nGC_53)*coupl(nGC_57)*coupl(nGC_91) -  &
                        coupl(nGC_91)**2d0*coupl(nGC_93) - coupl(nGC_93)**3d0  &
                         - coupl(nGC_93)*coupl(nGC_94)**2d0)/(32d0*pi**2d0)
      coupl(nGC_5025) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_93) - coupl(nGC_120)* &
                        coupl(nGC_123)*coupl(nGC_90) + coupl(nGC_33)*coupl(    &
                        nGC_35)*coupl(nGC_90) + 8d0*coupl(nGC_50)*coupl(nGC_53 &
                        )*coupl(nGC_93) - coupl(nGC_50)*coupl(nGC_57)*coupl(   &
                        nGC_92) + coupl(nGC_53)*coupl(nGC_57)*coupl(nGC_92) -  &
                        coupl(nGC_92)**2d0*coupl(nGC_93) - coupl(nGC_93)**3d0  &
                         - coupl(nGC_93)*coupl(nGC_94)**2d0)/(32d0*pi**2d0)
      coupl(nGC_5024) = coupl(nGC_11)**2d0*coupl(nGC_88)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_5023) = (-coupl(nGC_105)*coupl(nGC_108)*coupl(nGC_85) + 8d0*   &
                        coupl(nGC_2)**2d0*coupl(nGC_88) - coupl(nGC_33)*coupl( &
                        nGC_35)*coupl(nGC_85) + 8d0*coupl(nGC_51)*coupl(nGC_54 &
                        )*coupl(nGC_88) + coupl(nGC_51)*coupl(nGC_57)*coupl(   &
                        nGC_87) - coupl(nGC_54)*coupl(nGC_57)*coupl(nGC_87) -  &
                        coupl(nGC_87)**2d0*coupl(nGC_88) - coupl(nGC_88)**3d0  &
                         - coupl(nGC_88)*coupl(nGC_89)**2d0)/(32d0*pi**2d0)
      coupl(nGC_5022) = (-coupl(nGC_105)*coupl(nGC_108)*coupl(nGC_85) + 8d0*   &
                        coupl(nGC_2)**2d0*coupl(nGC_88) + coupl(nGC_33)*coupl( &
                        nGC_34)*coupl(nGC_85) + 8d0*coupl(nGC_51)*coupl(nGC_54 &
                        )*coupl(nGC_88) - coupl(nGC_51)*coupl(nGC_57)*coupl(   &
                        nGC_86) + coupl(nGC_54)*coupl(nGC_57)*coupl(nGC_86) -  &
                        coupl(nGC_86)**2d0*coupl(nGC_88) - coupl(nGC_88)**3d0  &
                         - coupl(nGC_88)*coupl(nGC_89)**2d0)/(32d0*pi**2d0)
      coupl(nGC_5021) = coupl(nGC_11)**2d0*coupl(nGC_83)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_5020) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_83) - coupl(nGC_110)* &
                        coupl(nGC_113)*coupl(nGC_80) - coupl(nGC_33)*coupl(    &
                        nGC_34)*coupl(nGC_80) + 8d0*coupl(nGC_50)*coupl(nGC_53 &
                        )*coupl(nGC_83) + coupl(nGC_50)*coupl(nGC_57)*coupl(   &
                        nGC_81) - coupl(nGC_53)*coupl(nGC_57)*coupl(nGC_81) -  &
                        coupl(nGC_81)**2d0*coupl(nGC_83) - coupl(nGC_83)**3d0  &
                         - coupl(nGC_83)*coupl(nGC_84)**2d0)/(32d0*pi**2d0)
      coupl(nGC_TS_GC_94_Hh) = -coupl(nGC_94)*dtHh_QED1/cMHH**2d0
      coupl(nGC_7313) = coupl(nGC_1)*dZAZ_QED2/2d0
      coupl(nGC_5029) = (coupl(nGC_33)*coupl(nGC_35)*coupl(nGC_95) + 8d0*coupl(&
                        nGC_4)**2d0*coupl(nGC_98) + 8d0*coupl(nGC_52)*coupl(   &
                        nGC_55)*coupl(nGC_98) - coupl(nGC_52)*coupl(nGC_57)*   &
                        coupl(nGC_97) + coupl(nGC_55)*coupl(nGC_57)*coupl(     &
                        nGC_97) - coupl(nGC_97)**2d0*coupl(nGC_98) - coupl(    &
                        nGC_98)**3d0 - coupl(nGC_98)*coupl(nGC_99)**2d0)/(32d0*&
                        pi**2d0)
      coupl(nGC_5028) = (-coupl(nGC_33)*coupl(nGC_34)*coupl(nGC_95) + 8d0*coupl&
                        (nGC_4)**2d0*coupl(nGC_98) + 8d0*coupl(nGC_52)*coupl(  &
                        nGC_55)*coupl(nGC_98) + coupl(nGC_52)*coupl(nGC_57)*   &
                        coupl(nGC_96) - coupl(nGC_55)*coupl(nGC_57)*coupl(     &
                        nGC_96) - coupl(nGC_96)**2d0*coupl(nGC_98) - coupl(    &
                        nGC_98)**3d0 - coupl(nGC_98)*coupl(nGC_99)**2d0)/(32d0*&
                        pi**2d0)
      coupl(nGC_12433) = 2d0*coupl(nGC_22)*dZHlHh_QED2 + 2d0*coupl(nGC_24)*    &
                         dZHh_QED2 + coupl(nGC_5218)
      coupl(nGC_7490) = -coupl(nGC_7489)
      coupl(nGC_9121) = coupl(nGC_119)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
      coupl(nGC_12211) = -coupl(nGC_12207)
      coupl(nGC_5203) = (-16d0*Nc*cima*coupl(nGC_1003)**4d0*sq2**4d0 + 6d0*Nc* &
                        cima*coupl(nGC_1785)**2d0 + 6d0*Nc*cima*coupl(nGC_1789 &
                        )**2d0 - 39d0*Nc*coupl(nGC_1003)**2d0*coupl(nGC_1785)* &
                        sq2**2d0 + 3d0*Nc*coupl(nGC_1003)**2d0*coupl(nGC_1789)*&
                        sq2**2d0 + 72d0*cima*coupl(nGC_11)**4d0*sq2**4d0)/(    &
                        1536d0*pi**2d0)
      coupl(nGC_5202) = (-8d0*Nc*cima*coupl(nGC_1003)**4d0*sq2**4d0 - 6d0*Nc*  &
                        cima*coupl(nGC_1785)*coupl(nGC_1789) - 12d0*Nc*coupl(  &
                        nGC_1003)**2d0*coupl(nGC_1785)*sq2**2d0 + 9d0*Nc*coupl(&
                        nGC_1003)**2d0*coupl(nGC_1789)*sq2**2d0 + 36d0*cima*   &
                        coupl(nGC_11)**4d0*sq2**4d0)/(768d0*pi**2d0)
      coupl(nGC_5201) = (-20d0*cima*coupl(nGC_1003)**4d0*sq2**4d0 + 48d0*cima* &
                        coupl(nGC_1793)**2d0 + 6d0*coupl(nGC_1003)**2d0*coupl( &
                        nGC_1785)*sq2**2d0 + 3d0*coupl(nGC_1003)**2d0*coupl(   &
                        nGC_1789)*sq2**2d0 - 66d0*coupl(nGC_1003)**2d0*coupl(  &
                        nGC_1793)*sq2**2d0)/(384d0*pi**2d0)
      coupl(nGC_5200) = (-20d0*cima*coupl(nGC_1003)**4d0*sq2**4d0 + 48d0*cima* &
                        coupl(nGC_1793)**2d0 - 3d0*coupl(nGC_1003)**2d0*coupl( &
                        nGC_1785)*sq2**2d0 - 6d0*coupl(nGC_1003)**2d0*coupl(   &
                        nGC_1789)*sq2**2d0 - 66d0*coupl(nGC_1003)**2d0*coupl(  &
                        nGC_1793)*sq2**2d0)/(384d0*pi**2d0)
      coupl(nGC_5207) = (-8d0*Nc*cima*coupl(nGC_1003)**4d0*sq2**4d0 - 6d0*Nc*  &
                        cima*coupl(nGC_1785)*coupl(nGC_1789) - 9d0*Nc*coupl(   &
                        nGC_1003)**2d0*coupl(nGC_1785)*sq2**2d0 + 12d0*Nc*coupl&
                        (nGC_1003)**2d0*coupl(nGC_1789)*sq2**2d0 + 36d0*cima*  &
                        coupl(nGC_11)**4d0*sq2**4d0)/(768d0*pi**2d0)
      coupl(nGC_5206) = (-16d0*Nc*cima*coupl(nGC_1003)**4d0*sq2**4d0 - 12d0*Nc*&
                        cima*coupl(nGC_1785)*coupl(nGC_1789) - 3d0*Nc*coupl(   &
                        nGC_1003)**2d0*coupl(nGC_1785)*sq2**2d0 + 39d0*Nc*coupl&
                        (nGC_1003)**2d0*coupl(nGC_1789)*sq2**2d0 + 72d0*cima*  &
                        coupl(nGC_11)**4d0*sq2**4d0)/(1536d0*pi**2d0)
      coupl(nGC_5205) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_1003)**4d0*sq2**2d0 + &
                        3d0*Nc*coupl(nGC_1003)**2d0*coupl(nGC_1785) - 9d0*Nc*  &
                        coupl(nGC_1003)**2d0*coupl(nGC_1789) - 60d0*cima*coupl(&
                        nGC_11)**4d0*sq2**2d0)/(768d0*pi**2d0)
      coupl(nGC_5204) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_1003)**4d0*sq2**2d0 + &
                        9d0*Nc*coupl(nGC_1003)**2d0*coupl(nGC_1785) - 3d0*Nc*  &
                        coupl(nGC_1003)**2d0*coupl(nGC_1789) - 60d0*cima*coupl(&
                        nGC_11)**4d0*sq2**2d0)/(768d0*pi**2d0)
      coupl(nGC_9374) = coupl(nGC_1)*dZbR_QED2 + coupl(nGC_50)*dZZA_QED2/2d0
      coupl(nGC_7143) = coupl(nGC_11)*dZdL_QED2
      coupl(nGC_7141) = coupl(nGC_5233) + coupl(nGC_76)*dZHh_QED2/2d0 + coupl( &
                        nGC_76)*dZHl_QED2 + coupl(nGC_78)*dZHlHh_QED2/2d0 +    &
                        coupl(nGC_79)*dZHhHl_QED2 + coupl(nGC_TS_GC_21_Hl) +   &
                        coupl(nGC_TS_GC_25_Hh)
      coupl(nGC_7146) = coupl(nGC_11)*dZdR_QCD2
      coupl(nGC_7144) = coupl(nGC_11)*dZdL_QCD2
      coupl(nGC_7145) = coupl(nGC_11)*dZdR_QED2
      coupl(nGC_5360) = coupl(nGC_4797)*dsw_QED2 + coupl(nGC_4798)*dMW2_QED2 + &
                        coupl(nGC_4799)*dZee_QED2
      coupl(nGC_5361) = coupl(nGC_4820)*dsw_QED2 + coupl(nGC_4821)*dMZ2_QED2 + &
                        coupl(nGC_4822)*dZee_QED2
      coupl(nGC_5362) = coupl(nGC_4801)*dsw_QED2 + coupl(nGC_4802)*dcw_QED2 +  &
                        coupl(nGC_4803)*dMZ2_QED2 + coupl(nGC_4804)*dZee_QED2  &
                         + coupl(nGC_4805)*da_QED2
      coupl(nGC_5363) = coupl(nGC_4698)*dsw_QED2 + coupl(nGC_4699)*dcw_QED2 +  &
                        coupl(nGC_4700)*dMZ2_QED2 + coupl(nGC_4701)*dZee_QED2  &
                         + coupl(nGC_4702)*da_QED2
      coupl(nGC_8029) = coupl(nGC_21)*dZHlHh_QED2 + coupl(nGC_22)*dZHhHl_QED2  &
                         + coupl(nGC_25)*dZHh_QED2 + coupl(nGC_25)*dZHl_QED2 + &
                        coupl(nGC_5225)
      coupl(nGC_TS_GC_113_Hl) = -coupl(nGC_113)*dtHl_QED1/cMHL**2d0
      coupl(nGC_7220) = coupl(nGC_2)*dZtL_QCD2
      coupl(nGC_7388) = coupl(nGC_5231) + coupl(nGC_76)*dZHlHh_QED2 + coupl(   &
                        nGC_77)*dZHhHl_QED2/2d0 + coupl(nGC_79)*dZHh_QED2 +    &
                        coupl(nGC_79)*dZHl_QED2/2d0 + coupl(nGC_TS_GC_22_Hh) + &
                        coupl(nGC_TS_GC_25_Hl)
      coupl(nGC_7226) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_5269)
      coupl(nGC_7225) = coupl(nGC_2)*dZtL_QED2 + coupl(nGC_54)*dZZA_QED2/2d0
      coupl(nGC_7224) = coupl(nGC_2)*dZtR_QED2 + coupl(nGC_51)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_114_Hh) = -coupl(nGC_114)*dtHh_QED1/cMHH**2d0
      coupl(nGC_4850) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_83)*coupl(nGC_84) -   &
                        4d0*Nc*cMC**2d0*cima*coupl(nGC_88)*coupl(nGC_89) - 4d0*&
                        Nc*cMD**2d0*cima*coupl(nGC_93)*coupl(nGC_94) - 4d0*Nc* &
                        cMS**2d0*cima*coupl(nGC_108)*coupl(nGC_109) - 4d0*Nc*  &
                        cMT**2d0*cima*coupl(nGC_113)*coupl(nGC_114) - 4d0*Nc*  &
                        cMU**2d0*cima*coupl(nGC_123)*coupl(nGC_124) - 4d0*cME**&
                        2d0*cima*coupl(nGC_98)*coupl(nGC_99) - 4d0*cMM**2d0*   &
                        cima*coupl(nGC_103)*coupl(nGC_104) - 4d0*cMTA**2d0*cima&
                        *coupl(nGC_118)*coupl(nGC_119) + cMW**2d0*cima*coupl(  &
                        nGC_34)*coupl(nGC_47) + cMW**2d0*cima*coupl(nGC_35)*   &
                        coupl(nGC_46) - 2d0*cMW**2d0*coupl(nGC_30) + cMZ**2d0* &
                        cima*coupl(nGC_57)*coupl(nGC_61) - cMZ**2d0*coupl(     &
                        nGC_66) + 2d0*cima*coupl(nGC_69)*coupl(nGC_70) + cima* &
                        coupl(nGC_72)*coupl(nGC_73))/(16d0*pi**2d0)
      coupl(nGC_TS_GC_124_Hh) = -coupl(nGC_124)*dtHh_QED1/cMHH**2d0
      coupl(nGC_9254) = -coupl(nGC_9253)
      coupl(nGC_4989) = (-8d0*Nc*cMB*coupl(nGC_50)**2d0*coupl(nGC_84) + 8d0*Nc*&
                        cMB*coupl(nGC_50)*coupl(nGC_53)*coupl(nGC_84) - 8d0*Nc*&
                        cMB*coupl(nGC_53)**2d0*coupl(nGC_84) - 8d0*Nc*cMC*coupl&
                        (nGC_51)**2d0*coupl(nGC_89) + 8d0*Nc*cMC*coupl(nGC_51)*&
                        coupl(nGC_54)*coupl(nGC_89) - 8d0*Nc*cMC*coupl(nGC_54  &
                        )**2d0*coupl(nGC_89) - 8d0*Nc*cMD*coupl(nGC_50)**2d0*  &
                        coupl(nGC_94) + 8d0*Nc*cMD*coupl(nGC_50)*coupl(nGC_53)*&
                        coupl(nGC_94) - 8d0*Nc*cMD*coupl(nGC_53)**2d0*coupl(   &
                        nGC_94) - 8d0*Nc*cMS*coupl(nGC_109)*coupl(nGC_50)**2d0 &
                         + 8d0*Nc*cMS*coupl(nGC_109)*coupl(nGC_50)*coupl(nGC_53&
                        ) - 8d0*Nc*cMS*coupl(nGC_109)*coupl(nGC_53)**2d0 - 8d0*&
                        Nc*cMT*coupl(nGC_114)*coupl(nGC_51)**2d0 + 8d0*Nc*cMT* &
                        coupl(nGC_114)*coupl(nGC_51)*coupl(nGC_54) - 8d0*Nc*cMT&
                        *coupl(nGC_114)*coupl(nGC_54)**2d0 - 8d0*Nc*cMU*coupl( &
                        nGC_124)*coupl(nGC_51)**2d0 + 8d0*Nc*cMU*coupl(nGC_124 &
                        )*coupl(nGC_51)*coupl(nGC_54) - 8d0*Nc*cMU*coupl(      &
                        nGC_124)*coupl(nGC_54)**2d0 - 8d0*cME*coupl(nGC_52)**  &
                        2d0*coupl(nGC_99) + 8d0*cME*coupl(nGC_52)*coupl(nGC_55 &
                        )*coupl(nGC_99) - 8d0*cME*coupl(nGC_55)**2d0*coupl(    &
                        nGC_99) - 8d0*cMM*coupl(nGC_104)*coupl(nGC_52)**2d0 +  &
                        8d0*cMM*coupl(nGC_104)*coupl(nGC_52)*coupl(nGC_55) -   &
                        8d0*cMM*coupl(nGC_104)*coupl(nGC_55)**2d0 - 8d0*cMTA*  &
                        coupl(nGC_119)*coupl(nGC_52)**2d0 + 8d0*cMTA*coupl(    &
                        nGC_119)*coupl(nGC_52)*coupl(nGC_55) - 8d0*cMTA*coupl( &
                        nGC_119)*coupl(nGC_55)**2d0 - 8d0*cima*coupl(nGC_29)*  &
                        coupl(nGC_70) + 6d0*coupl(nGC_37)**2d0*coupl(nGC_70) + &
                        coupl(nGC_37)*coupl(nGC_46)*coupl(nGC_68) - coupl(     &
                        nGC_37)*coupl(nGC_47)*coupl(nGC_68) - coupl(nGC_46)*   &
                        coupl(nGC_68)*coupl(nGC_991) + coupl(nGC_47)*coupl(    &
                        nGC_68)*coupl(nGC_991) + 6d0*coupl(nGC_70)*coupl(      &
                        nGC_991)**2d0)/(32d0*pi**2d0)
      coupl(nGC_4988) = (-4d0*Nc*cMB*coupl(nGC_33)**2d0*coupl(nGC_84) - 4d0*Nc*&
                        cMC*coupl(nGC_33)**2d0*coupl(nGC_89) - 4d0*Nc*cMD*coupl&
                        (nGC_33)**2d0*coupl(nGC_94) - 4d0*Nc*cMS*coupl(nGC_109 &
                        )*coupl(nGC_33)**2d0 - 4d0*Nc*cMT*coupl(nGC_114)*coupl(&
                        nGC_33)**2d0 - 4d0*Nc*cMU*coupl(nGC_124)*coupl(nGC_33  &
                        )**2d0 - 4d0*cME*coupl(nGC_33)**2d0*coupl(nGC_99) - 4d0&
                        *cMM*coupl(nGC_104)*coupl(nGC_33)**2d0 - 4d0*cMTA*coupl&
                        (nGC_119)*coupl(nGC_33)**2d0 - 2d0*cima*coupl(nGC_1661 &
                        )*coupl(nGC_70) - 4d0*cima*coupl(nGC_29)*coupl(nGC_73  &
                        ) + 6d0*coupl(nGC_3)**2d0*coupl(nGC_70) - coupl(nGC_3)*&
                        coupl(nGC_46)*coupl(nGC_71) + coupl(nGC_3)*coupl(nGC_47&
                        )*coupl(nGC_71) + 6d0*coupl(nGC_37)**2d0*coupl(nGC_70  &
                        ) - coupl(nGC_37)*coupl(nGC_46)*coupl(nGC_68) + coupl( &
                        nGC_37)*coupl(nGC_47)*coupl(nGC_68) + 6d0*coupl(nGC_73 &
                        )*coupl(nGC_991)**2d0)/(32d0*pi**2d0)
      coupl(nGC_4987) = (24d0*Nc*cMB*coupl(nGC_83)**2d0*coupl(nGC_84) + 24d0*Nc&
                        *cMC*coupl(nGC_88)**2d0*coupl(nGC_89) + 24d0*Nc*cMD*   &
                        coupl(nGC_93)**2d0*coupl(nGC_94) + 24d0*Nc*cMS*coupl(  &
                        nGC_108)**2d0*coupl(nGC_109) + 24d0*Nc*cMT*coupl(      &
                        nGC_113)**2d0*coupl(nGC_114) + 24d0*Nc*cMU*coupl(      &
                        nGC_123)**2d0*coupl(nGC_124) + 24d0*cME*coupl(nGC_98)**&
                        2d0*coupl(nGC_99) + 24d0*cMM*coupl(nGC_103)**2d0*coupl(&
                        nGC_104) + 24d0*cMTA*coupl(nGC_118)**2d0*coupl(nGC_119 &
                        ) + 4d0*cima*coupl(nGC_28)*coupl(nGC_70) + 8d0*cima*   &
                        coupl(nGC_30)*coupl(nGC_69) + 2d0*cima*coupl(nGC_65)*  &
                        coupl(nGC_73) + 4d0*cima*coupl(nGC_66)*coupl(nGC_72) + &
                        2d0*coupl(nGC_34)*coupl(nGC_35)*coupl(nGC_70) - 2d0*   &
                        coupl(nGC_34)*coupl(nGC_35)*coupl(nGC_74) + 2d0*coupl( &
                        nGC_34)*coupl(nGC_47)*coupl(nGC_69) - 2d0*coupl(nGC_34 &
                        )*coupl(nGC_47)*coupl(nGC_75) + 2d0*coupl(nGC_35)*coupl&
                        (nGC_46)*coupl(nGC_69) - 2d0*coupl(nGC_35)*coupl(nGC_46&
                        )*coupl(nGC_75) + coupl(nGC_57)**2d0*coupl(nGC_73) -   &
                        coupl(nGC_57)**2d0*coupl(nGC_74) + 2d0*coupl(nGC_57)*  &
                        coupl(nGC_61)*coupl(nGC_72) - 2d0*coupl(nGC_57)*coupl( &
                        nGC_61)*coupl(nGC_75))/(32d0*pi**2d0)
      coupl(nGC_TS_GC_20_Hl) = -coupl(nGC_20)*dtHl_QED1/cMHL**2d0
      coupl(nGC_4985) = 3d0*(8d0*Nc*cMB*coupl(nGC_84)**3d0 + 8d0*Nc*cMC*coupl( &
                        nGC_89)**3d0 + 8d0*Nc*cMD*coupl(nGC_94)**3d0 + 8d0*Nc* &
                        cMS*coupl(nGC_109)**3d0 + 8d0*Nc*cMT*coupl(nGC_114)**  &
                        3d0 + 8d0*Nc*cMU*coupl(nGC_124)**3d0 + 8d0*cME*coupl(  &
                        nGC_99)**3d0 + 8d0*cMM*coupl(nGC_104)**3d0 + 8d0*cMTA* &
                        coupl(nGC_119)**3d0 + 4d0*cima*coupl(nGC_31)*coupl(    &
                        nGC_70) + 2d0*cima*coupl(nGC_67)*coupl(nGC_73) + 2d0*  &
                        coupl(nGC_46)*coupl(nGC_47)*coupl(nGC_70) - 2d0*coupl( &
                        nGC_46)*coupl(nGC_47)*coupl(nGC_74) + coupl(nGC_61)**  &
                        2d0*coupl(nGC_73) - coupl(nGC_61)**2d0*coupl(nGC_74))/(&
                        32d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl12
end module fill_ctcouplings12
