!******************************************************************************!
!                                                                              !
!    fill_ctcouplings14.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings14.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 06:18             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings14
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl14()
      coupl(nGC_7457) = coupl(nGC_5276) + coupl(nGC_53)*dZZ_QED2/2d0 + coupl(  &
                        nGC_53)*dZbL_QED2
      coupl(nGC_8277) = coupl(nGC_5256) + coupl(nGC_55)*dZZ_QED2/2d0 + coupl(  &
                        nGC_55)*dZeMinusL_QED2
      coupl(nGC_5064) = (coupl(nGC_100)**2d0*coupl(nGC_56) + coupl(nGC_101)*   &
                        coupl(nGC_102)*coupl(nGC_55) + coupl(nGC_103)**2d0*    &
                        coupl(nGC_55) + coupl(nGC_104)**2d0*coupl(nGC_55) + 4d0&
                        *coupl(nGC_4)**2d0*coupl(nGC_52) + 4d0*coupl(nGC_52)** &
                        3d0)/(32d0*pi**2d0)
      coupl(nGC_14019) = -coupl(nGC_4886)
      coupl(nGC_7793) = coupl(nGC_114)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_7792) = coupl(nGC_114)*(dZtL_QED2 + dZtR_QED2)/2d0
      coupl(nGC_5325) = coupl(nGC_4782)*da_QED2 + coupl(nGC_4783)*dym_QED3
      coupl(nGC_5326) = coupl(nGC_263)*da_QED2 + coupl(nGC_265)*dytau_QED3
      coupl(nGC_7814) = coupl(nGC_11)*dZtR_QCD2
      coupl(nGC_7815) = coupl(nGC_11)*dZtL_QED2
      coupl(nGC_7816) = coupl(nGC_11)*dZtL_QCD2
      coupl(nGC_7817) = coupl(nGC_7030) + coupl(nGC_7814)
      coupl(nGC_7813) = coupl(nGC_11)*dZtR_QED2
      coupl(nGC_11161) = coupl(nGC_5444) + coupl(nGC_MW)*dZWMinus_QED2 + coupl(&
                         nGC_TS_GC_69_Hl) + coupl(nGC_TS_GC_70_Hh)
      coupl(nGC_5066) = (coupl(nGC_100)**2d0*coupl(nGC_52) + 4d0*coupl(nGC_33  &
                        )**2d0*coupl(nGC_55) - 4d0*coupl(nGC_33)**2d0*coupl(   &
                        nGC_991) + 4d0*coupl(nGC_56)**3d0)/(32d0*pi**2d0)
      coupl(nGC_5046) = coupl(nGC_33)*(coupl(nGC_1)*coupl(nGC_2) - coupl(nGC_1 &
                        )*coupl(nGC_3) - coupl(nGC_1751)*coupl(nGC_2) - coupl( &
                        nGC_37)*coupl(nGC_53) + coupl(nGC_53)*coupl(nGC_54) -  &
                        coupl(nGC_54)*coupl(nGC_991))/(8d0*pi**2d0)
      coupl(nGC_9373) = coupl(nGC_1)*dZbL_QED2 + coupl(nGC_53)*dZZA_QED2/2d0
      coupl(nGC_8596) = coupl(nGC_5324) + coupl(nGC_98)*dZHl_QED2/2d0 + coupl( &
                        nGC_99)*dZHhHl_QED2/2d0
      coupl(nGC_8592) = coupl(nGC_98)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
      coupl(nGC_8278) = coupl(nGC_52)*dZZ_QED2/2d0 + coupl(nGC_52)*            &
                        dZeMinusR_QED2 + coupl(nGC_5278)
      coupl(nGC_4840) = cima*(4d0*Nc*coupl(nGC_108)**2d0 + 4d0*Nc*coupl(nGC_113&
                        )**2d0 + 4d0*Nc*coupl(nGC_123)**2d0 + 4d0*Nc*coupl(    &
                        nGC_83)**2d0 + 4d0*Nc*coupl(nGC_88)**2d0 + 4d0*Nc*coupl&
                        (nGC_93)**2d0 + 4d0*coupl(nGC_103)**2d0 + 4d0*coupl(   &
                        nGC_118)**2d0 - 2d0*coupl(nGC_34)*coupl(nGC_35) - coupl&
                        (nGC_57)**2d0 + 4d0*coupl(nGC_98)**2d0)/(96d0*pi**2d0)
      coupl(nGC_12225) = coupl(nGC_5443) + coupl(nGC_MZ)*dZZ_QED2 + coupl(     &
                         nGC_TS_GC_72_Hl) + coupl(nGC_TS_GC_73_Hh)
      coupl(nGC_5068) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_53) + coupl(nGC_106)* &
                        coupl(nGC_107)*coupl(nGC_50) + coupl(nGC_108)**2d0*    &
                        coupl(nGC_50) + coupl(nGC_109)**2d0*coupl(nGC_50) - 4d0&
                        *coupl(nGC_33)**2d0*coupl(nGC_37) + 4d0*coupl(nGC_33)**&
                        2d0*coupl(nGC_54) + coupl(nGC_51)*coupl(nGC_85)**2d0 + &
                        4d0*coupl(nGC_53)**3d0)/(32d0*pi**2d0)
      coupl(nGC_12220) = coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_TS_GC_9_Hl) = -coupl(nGC_9)*dtHl_QED1/cMHL**2d0
      coupl(nGC_7458) = coupl(nGC_50)*dZZ_QED2/2d0 + coupl(nGC_50)*dZbR_QED2 + &
                        coupl(nGC_5275)
      coupl(nGC_8980) = coupl(nGC_5425) + coupl(nGC_MHL)*dZHl_QED2 + coupl(    &
                        nGC_TS_GC_76_Hh) + coupl(nGC_TS_GC_78_Hl)
      coupl(nGC_4847) = cima*(4d0*Nc*coupl(nGC_109)**2d0 + 4d0*Nc*coupl(nGC_114&
                        )**2d0 + 4d0*Nc*coupl(nGC_124)**2d0 + 4d0*Nc*coupl(    &
                        nGC_84)**2d0 + 4d0*Nc*coupl(nGC_89)**2d0 + 4d0*Nc*coupl&
                        (nGC_94)**2d0 + 4d0*coupl(nGC_104)**2d0 + 4d0*coupl(   &
                        nGC_119)**2d0 - 2d0*coupl(nGC_46)*coupl(nGC_47) - coupl&
                        (nGC_61)**2d0 + 4d0*coupl(nGC_99)**2d0)/(96d0*pi**2d0)
      coupl(nGC_4844) = cima*(-2d0*Nc*coupl(nGC_1)*coupl(nGC_50) - 2d0*Nc*coupl&
                        (nGC_1)*coupl(nGC_53) - 2d0*Nc*coupl(nGC_2)*coupl(     &
                        nGC_51) - 2d0*Nc*coupl(nGC_2)*coupl(nGC_54) - coupl(   &
                        nGC_1751)*coupl(nGC_991) - coupl(nGC_3)*coupl(nGC_37   &
                        ) - 2d0*coupl(nGC_4)*coupl(nGC_52) - 2d0*coupl(nGC_4)* &
                        coupl(nGC_55))/(32d0*pi**2d0)
      coupl(nGC_5254) = coupl(nGC_4668)*dsw_QED2 + coupl(nGC_4669)*dcw_QED2 +  &
                        coupl(nGC_4670)*da_QED2 + coupl(nGC_4671)*dZee_QED2
      coupl(nGC_7702) = coupl(nGC_5293) + coupl(nGC_92)*dZdL_QCD2/2d0 + coupl( &
                        nGC_92)*dZdR_QCD2/2d0
      coupl(nGC_4845) = cima*(coupl(nGC_1751)*coupl(nGC_991) + coupl(nGC_3)*   &
                        coupl(nGC_37))/(48d0*pi**2d0)
      coupl(nGC_7704) = coupl(nGC_5294) + coupl(nGC_92)*dZdL_QED2/2d0 + coupl( &
                        nGC_92)*dZdR_QED2/2d0
      coupl(nGC_5251) = coupl(nGC_4595)*dsw_QED2 + coupl(nGC_4596)*dvev_QED1 + &
                        coupl(nGC_4597)*da_QED2 + coupl(nGC_4598)*dZee_QED2
      coupl(nGC_14848) = -coupl(nGC_4887)
      coupl(nGC_5253) = coupl(nGC_4676)*dsw_QED2 + coupl(nGC_4677)*dcw_QED2 +  &
                        coupl(nGC_4678)*dZee_QED2
      coupl(nGC_8975) = coupl(nGC_I)*dZHl_QED2
      coupl(nGC_8692) = coupl(nGC_5428) + coupl(nGC_TS_GC_98_Hl) + coupl(      &
                        nGC_TS_GC_99_Hh)
      coupl(nGC_8112) = coupl(nGC_1)*dZdL_QCD2
      coupl(nGC_8114) = coupl(nGC_1)*dZdR_QED2 + coupl(nGC_50)*dZZA_QED2/2d0
      coupl(nGC_8115) = coupl(nGC_1)*dZdL_QED2 + coupl(nGC_53)*dZZA_QED2/2d0
      coupl(nGC_8116) = coupl(nGC_7965) + coupl(nGC_8114)
      coupl(nGC_8117) = coupl(nGC_7965) + coupl(nGC_8115)
      coupl(nGC_5193) = sq2**2d0*(-2d0*Nc*cima*coupl(nGC_1003)**4d0*sq2**2d0 + &
                        3d0*Nc*coupl(nGC_1003)**2d0*coupl(nGC_1785) - 3d0*Nc*  &
                        coupl(nGC_1003)**2d0*coupl(nGC_1789) - 30d0*cima*coupl(&
                        nGC_11)**4d0*sq2**2d0)/(384d0*pi**2d0)
      coupl(nGC_5060) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_50) + 4d0*coupl(nGC_50&
                        )**3d0 + coupl(nGC_53)*coupl(nGC_91)*coupl(nGC_92) +   &
                        coupl(nGC_53)*coupl(nGC_93)**2d0 + coupl(nGC_53)*coupl(&
                        nGC_94)**2d0 + coupl(nGC_54)*coupl(nGC_90)**2d0)/(32d0*&
                        pi**2d0)
      coupl(nGC_5197) = (20d0*Nc*cima*coupl(nGC_1003)**4d0*sq2**4d0 - 12d0*Nc* &
                        cima*coupl(nGC_1785)*coupl(nGC_1793) + 12d0*Nc*cima*   &
                        coupl(nGC_1789)*coupl(nGC_1793) + 3d0*Nc*coupl(nGC_1003&
                        )**2d0*coupl(nGC_1785)*sq2**2d0 - 12d0*Nc*coupl(       &
                        nGC_1003)**2d0*coupl(nGC_1789)*sq2**2d0 + 30d0*Nc*coupl&
                        (nGC_1003)**2d0*coupl(nGC_1793)*sq2**2d0 - 12d0*cima*  &
                        coupl(nGC_11)**4d0*sq2**4d0)/(768d0*pi**2d0*Nc)
      coupl(nGC_5196) = (20d0*Nc*cima*coupl(nGC_1003)**4d0*sq2**4d0 - 12d0*Nc* &
                        cima*coupl(nGC_1785)*coupl(nGC_1793) + 12d0*Nc*cima*   &
                        coupl(nGC_1789)*coupl(nGC_1793) + 12d0*Nc*coupl(       &
                        nGC_1003)**2d0*coupl(nGC_1785)*sq2**2d0 - 3d0*Nc*coupl(&
                        nGC_1003)**2d0*coupl(nGC_1789)*sq2**2d0 + 30d0*Nc*coupl&
                        (nGC_1003)**2d0*coupl(nGC_1793)*sq2**2d0 - 12d0*cima*  &
                        coupl(nGC_11)**4d0*sq2**4d0)/(768d0*pi**2d0*Nc)
      coupl(nGC_5195) = (40d0*Nc*cima*coupl(nGC_1003)**4d0*sq2**4d0 - 24d0*Nc* &
                        cima*coupl(nGC_1785)*coupl(nGC_1793) + 24d0*Nc*cima*   &
                        coupl(nGC_1789)*coupl(nGC_1793) + 15d0*Nc*coupl(       &
                        nGC_1003)**2d0*coupl(nGC_1785)*sq2**2d0 - 15d0*Nc*coupl&
                        (nGC_1003)**2d0*coupl(nGC_1789)*sq2**2d0 + 60d0*Nc*    &
                        coupl(nGC_1003)**2d0*coupl(nGC_1793)*sq2**2d0 - 24d0*  &
                        cima*coupl(nGC_11)**4d0*sq2**4d0)/(1536d0*pi**2d0*Nc)
      coupl(nGC_5194) = (-16d0*Nc*cima*coupl(nGC_1003)**4d0*sq2**4d0 + 6d0*Nc* &
                        cima*coupl(nGC_1785)**2d0 + 6d0*Nc*cima*coupl(nGC_1789 &
                        )**2d0 - 21d0*Nc*coupl(nGC_1003)**2d0*coupl(nGC_1785)* &
                        sq2**2d0 + 21d0*Nc*coupl(nGC_1003)**2d0*coupl(nGC_1789 &
                        )*sq2**2d0 + 72d0*cima*coupl(nGC_11)**4d0*sq2**4d0)/(  &
                        1536d0*pi**2d0)
      coupl(nGC_5067) = (coupl(nGC_115)**2d0*coupl(nGC_52) + 4d0*coupl(nGC_33  &
                        )**2d0*coupl(nGC_55) - 4d0*coupl(nGC_33)**2d0*coupl(   &
                        nGC_991) + 4d0*coupl(nGC_56)**3d0)/(32d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl14
end module fill_ctcouplings14
