!******************************************************************************!
!                                                                              !
!    fill_ctcouplings19.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings19.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 06:18             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings19
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl19()
      coupl(nGC_4969) = (-coupl(nGC_100)*coupl(nGC_1103)*coupl(nGC_33) - coupl(&
                        nGC_101)**2d0*coupl(nGC_102) + 8d0*coupl(nGC_101)*coupl&
                        (nGC_4)**2d0 + 8d0*coupl(nGC_101)*coupl(nGC_52)*coupl( &
                        nGC_55) - coupl(nGC_102)*coupl(nGC_103)**2d0 - coupl(  &
                        nGC_102)*coupl(nGC_104)**2d0 + coupl(nGC_103)*coupl(   &
                        nGC_52)*coupl(nGC_703) - coupl(nGC_103)*coupl(nGC_55)* &
                        coupl(nGC_703) + coupl(nGC_104)*coupl(nGC_52)*coupl(   &
                        nGC_629) - coupl(nGC_104)*coupl(nGC_55)*coupl(nGC_629  &
                        ))/(32d0*pi**2d0)
      coupl(nGC_4968) = (coupl(nGC_1103)*coupl(nGC_33)*coupl(nGC_95) + 8d0*    &
                        coupl(nGC_4)**2d0*coupl(nGC_97) + 8d0*coupl(nGC_52)*   &
                        coupl(nGC_55)*coupl(nGC_97) - coupl(nGC_52)*coupl(     &
                        nGC_629)*coupl(nGC_99) - coupl(nGC_52)*coupl(nGC_703)* &
                        coupl(nGC_98) + coupl(nGC_55)*coupl(nGC_629)*coupl(    &
                        nGC_99) + coupl(nGC_55)*coupl(nGC_703)*coupl(nGC_98) - &
                        coupl(nGC_96)*coupl(nGC_97)**2d0 - coupl(nGC_96)*coupl(&
                        nGC_98)**2d0 - coupl(nGC_96)*coupl(nGC_99)**2d0)/(32d0*&
                        pi**2d0)
      coupl(nGC_10181) = coupl(nGC_11)*dZuR_QED2
      coupl(nGC_7475) = coupl(nGC_5345) + coupl(nGC_88)*dZHl_QED2/2d0 + coupl( &
                        nGC_89)*dZHhHl_QED2/2d0
      coupl(nGC_9721) = -coupl(nGC_9188)
      coupl(nGC_5014) = (-coupl(nGC_120)*coupl(nGC_33)*coupl(nGC_47) - coupl(  &
                        nGC_120)*coupl(nGC_90)*coupl(nGC_94) - coupl(nGC_122)**&
                        2d0*coupl(nGC_124) + coupl(nGC_122)*coupl(nGC_51)*coupl&
                        (nGC_61) - coupl(nGC_122)*coupl(nGC_54)*coupl(nGC_61   &
                        ) - coupl(nGC_123)**2d0*coupl(nGC_124) - coupl(nGC_124 &
                        )**3d0 + 8d0*coupl(nGC_124)*coupl(nGC_2)**2d0 + 8d0*   &
                        coupl(nGC_124)*coupl(nGC_51)*coupl(nGC_54))/(32d0*pi** &
                        2d0)
      coupl(nGC_4952) = (4d0*Nc*cMB*coupl(nGC_81)**2d0*coupl(nGC_83) + 16d0*Nc*&
                        cMB*coupl(nGC_81)*coupl(nGC_82)*coupl(nGC_83) + 4d0*Nc*&
                        cMB*coupl(nGC_82)**2d0*coupl(nGC_83) + 4d0*Nc*cMC*coupl&
                        (nGC_86)**2d0*coupl(nGC_88) + 16d0*Nc*cMC*coupl(nGC_86 &
                        )*coupl(nGC_87)*coupl(nGC_88) + 4d0*Nc*cMC*coupl(nGC_87&
                        )**2d0*coupl(nGC_88) + 4d0*Nc*cMD*coupl(nGC_91)**2d0*  &
                        coupl(nGC_93) + 16d0*Nc*cMD*coupl(nGC_91)*coupl(nGC_92 &
                        )*coupl(nGC_93) + 4d0*Nc*cMD*coupl(nGC_92)**2d0*coupl( &
                        nGC_93) + 4d0*Nc*cMS*coupl(nGC_106)**2d0*coupl(nGC_108 &
                        ) + 16d0*Nc*cMS*coupl(nGC_106)*coupl(nGC_107)*coupl(   &
                        nGC_108) + 4d0*Nc*cMS*coupl(nGC_107)**2d0*coupl(nGC_108&
                        ) + 4d0*Nc*cMT*coupl(nGC_111)**2d0*coupl(nGC_113) +    &
                        16d0*Nc*cMT*coupl(nGC_111)*coupl(nGC_112)*coupl(nGC_113&
                        ) + 4d0*Nc*cMT*coupl(nGC_112)**2d0*coupl(nGC_113) + 4d0&
                        *Nc*cMU*coupl(nGC_121)**2d0*coupl(nGC_123) + 16d0*Nc*  &
                        cMU*coupl(nGC_121)*coupl(nGC_122)*coupl(nGC_123) + 4d0*&
                        Nc*cMU*coupl(nGC_122)**2d0*coupl(nGC_123) + 4d0*cME*   &
                        coupl(nGC_96)**2d0*coupl(nGC_98) + 16d0*cME*coupl(     &
                        nGC_96)*coupl(nGC_97)*coupl(nGC_98) + 4d0*cME*coupl(   &
                        nGC_97)**2d0*coupl(nGC_98) + 4d0*cMM*coupl(nGC_101)**  &
                        2d0*coupl(nGC_103) + 16d0*cMM*coupl(nGC_101)*coupl(    &
                        nGC_102)*coupl(nGC_103) + 4d0*cMM*coupl(nGC_102)**2d0* &
                        coupl(nGC_103) + 4d0*cMTA*coupl(nGC_116)**2d0*coupl(   &
                        nGC_118) + 16d0*cMTA*coupl(nGC_116)*coupl(nGC_117)*    &
                        coupl(nGC_118) + 4d0*cMTA*coupl(nGC_117)**2d0*coupl(   &
                        nGC_118) + 4d0*cima*coupl(nGC_26)*coupl(nGC_69) + 2d0* &
                        cima*coupl(nGC_64)*coupl(nGC_72) + 2d0*coupl(nGC_1103  &
                        )**2d0*coupl(nGC_69) - 2d0*coupl(nGC_1103)**2d0*coupl( &
                        nGC_75) - 2d0*coupl(nGC_57)*coupl(nGC_629)*coupl(nGC_74&
                        ) - 2d0*coupl(nGC_57)*coupl(nGC_703)*coupl(nGC_75) +   &
                        coupl(nGC_629)**2d0*coupl(nGC_72) - coupl(nGC_629)**2d0&
                        *coupl(nGC_79) - 2d0*coupl(nGC_629)*coupl(nGC_703)*    &
                        coupl(nGC_76) + coupl(nGC_703)**2d0*coupl(nGC_72) -    &
                        coupl(nGC_703)**2d0*coupl(nGC_78))/(32d0*pi**2d0)
      coupl(nGC_5141) = (-16d0*Nc*cima*coupl(nGC_105)**2d0*coupl(nGC_50)**2d0  &
                         + 20d0*Nc*cima*coupl(nGC_105)**2d0*coupl(nGC_50)*coupl&
                        (nGC_54) - 16d0*Nc*cima*coupl(nGC_105)**2d0*coupl(     &
                        nGC_54)**2d0 - 16d0*Nc*cima*coupl(nGC_110)**2d0*coupl( &
                        nGC_51)**2d0 + 20d0*Nc*cima*coupl(nGC_110)**2d0*coupl( &
                        nGC_51)*coupl(nGC_53) - 16d0*Nc*cima*coupl(nGC_110)**  &
                        2d0*coupl(nGC_53)**2d0 - 16d0*Nc*cima*coupl(nGC_120)** &
                        2d0*coupl(nGC_51)**2d0 + 20d0*Nc*cima*coupl(nGC_120)** &
                        2d0*coupl(nGC_51)*coupl(nGC_53) - 16d0*Nc*cima*coupl(  &
                        nGC_120)**2d0*coupl(nGC_53)**2d0 - 16d0*Nc*cima*coupl( &
                        nGC_50)**2d0*coupl(nGC_80)**2d0 - 16d0*Nc*cima*coupl(  &
                        nGC_50)**2d0*coupl(nGC_90)**2d0 + 20d0*Nc*cima*coupl(  &
                        nGC_50)*coupl(nGC_54)*coupl(nGC_80)**2d0 + 20d0*Nc*cima&
                        *coupl(nGC_50)*coupl(nGC_54)*coupl(nGC_90)**2d0 - 16d0*&
                        Nc*cima*coupl(nGC_51)**2d0*coupl(nGC_85)**2d0 + 20d0*Nc&
                        *cima*coupl(nGC_51)*coupl(nGC_53)*coupl(nGC_85)**2d0 - &
                        16d0*Nc*cima*coupl(nGC_53)**2d0*coupl(nGC_85)**2d0 -   &
                        16d0*Nc*cima*coupl(nGC_54)**2d0*coupl(nGC_80)**2d0 -   &
                        16d0*Nc*cima*coupl(nGC_54)**2d0*coupl(nGC_90)**2d0 -   &
                        16d0*cima*coupl(nGC_100)**2d0*coupl(nGC_52)**2d0 + 20d0&
                        *cima*coupl(nGC_100)**2d0*coupl(nGC_52)*coupl(nGC_56   &
                        ) - 16d0*cima*coupl(nGC_100)**2d0*coupl(nGC_56)**2d0 - &
                        16d0*cima*coupl(nGC_115)**2d0*coupl(nGC_52)**2d0 + 20d0&
                        *cima*coupl(nGC_115)**2d0*coupl(nGC_52)*coupl(nGC_56   &
                        ) - 16d0*cima*coupl(nGC_115)**2d0*coupl(nGC_56)**2d0 - &
                        4d0*cima*coupl(nGC_1401)*coupl(nGC_4)*coupl(nGC_617)** &
                        2d0 - 4d0*cima*coupl(nGC_1589)*coupl(nGC_2155)*coupl(  &
                        nGC_61)*coupl(nGC_629) - 9d0*cima*coupl(nGC_1589)*coupl&
                        (nGC_2155)*coupl(nGC_991)**2d0 - 4d0*cima*coupl(       &
                        nGC_1589)*coupl(nGC_61)*coupl(nGC_703)*coupl(nGC_983   &
                        ) - 4d0*cima*coupl(nGC_2155)*coupl(nGC_2229)*coupl(    &
                        nGC_57)*coupl(nGC_629) - 4d0*cima*coupl(nGC_2229)*coupl&
                        (nGC_57)*coupl(nGC_703)*coupl(nGC_983) - 9d0*cima*coupl&
                        (nGC_2229)*coupl(nGC_983)*coupl(nGC_991)**2d0 - 24d0*  &
                        cima*coupl(nGC_26)*coupl(nGC_29) - 4d0*cima*coupl(     &
                        nGC_32)**2d0*coupl(nGC_57)*coupl(nGC_703) - 4d0*cima*  &
                        coupl(nGC_32)**2d0*coupl(nGC_61)*coupl(nGC_629) - 9d0* &
                        cima*coupl(nGC_32)**2d0*coupl(nGC_991)**2d0 - 16d0*cima&
                        *coupl(nGC_52)**2d0*coupl(nGC_95)**2d0 + 20d0*cima*    &
                        coupl(nGC_52)*coupl(nGC_56)*coupl(nGC_95)**2d0 - 4d0*  &
                        cima*coupl(nGC_55)*coupl(nGC_617)**3d0 - 16d0*cima*    &
                        coupl(nGC_56)**2d0*coupl(nGC_95)**2d0 - 3d0*coupl(     &
                        nGC_1401)*coupl(nGC_4)*coupl(nGC_63) - 6d0*coupl(      &
                        nGC_1589)*coupl(nGC_17)*coupl(nGC_991) - 6d0*coupl(    &
                        nGC_1589)*coupl(nGC_2155)*coupl(nGC_29) - 3d0*coupl(   &
                        nGC_1589)*coupl(nGC_2155)*coupl(nGC_67) - 3d0*coupl(   &
                        nGC_1589)*coupl(nGC_66)*coupl(nGC_983) + 6d0*coupl(    &
                        nGC_17)*coupl(nGC_2155)*coupl(nGC_991) - 3d0*coupl(    &
                        nGC_2155)*coupl(nGC_2229)*coupl(nGC_66) - 6d0*coupl(   &
                        nGC_2229)*coupl(nGC_29)*coupl(nGC_983) - 3d0*coupl(    &
                        nGC_2229)*coupl(nGC_65)*coupl(nGC_983) - 6d0*coupl(    &
                        nGC_2229)*coupl(nGC_9)*coupl(nGC_991) + 18d0*coupl(    &
                        nGC_26)*coupl(nGC_37)**2d0 + 18d0*coupl(nGC_26)*coupl( &
                        nGC_991)**2d0 - 6d0*coupl(nGC_29)*coupl(nGC_32)**2d0 - &
                        3d0*coupl(nGC_32)**2d0*coupl(nGC_64) + 6d0*coupl(nGC_32&
                        )*coupl(nGC_7)*coupl(nGC_991) - 6d0*coupl(nGC_32)*coupl&
                        (nGC_8)*coupl(nGC_991) - 3d0*coupl(nGC_55)*coupl(      &
                        nGC_617)*coupl(nGC_63) + 6d0*coupl(nGC_9)*coupl(nGC_983&
                        )*coupl(nGC_991))/(96d0*pi**2d0)
      coupl(nGC_5116) = (4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_105)*coupl(nGC_109 &
                        )*coupl(nGC_33) - 16d0*Nc*cima*coupl(nGC_1)*coupl(     &
                        nGC_110)*coupl(nGC_114)*coupl(nGC_33) - 16d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_120)*coupl(nGC_124)*coupl(nGC_33&
                        ) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_33)*coupl(nGC_80&
                        )*coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_1)*coupl(     &
                        nGC_33)*coupl(nGC_85)*coupl(nGC_89) + 4d0*Nc*cima*coupl&
                        (nGC_1)*coupl(nGC_33)*coupl(nGC_90)*coupl(nGC_94) -    &
                        16d0*Nc*cima*coupl(nGC_105)*coupl(nGC_109)*coupl(nGC_2 &
                        )*coupl(nGC_33) + 4d0*Nc*cima*coupl(nGC_110)*coupl(    &
                        nGC_114)*coupl(nGC_2)*coupl(nGC_33) + 4d0*Nc*cima*coupl&
                        (nGC_120)*coupl(nGC_124)*coupl(nGC_2)*coupl(nGC_33) -  &
                        16d0*Nc*cima*coupl(nGC_2)*coupl(nGC_33)*coupl(nGC_80)* &
                        coupl(nGC_84) + 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_33)*&
                        coupl(nGC_85)*coupl(nGC_89) - 16d0*Nc*cima*coupl(nGC_2 &
                        )*coupl(nGC_33)*coupl(nGC_90)*coupl(nGC_94) + 4d0*cima*&
                        coupl(nGC_100)*coupl(nGC_104)*coupl(nGC_33)*coupl(nGC_4&
                        ) - 4d0*cima*coupl(nGC_1103)*coupl(nGC_32)*coupl(nGC_4 &
                        )*coupl(nGC_47) + 4d0*cima*coupl(nGC_115)*coupl(nGC_119&
                        )*coupl(nGC_33)*coupl(nGC_4) - 9d0*cima*coupl(nGC_1401 &
                        )*coupl(nGC_1751)*coupl(nGC_3)*coupl(nGC_46) - 4d0*cima&
                        *coupl(nGC_1401)*coupl(nGC_32)*coupl(nGC_61)*coupl(    &
                        nGC_617) - 4d0*cima*coupl(nGC_1589)*coupl(nGC_4)*coupl(&
                        nGC_46)*coupl(nGC_47) - 12d0*cima*coupl(nGC_1611)*coupl&
                        (nGC_48) - 12d0*cima*coupl(nGC_17)*coupl(nGC_41) - 9d0*&
                        cima*coupl(nGC_1751)*coupl(nGC_32)*coupl(nGC_37)*coupl(&
                        nGC_61) - 4d0*cima*coupl(nGC_2229)*coupl(nGC_34)*coupl(&
                        nGC_4)*coupl(nGC_47) - 9d0*cima*coupl(nGC_3)*coupl(    &
                        nGC_46)*coupl(nGC_617)*coupl(nGC_991) + 4d0*cima*coupl(&
                        nGC_33)*coupl(nGC_4)*coupl(nGC_95)*coupl(nGC_99) - 3d0*&
                        coupl(nGC_1401)*coupl(nGC_1611)*coupl(nGC_46) + 6d0*   &
                        coupl(nGC_1401)*coupl(nGC_3)*coupl(nGC_48) - 6d0*coupl(&
                        nGC_1589)*coupl(nGC_1751)*coupl(nGC_31) - 6d0*coupl(   &
                        nGC_1589)*coupl(nGC_47)*coupl(nGC_48) + 36d0*coupl(    &
                        nGC_17)*coupl(nGC_1751)*coupl(nGC_37) - 6d0*coupl(     &
                        nGC_1751)*coupl(nGC_2229)*coupl(nGC_30) + 36d0*coupl(  &
                        nGC_1751)*coupl(nGC_3)*coupl(nGC_48) + 6d0*coupl(      &
                        nGC_1751)*coupl(nGC_46)*coupl(nGC_6) - 6d0*coupl(      &
                        nGC_2229)*coupl(nGC_40)*coupl(nGC_47) + 6d0*coupl(     &
                        nGC_26)*coupl(nGC_3)*coupl(nGC_46) - 6d0*coupl(nGC_32)*&
                        coupl(nGC_38)*coupl(nGC_47) - 3d0*coupl(nGC_32)*coupl( &
                        nGC_41)*coupl(nGC_61) + 6d0*coupl(nGC_37)*coupl(nGC_38 &
                        )*coupl(nGC_61) + 6d0*coupl(nGC_37)*coupl(nGC_48)*coupl&
                        (nGC_617) - 6d0*coupl(nGC_38)*coupl(nGC_61)*coupl(     &
                        nGC_617) - 3d0*coupl(nGC_41)*coupl(nGC_46)*coupl(      &
                        nGC_617) + 6d0*coupl(nGC_46)*coupl(nGC_58)*coupl(      &
                        nGC_991))/(192d0*pi**2d0)
      coupl(nGC_5135) = (20d0*Nc*cima*coupl(nGC_105)**2d0*coupl(nGC_106)*coupl(&
                        nGC_107) + 20d0*Nc*cima*coupl(nGC_105)**2d0*coupl(     &
                        nGC_86)*coupl(nGC_87) + 20d0*Nc*cima*coupl(nGC_105)*   &
                        coupl(nGC_106)*coupl(nGC_85)*coupl(nGC_87) + 20d0*Nc*  &
                        cima*coupl(nGC_105)*coupl(nGC_107)*coupl(nGC_85)*coupl(&
                        nGC_86) + 20d0*Nc*cima*coupl(nGC_106)*coupl(nGC_107)*  &
                        coupl(nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_110)**2d0* &
                        coupl(nGC_111)*coupl(nGC_112) + 20d0*Nc*cima*coupl(    &
                        nGC_110)**2d0*coupl(nGC_81)*coupl(nGC_82) + 20d0*Nc*   &
                        cima*coupl(nGC_110)*coupl(nGC_111)*coupl(nGC_80)*coupl(&
                        nGC_82) + 20d0*Nc*cima*coupl(nGC_110)*coupl(nGC_112)*  &
                        coupl(nGC_80)*coupl(nGC_81) + 20d0*Nc*cima*coupl(      &
                        nGC_111)*coupl(nGC_112)*coupl(nGC_80)**2d0 + 20d0*Nc*  &
                        cima*coupl(nGC_120)**2d0*coupl(nGC_121)*coupl(nGC_122  &
                        ) + 20d0*Nc*cima*coupl(nGC_120)**2d0*coupl(nGC_91)*    &
                        coupl(nGC_92) + 20d0*Nc*cima*coupl(nGC_120)*coupl(     &
                        nGC_121)*coupl(nGC_90)*coupl(nGC_92) + 20d0*Nc*cima*   &
                        coupl(nGC_120)*coupl(nGC_122)*coupl(nGC_90)*coupl(     &
                        nGC_91) + 20d0*Nc*cima*coupl(nGC_121)*coupl(nGC_122)*  &
                        coupl(nGC_90)**2d0 + 20d0*Nc*cima*coupl(nGC_80)**2d0*  &
                        coupl(nGC_81)*coupl(nGC_82) + 20d0*Nc*cima*coupl(nGC_85&
                        )**2d0*coupl(nGC_86)*coupl(nGC_87) + 20d0*Nc*cima*coupl&
                        (nGC_90)**2d0*coupl(nGC_91)*coupl(nGC_92) + 20d0*cima* &
                        coupl(nGC_100)**2d0*coupl(nGC_101)*coupl(nGC_102) -    &
                        10d0*cima*coupl(nGC_1103)**2d0*coupl(nGC_1401)*coupl(  &
                        nGC_4) - 10d0*cima*coupl(nGC_1103)**2d0*coupl(nGC_1589 &
                        )*coupl(nGC_2155) - 10d0*cima*coupl(nGC_1103)**2d0*    &
                        coupl(nGC_2229)*coupl(nGC_983) - 10d0*cima*coupl(      &
                        nGC_1103)**2d0*coupl(nGC_32)**2d0 - 10d0*cima*coupl(   &
                        nGC_1103)**2d0*coupl(nGC_55)*coupl(nGC_617) - 10d0*cima&
                        *coupl(nGC_1103)*coupl(nGC_1589)*coupl(nGC_55)*coupl(  &
                        nGC_629) - 10d0*cima*coupl(nGC_1103)*coupl(nGC_2155)*  &
                        coupl(nGC_617)*coupl(nGC_629) - 10d0*cima*coupl(       &
                        nGC_1103)*coupl(nGC_2229)*coupl(nGC_55)*coupl(nGC_703  &
                        ) - 10d0*cima*coupl(nGC_1103)*coupl(nGC_617)*coupl(    &
                        nGC_703)*coupl(nGC_983) + 20d0*cima*coupl(nGC_115)**2d0&
                        *coupl(nGC_116)*coupl(nGC_117) - 10d0*cima*coupl(      &
                        nGC_1589)*coupl(nGC_2155)*coupl(nGC_629)**2d0 - 10d0*  &
                        cima*coupl(nGC_1589)*coupl(nGC_629)*coupl(nGC_703)*    &
                        coupl(nGC_983) - 10d0*cima*coupl(nGC_2155)*coupl(      &
                        nGC_2229)*coupl(nGC_629)*coupl(nGC_703) - 10d0*cima*   &
                        coupl(nGC_2229)*coupl(nGC_703)**2d0*coupl(nGC_983) +   &
                        12d0*cima*coupl(nGC_26)**2d0 + 24d0*cima*coupl(nGC_38)*&
                        coupl(nGC_39) - 10d0*cima*coupl(nGC_55)*coupl(nGC_617)*&
                        coupl(nGC_629)**2d0 - 10d0*cima*coupl(nGC_55)*coupl(   &
                        nGC_617)*coupl(nGC_703)**2d0 + 6d0*cima*coupl(nGC_63)* &
                        coupl(nGC_64) + 24d0*cima*coupl(nGC_7)*coupl(nGC_8) +  &
                        20d0*cima*coupl(nGC_95)**2d0*coupl(nGC_96)*coupl(nGC_97&
                        ) - 6d0*coupl(nGC_1103)**2d0*coupl(nGC_14) + 6d0*coupl(&
                        nGC_1103)**2d0*coupl(nGC_26) - 12d0*coupl(nGC_1103)*   &
                        coupl(nGC_13)*coupl(nGC_32) + 6d0*coupl(nGC_1103)*coupl&
                        (nGC_1401)*coupl(nGC_39) + 6d0*coupl(nGC_1103)*coupl(  &
                        nGC_38)*coupl(nGC_4) + 6d0*coupl(nGC_1103)*coupl(nGC_55&
                        )*coupl(nGC_7) + 6d0*coupl(nGC_1103)*coupl(nGC_617)*   &
                        coupl(nGC_8) - 3d0*coupl(nGC_13)*coupl(nGC_1401)*coupl(&
                        nGC_4) - 3d0*coupl(nGC_13)*coupl(nGC_55)*coupl(nGC_617 &
                        ) - 3d0*coupl(nGC_15)*coupl(nGC_32)**2d0 - 3d0*coupl(  &
                        nGC_1589)*coupl(nGC_18)*coupl(nGC_983) - 3d0*coupl(    &
                        nGC_1589)*coupl(nGC_19)*coupl(nGC_2155) + 3d0*coupl(   &
                        nGC_1589)*coupl(nGC_2155)*coupl(nGC_26) + 6d0*coupl(   &
                        nGC_1589)*coupl(nGC_629)*coupl(nGC_8) - 3d0*coupl(     &
                        nGC_18)*coupl(nGC_2155)*coupl(nGC_2229) - 6d0*coupl(   &
                        nGC_18)*coupl(nGC_629)*coupl(nGC_703) - 3d0*coupl(     &
                        nGC_19)*coupl(nGC_629)**2d0 - 3d0*coupl(nGC_20)*coupl( &
                        nGC_2229)*coupl(nGC_983) - 3d0*coupl(nGC_20)*coupl(    &
                        nGC_703)**2d0 + 6d0*coupl(nGC_2155)*coupl(nGC_629)*    &
                        coupl(nGC_7) + 3d0*coupl(nGC_2229)*coupl(nGC_26)*coupl(&
                        nGC_983) + 6d0*coupl(nGC_2229)*coupl(nGC_703)*coupl(   &
                        nGC_8) + 3d0*coupl(nGC_26)*coupl(nGC_32)**2d0 + 3d0*   &
                        coupl(nGC_55)*coupl(nGC_617)*coupl(nGC_64) + 3d0*coupl(&
                        nGC_629)**2d0*coupl(nGC_63) + 3d0*coupl(nGC_63)*coupl( &
                        nGC_703)**2d0 + 6d0*coupl(nGC_7)*coupl(nGC_703)*coupl( &
                        nGC_983))/(96d0*pi**2d0)
      coupl(nGC_8228) = coupl(nGC_5437) + coupl(nGC_TS_GC_93_Hl) + coupl(      &
                        nGC_TS_GC_94_Hh)
      coupl(nGC_7545) = coupl(nGC_33)*dZWMinus_QED2/2d0 + coupl(nGC_33)*       &
                        dZcL_QED2/2d0 + coupl(nGC_33)*dZsL_QED2/2d0 + coupl(   &
                        nGC_5272)
      coupl(nGC_5131) = (-12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_108)**2d0*coupl( &
                        nGC_50) - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_108)**2d0&
                        *coupl(nGC_53) - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_50&
                        )*coupl(nGC_83)**2d0 - 12d0*Nc*cima*coupl(nGC_1)*coupl(&
                        nGC_50)*coupl(nGC_93)**2d0 - 12d0*Nc*cima*coupl(nGC_1)*&
                        coupl(nGC_53)*coupl(nGC_83)**2d0 - 12d0*Nc*cima*coupl( &
                        nGC_1)*coupl(nGC_53)*coupl(nGC_93)**2d0 - 12d0*Nc*cima*&
                        coupl(nGC_113)**2d0*coupl(nGC_2)*coupl(nGC_51) - 12d0* &
                        Nc*cima*coupl(nGC_113)**2d0*coupl(nGC_2)*coupl(nGC_54  &
                        ) - 12d0*Nc*cima*coupl(nGC_123)**2d0*coupl(nGC_2)*coupl&
                        (nGC_51) - 12d0*Nc*cima*coupl(nGC_123)**2d0*coupl(nGC_2&
                        )*coupl(nGC_54) - 12d0*Nc*cima*coupl(nGC_2)*coupl(     &
                        nGC_51)*coupl(nGC_88)**2d0 - 12d0*Nc*cima*coupl(nGC_2)*&
                        coupl(nGC_54)*coupl(nGC_88)**2d0 - 12d0*cima*coupl(    &
                        nGC_103)**2d0*coupl(nGC_4)*coupl(nGC_52) - 12d0*cima*  &
                        coupl(nGC_103)**2d0*coupl(nGC_4)*coupl(nGC_55) - 12d0* &
                        cima*coupl(nGC_118)**2d0*coupl(nGC_4)*coupl(nGC_52) -  &
                        12d0*cima*coupl(nGC_118)**2d0*coupl(nGC_4)*coupl(nGC_55&
                        ) - 4d0*cima*coupl(nGC_1401)*coupl(nGC_34)*coupl(nGC_35&
                        )*coupl(nGC_617) - 9d0*cima*coupl(nGC_1751)*coupl(     &
                        nGC_34)*coupl(nGC_35)*coupl(nGC_991) - 24d0*cima*coupl(&
                        nGC_1929)*coupl(nGC_28) - 9d0*cima*coupl(nGC_3)*coupl( &
                        nGC_34)*coupl(nGC_35)*coupl(nGC_37) - 4d0*cima*coupl(  &
                        nGC_34)*coupl(nGC_35)*coupl(nGC_4)*coupl(nGC_55) - 12d0&
                        *cima*coupl(nGC_4)*coupl(nGC_52)*coupl(nGC_98)**2d0 -  &
                        12d0*cima*coupl(nGC_4)*coupl(nGC_55)*coupl(nGC_98)**2d0&
                         + 18d0*coupl(nGC_1751)*coupl(nGC_28)*coupl(nGC_991) - &
                        3d0*coupl(nGC_1751)*coupl(nGC_34)*coupl(nGC_9) + 3d0*  &
                        coupl(nGC_1751)*coupl(nGC_35)*coupl(nGC_9) - 12d0*coupl&
                        (nGC_1929)*coupl(nGC_34)*coupl(nGC_35) + 18d0*coupl(   &
                        nGC_28)*coupl(nGC_3)*coupl(nGC_37) + 3d0*coupl(nGC_3)* &
                        coupl(nGC_34)*coupl(nGC_9) - 3d0*coupl(nGC_3)*coupl(   &
                        nGC_35)*coupl(nGC_9) - 6d0*coupl(nGC_34)*coupl(nGC_35)*&
                        coupl(nGC_58) + 6d0*coupl(nGC_34)*coupl(nGC_37)*coupl( &
                        nGC_40) + 6d0*coupl(nGC_35)*coupl(nGC_40)*coupl(nGC_991&
                        ))/(96d0*pi**2d0)
      coupl(nGC_5130) = (-8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_33)**2d0*coupl(   &
                        nGC_53) + 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_33)**2d0*&
                        coupl(nGC_54) + 12d0*Nc*cima*coupl(nGC_2)*coupl(nGC_33 &
                        )**2d0*coupl(nGC_53) - 8d0*Nc*cima*coupl(nGC_2)*coupl( &
                        nGC_33)**2d0*coupl(nGC_54) + 2d0*cima*coupl(nGC_1611)* &
                        coupl(nGC_41) - 16d0*cima*coupl(nGC_1751)*coupl(nGC_3  &
                        )**2d0*coupl(nGC_991) - 16d0*cima*coupl(nGC_1751)*coupl&
                        (nGC_37)**2d0*coupl(nGC_991) - 8d0*cima*coupl(nGC_33)**&
                        2d0*coupl(nGC_4)*coupl(nGC_55) + 12d0*cima*coupl(nGC_33&
                        )**2d0*coupl(nGC_4)*coupl(nGC_56) + 2d0*cima*coupl(    &
                        nGC_41)*coupl(nGC_483) - 6d0*coupl(nGC_1611)*coupl(    &
                        nGC_1751)*coupl(nGC_37) + 2d0*coupl(nGC_1611)*coupl(   &
                        nGC_3)*coupl(nGC_991) + 2d0*coupl(nGC_1661)*coupl(     &
                        nGC_1751)*coupl(nGC_991) - coupl(nGC_1661)*coupl(nGC_3 &
                        )*coupl(nGC_37) - 4d0*coupl(nGC_1751)*coupl(nGC_3)*    &
                        coupl(nGC_41) - 4d0*coupl(nGC_1751)*coupl(nGC_37)*coupl&
                        (nGC_483) + 2d0*coupl(nGC_1929)*coupl(nGC_3)**2d0 + 2d0&
                        *coupl(nGC_1929)*coupl(nGC_37)**2d0 - 4d0*coupl(nGC_37 &
                        )*coupl(nGC_41)*coupl(nGC_991))/(64d0*pi**2d0)
      coupl(nGC_7540) = coupl(nGC_7442) + coupl(nGC_7538)
      coupl(nGC_7541) = coupl(nGC_7442) + coupl(nGC_7539)
      coupl(nGC_5139) = (-16d0*Nc*cima*coupl(nGC_105)**2d0*coupl(nGC_33)**2d0  &
                         - 16d0*Nc*cima*coupl(nGC_110)**2d0*coupl(nGC_33)**2d0 &
                         - 16d0*Nc*cima*coupl(nGC_120)**2d0*coupl(nGC_33)**2d0 &
                         - 16d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_80)**2d0  &
                         - 16d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_85)**2d0  &
                         - 16d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_90)**2d0  &
                         - 16d0*cima*coupl(nGC_100)**2d0*coupl(nGC_33)**2d0 -  &
                        4d0*cima*coupl(nGC_1103)*coupl(nGC_1401)*coupl(nGC_32)*&
                        coupl(nGC_4) - 4d0*cima*coupl(nGC_1103)*coupl(nGC_1589 &
                        )*coupl(nGC_2155)*coupl(nGC_32) - 4d0*cima*coupl(      &
                        nGC_1103)*coupl(nGC_2155)**2d0*coupl(nGC_32) - 4d0*cima&
                        *coupl(nGC_1103)*coupl(nGC_2229)*coupl(nGC_32)*coupl(  &
                        nGC_983) - 8d0*cima*coupl(nGC_1103)*coupl(nGC_32)**3d0 &
                         - 4d0*cima*coupl(nGC_1103)*coupl(nGC_32)*coupl(nGC_55 &
                        )*coupl(nGC_617) - 4d0*cima*coupl(nGC_1103)*coupl(     &
                        nGC_32)*coupl(nGC_983)**2d0 - 16d0*cima*coupl(nGC_115  &
                        )**2d0*coupl(nGC_33)**2d0 - 4d0*cima*coupl(nGC_1401)*  &
                        coupl(nGC_1589)*coupl(nGC_4)*coupl(nGC_47) - 9d0*cima* &
                        coupl(nGC_1401)*coupl(nGC_1751)**2d0*coupl(nGC_4) - 9d0&
                        *cima*coupl(nGC_1401)*coupl(nGC_1751)*coupl(nGC_55)*   &
                        coupl(nGC_991) - 4d0*cima*coupl(nGC_1401)*coupl(       &
                        nGC_2229)*coupl(nGC_35)*coupl(nGC_4) - 9d0*cima*coupl( &
                        nGC_1401)*coupl(nGC_3)**2d0*coupl(nGC_4) - 9d0*cima*   &
                        coupl(nGC_1401)*coupl(nGC_3)*coupl(nGC_37)*coupl(nGC_55&
                        ) - 4d0*cima*coupl(nGC_1589)**2d0*coupl(nGC_2155)*coupl&
                        (nGC_47) - 4d0*cima*coupl(nGC_1589)*coupl(nGC_2155)**  &
                        2d0*coupl(nGC_46) - 4d0*cima*coupl(nGC_1589)*coupl(    &
                        nGC_2155)*coupl(nGC_2229)*coupl(nGC_35) - 9d0*cima*    &
                        coupl(nGC_1589)*coupl(nGC_2155)*coupl(nGC_3)**2d0 - 9d0&
                        *cima*coupl(nGC_1589)*coupl(nGC_2155)*coupl(nGC_37)**  &
                        2d0 - 4d0*cima*coupl(nGC_1589)*coupl(nGC_2229)*coupl(  &
                        nGC_47)*coupl(nGC_983) - 4d0*cima*coupl(nGC_1589)*coupl&
                        (nGC_32)**2d0*coupl(nGC_46) - 4d0*cima*coupl(nGC_1589)*&
                        coupl(nGC_32)**2d0*coupl(nGC_47) - 4d0*cima*coupl(     &
                        nGC_1589)*coupl(nGC_46)*coupl(nGC_983)**2d0 - 4d0*cima*&
                        coupl(nGC_1589)*coupl(nGC_47)*coupl(nGC_55)*coupl(     &
                        nGC_617) - 12d0*cima*coupl(nGC_1661)*coupl(nGC_26) -   &
                        9d0*cima*coupl(nGC_1751)*coupl(nGC_4)*coupl(nGC_617)*  &
                        coupl(nGC_991) - 48d0*cima*coupl(nGC_1929)*coupl(nGC_58&
                        ) - 4d0*cima*coupl(nGC_2155)**2d0*coupl(nGC_2229)*coupl&
                        (nGC_34) - 4d0*cima*coupl(nGC_2229)**2d0*coupl(nGC_35)*&
                        coupl(nGC_983) - 9d0*cima*coupl(nGC_2229)*coupl(nGC_3  &
                        )**2d0*coupl(nGC_983) - 4d0*cima*coupl(nGC_2229)*coupl(&
                        nGC_32)**2d0*coupl(nGC_34) - 4d0*cima*coupl(nGC_2229)* &
                        coupl(nGC_32)**2d0*coupl(nGC_35) - 4d0*cima*coupl(     &
                        nGC_2229)*coupl(nGC_34)*coupl(nGC_983)**2d0 - 4d0*cima*&
                        coupl(nGC_2229)*coupl(nGC_35)*coupl(nGC_55)*coupl(     &
                        nGC_617) - 9d0*cima*coupl(nGC_2229)*coupl(nGC_37)**2d0*&
                        coupl(nGC_983) - 24d0*cima*coupl(nGC_29)*coupl(nGC_63  &
                        ) - 9d0*cima*coupl(nGC_3)**2d0*coupl(nGC_32)**2d0 - 9d0&
                        *cima*coupl(nGC_3)*coupl(nGC_37)*coupl(nGC_4)*coupl(   &
                        nGC_617) - 9d0*cima*coupl(nGC_32)**2d0*coupl(nGC_37)** &
                        2d0 - 16d0*cima*coupl(nGC_33)**2d0*coupl(nGC_95)**2d0  &
                         - 9d0*cima*coupl(nGC_37)**2d0*coupl(nGC_55)*coupl(    &
                        nGC_617) - 24d0*cima*coupl(nGC_5)*coupl(nGC_6) - 9d0*  &
                        cima*coupl(nGC_55)*coupl(nGC_617)*coupl(nGC_991)**2d0  &
                         - 6d0*coupl(nGC_1401)*coupl(nGC_1751)*coupl(nGC_26) - &
                        12d0*coupl(nGC_1401)*coupl(nGC_1929)*coupl(nGC_55) -   &
                        6d0*coupl(nGC_1401)*coupl(nGC_26)*coupl(nGC_3) - 6d0*  &
                        coupl(nGC_1401)*coupl(nGC_26)*coupl(nGC_4) - 12d0*coupl&
                        (nGC_1401)*coupl(nGC_4)*coupl(nGC_5) - 3d0*coupl(      &
                        nGC_1589)*coupl(nGC_1661)*coupl(nGC_2155) - 6d0*coupl( &
                        nGC_1589)*coupl(nGC_17)*coupl(nGC_37) - 6d0*coupl(     &
                        nGC_1589)*coupl(nGC_2155)*coupl(nGC_31) - 6d0*coupl(   &
                        nGC_1589)*coupl(nGC_3)*coupl(nGC_48) - 6d0*coupl(      &
                        nGC_1589)*coupl(nGC_30)*coupl(nGC_983) - 3d0*coupl(    &
                        nGC_1661)*coupl(nGC_2229)*coupl(nGC_983) - 3d0*coupl(  &
                        nGC_1661)*coupl(nGC_32)**2d0 + 6d0*coupl(nGC_17)*coupl(&
                        nGC_2155)*coupl(nGC_37) + 36d0*coupl(nGC_1751)**2d0*   &
                        coupl(nGC_6) + 6d0*coupl(nGC_1751)*coupl(nGC_26)*coupl(&
                        nGC_4) + 72d0*coupl(nGC_1751)*coupl(nGC_58)*coupl(     &
                        nGC_991) - 12d0*coupl(nGC_1929)*coupl(nGC_4)*coupl(    &
                        nGC_617) - 6d0*coupl(nGC_2155)*coupl(nGC_2229)*coupl(  &
                        nGC_30) + 6d0*coupl(nGC_2155)*coupl(nGC_3)*coupl(nGC_48&
                        ) - 6d0*coupl(nGC_2229)*coupl(nGC_28)*coupl(nGC_983) - &
                        6d0*coupl(nGC_2229)*coupl(nGC_3)*coupl(nGC_40) - 6d0*  &
                        coupl(nGC_2229)*coupl(nGC_37)*coupl(nGC_9) + 36d0*coupl&
                        (nGC_26)*coupl(nGC_3)**2d0 + 6d0*coupl(nGC_26)*coupl(  &
                        nGC_3)*coupl(nGC_4) - 6d0*coupl(nGC_26)*coupl(nGC_32)**&
                        2d0 + 36d0*coupl(nGC_26)*coupl(nGC_37)**2d0 + 6d0*coupl&
                        (nGC_26)*coupl(nGC_37)*coupl(nGC_55) - 6d0*coupl(nGC_26&
                        )*coupl(nGC_37)*coupl(nGC_617) - 6d0*coupl(nGC_26)*    &
                        coupl(nGC_55)*coupl(nGC_617) + 6d0*coupl(nGC_26)*coupl(&
                        nGC_55)*coupl(nGC_991) - 6d0*coupl(nGC_26)*coupl(      &
                        nGC_617)*coupl(nGC_991) - 12d0*coupl(nGC_29)*coupl(    &
                        nGC_55)*coupl(nGC_617) + 6d0*coupl(nGC_3)*coupl(nGC_32 &
                        )*coupl(nGC_38) - 6d0*coupl(nGC_3)*coupl(nGC_32)*coupl(&
                        nGC_39) + 6d0*coupl(nGC_3)*coupl(nGC_40)*coupl(nGC_983 &
                        ) + 6d0*coupl(nGC_32)*coupl(nGC_37)*coupl(nGC_7) - 6d0*&
                        coupl(nGC_32)*coupl(nGC_37)*coupl(nGC_8) + 6d0*coupl(  &
                        nGC_37)*coupl(nGC_9)*coupl(nGC_983) + 36d0*coupl(nGC_63&
                        )*coupl(nGC_991)**2d0)/(192d0*pi**2d0)
      coupl(nGC_5138) = (20d0*Nc*cima*coupl(nGC_105)**2d0*coupl(nGC_108)*coupl(&
                        nGC_109) + 20d0*Nc*cima*coupl(nGC_105)**2d0*coupl(     &
                        nGC_88)*coupl(nGC_89) + 20d0*Nc*cima*coupl(nGC_105)*   &
                        coupl(nGC_108)*coupl(nGC_85)*coupl(nGC_89) + 20d0*Nc*  &
                        cima*coupl(nGC_105)*coupl(nGC_109)*coupl(nGC_85)*coupl(&
                        nGC_88) + 20d0*Nc*cima*coupl(nGC_108)*coupl(nGC_109)*  &
                        coupl(nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_110)**2d0* &
                        coupl(nGC_113)*coupl(nGC_114) + 20d0*Nc*cima*coupl(    &
                        nGC_110)**2d0*coupl(nGC_83)*coupl(nGC_84) + 20d0*Nc*   &
                        cima*coupl(nGC_110)*coupl(nGC_113)*coupl(nGC_80)*coupl(&
                        nGC_84) + 20d0*Nc*cima*coupl(nGC_110)*coupl(nGC_114)*  &
                        coupl(nGC_80)*coupl(nGC_83) + 20d0*Nc*cima*coupl(      &
                        nGC_113)*coupl(nGC_114)*coupl(nGC_80)**2d0 + 20d0*Nc*  &
                        cima*coupl(nGC_120)**2d0*coupl(nGC_123)*coupl(nGC_124  &
                        ) + 20d0*Nc*cima*coupl(nGC_120)**2d0*coupl(nGC_93)*    &
                        coupl(nGC_94) + 20d0*Nc*cima*coupl(nGC_120)*coupl(     &
                        nGC_123)*coupl(nGC_90)*coupl(nGC_94) + 20d0*Nc*cima*   &
                        coupl(nGC_120)*coupl(nGC_124)*coupl(nGC_90)*coupl(     &
                        nGC_93) + 20d0*Nc*cima*coupl(nGC_123)*coupl(nGC_124)*  &
                        coupl(nGC_90)**2d0 + 20d0*Nc*cima*coupl(nGC_80)**2d0*  &
                        coupl(nGC_83)*coupl(nGC_84) + 20d0*Nc*cima*coupl(nGC_85&
                        )**2d0*coupl(nGC_88)*coupl(nGC_89) + 20d0*Nc*cima*coupl&
                        (nGC_90)**2d0*coupl(nGC_93)*coupl(nGC_94) + 20d0*cima* &
                        coupl(nGC_100)**2d0*coupl(nGC_103)*coupl(nGC_104) +    &
                        20d0*cima*coupl(nGC_115)**2d0*coupl(nGC_118)*coupl(    &
                        nGC_119) - 5d0*cima*coupl(nGC_1401)*coupl(nGC_34)*coupl&
                        (nGC_4)*coupl(nGC_47) - 5d0*cima*coupl(nGC_1401)*coupl(&
                        nGC_35)*coupl(nGC_4)*coupl(nGC_46) - 5d0*cima*coupl(   &
                        nGC_1589)*coupl(nGC_2155)*coupl(nGC_34)*coupl(nGC_47   &
                        ) - 5d0*cima*coupl(nGC_1589)*coupl(nGC_2155)*coupl(    &
                        nGC_35)*coupl(nGC_46) + 24d0*cima*coupl(nGC_17)*coupl( &
                        nGC_9) - 5d0*cima*coupl(nGC_2229)*coupl(nGC_34)*coupl( &
                        nGC_47)*coupl(nGC_983) - 5d0*cima*coupl(nGC_2229)*coupl&
                        (nGC_35)*coupl(nGC_46)*coupl(nGC_983) + 12d0*cima*coupl&
                        (nGC_26)*coupl(nGC_30) - 5d0*cima*coupl(nGC_32)**2d0*  &
                        coupl(nGC_34)*coupl(nGC_47) - 5d0*cima*coupl(nGC_32)** &
                        2d0*coupl(nGC_35)*coupl(nGC_46) - 10d0*cima*coupl(     &
                        nGC_32)**2d0*coupl(nGC_57)*coupl(nGC_61) - 5d0*cima*   &
                        coupl(nGC_32)*coupl(nGC_34)*coupl(nGC_61)*coupl(nGC_617&
                        ) - 5d0*cima*coupl(nGC_32)*coupl(nGC_35)*coupl(nGC_55)*&
                        coupl(nGC_61) - 5d0*cima*coupl(nGC_32)*coupl(nGC_46)*  &
                        coupl(nGC_57)*coupl(nGC_617) - 5d0*cima*coupl(nGC_32)* &
                        coupl(nGC_47)*coupl(nGC_55)*coupl(nGC_57) - 5d0*cima*  &
                        coupl(nGC_34)*coupl(nGC_47)*coupl(nGC_55)*coupl(nGC_617&
                        ) - 5d0*cima*coupl(nGC_35)*coupl(nGC_46)*coupl(nGC_55)*&
                        coupl(nGC_617) + 24d0*cima*coupl(nGC_40)*coupl(nGC_48  &
                        ) - 10d0*cima*coupl(nGC_55)*coupl(nGC_57)*coupl(nGC_61 &
                        )*coupl(nGC_617) + 6d0*cima*coupl(nGC_63)*coupl(nGC_66 &
                        ) + 20d0*cima*coupl(nGC_95)**2d0*coupl(nGC_98)*coupl(  &
                        nGC_99) - 3d0*coupl(nGC_13)*coupl(nGC_57)*coupl(nGC_61 &
                        ) - 3d0*coupl(nGC_14)*coupl(nGC_34)*coupl(nGC_47) - 3d0&
                        *coupl(nGC_14)*coupl(nGC_35)*coupl(nGC_46) - 3d0*coupl(&
                        nGC_1401)*coupl(nGC_18)*coupl(nGC_4) + 3d0*coupl(      &
                        nGC_1401)*coupl(nGC_34)*coupl(nGC_48) + 3d0*coupl(     &
                        nGC_1401)*coupl(nGC_40)*coupl(nGC_46) - 3d0*coupl(     &
                        nGC_1589)*coupl(nGC_18)*coupl(nGC_47) - 3d0*coupl(     &
                        nGC_1589)*coupl(nGC_19)*coupl(nGC_35) - 3d0*coupl(     &
                        nGC_1589)*coupl(nGC_2155)*coupl(nGC_22) + 3d0*coupl(   &
                        nGC_1589)*coupl(nGC_2155)*coupl(nGC_30) - 3d0*coupl(   &
                        nGC_1589)*coupl(nGC_25)*coupl(nGC_983) + 6d0*coupl(    &
                        nGC_17)*coupl(nGC_32)*coupl(nGC_57) + 3d0*coupl(nGC_17 &
                        )*coupl(nGC_34)*coupl(nGC_617) + 3d0*coupl(nGC_17)*    &
                        coupl(nGC_35)*coupl(nGC_55) - 3d0*coupl(nGC_18)*coupl( &
                        nGC_2155)*coupl(nGC_46) - 3d0*coupl(nGC_18)*coupl(     &
                        nGC_2229)*coupl(nGC_35) - 3d0*coupl(nGC_18)*coupl(     &
                        nGC_32)**2d0 - 3d0*coupl(nGC_18)*coupl(nGC_34)*coupl(  &
                        nGC_983) - 3d0*coupl(nGC_18)*coupl(nGC_55)*coupl(      &
                        nGC_617) - 3d0*coupl(nGC_19)*coupl(nGC_2155)*coupl(    &
                        nGC_34) - 3d0*coupl(nGC_20)*coupl(nGC_2229)*coupl(     &
                        nGC_47) - 3d0*coupl(nGC_20)*coupl(nGC_46)*coupl(nGC_983&
                        ) - 3d0*coupl(nGC_21)*coupl(nGC_2229)*coupl(nGC_983) - &
                        3d0*coupl(nGC_2155)*coupl(nGC_2229)*coupl(nGC_25) + 3d0&
                        *coupl(nGC_2229)*coupl(nGC_30)*coupl(nGC_983) + 3d0*   &
                        coupl(nGC_26)*coupl(nGC_34)*coupl(nGC_47) + 3d0*coupl( &
                        nGC_26)*coupl(nGC_35)*coupl(nGC_46) + 3d0*coupl(nGC_30 &
                        )*coupl(nGC_32)**2d0 + 6d0*coupl(nGC_32)*coupl(nGC_61)*&
                        coupl(nGC_9) + 3d0*coupl(nGC_35)*coupl(nGC_4)*coupl(   &
                        nGC_48) + 3d0*coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_47  &
                        ) + 3d0*coupl(nGC_46)*coupl(nGC_617)*coupl(nGC_9) + 3d0&
                        *coupl(nGC_47)*coupl(nGC_55)*coupl(nGC_9) + 3d0*coupl( &
                        nGC_55)*coupl(nGC_617)*coupl(nGC_66) + 3d0*coupl(nGC_57&
                        )*coupl(nGC_61)*coupl(nGC_63))/(96d0*pi**2d0)
      coupl(nGC_8735) = coupl(nGC_7226) + coupl(nGC_8734)
      coupl(nGC_8736) = coupl(nGC_7226) + coupl(nGC_8733)
      coupl(nGC_7617) = coupl(nGC_5240) + coupl(nGC_68)*dZZA_QED2/2d0 + coupl( &
                        nGC_71)*dZA_QED2/2d0 + coupl(nGC_71)*dZWMinus_QED2/2d0 &
                         + coupl(nGC_TS_GC_40_Hl) + coupl(nGC_TS_GC_48_Hh)
      coupl(nGC_7149) = coupl(nGC_7030) + coupl(nGC_7146)
      coupl(nGC_7758) = coupl(nGC_7226) + coupl(nGC_7756)
      coupl(nGC_7228) = coupl(nGC_7225) + coupl(nGC_7226)
      coupl(nGC_7381) = coupl(nGC_7330) + coupl(nGC_7379)
      coupl(nGC_9151) = coupl(nGC_5426) + coupl(nGC_MHH)*dZHh_QED2 + coupl(    &
                        nGC_TS_GC_77_Hh) + coupl(nGC_TS_GC_79_Hl)
      coupl(nGC_8229) = coupl(nGC_8224) + coupl(nGC_8228)
      coupl(nGC_5122) = (4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_105)*coupl(nGC_108 &
                        )*coupl(nGC_33) - 16d0*Nc*cima*coupl(nGC_1)*coupl(     &
                        nGC_110)*coupl(nGC_113)*coupl(nGC_33) - 16d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_120)*coupl(nGC_123)*coupl(nGC_33&
                        ) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_33)*coupl(nGC_80&
                        )*coupl(nGC_83) - 16d0*Nc*cima*coupl(nGC_1)*coupl(     &
                        nGC_33)*coupl(nGC_85)*coupl(nGC_88) + 4d0*Nc*cima*coupl&
                        (nGC_1)*coupl(nGC_33)*coupl(nGC_90)*coupl(nGC_93) -    &
                        16d0*Nc*cima*coupl(nGC_105)*coupl(nGC_108)*coupl(nGC_2 &
                        )*coupl(nGC_33) + 4d0*Nc*cima*coupl(nGC_110)*coupl(    &
                        nGC_113)*coupl(nGC_2)*coupl(nGC_33) + 4d0*Nc*cima*coupl&
                        (nGC_120)*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_33) -  &
                        16d0*Nc*cima*coupl(nGC_2)*coupl(nGC_33)*coupl(nGC_80)* &
                        coupl(nGC_83) + 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_33)*&
                        coupl(nGC_85)*coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_2 &
                        )*coupl(nGC_33)*coupl(nGC_90)*coupl(nGC_93) + 4d0*cima*&
                        coupl(nGC_100)*coupl(nGC_103)*coupl(nGC_33)*coupl(nGC_4&
                        ) - 4d0*cima*coupl(nGC_1103)*coupl(nGC_1401)*coupl(    &
                        nGC_32)*coupl(nGC_34) + 4d0*cima*coupl(nGC_115)*coupl( &
                        nGC_118)*coupl(nGC_33)*coupl(nGC_4) - 4d0*cima*coupl(  &
                        nGC_1401)*coupl(nGC_2155)*coupl(nGC_34)*coupl(nGC_47   &
                        ) - 4d0*cima*coupl(nGC_1401)*coupl(nGC_34)*coupl(nGC_35&
                        )*coupl(nGC_983) - 12d0*cima*coupl(nGC_1611)*coupl(    &
                        nGC_40) - 9d0*cima*coupl(nGC_1751)*coupl(nGC_3)*coupl( &
                        nGC_35)*coupl(nGC_4) - 9d0*cima*coupl(nGC_1751)*coupl( &
                        nGC_35)*coupl(nGC_37)*coupl(nGC_55) - 9d0*cima*coupl(  &
                        nGC_3)*coupl(nGC_32)*coupl(nGC_57)*coupl(nGC_991) - 4d0&
                        *cima*coupl(nGC_32)*coupl(nGC_4)*coupl(nGC_55)*coupl(  &
                        nGC_57) + 4d0*cima*coupl(nGC_33)*coupl(nGC_4)*coupl(   &
                        nGC_95)*coupl(nGC_98) - 12d0*cima*coupl(nGC_41)*coupl( &
                        nGC_9) - 3d0*coupl(nGC_1611)*coupl(nGC_35)*coupl(nGC_4 &
                        ) + 6d0*coupl(nGC_1751)*coupl(nGC_26)*coupl(nGC_35) +  &
                        36d0*coupl(nGC_1751)*coupl(nGC_3)*coupl(nGC_40) + 6d0* &
                        coupl(nGC_1751)*coupl(nGC_4)*coupl(nGC_40) - 6d0*coupl(&
                        nGC_2155)*coupl(nGC_3)*coupl(nGC_30) - 6d0*coupl(      &
                        nGC_2155)*coupl(nGC_34)*coupl(nGC_48) - 6d0*coupl(     &
                        nGC_28)*coupl(nGC_3)*coupl(nGC_983) + 6d0*coupl(nGC_3)*&
                        coupl(nGC_35)*coupl(nGC_6) + 36d0*coupl(nGC_3)*coupl(  &
                        nGC_9)*coupl(nGC_991) - 6d0*coupl(nGC_32)*coupl(nGC_34 &
                        )*coupl(nGC_39) - 3d0*coupl(nGC_32)*coupl(nGC_41)*coupl&
                        (nGC_57) - 6d0*coupl(nGC_34)*coupl(nGC_40)*coupl(      &
                        nGC_983) + 6d0*coupl(nGC_35)*coupl(nGC_37)*coupl(nGC_58&
                        ) - 3d0*coupl(nGC_35)*coupl(nGC_41)*coupl(nGC_55) - 6d0&
                        *coupl(nGC_39)*coupl(nGC_55)*coupl(nGC_57) + 6d0*coupl(&
                        nGC_39)*coupl(nGC_57)*coupl(nGC_991) + 6d0*coupl(nGC_40&
                        )*coupl(nGC_55)*coupl(nGC_991))/(192d0*pi**2d0)
      coupl(nGC_4950) = (coupl(nGC_115)*coupl(nGC_4)**2d0 + coupl(nGC_115)*    &
                        coupl(nGC_52)*coupl(nGC_55) + 8d0*coupl(nGC_115)*coupl(&
                        nGC_52)*coupl(nGC_56) - coupl(nGC_115)*coupl(nGC_55)*  &
                        coupl(nGC_56) - coupl(nGC_116)*coupl(nGC_32)*coupl(    &
                        nGC_33) - coupl(nGC_118)*coupl(nGC_33)*coupl(nGC_983   &
                        ) - coupl(nGC_119)*coupl(nGC_2155)*coupl(nGC_33))/(32d0&
                        *pi**2d0)
      coupl(nGC_5121) = (4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_105)*coupl(nGC_109 &
                        )*coupl(nGC_33) - 16d0*Nc*cima*coupl(nGC_1)*coupl(     &
                        nGC_110)*coupl(nGC_114)*coupl(nGC_33) - 16d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_120)*coupl(nGC_124)*coupl(nGC_33&
                        ) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_33)*coupl(nGC_80&
                        )*coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_1)*coupl(     &
                        nGC_33)*coupl(nGC_85)*coupl(nGC_89) + 4d0*Nc*cima*coupl&
                        (nGC_1)*coupl(nGC_33)*coupl(nGC_90)*coupl(nGC_94) -    &
                        16d0*Nc*cima*coupl(nGC_105)*coupl(nGC_109)*coupl(nGC_2 &
                        )*coupl(nGC_33) + 4d0*Nc*cima*coupl(nGC_110)*coupl(    &
                        nGC_114)*coupl(nGC_2)*coupl(nGC_33) + 4d0*Nc*cima*coupl&
                        (nGC_120)*coupl(nGC_124)*coupl(nGC_2)*coupl(nGC_33) -  &
                        16d0*Nc*cima*coupl(nGC_2)*coupl(nGC_33)*coupl(nGC_80)* &
                        coupl(nGC_84) + 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_33)*&
                        coupl(nGC_85)*coupl(nGC_89) - 16d0*Nc*cima*coupl(nGC_2 &
                        )*coupl(nGC_33)*coupl(nGC_90)*coupl(nGC_94) + 4d0*cima*&
                        coupl(nGC_100)*coupl(nGC_104)*coupl(nGC_33)*coupl(nGC_4&
                        ) - 4d0*cima*coupl(nGC_1103)*coupl(nGC_1401)*coupl(    &
                        nGC_32)*coupl(nGC_46) + 4d0*cima*coupl(nGC_115)*coupl( &
                        nGC_119)*coupl(nGC_33)*coupl(nGC_4) - 4d0*cima*coupl(  &
                        nGC_1401)*coupl(nGC_2155)*coupl(nGC_46)*coupl(nGC_47   &
                        ) - 4d0*cima*coupl(nGC_1401)*coupl(nGC_35)*coupl(nGC_46&
                        )*coupl(nGC_983) - 12d0*cima*coupl(nGC_1611)*coupl(    &
                        nGC_48) - 12d0*cima*coupl(nGC_17)*coupl(nGC_41) - 9d0* &
                        cima*coupl(nGC_1751)*coupl(nGC_3)*coupl(nGC_4)*coupl(  &
                        nGC_47) - 9d0*cima*coupl(nGC_1751)*coupl(nGC_37)*coupl(&
                        nGC_47)*coupl(nGC_55) - 9d0*cima*coupl(nGC_3)*coupl(   &
                        nGC_32)*coupl(nGC_61)*coupl(nGC_991) - 4d0*cima*coupl( &
                        nGC_32)*coupl(nGC_4)*coupl(nGC_55)*coupl(nGC_61) + 4d0*&
                        cima*coupl(nGC_33)*coupl(nGC_4)*coupl(nGC_95)*coupl(   &
                        nGC_99) - 3d0*coupl(nGC_1611)*coupl(nGC_4)*coupl(nGC_47&
                        ) + 36d0*coupl(nGC_17)*coupl(nGC_3)*coupl(nGC_991) +   &
                        6d0*coupl(nGC_1751)*coupl(nGC_26)*coupl(nGC_47) + 36d0*&
                        coupl(nGC_1751)*coupl(nGC_3)*coupl(nGC_48) + 6d0*coupl(&
                        nGC_1751)*coupl(nGC_4)*coupl(nGC_48) - 6d0*coupl(      &
                        nGC_2155)*coupl(nGC_3)*coupl(nGC_31) - 6d0*coupl(      &
                        nGC_2155)*coupl(nGC_46)*coupl(nGC_48) - 6d0*coupl(nGC_3&
                        )*coupl(nGC_30)*coupl(nGC_983) + 6d0*coupl(nGC_3)*coupl&
                        (nGC_47)*coupl(nGC_6) - 6d0*coupl(nGC_32)*coupl(nGC_39 &
                        )*coupl(nGC_46) - 3d0*coupl(nGC_32)*coupl(nGC_41)*coupl&
                        (nGC_61) + 6d0*coupl(nGC_37)*coupl(nGC_47)*coupl(nGC_58&
                        ) - 6d0*coupl(nGC_39)*coupl(nGC_55)*coupl(nGC_61) + 6d0&
                        *coupl(nGC_39)*coupl(nGC_61)*coupl(nGC_991) - 6d0*coupl&
                        (nGC_40)*coupl(nGC_46)*coupl(nGC_983) - 3d0*coupl(     &
                        nGC_41)*coupl(nGC_47)*coupl(nGC_55) + 6d0*coupl(nGC_48 &
                        )*coupl(nGC_55)*coupl(nGC_991))/(192d0*pi**2d0)
      coupl(nGC_5126) = (-12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_109)**2d0*coupl( &
                        nGC_50) - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_109)**2d0&
                        *coupl(nGC_53) - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_50&
                        )*coupl(nGC_84)**2d0 - 12d0*Nc*cima*coupl(nGC_1)*coupl(&
                        nGC_50)*coupl(nGC_94)**2d0 - 12d0*Nc*cima*coupl(nGC_1)*&
                        coupl(nGC_53)*coupl(nGC_84)**2d0 - 12d0*Nc*cima*coupl( &
                        nGC_1)*coupl(nGC_53)*coupl(nGC_94)**2d0 - 12d0*Nc*cima*&
                        coupl(nGC_114)**2d0*coupl(nGC_2)*coupl(nGC_51) - 12d0* &
                        Nc*cima*coupl(nGC_114)**2d0*coupl(nGC_2)*coupl(nGC_54  &
                        ) - 12d0*Nc*cima*coupl(nGC_124)**2d0*coupl(nGC_2)*coupl&
                        (nGC_51) - 12d0*Nc*cima*coupl(nGC_124)**2d0*coupl(nGC_2&
                        )*coupl(nGC_54) - 12d0*Nc*cima*coupl(nGC_2)*coupl(     &
                        nGC_51)*coupl(nGC_89)**2d0 - 12d0*Nc*cima*coupl(nGC_2)*&
                        coupl(nGC_54)*coupl(nGC_89)**2d0 - 12d0*cima*coupl(    &
                        nGC_104)**2d0*coupl(nGC_4)*coupl(nGC_52) - 12d0*cima*  &
                        coupl(nGC_104)**2d0*coupl(nGC_4)*coupl(nGC_55) - 12d0* &
                        cima*coupl(nGC_119)**2d0*coupl(nGC_4)*coupl(nGC_52) -  &
                        12d0*cima*coupl(nGC_119)**2d0*coupl(nGC_4)*coupl(nGC_55&
                        ) - 4d0*cima*coupl(nGC_1401)*coupl(nGC_46)*coupl(nGC_47&
                        )*coupl(nGC_617) - 9d0*cima*coupl(nGC_1751)*coupl(     &
                        nGC_46)*coupl(nGC_47)*coupl(nGC_991) - 24d0*cima*coupl(&
                        nGC_1929)*coupl(nGC_31) - 9d0*cima*coupl(nGC_3)*coupl( &
                        nGC_37)*coupl(nGC_46)*coupl(nGC_47) - 4d0*cima*coupl(  &
                        nGC_4)*coupl(nGC_46)*coupl(nGC_47)*coupl(nGC_55) - 12d0&
                        *cima*coupl(nGC_4)*coupl(nGC_52)*coupl(nGC_99)**2d0 -  &
                        12d0*cima*coupl(nGC_4)*coupl(nGC_55)*coupl(nGC_99)**2d0&
                         - 3d0*coupl(nGC_17)*coupl(nGC_1751)*coupl(nGC_46) +   &
                        3d0*coupl(nGC_17)*coupl(nGC_1751)*coupl(nGC_47) + 3d0* &
                        coupl(nGC_17)*coupl(nGC_3)*coupl(nGC_46) - 3d0*coupl(  &
                        nGC_17)*coupl(nGC_3)*coupl(nGC_47) + 18d0*coupl(       &
                        nGC_1751)*coupl(nGC_31)*coupl(nGC_991) - 12d0*coupl(   &
                        nGC_1929)*coupl(nGC_46)*coupl(nGC_47) + 18d0*coupl(    &
                        nGC_3)*coupl(nGC_31)*coupl(nGC_37) + 6d0*coupl(nGC_37)*&
                        coupl(nGC_46)*coupl(nGC_48) - 6d0*coupl(nGC_46)*coupl( &
                        nGC_47)*coupl(nGC_58) + 6d0*coupl(nGC_47)*coupl(nGC_48 &
                        )*coupl(nGC_991))/(96d0*pi**2d0)
      coupl(nGC_5124) = (12d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_50)**2d0 +   &
                        12d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_53)**2d0 +    &
                        12d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_51)**2d0 +    &
                        12d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_54)**2d0 -    &
                        40d0*cima*coupl(nGC_1751)**2d0*coupl(nGC_991)**2d0 +   &
                        48d0*cima*coupl(nGC_1929)**2d0 - 40d0*cima*coupl(nGC_3 &
                        )**2d0*coupl(nGC_37)**2d0 + 12d0*cima*coupl(nGC_4)**2d0&
                        *coupl(nGC_52)**2d0 + 12d0*cima*coupl(nGC_4)**2d0*coupl&
                        (nGC_55)**2d0 + 3d0*coupl(nGC_1751)**2d0*coupl(nGC_29  &
                        ) - 66d0*coupl(nGC_1751)*coupl(nGC_1929)*coupl(nGC_991 &
                        ) - 66d0*coupl(nGC_1929)*coupl(nGC_3)*coupl(nGC_37) +  &
                        3d0*coupl(nGC_29)*coupl(nGC_3)**2d0 + 3d0*coupl(nGC_37 &
                        )**2d0*coupl(nGC_5) + 3d0*coupl(nGC_5)*coupl(nGC_991)**&
                        2d0)/(96d0*pi**2d0)
      coupl(nGC_5125) = (-12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_106)*coupl(      &
                        nGC_107)*coupl(nGC_50) - 12d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_106)*coupl(nGC_107)*coupl(nGC_53) - 12d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_50)*coupl(nGC_81)*coupl(   &
                        nGC_82) - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_50)*coupl&
                        (nGC_91)*coupl(nGC_92) - 12d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_53)*coupl(nGC_81)*coupl(nGC_82) - 12d0*Nc*   &
                        cima*coupl(nGC_1)*coupl(nGC_53)*coupl(nGC_91)*coupl(   &
                        nGC_92) - 12d0*Nc*cima*coupl(nGC_111)*coupl(nGC_112)*  &
                        coupl(nGC_2)*coupl(nGC_51) - 12d0*Nc*cima*coupl(nGC_111&
                        )*coupl(nGC_112)*coupl(nGC_2)*coupl(nGC_54) - 12d0*Nc* &
                        cima*coupl(nGC_121)*coupl(nGC_122)*coupl(nGC_2)*coupl( &
                        nGC_51) - 12d0*Nc*cima*coupl(nGC_121)*coupl(nGC_122)*  &
                        coupl(nGC_2)*coupl(nGC_54) - 12d0*Nc*cima*coupl(nGC_2)*&
                        coupl(nGC_51)*coupl(nGC_86)*coupl(nGC_87) - 12d0*Nc*   &
                        cima*coupl(nGC_2)*coupl(nGC_54)*coupl(nGC_86)*coupl(   &
                        nGC_87) - 12d0*cima*coupl(nGC_101)*coupl(nGC_102)*coupl&
                        (nGC_4)*coupl(nGC_52) - 12d0*cima*coupl(nGC_101)*coupl(&
                        nGC_102)*coupl(nGC_4)*coupl(nGC_55) - 4d0*cima*coupl(  &
                        nGC_1103)**2d0*coupl(nGC_1401)*coupl(nGC_617) - 9d0*   &
                        cima*coupl(nGC_1103)**2d0*coupl(nGC_1751)*coupl(nGC_991&
                        ) - 9d0*cima*coupl(nGC_1103)**2d0*coupl(nGC_3)*coupl(  &
                        nGC_37) - 4d0*cima*coupl(nGC_1103)**2d0*coupl(nGC_4)*  &
                        coupl(nGC_55) - 12d0*cima*coupl(nGC_116)*coupl(nGC_117 &
                        )*coupl(nGC_4)*coupl(nGC_52) - 12d0*cima*coupl(nGC_116 &
                        )*coupl(nGC_117)*coupl(nGC_4)*coupl(nGC_55) - 24d0*cima&
                        *coupl(nGC_1929)*coupl(nGC_26) - 12d0*cima*coupl(nGC_4 &
                        )*coupl(nGC_52)*coupl(nGC_96)*coupl(nGC_97) - 12d0*cima&
                        *coupl(nGC_4)*coupl(nGC_55)*coupl(nGC_96)*coupl(nGC_97 &
                        ) - 12d0*coupl(nGC_1103)**2d0*coupl(nGC_1929) - 6d0*   &
                        coupl(nGC_1103)**2d0*coupl(nGC_58) + 3d0*coupl(nGC_1103&
                        )*coupl(nGC_1751)*coupl(nGC_7) - 3d0*coupl(nGC_1103)*  &
                        coupl(nGC_1751)*coupl(nGC_8) - 3d0*coupl(nGC_1103)*    &
                        coupl(nGC_3)*coupl(nGC_7) + 3d0*coupl(nGC_1103)*coupl( &
                        nGC_3)*coupl(nGC_8) + 6d0*coupl(nGC_1103)*coupl(nGC_37 &
                        )*coupl(nGC_39) + 6d0*coupl(nGC_1103)*coupl(nGC_38)*   &
                        coupl(nGC_991) + 18d0*coupl(nGC_1751)*coupl(nGC_26)*   &
                        coupl(nGC_991) + 18d0*coupl(nGC_26)*coupl(nGC_3)*coupl(&
                        nGC_37))/(96d0*pi**2d0)
      coupl(nGC_5080) = -coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(     &
                        nGC_1003) + coupl(nGC_11))/(64d0*pi**2d0*Nc)
      coupl(nGC_5128) = (72d0*Nc*cima*coupl(nGC_1)*coupl(nGC_33)**2d0*coupl(   &
                        nGC_53) - 60d0*Nc*cima*coupl(nGC_1)*coupl(nGC_33)**2d0*&
                        coupl(nGC_54) - 60d0*Nc*cima*coupl(nGC_2)*coupl(nGC_33 &
                        )**2d0*coupl(nGC_53) + 72d0*Nc*cima*coupl(nGC_2)*coupl(&
                        nGC_33)**2d0*coupl(nGC_54) + 24d0*cima*coupl(nGC_1661)*&
                        coupl(nGC_1929) - 64d0*cima*coupl(nGC_1751)*coupl(nGC_3&
                        )**2d0*coupl(nGC_991) - 64d0*cima*coupl(nGC_1751)*coupl&
                        (nGC_37)**2d0*coupl(nGC_991) + 72d0*cima*coupl(nGC_33  &
                        )**2d0*coupl(nGC_4)*coupl(nGC_55) - 60d0*cima*coupl(   &
                        nGC_33)**2d0*coupl(nGC_4)*coupl(nGC_56) - 3d0*coupl(   &
                        nGC_1611)*coupl(nGC_1751)*coupl(nGC_37) - 3d0*coupl(   &
                        nGC_1611)*coupl(nGC_3)*coupl(nGC_991) - 18d0*coupl(    &
                        nGC_1661)*coupl(nGC_1751)*coupl(nGC_991) - 18d0*coupl( &
                        nGC_1661)*coupl(nGC_3)*coupl(nGC_37) - 6d0*coupl(      &
                        nGC_1751)*coupl(nGC_3)*coupl(nGC_41) - 6d0*coupl(      &
                        nGC_1751)*coupl(nGC_37)*coupl(nGC_483) - 72d0*coupl(   &
                        nGC_1929)*coupl(nGC_3)**2d0 - 72d0*coupl(nGC_1929)*    &
                        coupl(nGC_37)**2d0 - 6d0*coupl(nGC_37)*coupl(nGC_41)*  &
                        coupl(nGC_991))/(192d0*pi**2d0)
      coupl(nGC_5129) = (-8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_33)**2d0*coupl(   &
                        nGC_53) + 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_33)**2d0*&
                        coupl(nGC_54) + 12d0*Nc*cima*coupl(nGC_2)*coupl(nGC_33 &
                        )**2d0*coupl(nGC_53) - 8d0*Nc*cima*coupl(nGC_2)*coupl( &
                        nGC_33)**2d0*coupl(nGC_54) + 2d0*cima*coupl(nGC_1611)* &
                        coupl(nGC_41) - 16d0*cima*coupl(nGC_1751)*coupl(nGC_3  &
                        )**2d0*coupl(nGC_991) - 16d0*cima*coupl(nGC_1751)*coupl&
                        (nGC_37)**2d0*coupl(nGC_991) - 8d0*cima*coupl(nGC_33)**&
                        2d0*coupl(nGC_4)*coupl(nGC_55) + 12d0*cima*coupl(nGC_33&
                        )**2d0*coupl(nGC_4)*coupl(nGC_56) + 2d0*cima*coupl(    &
                        nGC_41)*coupl(nGC_483) + 2d0*coupl(nGC_1611)*coupl(    &
                        nGC_1751)*coupl(nGC_37) - 6d0*coupl(nGC_1611)*coupl(   &
                        nGC_3)*coupl(nGC_991) - coupl(nGC_1661)*coupl(nGC_1751 &
                        )*coupl(nGC_991) + 2d0*coupl(nGC_1661)*coupl(nGC_3)*   &
                        coupl(nGC_37) - 4d0*coupl(nGC_1751)*coupl(nGC_3)*coupl(&
                        nGC_41) - 4d0*coupl(nGC_1751)*coupl(nGC_37)*coupl(     &
                        nGC_483) + 2d0*coupl(nGC_1929)*coupl(nGC_3)**2d0 + 2d0*&
                        coupl(nGC_1929)*coupl(nGC_37)**2d0 - 4d0*coupl(nGC_37)*&
                        coupl(nGC_41)*coupl(nGC_991))/(64d0*pi**2d0)
      coupl(nGC_7186) = coupl(nGC_5232) + coupl(nGC_74)*dZHh_QED2/2d0 + coupl( &
                        nGC_75)*dZHlHh_QED2/2d0 + coupl(nGC_TS_GC_18_Hl) +     &
                        coupl(nGC_TS_GC_19_Hh)
      coupl(nGC_10323) = coupl(nGC_10314) + coupl(nGC_10322)
      coupl(nGC_7333) = coupl(nGC_5256) + coupl(nGC_55)*dZZ_QED2/2d0 + coupl(  &
                        nGC_55)*dZtauMinusL_QED2
      coupl(nGC_5137) = (20d0*Nc*cima*coupl(nGC_105)**2d0*coupl(nGC_109)**2d0  &
                         + 20d0*Nc*cima*coupl(nGC_105)**2d0*coupl(nGC_89)**2d0 &
                         + 40d0*Nc*cima*coupl(nGC_105)*coupl(nGC_109)*coupl(   &
                        nGC_85)*coupl(nGC_89) + 20d0*Nc*cima*coupl(nGC_109)**  &
                        2d0*coupl(nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_110)** &
                        2d0*coupl(nGC_114)**2d0 + 20d0*Nc*cima*coupl(nGC_110)**&
                        2d0*coupl(nGC_84)**2d0 + 40d0*Nc*cima*coupl(nGC_110)*  &
                        coupl(nGC_114)*coupl(nGC_80)*coupl(nGC_84) + 20d0*Nc*  &
                        cima*coupl(nGC_114)**2d0*coupl(nGC_80)**2d0 + 20d0*Nc* &
                        cima*coupl(nGC_120)**2d0*coupl(nGC_124)**2d0 + 20d0*Nc*&
                        cima*coupl(nGC_120)**2d0*coupl(nGC_94)**2d0 + 40d0*Nc* &
                        cima*coupl(nGC_120)*coupl(nGC_124)*coupl(nGC_90)*coupl(&
                        nGC_94) + 20d0*Nc*cima*coupl(nGC_124)**2d0*coupl(nGC_90&
                        )**2d0 + 20d0*Nc*cima*coupl(nGC_80)**2d0*coupl(nGC_84  &
                        )**2d0 + 20d0*Nc*cima*coupl(nGC_85)**2d0*coupl(nGC_89  &
                        )**2d0 + 20d0*Nc*cima*coupl(nGC_90)**2d0*coupl(nGC_94  &
                        )**2d0 + 20d0*cima*coupl(nGC_100)**2d0*coupl(nGC_104)**&
                        2d0 + 20d0*cima*coupl(nGC_115)**2d0*coupl(nGC_119)**2d0&
                         - 10d0*cima*coupl(nGC_1401)*coupl(nGC_4)*coupl(nGC_46 &
                        )*coupl(nGC_47) - 10d0*cima*coupl(nGC_1589)*coupl(     &
                        nGC_2155)*coupl(nGC_46)*coupl(nGC_47) + 24d0*cima*coupl&
                        (nGC_17)**2d0 - 10d0*cima*coupl(nGC_2229)*coupl(nGC_46 &
                        )*coupl(nGC_47)*coupl(nGC_983) + 12d0*cima*coupl(nGC_26&
                        )*coupl(nGC_31) - 10d0*cima*coupl(nGC_32)**2d0*coupl(  &
                        nGC_46)*coupl(nGC_47) - 10d0*cima*coupl(nGC_32)**2d0*  &
                        coupl(nGC_61)**2d0 - 10d0*cima*coupl(nGC_32)*coupl(    &
                        nGC_46)*coupl(nGC_61)*coupl(nGC_617) - 10d0*cima*coupl(&
                        nGC_32)*coupl(nGC_47)*coupl(nGC_55)*coupl(nGC_61) -    &
                        10d0*cima*coupl(nGC_46)*coupl(nGC_47)*coupl(nGC_55)*   &
                        coupl(nGC_617) + 24d0*cima*coupl(nGC_48)**2d0 - 10d0*  &
                        cima*coupl(nGC_55)*coupl(nGC_61)**2d0*coupl(nGC_617) + &
                        6d0*cima*coupl(nGC_63)*coupl(nGC_67) + 20d0*cima*coupl(&
                        nGC_95)**2d0*coupl(nGC_99)**2d0 - 3d0*coupl(nGC_13)*   &
                        coupl(nGC_61)**2d0 - 6d0*coupl(nGC_14)*coupl(nGC_46)*  &
                        coupl(nGC_47) - 3d0*coupl(nGC_1401)*coupl(nGC_19)*coupl&
                        (nGC_4) + 6d0*coupl(nGC_1401)*coupl(nGC_46)*coupl(     &
                        nGC_48) - 6d0*coupl(nGC_1589)*coupl(nGC_19)*coupl(     &
                        nGC_47) - 3d0*coupl(nGC_1589)*coupl(nGC_2155)*coupl(   &
                        nGC_24) + 3d0*coupl(nGC_1589)*coupl(nGC_2155)*coupl(   &
                        nGC_31) - 3d0*coupl(nGC_1589)*coupl(nGC_22)*coupl(     &
                        nGC_983) + 12d0*coupl(nGC_17)*coupl(nGC_32)*coupl(     &
                        nGC_61) + 6d0*coupl(nGC_17)*coupl(nGC_46)*coupl(nGC_617&
                        ) + 6d0*coupl(nGC_17)*coupl(nGC_47)*coupl(nGC_55) - 6d0&
                        *coupl(nGC_18)*coupl(nGC_2229)*coupl(nGC_47) - 6d0*    &
                        coupl(nGC_18)*coupl(nGC_46)*coupl(nGC_983) - 6d0*coupl(&
                        nGC_19)*coupl(nGC_2155)*coupl(nGC_46) - 3d0*coupl(     &
                        nGC_19)*coupl(nGC_32)**2d0 - 3d0*coupl(nGC_19)*coupl(  &
                        nGC_55)*coupl(nGC_617) - 3d0*coupl(nGC_2155)*coupl(    &
                        nGC_22)*coupl(nGC_2229) - 3d0*coupl(nGC_2229)*coupl(   &
                        nGC_25)*coupl(nGC_983) + 3d0*coupl(nGC_2229)*coupl(    &
                        nGC_31)*coupl(nGC_983) + 6d0*coupl(nGC_26)*coupl(nGC_46&
                        )*coupl(nGC_47) + 3d0*coupl(nGC_31)*coupl(nGC_32)**2d0 &
                         + 6d0*coupl(nGC_4)*coupl(nGC_47)*coupl(nGC_48) + 3d0* &
                        coupl(nGC_55)*coupl(nGC_617)*coupl(nGC_67) + 3d0*coupl(&
                        nGC_61)**2d0*coupl(nGC_63))/(96d0*pi**2d0)
      coupl(nGC_7336) = coupl(nGC_7330) + coupl(nGC_7333)
      coupl(nGC_5136) = (6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_50)**3d0 + 6d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_53)**3d0 + 6d0*Nc*cima*    &
                        coupl(nGC_2)*coupl(nGC_51)**3d0 + 6d0*Nc*cima*coupl(   &
                        nGC_2)*coupl(nGC_54)**3d0 - 20d0*cima*coupl(nGC_1751)* &
                        coupl(nGC_991)**3d0 + 24d0*cima*coupl(nGC_1929)*coupl( &
                        nGC_29) - 20d0*cima*coupl(nGC_3)*coupl(nGC_37)**3d0 +  &
                        6d0*cima*coupl(nGC_4)*coupl(nGC_52)**3d0 + 6d0*cima*   &
                        coupl(nGC_4)*coupl(nGC_55)**3d0 - 15d0*coupl(nGC_1751)*&
                        coupl(nGC_29)*coupl(nGC_991) - 15d0*coupl(nGC_1929)*   &
                        coupl(nGC_37)**2d0 - 15d0*coupl(nGC_1929)*coupl(nGC_991&
                        )**2d0 - 15d0*coupl(nGC_29)*coupl(nGC_3)*coupl(nGC_37  &
                        ))/(48d0*pi**2d0)
      coupl(nGC_7133) = coupl(nGC_7130) + coupl(nGC_7132)
      coupl(nGC_7818) = coupl(nGC_7030) + coupl(nGC_7816)
      coupl(nGC_9144) = coupl(nGC_118)*dZHl_QED2/2d0 + coupl(nGC_119)*         &
                        dZHhHl_QED2/2d0 + coupl(nGC_5326)
      coupl(nGC_9145) = coupl(nGC_9143) + coupl(nGC_9144)
      coupl(nGC_5132) = (20d0*Nc*cima*coupl(nGC_105)**4d0 + 20d0*Nc*cima*coupl(&
                        nGC_110)**4d0 + 20d0*Nc*cima*coupl(nGC_120)**4d0 + 20d0&
                        *Nc*cima*coupl(nGC_80)**4d0 + 20d0*Nc*cima*coupl(nGC_85&
                        )**4d0 + 20d0*Nc*cima*coupl(nGC_90)**4d0 + 20d0*cima*  &
                        coupl(nGC_100)**4d0 + 20d0*cima*coupl(nGC_115)**4d0 -  &
                        20d0*cima*coupl(nGC_1401)**2d0*coupl(nGC_4)**2d0 - 10d0&
                        *cima*coupl(nGC_1401)**2d0*coupl(nGC_55)**2d0 - 20d0*  &
                        cima*coupl(nGC_1401)*coupl(nGC_4)*coupl(nGC_55)*coupl( &
                        nGC_617) - 20d0*cima*coupl(nGC_1589)**2d0*coupl(       &
                        nGC_2155)**2d0 - 10d0*cima*coupl(nGC_1589)**2d0*coupl( &
                        nGC_32)**2d0 - 10d0*cima*coupl(nGC_1589)**2d0*coupl(   &
                        nGC_983)**2d0 - 20d0*cima*coupl(nGC_1589)*coupl(       &
                        nGC_2155)*coupl(nGC_2229)*coupl(nGC_983) - 20d0*cima*  &
                        coupl(nGC_1589)*coupl(nGC_2155)*coupl(nGC_32)**2d0 -   &
                        10d0*cima*coupl(nGC_2155)**2d0*coupl(nGC_2229)**2d0 -  &
                        10d0*cima*coupl(nGC_2155)**2d0*coupl(nGC_32)**2d0 -    &
                        10d0*cima*coupl(nGC_2229)**2d0*coupl(nGC_32)**2d0 -    &
                        20d0*cima*coupl(nGC_2229)**2d0*coupl(nGC_983)**2d0 -   &
                        20d0*cima*coupl(nGC_2229)*coupl(nGC_32)**2d0*coupl(    &
                        nGC_983) + 24d0*cima*coupl(nGC_26)**2d0 - 20d0*cima*   &
                        coupl(nGC_32)**4d0 - 10d0*cima*coupl(nGC_32)**2d0*coupl&
                        (nGC_983)**2d0 - 10d0*cima*coupl(nGC_4)**2d0*coupl(    &
                        nGC_617)**2d0 - 20d0*cima*coupl(nGC_55)**2d0*coupl(    &
                        nGC_617)**2d0 + 24d0*cima*coupl(nGC_58)**2d0 + 12d0*   &
                        cima*coupl(nGC_6)**2d0 + 12d0*cima*coupl(nGC_63)**2d0  &
                         + 20d0*cima*coupl(nGC_95)**4d0 - 12d0*coupl(nGC_13)*  &
                        coupl(nGC_32)**2d0 - 3d0*coupl(nGC_14)*coupl(nGC_1401  &
                        )**2d0 - 12d0*coupl(nGC_14)*coupl(nGC_1401)*coupl(nGC_4&
                        ) - 3d0*coupl(nGC_14)*coupl(nGC_4)**2d0 - 3d0*coupl(   &
                        nGC_14)*coupl(nGC_55)**2d0 - 12d0*coupl(nGC_14)*coupl( &
                        nGC_55)*coupl(nGC_617) - 3d0*coupl(nGC_14)*coupl(      &
                        nGC_617)**2d0 + 12d0*coupl(nGC_1401)*coupl(nGC_4)*coupl&
                        (nGC_6) + 12d0*coupl(nGC_1401)*coupl(nGC_55)*coupl(    &
                        nGC_58) - 12d0*coupl(nGC_1589)*coupl(nGC_18)*coupl(    &
                        nGC_983) - 12d0*coupl(nGC_1589)*coupl(nGC_19)*coupl(   &
                        nGC_2155) + 12d0*coupl(nGC_1589)*coupl(nGC_2155)*coupl(&
                        nGC_26) - 12d0*coupl(nGC_18)*coupl(nGC_2155)*coupl(    &
                        nGC_2229) - 12d0*coupl(nGC_20)*coupl(nGC_2229)*coupl(  &
                        nGC_983) + 12d0*coupl(nGC_2229)*coupl(nGC_26)*coupl(   &
                        nGC_983) + 12d0*coupl(nGC_26)*coupl(nGC_32)**2d0 + 12d0&
                        *coupl(nGC_4)*coupl(nGC_58)*coupl(nGC_617) + 12d0*coupl&
                        (nGC_55)*coupl(nGC_617)*coupl(nGC_63))/(96d0*pi**2d0)
      coupl(nGC_7877) = coupl(nGC_5260) + coupl(nGC_68)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_68)*dZZ_QED2/2d0 + coupl(nGC_71)*dZAZ_QED2/  &
                        2d0 + coupl(nGC_TS_GC_17_Hh) + coupl(nGC_TS_GC_9_Hl)
      coupl(nGC_7334) = coupl(nGC_52)*dZZ_QED2/2d0 + coupl(nGC_52)*            &
                        dZtauMinusR_QED2 + coupl(nGC_5278)
      coupl(nGC_7322) = coupl(nGC_7313) + coupl(nGC_7320)
    end subroutine fill_CTcouplings_mdl19
end module fill_ctcouplings19
