!******************************************************************************!
!                                                                              !
!    fill_ctcouplings20.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings20.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 06:18             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings20
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl20()
      coupl(nGC_7321) = coupl(nGC_5276) + coupl(nGC_53)*dZZ_QED2/2d0 + coupl(  &
                        nGC_53)*dZdL_QED2
      coupl(nGC_7287) = coupl(nGC_7030) + coupl(nGC_7285)
      coupl(nGC_7286) = coupl(nGC_7030) + coupl(nGC_7283)
      coupl(nGC_5018) = (-8d0*Nc*cMB*coupl(nGC_50)**2d0*coupl(nGC_83) + 8d0*Nc*&
                        cMB*coupl(nGC_50)*coupl(nGC_53)*coupl(nGC_83) - 8d0*Nc*&
                        cMB*coupl(nGC_53)**2d0*coupl(nGC_83) - 8d0*Nc*cMC*coupl&
                        (nGC_51)**2d0*coupl(nGC_88) + 8d0*Nc*cMC*coupl(nGC_51)*&
                        coupl(nGC_54)*coupl(nGC_88) - 8d0*Nc*cMC*coupl(nGC_54  &
                        )**2d0*coupl(nGC_88) - 8d0*Nc*cMD*coupl(nGC_50)**2d0*  &
                        coupl(nGC_93) + 8d0*Nc*cMD*coupl(nGC_50)*coupl(nGC_53)*&
                        coupl(nGC_93) - 8d0*Nc*cMD*coupl(nGC_53)**2d0*coupl(   &
                        nGC_93) - 8d0*Nc*cMS*coupl(nGC_108)*coupl(nGC_50)**2d0 &
                         + 8d0*Nc*cMS*coupl(nGC_108)*coupl(nGC_50)*coupl(nGC_53&
                        ) - 8d0*Nc*cMS*coupl(nGC_108)*coupl(nGC_53)**2d0 - 8d0*&
                        Nc*cMT*coupl(nGC_113)*coupl(nGC_51)**2d0 + 8d0*Nc*cMT* &
                        coupl(nGC_113)*coupl(nGC_51)*coupl(nGC_54) - 8d0*Nc*cMT&
                        *coupl(nGC_113)*coupl(nGC_54)**2d0 - 8d0*Nc*cMU*coupl( &
                        nGC_123)*coupl(nGC_51)**2d0 + 8d0*Nc*cMU*coupl(nGC_123 &
                        )*coupl(nGC_51)*coupl(nGC_54) - 8d0*Nc*cMU*coupl(      &
                        nGC_123)*coupl(nGC_54)**2d0 - 8d0*cME*coupl(nGC_52)**  &
                        2d0*coupl(nGC_98) + 8d0*cME*coupl(nGC_52)*coupl(nGC_55 &
                        )*coupl(nGC_98) - 8d0*cME*coupl(nGC_55)**2d0*coupl(    &
                        nGC_98) - 8d0*cMM*coupl(nGC_103)*coupl(nGC_52)**2d0 +  &
                        8d0*cMM*coupl(nGC_103)*coupl(nGC_52)*coupl(nGC_55) -   &
                        8d0*cMM*coupl(nGC_103)*coupl(nGC_55)**2d0 - 8d0*cMTA*  &
                        coupl(nGC_118)*coupl(nGC_52)**2d0 + 8d0*cMTA*coupl(    &
                        nGC_118)*coupl(nGC_52)*coupl(nGC_55) - 8d0*cMTA*coupl( &
                        nGC_118)*coupl(nGC_55)**2d0 - 8d0*cima*coupl(nGC_29)*  &
                        coupl(nGC_69) + coupl(nGC_34)*coupl(nGC_37)*coupl(     &
                        nGC_68) - coupl(nGC_34)*coupl(nGC_68)*coupl(nGC_991) - &
                        coupl(nGC_35)*coupl(nGC_37)*coupl(nGC_68) + coupl(     &
                        nGC_35)*coupl(nGC_68)*coupl(nGC_991) + 6d0*coupl(nGC_37&
                        )**2d0*coupl(nGC_69) + 6d0*coupl(nGC_69)*coupl(nGC_991 &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_5150) = (20d0*Nc*cima*coupl(nGC_105)*coupl(nGC_109)*coupl(     &
                        nGC_33)*coupl(nGC_50) - 16d0*Nc*cima*coupl(nGC_105)*   &
                        coupl(nGC_109)*coupl(nGC_33)*coupl(nGC_53) - 16d0*Nc*  &
                        cima*coupl(nGC_105)*coupl(nGC_109)*coupl(nGC_33)*coupl(&
                        nGC_54) + 20d0*Nc*cima*coupl(nGC_110)*coupl(nGC_114)*  &
                        coupl(nGC_33)*coupl(nGC_51) - 16d0*Nc*cima*coupl(      &
                        nGC_110)*coupl(nGC_114)*coupl(nGC_33)*coupl(nGC_53) -  &
                        16d0*Nc*cima*coupl(nGC_110)*coupl(nGC_114)*coupl(nGC_33&
                        )*coupl(nGC_54) + 20d0*Nc*cima*coupl(nGC_120)*coupl(   &
                        nGC_124)*coupl(nGC_33)*coupl(nGC_51) - 16d0*Nc*cima*   &
                        coupl(nGC_120)*coupl(nGC_124)*coupl(nGC_33)*coupl(     &
                        nGC_53) - 16d0*Nc*cima*coupl(nGC_120)*coupl(nGC_124)*  &
                        coupl(nGC_33)*coupl(nGC_54) + 20d0*Nc*cima*coupl(nGC_33&
                        )*coupl(nGC_50)*coupl(nGC_80)*coupl(nGC_84) + 20d0*Nc* &
                        cima*coupl(nGC_33)*coupl(nGC_50)*coupl(nGC_90)*coupl(  &
                        nGC_94) + 20d0*Nc*cima*coupl(nGC_33)*coupl(nGC_51)*    &
                        coupl(nGC_85)*coupl(nGC_89) - 16d0*Nc*cima*coupl(nGC_33&
                        )*coupl(nGC_53)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc* &
                        cima*coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_85)*coupl(  &
                        nGC_89) - 16d0*Nc*cima*coupl(nGC_33)*coupl(nGC_53)*    &
                        coupl(nGC_90)*coupl(nGC_94) - 16d0*Nc*cima*coupl(nGC_33&
                        )*coupl(nGC_54)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc* &
                        cima*coupl(nGC_33)*coupl(nGC_54)*coupl(nGC_85)*coupl(  &
                        nGC_89) - 16d0*Nc*cima*coupl(nGC_33)*coupl(nGC_54)*    &
                        coupl(nGC_90)*coupl(nGC_94) + 20d0*cima*coupl(nGC_100)*&
                        coupl(nGC_104)*coupl(nGC_33)*coupl(nGC_52) - 16d0*cima*&
                        coupl(nGC_100)*coupl(nGC_104)*coupl(nGC_33)*coupl(     &
                        nGC_55) - 16d0*cima*coupl(nGC_100)*coupl(nGC_104)*coupl&
                        (nGC_33)*coupl(nGC_56) - 4d0*cima*coupl(nGC_1103)*coupl&
                        (nGC_2155)*coupl(nGC_46)*coupl(nGC_61) - 4d0*cima*coupl&
                        (nGC_1103)*coupl(nGC_32)*coupl(nGC_46)*coupl(nGC_617   &
                        ) - 4d0*cima*coupl(nGC_1103)*coupl(nGC_46)*coupl(nGC_57&
                        )*coupl(nGC_983) + 20d0*cima*coupl(nGC_115)*coupl(     &
                        nGC_119)*coupl(nGC_33)*coupl(nGC_52) - 16d0*cima*coupl(&
                        nGC_115)*coupl(nGC_119)*coupl(nGC_33)*coupl(nGC_55) -  &
                        16d0*cima*coupl(nGC_115)*coupl(nGC_119)*coupl(nGC_33)* &
                        coupl(nGC_56) - 12d0*cima*coupl(nGC_17)*coupl(nGC_483  &
                        ) - 4d0*cima*coupl(nGC_2155)*coupl(nGC_46)*coupl(nGC_47&
                        )*coupl(nGC_617) - 4d0*cima*coupl(nGC_2155)*coupl(     &
                        nGC_55)*coupl(nGC_61)**2d0 - 9d0*cima*coupl(nGC_3)*    &
                        coupl(nGC_4)*coupl(nGC_47)*coupl(nGC_991) - 4d0*cima*  &
                        coupl(nGC_32)*coupl(nGC_35)*coupl(nGC_46)*coupl(nGC_703&
                        ) - 9d0*cima*coupl(nGC_32)*coupl(nGC_37)*coupl(nGC_61)*&
                        coupl(nGC_991) - 4d0*cima*coupl(nGC_32)*coupl(nGC_46)* &
                        coupl(nGC_47)*coupl(nGC_629) - 4d0*cima*coupl(nGC_32)* &
                        coupl(nGC_55)**2d0*coupl(nGC_61) + 20d0*cima*coupl(    &
                        nGC_33)*coupl(nGC_52)*coupl(nGC_95)*coupl(nGC_99) -    &
                        16d0*cima*coupl(nGC_33)*coupl(nGC_55)*coupl(nGC_95)*   &
                        coupl(nGC_99) - 16d0*cima*coupl(nGC_33)*coupl(nGC_56)* &
                        coupl(nGC_95)*coupl(nGC_99) - 4d0*cima*coupl(nGC_35)*  &
                        coupl(nGC_46)*coupl(nGC_617)*coupl(nGC_983) - 9d0*cima*&
                        coupl(nGC_37)*coupl(nGC_47)*coupl(nGC_55)*coupl(nGC_991&
                        ) - 12d0*cima*coupl(nGC_41)*coupl(nGC_48) - 4d0*cima*  &
                        coupl(nGC_55)*coupl(nGC_57)*coupl(nGC_61)*coupl(nGC_983&
                        ) - 6d0*coupl(nGC_17)*coupl(nGC_2155)*coupl(nGC_46) -  &
                        6d0*coupl(nGC_17)*coupl(nGC_3)*coupl(nGC_4) - 6d0*coupl&
                        (nGC_17)*coupl(nGC_37)*coupl(nGC_55) + 36d0*coupl(     &
                        nGC_17)*coupl(nGC_37)*coupl(nGC_991) + 36d0*coupl(     &
                        nGC_1751)*coupl(nGC_37)*coupl(nGC_48) - 6d0*coupl(     &
                        nGC_2155)*coupl(nGC_31)*coupl(nGC_37) - 6d0*coupl(     &
                        nGC_2155)*coupl(nGC_67)*coupl(nGC_991) + 6d0*coupl(    &
                        nGC_26)*coupl(nGC_47)*coupl(nGC_991) + 6d0*coupl(nGC_3 &
                        )*coupl(nGC_47)*coupl(nGC_58) - 6d0*coupl(nGC_30)*coupl&
                        (nGC_37)*coupl(nGC_983) - 6d0*coupl(nGC_32)*coupl(     &
                        nGC_46)*coupl(nGC_8) - 3d0*coupl(nGC_32)*coupl(nGC_483 &
                        )*coupl(nGC_61) + 6d0*coupl(nGC_37)*coupl(nGC_47)*coupl&
                        (nGC_63) - 3d0*coupl(nGC_4)*coupl(nGC_41)*coupl(nGC_47 &
                        ) - 6d0*coupl(nGC_46)*coupl(nGC_9)*coupl(nGC_983) - 3d0&
                        *coupl(nGC_47)*coupl(nGC_483)*coupl(nGC_55) - 6d0*coupl&
                        (nGC_55)*coupl(nGC_61)*coupl(nGC_8) + 6d0*coupl(nGC_61 &
                        )*coupl(nGC_8)*coupl(nGC_991) - 6d0*coupl(nGC_66)*coupl&
                        (nGC_983)*coupl(nGC_991))/(192d0*pi**2d0)
      coupl(nGC_5017) = (-4d0*Nc*cMB*coupl(nGC_33)**2d0*coupl(nGC_83) - 4d0*Nc*&
                        cMC*coupl(nGC_33)**2d0*coupl(nGC_88) - 4d0*Nc*cMD*coupl&
                        (nGC_33)**2d0*coupl(nGC_93) - 4d0*Nc*cMS*coupl(nGC_108 &
                        )*coupl(nGC_33)**2d0 - 4d0*Nc*cMT*coupl(nGC_113)*coupl(&
                        nGC_33)**2d0 - 4d0*Nc*cMU*coupl(nGC_123)*coupl(nGC_33  &
                        )**2d0 - 4d0*cME*coupl(nGC_33)**2d0*coupl(nGC_98) - 4d0&
                        *cMM*coupl(nGC_103)*coupl(nGC_33)**2d0 - 4d0*cMTA*coupl&
                        (nGC_118)*coupl(nGC_33)**2d0 - 2d0*cima*coupl(nGC_1661 &
                        )*coupl(nGC_69) - 4d0*cima*coupl(nGC_29)*coupl(nGC_72  &
                        ) + 6d0*coupl(nGC_3)**2d0*coupl(nGC_69) - coupl(nGC_3)*&
                        coupl(nGC_34)*coupl(nGC_71) + coupl(nGC_3)*coupl(nGC_35&
                        )*coupl(nGC_71) - coupl(nGC_34)*coupl(nGC_37)*coupl(   &
                        nGC_68) + coupl(nGC_35)*coupl(nGC_37)*coupl(nGC_68) +  &
                        6d0*coupl(nGC_37)**2d0*coupl(nGC_69) + 6d0*coupl(nGC_72&
                        )*coupl(nGC_991)**2d0)/(32d0*pi**2d0)
      coupl(nGC_7445) = coupl(nGC_7442) + coupl(nGC_7443)
      coupl(nGC_7444) = coupl(nGC_7441) + coupl(nGC_7442)
      coupl(nGC_5159) = (-32d0*Nc*cima*coupl(nGC_106)*coupl(nGC_107)*coupl(    &
                        nGC_33)**2d0 - 32d0*Nc*cima*coupl(nGC_111)*coupl(      &
                        nGC_112)*coupl(nGC_33)**2d0 - 32d0*Nc*cima*coupl(      &
                        nGC_121)*coupl(nGC_122)*coupl(nGC_33)**2d0 - 32d0*Nc*  &
                        cima*coupl(nGC_33)**2d0*coupl(nGC_81)*coupl(nGC_82) -  &
                        32d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_86)*coupl(   &
                        nGC_87) - 32d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_91 &
                        )*coupl(nGC_92) - 32d0*cima*coupl(nGC_101)*coupl(      &
                        nGC_102)*coupl(nGC_33)**2d0 - 8d0*cima*coupl(nGC_1103  &
                        )**3d0*coupl(nGC_32) - 4d0*cima*coupl(nGC_1103)**2d0*  &
                        coupl(nGC_1589)*coupl(nGC_47) - 9d0*cima*coupl(nGC_1103&
                        )**2d0*coupl(nGC_1751)**2d0 - 4d0*cima*coupl(nGC_1103  &
                        )**2d0*coupl(nGC_2155)*coupl(nGC_46) - 4d0*cima*coupl( &
                        nGC_1103)**2d0*coupl(nGC_2229)*coupl(nGC_35) - 9d0*cima&
                        *coupl(nGC_1103)**2d0*coupl(nGC_3)**2d0 - 4d0*cima*    &
                        coupl(nGC_1103)**2d0*coupl(nGC_34)*coupl(nGC_983) - 9d0&
                        *cima*coupl(nGC_1103)**2d0*coupl(nGC_37)**2d0 - 9d0*   &
                        cima*coupl(nGC_1103)**2d0*coupl(nGC_991)**2d0 - 32d0*  &
                        cima*coupl(nGC_116)*coupl(nGC_117)*coupl(nGC_33)**2d0  &
                         - 4d0*cima*coupl(nGC_1589)*coupl(nGC_35)*coupl(nGC_629&
                        )*coupl(nGC_703) - 4d0*cima*coupl(nGC_1589)*coupl(     &
                        nGC_47)*coupl(nGC_629)**2d0 - 12d0*cima*coupl(nGC_1661 &
                        )*coupl(nGC_26) - 4d0*cima*coupl(nGC_2155)*coupl(nGC_34&
                        )*coupl(nGC_629)*coupl(nGC_703) - 4d0*cima*coupl(      &
                        nGC_2155)*coupl(nGC_46)*coupl(nGC_629)**2d0 - 4d0*cima*&
                        coupl(nGC_2229)*coupl(nGC_35)*coupl(nGC_703)**2d0 - 4d0&
                        *cima*coupl(nGC_2229)*coupl(nGC_47)*coupl(nGC_629)*    &
                        coupl(nGC_703) - 24d0*cima*coupl(nGC_29)*coupl(nGC_64  &
                        ) - 32d0*cima*coupl(nGC_33)**2d0*coupl(nGC_96)*coupl(  &
                        nGC_97) - 4d0*cima*coupl(nGC_34)*coupl(nGC_703)**2d0*  &
                        coupl(nGC_983) - 9d0*cima*coupl(nGC_37)**2d0*coupl(    &
                        nGC_629)**2d0 - 9d0*cima*coupl(nGC_37)**2d0*coupl(     &
                        nGC_703)**2d0 - 4d0*cima*coupl(nGC_46)*coupl(nGC_629)* &
                        coupl(nGC_703)*coupl(nGC_983) - 9d0*cima*coupl(nGC_629 &
                        )**2d0*coupl(nGC_991)**2d0 - 9d0*cima*coupl(nGC_703)** &
                        2d0*coupl(nGC_991)**2d0 - 6d0*coupl(nGC_1103)**2d0*    &
                        coupl(nGC_1661) - 12d0*coupl(nGC_1103)**2d0*coupl(     &
                        nGC_26) - 6d0*coupl(nGC_1103)*coupl(nGC_1751)*coupl(   &
                        nGC_38) + 6d0*coupl(nGC_1103)*coupl(nGC_1751)*coupl(   &
                        nGC_39) + 6d0*coupl(nGC_1103)*coupl(nGC_3)*coupl(nGC_38&
                        ) - 6d0*coupl(nGC_1103)*coupl(nGC_3)*coupl(nGC_39) +   &
                        6d0*coupl(nGC_1103)*coupl(nGC_37)*coupl(nGC_7) - 6d0*  &
                        coupl(nGC_1103)*coupl(nGC_37)*coupl(nGC_8) - 6d0*coupl(&
                        nGC_1103)*coupl(nGC_7)*coupl(nGC_991) + 6d0*coupl(     &
                        nGC_1103)*coupl(nGC_8)*coupl(nGC_991) + 36d0*coupl(    &
                        nGC_26)*coupl(nGC_3)**2d0 + 36d0*coupl(nGC_26)*coupl(  &
                        nGC_37)**2d0 - 6d0*coupl(nGC_28)*coupl(nGC_703)**2d0 - &
                        12d0*coupl(nGC_29)*coupl(nGC_629)**2d0 - 12d0*coupl(   &
                        nGC_29)*coupl(nGC_703)**2d0 - 12d0*coupl(nGC_30)*coupl(&
                        nGC_629)*coupl(nGC_703) - 6d0*coupl(nGC_31)*coupl(     &
                        nGC_629)**2d0 + 36d0*coupl(nGC_64)*coupl(nGC_991)**2d0 &
                        )/(192d0*pi**2d0)
      coupl(nGC_4916) = (4d0*Nc*cMB*coupl(nGC_110)**2d0*coupl(nGC_84) + 4d0*Nc*&
                        cMB*coupl(nGC_110)*coupl(nGC_114)*coupl(nGC_80) + 4d0* &
                        Nc*cMB*coupl(nGC_80)**2d0*coupl(nGC_84) + 4d0*Nc*cMC*  &
                        coupl(nGC_105)**2d0*coupl(nGC_89) + 4d0*Nc*cMC*coupl(  &
                        nGC_105)*coupl(nGC_109)*coupl(nGC_85) + 4d0*Nc*cMC*    &
                        coupl(nGC_85)**2d0*coupl(nGC_89) + 4d0*Nc*cMD*coupl(   &
                        nGC_120)**2d0*coupl(nGC_94) + 4d0*Nc*cMD*coupl(nGC_120 &
                        )*coupl(nGC_124)*coupl(nGC_90) + 4d0*Nc*cMD*coupl(     &
                        nGC_90)**2d0*coupl(nGC_94) + 4d0*Nc*cMS*coupl(nGC_105  &
                        )**2d0*coupl(nGC_109) + 4d0*Nc*cMS*coupl(nGC_105)*coupl&
                        (nGC_85)*coupl(nGC_89) + 4d0*Nc*cMS*coupl(nGC_109)*    &
                        coupl(nGC_85)**2d0 + 4d0*Nc*cMT*coupl(nGC_110)**2d0*   &
                        coupl(nGC_114) + 4d0*Nc*cMT*coupl(nGC_110)*coupl(nGC_80&
                        )*coupl(nGC_84) + 4d0*Nc*cMT*coupl(nGC_114)*coupl(     &
                        nGC_80)**2d0 + 4d0*Nc*cMU*coupl(nGC_120)**2d0*coupl(   &
                        nGC_124) + 4d0*Nc*cMU*coupl(nGC_120)*coupl(nGC_90)*    &
                        coupl(nGC_94) + 4d0*Nc*cMU*coupl(nGC_124)*coupl(nGC_90 &
                        )**2d0 + 4d0*cME*coupl(nGC_95)**2d0*coupl(nGC_99) + 4d0&
                        *cMM*coupl(nGC_100)**2d0*coupl(nGC_104) + 4d0*cMTA*    &
                        coupl(nGC_115)**2d0*coupl(nGC_119) + 8d0*cima*coupl(   &
                        nGC_17)*coupl(nGC_68) + 4d0*cima*coupl(nGC_26)*coupl(  &
                        nGC_70) + 8d0*cima*coupl(nGC_48)*coupl(nGC_71) + 2d0*  &
                        cima*coupl(nGC_63)*coupl(nGC_73) - coupl(nGC_1401)*    &
                        coupl(nGC_4)*coupl(nGC_74) + coupl(nGC_1401)*coupl(    &
                        nGC_46)*coupl(nGC_71) + coupl(nGC_1589)*coupl(nGC_2155 &
                        )*coupl(nGC_70) - coupl(nGC_1589)*coupl(nGC_2155)*coupl&
                        (nGC_77) - coupl(nGC_1589)*coupl(nGC_47)*coupl(nGC_74  &
                        ) - coupl(nGC_1589)*coupl(nGC_79)*coupl(nGC_983) -     &
                        coupl(nGC_2155)*coupl(nGC_2229)*coupl(nGC_79) - coupl( &
                        nGC_2155)*coupl(nGC_46)*coupl(nGC_74) - coupl(nGC_2229 &
                        )*coupl(nGC_47)*coupl(nGC_75) + coupl(nGC_2229)*coupl( &
                        nGC_70)*coupl(nGC_983) - coupl(nGC_2229)*coupl(nGC_76)*&
                        coupl(nGC_983) + coupl(nGC_32)**2d0*coupl(nGC_70) -    &
                        coupl(nGC_32)**2d0*coupl(nGC_74) + 2d0*coupl(nGC_32)*  &
                        coupl(nGC_61)*coupl(nGC_68) + coupl(nGC_4)*coupl(nGC_47&
                        )*coupl(nGC_71) + coupl(nGC_46)*coupl(nGC_617)*coupl(  &
                        nGC_68) - coupl(nGC_46)*coupl(nGC_75)*coupl(nGC_983) + &
                        coupl(nGC_47)*coupl(nGC_55)*coupl(nGC_68) + coupl(     &
                        nGC_55)*coupl(nGC_617)*coupl(nGC_73) - coupl(nGC_55)*  &
                        coupl(nGC_617)*coupl(nGC_74))/(32d0*pi**2d0)
      coupl(nGC_7134) = coupl(nGC_5347) + coupl(nGC_7131)
      coupl(nGC_14645) = -coupl(nGC_4920)
      coupl(nGC_8799) = coupl(nGC_5309) + coupl(nGC_93)*dZHlHh_QED2/2d0 + coupl&
                        (nGC_94)*dZHh_QED2/2d0
      coupl(nGC_4918) = (4d0*Nc*coupl(nGC_105)**2d0*coupl(nGC_50) - 4d0*Nc*    &
                        coupl(nGC_105)**2d0*coupl(nGC_54) - 4d0*Nc*coupl(      &
                        nGC_110)**2d0*coupl(nGC_51) + 4d0*Nc*coupl(nGC_110)**  &
                        2d0*coupl(nGC_53) - 4d0*Nc*coupl(nGC_120)**2d0*coupl(  &
                        nGC_51) + 4d0*Nc*coupl(nGC_120)**2d0*coupl(nGC_53) +   &
                        4d0*Nc*coupl(nGC_50)*coupl(nGC_80)**2d0 + 4d0*Nc*coupl(&
                        nGC_50)*coupl(nGC_90)**2d0 - 4d0*Nc*coupl(nGC_51)*coupl&
                        (nGC_85)**2d0 + 4d0*Nc*coupl(nGC_53)*coupl(nGC_85)**2d0&
                         - 4d0*Nc*coupl(nGC_54)*coupl(nGC_80)**2d0 - 4d0*Nc*   &
                        coupl(nGC_54)*coupl(nGC_90)**2d0 + 4d0*coupl(nGC_100)**&
                        2d0*coupl(nGC_52) - 4d0*coupl(nGC_100)**2d0*coupl(     &
                        nGC_56) + 4d0*coupl(nGC_115)**2d0*coupl(nGC_52) - 4d0* &
                        coupl(nGC_115)**2d0*coupl(nGC_56) + coupl(nGC_1401)*   &
                        coupl(nGC_4)*coupl(nGC_617) - 6d0*coupl(nGC_1589)*coupl&
                        (nGC_2155)*coupl(nGC_991) + coupl(nGC_1589)*coupl(     &
                        nGC_32)*coupl(nGC_61) + coupl(nGC_2155)*coupl(nGC_32)* &
                        coupl(nGC_629) + coupl(nGC_2229)*coupl(nGC_32)*coupl(  &
                        nGC_57) - 6d0*coupl(nGC_2229)*coupl(nGC_983)*coupl(    &
                        nGC_991) - 6d0*coupl(nGC_32)**2d0*coupl(nGC_991) +     &
                        coupl(nGC_32)*coupl(nGC_703)*coupl(nGC_983) + 4d0*coupl&
                        (nGC_52)*coupl(nGC_95)**2d0 + coupl(nGC_55)*coupl(     &
                        nGC_617)**2d0 - 4d0*coupl(nGC_56)*coupl(nGC_95)**2d0)/(&
                        96d0*pi**2d0)
      coupl(nGC_4919) = (-4d0*Nc*coupl(nGC_105)*coupl(nGC_106)*coupl(nGC_33) + &
                        4d0*Nc*coupl(nGC_110)*coupl(nGC_111)*coupl(nGC_33) +   &
                        4d0*Nc*coupl(nGC_120)*coupl(nGC_121)*coupl(nGC_33) -   &
                        4d0*Nc*coupl(nGC_33)*coupl(nGC_80)*coupl(nGC_81) + 4d0*&
                        Nc*coupl(nGC_33)*coupl(nGC_85)*coupl(nGC_86) - 4d0*Nc* &
                        coupl(nGC_33)*coupl(nGC_90)*coupl(nGC_91) - 4d0*coupl( &
                        nGC_100)*coupl(nGC_101)*coupl(nGC_33) + coupl(nGC_1103 &
                        )**2d0*coupl(nGC_32) - 6d0*coupl(nGC_1103)*coupl(      &
                        nGC_1401)*coupl(nGC_1751) + coupl(nGC_1103)*coupl(     &
                        nGC_1589)*coupl(nGC_46) + coupl(nGC_1103)*coupl(       &
                        nGC_2229)*coupl(nGC_34) - 6d0*coupl(nGC_1103)*coupl(   &
                        nGC_617)*coupl(nGC_991) - 4d0*coupl(nGC_115)*coupl(    &
                        nGC_116)*coupl(nGC_33) - 6d0*coupl(nGC_1589)*coupl(    &
                        nGC_37)*coupl(nGC_629) + coupl(nGC_1589)*coupl(nGC_617 &
                        )*coupl(nGC_629) - 6d0*coupl(nGC_2229)*coupl(nGC_37)*  &
                        coupl(nGC_703) + coupl(nGC_2229)*coupl(nGC_617)*coupl( &
                        nGC_703) - 4d0*coupl(nGC_33)*coupl(nGC_95)*coupl(nGC_96&
                        ))/(96d0*pi**2d0)
      coupl(nGC_11890) = coupl(nGC_5439) + coupl(nGC_TS_GC_108_Hl) + coupl(    &
                         nGC_TS_GC_109_Hh)
      coupl(nGC_11891) = coupl(nGC_11882) + coupl(nGC_11890)
      coupl(nGC_10385) = coupl(nGC_123)*dZHlHh_QED2/2d0 + coupl(nGC_124)*      &
                         dZHh_QED2/2d0 + coupl(nGC_5348)
      coupl(nGC_10384) = coupl(nGC_10379) + coupl(nGC_5349)
      coupl(nGC_10386) = coupl(nGC_10378) + coupl(nGC_10385)
      coupl(nGC_5140) = (20d0*Nc*cima*coupl(nGC_105)**2d0*coupl(nGC_108)**2d0  &
                         + 20d0*Nc*cima*coupl(nGC_105)**2d0*coupl(nGC_88)**2d0 &
                         + 40d0*Nc*cima*coupl(nGC_105)*coupl(nGC_108)*coupl(   &
                        nGC_85)*coupl(nGC_88) + 20d0*Nc*cima*coupl(nGC_108)**  &
                        2d0*coupl(nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_110)** &
                        2d0*coupl(nGC_113)**2d0 + 20d0*Nc*cima*coupl(nGC_110)**&
                        2d0*coupl(nGC_83)**2d0 + 40d0*Nc*cima*coupl(nGC_110)*  &
                        coupl(nGC_113)*coupl(nGC_80)*coupl(nGC_83) + 20d0*Nc*  &
                        cima*coupl(nGC_113)**2d0*coupl(nGC_80)**2d0 + 20d0*Nc* &
                        cima*coupl(nGC_120)**2d0*coupl(nGC_123)**2d0 + 20d0*Nc*&
                        cima*coupl(nGC_120)**2d0*coupl(nGC_93)**2d0 + 40d0*Nc* &
                        cima*coupl(nGC_120)*coupl(nGC_123)*coupl(nGC_90)*coupl(&
                        nGC_93) + 20d0*Nc*cima*coupl(nGC_123)**2d0*coupl(nGC_90&
                        )**2d0 + 20d0*Nc*cima*coupl(nGC_80)**2d0*coupl(nGC_83  &
                        )**2d0 + 20d0*Nc*cima*coupl(nGC_85)**2d0*coupl(nGC_88  &
                        )**2d0 + 20d0*Nc*cima*coupl(nGC_90)**2d0*coupl(nGC_93  &
                        )**2d0 + 20d0*cima*coupl(nGC_100)**2d0*coupl(nGC_103)**&
                        2d0 + 20d0*cima*coupl(nGC_115)**2d0*coupl(nGC_118)**2d0&
                         - 10d0*cima*coupl(nGC_1401)*coupl(nGC_34)*coupl(nGC_35&
                        )*coupl(nGC_4) - 10d0*cima*coupl(nGC_1589)*coupl(      &
                        nGC_2155)*coupl(nGC_34)*coupl(nGC_35) - 10d0*cima*coupl&
                        (nGC_2229)*coupl(nGC_34)*coupl(nGC_35)*coupl(nGC_983   &
                        ) + 12d0*cima*coupl(nGC_26)*coupl(nGC_28) - 10d0*cima* &
                        coupl(nGC_32)**2d0*coupl(nGC_34)*coupl(nGC_35) - 10d0* &
                        cima*coupl(nGC_32)**2d0*coupl(nGC_57)**2d0 - 10d0*cima*&
                        coupl(nGC_32)*coupl(nGC_34)*coupl(nGC_57)*coupl(nGC_617&
                        ) - 10d0*cima*coupl(nGC_32)*coupl(nGC_35)*coupl(nGC_55 &
                        )*coupl(nGC_57) - 10d0*cima*coupl(nGC_34)*coupl(nGC_35 &
                        )*coupl(nGC_55)*coupl(nGC_617) + 24d0*cima*coupl(nGC_40&
                        )**2d0 - 10d0*cima*coupl(nGC_55)*coupl(nGC_57)**2d0*   &
                        coupl(nGC_617) + 6d0*cima*coupl(nGC_63)*coupl(nGC_65   &
                        ) + 24d0*cima*coupl(nGC_9)**2d0 + 20d0*cima*coupl(     &
                        nGC_95)**2d0*coupl(nGC_98)**2d0 - 3d0*coupl(nGC_13)*   &
                        coupl(nGC_57)**2d0 - 6d0*coupl(nGC_14)*coupl(nGC_34)*  &
                        coupl(nGC_35) - 3d0*coupl(nGC_1401)*coupl(nGC_20)*coupl&
                        (nGC_4) + 6d0*coupl(nGC_1401)*coupl(nGC_34)*coupl(     &
                        nGC_40) - 6d0*coupl(nGC_1589)*coupl(nGC_18)*coupl(     &
                        nGC_35) - 3d0*coupl(nGC_1589)*coupl(nGC_21)*coupl(     &
                        nGC_983) - 3d0*coupl(nGC_1589)*coupl(nGC_2155)*coupl(  &
                        nGC_25) + 3d0*coupl(nGC_1589)*coupl(nGC_2155)*coupl(   &
                        nGC_28) - 6d0*coupl(nGC_18)*coupl(nGC_2155)*coupl(     &
                        nGC_34) - 6d0*coupl(nGC_20)*coupl(nGC_2229)*coupl(     &
                        nGC_35) - 3d0*coupl(nGC_20)*coupl(nGC_32)**2d0 - 6d0*  &
                        coupl(nGC_20)*coupl(nGC_34)*coupl(nGC_983) - 3d0*coupl(&
                        nGC_20)*coupl(nGC_55)*coupl(nGC_617) - 3d0*coupl(nGC_21&
                        )*coupl(nGC_2155)*coupl(nGC_2229) - 3d0*coupl(nGC_2229 &
                        )*coupl(nGC_23)*coupl(nGC_983) + 3d0*coupl(nGC_2229)*  &
                        coupl(nGC_28)*coupl(nGC_983) + 6d0*coupl(nGC_26)*coupl(&
                        nGC_34)*coupl(nGC_35) + 3d0*coupl(nGC_28)*coupl(nGC_32 &
                        )**2d0 + 12d0*coupl(nGC_32)*coupl(nGC_57)*coupl(nGC_9  &
                        ) + 6d0*coupl(nGC_34)*coupl(nGC_617)*coupl(nGC_9) + 6d0&
                        *coupl(nGC_35)*coupl(nGC_4)*coupl(nGC_40) + 6d0*coupl( &
                        nGC_35)*coupl(nGC_55)*coupl(nGC_9) + 3d0*coupl(nGC_55)*&
                        coupl(nGC_617)*coupl(nGC_65) + 3d0*coupl(nGC_57)**2d0* &
                        coupl(nGC_63))/(96d0*pi**2d0)
      coupl(nGC_13861) = -coupl(nGC_4892)
      coupl(nGC_7800) = -coupl(nGC_7101)
      coupl(nGC_8279) = coupl(nGC_7330) + coupl(nGC_8278)
      coupl(nGC_5147) = (20d0*Nc*cima*coupl(nGC_105)*coupl(nGC_109)*coupl(     &
                        nGC_33)*coupl(nGC_50) - 16d0*Nc*cima*coupl(nGC_105)*   &
                        coupl(nGC_109)*coupl(nGC_33)*coupl(nGC_53) - 16d0*Nc*  &
                        cima*coupl(nGC_105)*coupl(nGC_109)*coupl(nGC_33)*coupl(&
                        nGC_54) + 20d0*Nc*cima*coupl(nGC_110)*coupl(nGC_114)*  &
                        coupl(nGC_33)*coupl(nGC_51) - 16d0*Nc*cima*coupl(      &
                        nGC_110)*coupl(nGC_114)*coupl(nGC_33)*coupl(nGC_53) -  &
                        16d0*Nc*cima*coupl(nGC_110)*coupl(nGC_114)*coupl(nGC_33&
                        )*coupl(nGC_54) + 20d0*Nc*cima*coupl(nGC_120)*coupl(   &
                        nGC_124)*coupl(nGC_33)*coupl(nGC_51) - 16d0*Nc*cima*   &
                        coupl(nGC_120)*coupl(nGC_124)*coupl(nGC_33)*coupl(     &
                        nGC_53) - 16d0*Nc*cima*coupl(nGC_120)*coupl(nGC_124)*  &
                        coupl(nGC_33)*coupl(nGC_54) + 20d0*Nc*cima*coupl(nGC_33&
                        )*coupl(nGC_50)*coupl(nGC_80)*coupl(nGC_84) + 20d0*Nc* &
                        cima*coupl(nGC_33)*coupl(nGC_50)*coupl(nGC_90)*coupl(  &
                        nGC_94) + 20d0*Nc*cima*coupl(nGC_33)*coupl(nGC_51)*    &
                        coupl(nGC_85)*coupl(nGC_89) - 16d0*Nc*cima*coupl(nGC_33&
                        )*coupl(nGC_53)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc* &
                        cima*coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_85)*coupl(  &
                        nGC_89) - 16d0*Nc*cima*coupl(nGC_33)*coupl(nGC_53)*    &
                        coupl(nGC_90)*coupl(nGC_94) - 16d0*Nc*cima*coupl(nGC_33&
                        )*coupl(nGC_54)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc* &
                        cima*coupl(nGC_33)*coupl(nGC_54)*coupl(nGC_85)*coupl(  &
                        nGC_89) - 16d0*Nc*cima*coupl(nGC_33)*coupl(nGC_54)*    &
                        coupl(nGC_90)*coupl(nGC_94) + 20d0*cima*coupl(nGC_100)*&
                        coupl(nGC_104)*coupl(nGC_33)*coupl(nGC_52) - 16d0*cima*&
                        coupl(nGC_100)*coupl(nGC_104)*coupl(nGC_33)*coupl(     &
                        nGC_55) - 16d0*cima*coupl(nGC_100)*coupl(nGC_104)*coupl&
                        (nGC_33)*coupl(nGC_56) - 4d0*cima*coupl(nGC_1103)*coupl&
                        (nGC_1589)*coupl(nGC_47)*coupl(nGC_61) - 4d0*cima*coupl&
                        (nGC_1103)*coupl(nGC_2229)*coupl(nGC_47)*coupl(nGC_57  &
                        ) - 4d0*cima*coupl(nGC_1103)*coupl(nGC_32)*coupl(nGC_47&
                        )*coupl(nGC_55) + 20d0*cima*coupl(nGC_115)*coupl(      &
                        nGC_119)*coupl(nGC_33)*coupl(nGC_52) - 16d0*cima*coupl(&
                        nGC_115)*coupl(nGC_119)*coupl(nGC_33)*coupl(nGC_55) -  &
                        16d0*cima*coupl(nGC_115)*coupl(nGC_119)*coupl(nGC_33)* &
                        coupl(nGC_56) - 9d0*cima*coupl(nGC_1401)*coupl(nGC_1751&
                        )*coupl(nGC_37)*coupl(nGC_46) - 4d0*cima*coupl(nGC_1589&
                        )*coupl(nGC_46)*coupl(nGC_47)*coupl(nGC_55) - 4d0*cima*&
                        coupl(nGC_1589)*coupl(nGC_61)**2d0*coupl(nGC_617) -    &
                        12d0*cima*coupl(nGC_17)*coupl(nGC_483) - 4d0*cima*coupl&
                        (nGC_2229)*coupl(nGC_34)*coupl(nGC_47)*coupl(nGC_55) - &
                        4d0*cima*coupl(nGC_2229)*coupl(nGC_57)*coupl(nGC_61)*  &
                        coupl(nGC_617) - 4d0*cima*coupl(nGC_32)*coupl(nGC_34)* &
                        coupl(nGC_47)*coupl(nGC_703) - 9d0*cima*coupl(nGC_32)* &
                        coupl(nGC_37)*coupl(nGC_61)*coupl(nGC_991) - 4d0*cima* &
                        coupl(nGC_32)*coupl(nGC_46)*coupl(nGC_47)*coupl(nGC_629&
                        ) - 4d0*cima*coupl(nGC_32)*coupl(nGC_61)*coupl(nGC_617 &
                        )**2d0 + 20d0*cima*coupl(nGC_33)*coupl(nGC_52)*coupl(  &
                        nGC_95)*coupl(nGC_99) - 16d0*cima*coupl(nGC_33)*coupl( &
                        nGC_55)*coupl(nGC_95)*coupl(nGC_99) - 16d0*cima*coupl( &
                        nGC_33)*coupl(nGC_56)*coupl(nGC_95)*coupl(nGC_99) - 9d0&
                        *cima*coupl(nGC_37)*coupl(nGC_46)*coupl(nGC_617)*coupl(&
                        nGC_991) - 12d0*cima*coupl(nGC_41)*coupl(nGC_48) - 6d0*&
                        coupl(nGC_1401)*coupl(nGC_17)*coupl(nGC_1751) - 3d0*   &
                        coupl(nGC_1401)*coupl(nGC_41)*coupl(nGC_46) - 6d0*coupl&
                        (nGC_1589)*coupl(nGC_17)*coupl(nGC_47) - 6d0*coupl(    &
                        nGC_1589)*coupl(nGC_31)*coupl(nGC_991) - 6d0*coupl(    &
                        nGC_1589)*coupl(nGC_37)*coupl(nGC_67) + 36d0*coupl(    &
                        nGC_17)*coupl(nGC_37)*coupl(nGC_991) - 6d0*coupl(nGC_17&
                        )*coupl(nGC_617)*coupl(nGC_991) + 6d0*coupl(nGC_1751)* &
                        coupl(nGC_46)*coupl(nGC_58) - 6d0*coupl(nGC_2229)*coupl&
                        (nGC_30)*coupl(nGC_991) - 6d0*coupl(nGC_2229)*coupl(   &
                        nGC_37)*coupl(nGC_66) - 6d0*coupl(nGC_2229)*coupl(     &
                        nGC_47)*coupl(nGC_9) + 6d0*coupl(nGC_26)*coupl(nGC_37)*&
                        coupl(nGC_46) + 36d0*coupl(nGC_3)*coupl(nGC_48)*coupl( &
                        nGC_991) - 6d0*coupl(nGC_32)*coupl(nGC_47)*coupl(nGC_7 &
                        ) - 3d0*coupl(nGC_32)*coupl(nGC_483)*coupl(nGC_61) +   &
                        6d0*coupl(nGC_37)*coupl(nGC_61)*coupl(nGC_7) - 3d0*    &
                        coupl(nGC_46)*coupl(nGC_483)*coupl(nGC_617) + 6d0*coupl&
                        (nGC_46)*coupl(nGC_63)*coupl(nGC_991) - 6d0*coupl(     &
                        nGC_61)*coupl(nGC_617)*coupl(nGC_7))/(192d0*pi**2d0)
      coupl(nGC_4846) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_50) + 2d0*&
                        Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_53) + 2d0*Nc*  &
                        cMC**2d0*cima*coupl(nGC_2)*coupl(nGC_51) + 2d0*Nc*cMC**&
                        2d0*cima*coupl(nGC_2)*coupl(nGC_54) + 2d0*Nc*cMD**2d0* &
                        cima*coupl(nGC_1)*coupl(nGC_50) + 2d0*Nc*cMD**2d0*cima*&
                        coupl(nGC_1)*coupl(nGC_53) + 2d0*Nc*cMS**2d0*cima*coupl&
                        (nGC_1)*coupl(nGC_50) + 2d0*Nc*cMS**2d0*cima*coupl(    &
                        nGC_1)*coupl(nGC_53) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2&
                        )*coupl(nGC_51) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)*   &
                        coupl(nGC_54) + 2d0*Nc*cMU**2d0*cima*coupl(nGC_2)*coupl&
                        (nGC_51) + 2d0*Nc*cMU**2d0*cima*coupl(nGC_2)*coupl(    &
                        nGC_54) + 2d0*cME**2d0*cima*coupl(nGC_4)*coupl(nGC_52  &
                        ) + 2d0*cME**2d0*cima*coupl(nGC_4)*coupl(nGC_55) + 2d0*&
                        cMM**2d0*cima*coupl(nGC_4)*coupl(nGC_52) + 2d0*cMM**2d0&
                        *cima*coupl(nGC_4)*coupl(nGC_55) + 2d0*cMTA**2d0*cima* &
                        coupl(nGC_4)*coupl(nGC_52) + 2d0*cMTA**2d0*cima*coupl( &
                        nGC_4)*coupl(nGC_55) + 3d0*cMW**2d0*cima*coupl(nGC_1751&
                        )*coupl(nGC_991) + 3d0*cMW**2d0*cima*coupl(nGC_3)*coupl&
                        (nGC_37) + 4d0*cMW**2d0*coupl(nGC_1929))/(16d0*pi**2d0)
      coupl(nGC_7459) = coupl(nGC_7313) + coupl(nGC_7458)
      coupl(nGC_9375) = coupl(nGC_7965) + coupl(nGC_9374)
      coupl(nGC_7190) = coupl(nGC_33)*dZWMinus_QED2/2d0 + coupl(nGC_33)*       &
                        dZdL_QED2/2d0 + coupl(nGC_33)*dZuL_QED2/2d0 + coupl(   &
                        nGC_5272)
      coupl(nGC_9276) = coupl(nGC_33)*dZWMinus_QED2/2d0 + coupl(nGC_33)*       &
                        dZmuMinusL_QED2/2d0 + coupl(nGC_33)*dZnu_muL_QED2/2d0  &
                         + coupl(nGC_5272)
      coupl(nGC_5149) = (20d0*Nc*cima*coupl(nGC_105)*coupl(nGC_107)*coupl(     &
                        nGC_33)*coupl(nGC_50) - 16d0*Nc*cima*coupl(nGC_105)*   &
                        coupl(nGC_107)*coupl(nGC_33)*coupl(nGC_53) - 16d0*Nc*  &
                        cima*coupl(nGC_105)*coupl(nGC_107)*coupl(nGC_33)*coupl(&
                        nGC_54) + 20d0*Nc*cima*coupl(nGC_110)*coupl(nGC_112)*  &
                        coupl(nGC_33)*coupl(nGC_51) - 16d0*Nc*cima*coupl(      &
                        nGC_110)*coupl(nGC_112)*coupl(nGC_33)*coupl(nGC_53) -  &
                        16d0*Nc*cima*coupl(nGC_110)*coupl(nGC_112)*coupl(nGC_33&
                        )*coupl(nGC_54) + 20d0*Nc*cima*coupl(nGC_120)*coupl(   &
                        nGC_122)*coupl(nGC_33)*coupl(nGC_51) - 16d0*Nc*cima*   &
                        coupl(nGC_120)*coupl(nGC_122)*coupl(nGC_33)*coupl(     &
                        nGC_53) - 16d0*Nc*cima*coupl(nGC_120)*coupl(nGC_122)*  &
                        coupl(nGC_33)*coupl(nGC_54) + 20d0*Nc*cima*coupl(nGC_33&
                        )*coupl(nGC_50)*coupl(nGC_80)*coupl(nGC_82) + 20d0*Nc* &
                        cima*coupl(nGC_33)*coupl(nGC_50)*coupl(nGC_90)*coupl(  &
                        nGC_92) + 20d0*Nc*cima*coupl(nGC_33)*coupl(nGC_51)*    &
                        coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_33&
                        )*coupl(nGC_53)*coupl(nGC_80)*coupl(nGC_82) - 16d0*Nc* &
                        cima*coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_85)*coupl(  &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_33)*coupl(nGC_53)*    &
                        coupl(nGC_90)*coupl(nGC_92) - 16d0*Nc*cima*coupl(nGC_33&
                        )*coupl(nGC_54)*coupl(nGC_80)*coupl(nGC_82) - 16d0*Nc* &
                        cima*coupl(nGC_33)*coupl(nGC_54)*coupl(nGC_85)*coupl(  &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_33)*coupl(nGC_54)*    &
                        coupl(nGC_90)*coupl(nGC_92) + 20d0*cima*coupl(nGC_100)*&
                        coupl(nGC_102)*coupl(nGC_33)*coupl(nGC_52) - 16d0*cima*&
                        coupl(nGC_100)*coupl(nGC_102)*coupl(nGC_33)*coupl(     &
                        nGC_55) - 16d0*cima*coupl(nGC_100)*coupl(nGC_102)*coupl&
                        (nGC_33)*coupl(nGC_56) - 4d0*cima*coupl(nGC_1103)**2d0*&
                        coupl(nGC_2155)*coupl(nGC_61) - 4d0*cima*coupl(nGC_1103&
                        )**2d0*coupl(nGC_32)*coupl(nGC_617) - 4d0*cima*coupl(  &
                        nGC_1103)**2d0*coupl(nGC_57)*coupl(nGC_983) - 4d0*cima*&
                        coupl(nGC_1103)*coupl(nGC_2155)*coupl(nGC_47)*coupl(   &
                        nGC_617) - 9d0*cima*coupl(nGC_1103)*coupl(nGC_3)*coupl(&
                        nGC_4)*coupl(nGC_991) - 4d0*cima*coupl(nGC_1103)*coupl(&
                        nGC_32)*coupl(nGC_35)*coupl(nGC_703) - 4d0*cima*coupl( &
                        nGC_1103)*coupl(nGC_32)*coupl(nGC_47)*coupl(nGC_629) - &
                        4d0*cima*coupl(nGC_1103)*coupl(nGC_35)*coupl(nGC_617)* &
                        coupl(nGC_983) - 9d0*cima*coupl(nGC_1103)*coupl(nGC_37 &
                        )*coupl(nGC_55)*coupl(nGC_991) + 20d0*cima*coupl(      &
                        nGC_115)*coupl(nGC_117)*coupl(nGC_33)*coupl(nGC_52) -  &
                        16d0*cima*coupl(nGC_115)*coupl(nGC_117)*coupl(nGC_33)* &
                        coupl(nGC_55) - 16d0*cima*coupl(nGC_115)*coupl(nGC_117 &
                        )*coupl(nGC_33)*coupl(nGC_56) - 9d0*cima*coupl(nGC_2155&
                        )*coupl(nGC_37)*coupl(nGC_629)*coupl(nGC_991) - 4d0*   &
                        cima*coupl(nGC_2155)*coupl(nGC_55)**2d0*coupl(nGC_629  &
                        ) - 4d0*cima*coupl(nGC_32)*coupl(nGC_55)*coupl(nGC_629 &
                        )**2d0 - 4d0*cima*coupl(nGC_32)*coupl(nGC_55)*coupl(   &
                        nGC_703)**2d0 + 20d0*cima*coupl(nGC_33)*coupl(nGC_52)* &
                        coupl(nGC_95)*coupl(nGC_97) - 16d0*cima*coupl(nGC_33)* &
                        coupl(nGC_55)*coupl(nGC_95)*coupl(nGC_97) - 16d0*cima* &
                        coupl(nGC_33)*coupl(nGC_56)*coupl(nGC_95)*coupl(nGC_97 &
                        ) - 9d0*cima*coupl(nGC_37)*coupl(nGC_703)*coupl(nGC_983&
                        )*coupl(nGC_991) - 12d0*cima*coupl(nGC_39)*coupl(nGC_41&
                        ) - 12d0*cima*coupl(nGC_483)*coupl(nGC_8) - 4d0*cima*  &
                        coupl(nGC_55)**2d0*coupl(nGC_703)*coupl(nGC_983) - 6d0*&
                        coupl(nGC_1103)*coupl(nGC_17)*coupl(nGC_2155) + 6d0*   &
                        coupl(nGC_1103)*coupl(nGC_26)*coupl(nGC_991) + 6d0*    &
                        coupl(nGC_1103)*coupl(nGC_3)*coupl(nGC_58) - 6d0*coupl(&
                        nGC_1103)*coupl(nGC_32)*coupl(nGC_8) + 6d0*coupl(      &
                        nGC_1103)*coupl(nGC_37)*coupl(nGC_63) - 3d0*coupl(     &
                        nGC_1103)*coupl(nGC_4)*coupl(nGC_41) - 3d0*coupl(      &
                        nGC_1103)*coupl(nGC_483)*coupl(nGC_55) - 6d0*coupl(    &
                        nGC_1103)*coupl(nGC_9)*coupl(nGC_983) - 6d0*coupl(     &
                        nGC_17)*coupl(nGC_55)*coupl(nGC_629) + 6d0*coupl(nGC_17&
                        )*coupl(nGC_629)*coupl(nGC_991) + 36d0*coupl(nGC_1751)*&
                        coupl(nGC_37)*coupl(nGC_39) - 3d0*coupl(nGC_2155)*coupl&
                        (nGC_483)*coupl(nGC_629) - 6d0*coupl(nGC_26)*coupl(    &
                        nGC_32)*coupl(nGC_37) - 6d0*coupl(nGC_3)*coupl(nGC_4)* &
                        coupl(nGC_8) - 6d0*coupl(nGC_32)*coupl(nGC_64)*coupl(  &
                        nGC_991) - 6d0*coupl(nGC_37)*coupl(nGC_55)*coupl(nGC_8 &
                        ) + 36d0*coupl(nGC_37)*coupl(nGC_8)*coupl(nGC_991) -   &
                        3d0*coupl(nGC_483)*coupl(nGC_703)*coupl(nGC_983) - 6d0*&
                        coupl(nGC_55)*coupl(nGC_703)*coupl(nGC_9) + 6d0*coupl( &
                        nGC_703)*coupl(nGC_9)*coupl(nGC_991))/(192d0*pi**2d0)
      coupl(nGC_4946) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_90) + coupl(  &
                        nGC_1)*coupl(nGC_4)*coupl(nGC_90) - coupl(nGC_120)*    &
                        coupl(nGC_122)*coupl(nGC_91) - coupl(nGC_120)*coupl(   &
                        nGC_123)*coupl(nGC_93) - coupl(nGC_120)*coupl(nGC_124)*&
                        coupl(nGC_94) - coupl(nGC_2)*coupl(nGC_4)*coupl(nGC_90 &
                        ) - coupl(nGC_2155)*coupl(nGC_33)*coupl(nGC_94) - coupl&
                        (nGC_32)*coupl(nGC_33)*coupl(nGC_91) - coupl(nGC_33)*  &
                        coupl(nGC_93)*coupl(nGC_983) + 8d0*coupl(nGC_50)*coupl(&
                        nGC_54)*coupl(nGC_90) + coupl(nGC_50)*coupl(nGC_55)*   &
                        coupl(nGC_90) - coupl(nGC_54)*coupl(nGC_55)*coupl(     &
                        nGC_90))/(32d0*pi**2d0)
      coupl(nGC_4921) = (-4d0*Nc*coupl(nGC_105)*coupl(nGC_108)*coupl(nGC_33) + &
                        4d0*Nc*coupl(nGC_110)*coupl(nGC_113)*coupl(nGC_33) +   &
                        4d0*Nc*coupl(nGC_120)*coupl(nGC_123)*coupl(nGC_33) -   &
                        4d0*Nc*coupl(nGC_33)*coupl(nGC_80)*coupl(nGC_83) + 4d0*&
                        Nc*coupl(nGC_33)*coupl(nGC_85)*coupl(nGC_88) - 4d0*Nc* &
                        coupl(nGC_33)*coupl(nGC_90)*coupl(nGC_93) - 4d0*coupl( &
                        nGC_100)*coupl(nGC_103)*coupl(nGC_33) + coupl(nGC_1103 &
                        )*coupl(nGC_32)*coupl(nGC_35) - 4d0*coupl(nGC_115)*    &
                        coupl(nGC_118)*coupl(nGC_33) - 6d0*coupl(nGC_1401)*    &
                        coupl(nGC_1751)*coupl(nGC_34) + coupl(nGC_1589)*coupl( &
                        nGC_35)*coupl(nGC_46) + coupl(nGC_2229)*coupl(nGC_34)* &
                        coupl(nGC_35) - 6d0*coupl(nGC_32)*coupl(nGC_37)*coupl( &
                        nGC_57) + coupl(nGC_32)*coupl(nGC_57)*coupl(nGC_617) - &
                        4d0*coupl(nGC_33)*coupl(nGC_95)*coupl(nGC_98) - 6d0*   &
                        coupl(nGC_34)*coupl(nGC_617)*coupl(nGC_991))/(96d0*pi**&
                        2d0)
      coupl(nGC_8076) = coupl(nGC_5254) + coupl(nGC_57)*dZHl_QED2/2d0 + coupl( &
                        nGC_57)*dZZ_QED2/2d0 + coupl(nGC_61)*dZHhHl_QED2/2d0
      coupl(nGC_7116) = coupl(nGC_34)*dZHl_QED2/2d0 + coupl(nGC_34)*           &
                        dZWMinus_QED2/2d0 + coupl(nGC_46)*dZHhHl_QED2/2d0 +    &
                        coupl(nGC_5245)
      coupl(nGC_4929) = (-coupl(nGC_1)*coupl(nGC_105)*coupl(nGC_1401) + 8d0*   &
                        coupl(nGC_1)*coupl(nGC_105)*coupl(nGC_2) + coupl(      &
                        nGC_105)*coupl(nGC_1401)*coupl(nGC_2) + 8d0*coupl(     &
                        nGC_105)*coupl(nGC_50)*coupl(nGC_54) - coupl(nGC_105)* &
                        coupl(nGC_50)*coupl(nGC_617) + coupl(nGC_105)*coupl(   &
                        nGC_54)*coupl(nGC_617) + coupl(nGC_107)*coupl(nGC_32)* &
                        coupl(nGC_33) - coupl(nGC_107)*coupl(nGC_85)*coupl(    &
                        nGC_86) + coupl(nGC_108)*coupl(nGC_2229)*coupl(nGC_33  &
                        ) - coupl(nGC_108)*coupl(nGC_85)*coupl(nGC_88) + coupl(&
                        nGC_109)*coupl(nGC_1589)*coupl(nGC_33) - coupl(nGC_109 &
                        )*coupl(nGC_85)*coupl(nGC_89))/(32d0*pi**2d0)
      coupl(nGC_7051) = coupl(nGC_51)*dZZ_QED2/2d0 + coupl(nGC_51)*dZcR_QED2 + &
                        coupl(nGC_5273)
      coupl(nGC_8817) = -coupl(nGC_8816)
      coupl(nGC_7053) = coupl(nGC_7044) + coupl(nGC_7051)
      coupl(nGC_8172) = coupl(nGC_TS_GC_57_Hl) + coupl(nGC_TS_GC_61_Hh)
      coupl(nGC_7796) = coupl(nGC_5353) + coupl(nGC_7793)
      coupl(nGC_7794) = coupl(nGC_113)*dZHlHh_QED2/2d0 + coupl(nGC_114)*       &
                        dZHh_QED2/2d0 + coupl(nGC_5352)
      coupl(nGC_7954) = coupl(nGC_7952) - 2d0*coupl(nGC_7953)
      coupl(nGC_8589) = -2d0*coupl(nGC_7928)
      coupl(nGC_7340) = coupl(nGC_34)*dZHlHh_QED2/2d0 + coupl(nGC_46)*dZHh_QED2&
                        /2d0 + coupl(nGC_46)*dZWMinus_QED2/2d0 + coupl(nGC_5246&
                        )
      coupl(nGC_10775) = coupl(nGC_5336) + coupl(nGC_86)*dZcL_QCD2/2d0 + coupl(&
                         nGC_86)*dZcR_QCD2/2d0
      coupl(nGC_7657) = coupl(nGC_5314) + coupl(nGC_7650)
      coupl(nGC_7655) = coupl(nGC_5313) + coupl(nGC_83)*dZHlHh_QED2/2d0 + coupl&
                        (nGC_84)*dZHh_QED2/2d0
      coupl(nGC_5171) = (-32d0*Nc*cima*coupl(nGC_108)**2d0*coupl(nGC_33)**2d0  &
                         - 32d0*Nc*cima*coupl(nGC_113)**2d0*coupl(nGC_33)**2d0 &
                         - 32d0*Nc*cima*coupl(nGC_123)**2d0*coupl(nGC_33)**2d0 &
                         - 32d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_83)**2d0  &
                         - 32d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_88)**2d0  &
                         - 32d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_93)**2d0  &
                         - 32d0*cima*coupl(nGC_103)**2d0*coupl(nGC_33)**2d0 -  &
                        8d0*cima*coupl(nGC_1103)*coupl(nGC_32)*coupl(nGC_34)*  &
                        coupl(nGC_35) - 8d0*cima*coupl(nGC_1103)*coupl(nGC_32)*&
                        coupl(nGC_57)**2d0 - 32d0*cima*coupl(nGC_118)**2d0*    &
                        coupl(nGC_33)**2d0 - 4d0*cima*coupl(nGC_1589)*coupl(   &
                        nGC_34)*coupl(nGC_35)*coupl(nGC_47) - 12d0*cima*coupl( &
                        nGC_1661)*coupl(nGC_28) - 9d0*cima*coupl(nGC_1751)**2d0&
                        *coupl(nGC_34)*coupl(nGC_35) - 4d0*cima*coupl(nGC_2155 &
                        )*coupl(nGC_34)*coupl(nGC_35)*coupl(nGC_46) - 4d0*cima*&
                        coupl(nGC_2229)*coupl(nGC_34)*coupl(nGC_35)**2d0 - 24d0&
                        *cima*coupl(nGC_29)*coupl(nGC_65) - 9d0*cima*coupl(    &
                        nGC_3)**2d0*coupl(nGC_34)*coupl(nGC_35) - 32d0*cima*   &
                        coupl(nGC_33)**2d0*coupl(nGC_98)**2d0 - 4d0*cima*coupl(&
                        nGC_34)**2d0*coupl(nGC_35)*coupl(nGC_983) - 9d0*cima*  &
                        coupl(nGC_34)*coupl(nGC_35)*coupl(nGC_37)**2d0 - 9d0*  &
                        cima*coupl(nGC_34)*coupl(nGC_35)*coupl(nGC_991)**2d0 - &
                        9d0*cima*coupl(nGC_37)**2d0*coupl(nGC_57)**2d0 - 9d0*  &
                        cima*coupl(nGC_57)**2d0*coupl(nGC_991)**2d0 - 6d0*coupl&
                        (nGC_1661)*coupl(nGC_34)*coupl(nGC_35) + 6d0*coupl(    &
                        nGC_1751)*coupl(nGC_34)*coupl(nGC_40) - 6d0*coupl(     &
                        nGC_1751)*coupl(nGC_35)*coupl(nGC_40) - 12d0*coupl(    &
                        nGC_26)*coupl(nGC_34)*coupl(nGC_35) - 6d0*coupl(nGC_26 &
                        )*coupl(nGC_57)**2d0 + 36d0*coupl(nGC_28)*coupl(nGC_3  &
                        )**2d0 + 36d0*coupl(nGC_28)*coupl(nGC_37)**2d0 - 12d0* &
                        coupl(nGC_29)*coupl(nGC_57)**2d0 - 6d0*coupl(nGC_3)*   &
                        coupl(nGC_34)*coupl(nGC_40) + 6d0*coupl(nGC_3)*coupl(  &
                        nGC_35)*coupl(nGC_40) - 6d0*coupl(nGC_34)*coupl(nGC_37 &
                        )*coupl(nGC_9) + 6d0*coupl(nGC_34)*coupl(nGC_9)*coupl( &
                        nGC_991) + 6d0*coupl(nGC_35)*coupl(nGC_37)*coupl(nGC_9 &
                        ) - 6d0*coupl(nGC_35)*coupl(nGC_9)*coupl(nGC_991) +    &
                        36d0*coupl(nGC_65)*coupl(nGC_991)**2d0)/(192d0*pi**2d0)
      coupl(nGC_5120) = (4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_105)*coupl(nGC_107 &
                        )*coupl(nGC_33) - 16d0*Nc*cima*coupl(nGC_1)*coupl(     &
                        nGC_110)*coupl(nGC_112)*coupl(nGC_33) - 16d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_120)*coupl(nGC_122)*coupl(nGC_33&
                        ) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_33)*coupl(nGC_80&
                        )*coupl(nGC_82) - 16d0*Nc*cima*coupl(nGC_1)*coupl(     &
                        nGC_33)*coupl(nGC_85)*coupl(nGC_87) + 4d0*Nc*cima*coupl&
                        (nGC_1)*coupl(nGC_33)*coupl(nGC_90)*coupl(nGC_92) -    &
                        16d0*Nc*cima*coupl(nGC_105)*coupl(nGC_107)*coupl(nGC_2 &
                        )*coupl(nGC_33) + 4d0*Nc*cima*coupl(nGC_110)*coupl(    &
                        nGC_112)*coupl(nGC_2)*coupl(nGC_33) + 4d0*Nc*cima*coupl&
                        (nGC_120)*coupl(nGC_122)*coupl(nGC_2)*coupl(nGC_33) -  &
                        16d0*Nc*cima*coupl(nGC_2)*coupl(nGC_33)*coupl(nGC_80)* &
                        coupl(nGC_82) + 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_33)*&
                        coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_2 &
                        )*coupl(nGC_33)*coupl(nGC_90)*coupl(nGC_92) + 4d0*cima*&
                        coupl(nGC_100)*coupl(nGC_102)*coupl(nGC_33)*coupl(nGC_4&
                        ) - 4d0*cima*coupl(nGC_1103)**2d0*coupl(nGC_1401)*coupl&
                        (nGC_32) - 4d0*cima*coupl(nGC_1103)*coupl(nGC_1401)*   &
                        coupl(nGC_2155)*coupl(nGC_47) - 4d0*cima*coupl(nGC_1103&
                        )*coupl(nGC_1401)*coupl(nGC_35)*coupl(nGC_983) - 9d0*  &
                        cima*coupl(nGC_1103)*coupl(nGC_1751)*coupl(nGC_3)*coupl&
                        (nGC_4) - 9d0*cima*coupl(nGC_1103)*coupl(nGC_1751)*    &
                        coupl(nGC_37)*coupl(nGC_55) + 4d0*cima*coupl(nGC_115)* &
                        coupl(nGC_117)*coupl(nGC_33)*coupl(nGC_4) - 12d0*cima* &
                        coupl(nGC_1611)*coupl(nGC_39) - 9d0*cima*coupl(nGC_2155&
                        )*coupl(nGC_3)*coupl(nGC_629)*coupl(nGC_991) - 4d0*cima&
                        *coupl(nGC_2155)*coupl(nGC_4)*coupl(nGC_55)*coupl(     &
                        nGC_629) - 9d0*cima*coupl(nGC_3)*coupl(nGC_703)*coupl( &
                        nGC_983)*coupl(nGC_991) + 4d0*cima*coupl(nGC_33)*coupl(&
                        nGC_4)*coupl(nGC_95)*coupl(nGC_97) - 4d0*cima*coupl(   &
                        nGC_4)*coupl(nGC_55)*coupl(nGC_703)*coupl(nGC_983) -   &
                        12d0*cima*coupl(nGC_41)*coupl(nGC_8) - 3d0*coupl(      &
                        nGC_1103)*coupl(nGC_1611)*coupl(nGC_4) + 6d0*coupl(    &
                        nGC_1103)*coupl(nGC_1751)*coupl(nGC_26) - 6d0*coupl(   &
                        nGC_1103)*coupl(nGC_2155)*coupl(nGC_48) + 6d0*coupl(   &
                        nGC_1103)*coupl(nGC_3)*coupl(nGC_6) - 6d0*coupl(       &
                        nGC_1103)*coupl(nGC_32)*coupl(nGC_39) + 6d0*coupl(     &
                        nGC_1103)*coupl(nGC_37)*coupl(nGC_58) - 6d0*coupl(     &
                        nGC_1103)*coupl(nGC_40)*coupl(nGC_983) - 3d0*coupl(    &
                        nGC_1103)*coupl(nGC_41)*coupl(nGC_55) + 36d0*coupl(    &
                        nGC_1751)*coupl(nGC_3)*coupl(nGC_39) + 6d0*coupl(      &
                        nGC_1751)*coupl(nGC_39)*coupl(nGC_4) - 3d0*coupl(      &
                        nGC_2155)*coupl(nGC_41)*coupl(nGC_629) - 6d0*coupl(    &
                        nGC_26)*coupl(nGC_3)*coupl(nGC_32) + 36d0*coupl(nGC_3)*&
                        coupl(nGC_8)*coupl(nGC_991) + 6d0*coupl(nGC_39)*coupl( &
                        nGC_55)*coupl(nGC_991) - 6d0*coupl(nGC_40)*coupl(nGC_55&
                        )*coupl(nGC_703) + 6d0*coupl(nGC_40)*coupl(nGC_703)*   &
                        coupl(nGC_991) - 3d0*coupl(nGC_41)*coupl(nGC_703)*coupl&
                        (nGC_983) - 6d0*coupl(nGC_48)*coupl(nGC_55)*coupl(     &
                        nGC_629) + 6d0*coupl(nGC_48)*coupl(nGC_629)*coupl(     &
                        nGC_991))/(192d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl20
end module fill_ctcouplings20
