!******************************************************************************!
!                                                                              !
!    fill_ctcouplings21.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings21.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 06:18             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings21
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl21()
      coupl(nGC_5151) = (20d0*Nc*cima*coupl(nGC_105)*coupl(nGC_108)*coupl(     &
                        nGC_33)*coupl(nGC_50) - 16d0*Nc*cima*coupl(nGC_105)*   &
                        coupl(nGC_108)*coupl(nGC_33)*coupl(nGC_53) - 16d0*Nc*  &
                        cima*coupl(nGC_105)*coupl(nGC_108)*coupl(nGC_33)*coupl(&
                        nGC_54) + 20d0*Nc*cima*coupl(nGC_110)*coupl(nGC_113)*  &
                        coupl(nGC_33)*coupl(nGC_51) - 16d0*Nc*cima*coupl(      &
                        nGC_110)*coupl(nGC_113)*coupl(nGC_33)*coupl(nGC_53) -  &
                        16d0*Nc*cima*coupl(nGC_110)*coupl(nGC_113)*coupl(nGC_33&
                        )*coupl(nGC_54) + 20d0*Nc*cima*coupl(nGC_120)*coupl(   &
                        nGC_123)*coupl(nGC_33)*coupl(nGC_51) - 16d0*Nc*cima*   &
                        coupl(nGC_120)*coupl(nGC_123)*coupl(nGC_33)*coupl(     &
                        nGC_53) - 16d0*Nc*cima*coupl(nGC_120)*coupl(nGC_123)*  &
                        coupl(nGC_33)*coupl(nGC_54) + 20d0*Nc*cima*coupl(nGC_33&
                        )*coupl(nGC_50)*coupl(nGC_80)*coupl(nGC_83) + 20d0*Nc* &
                        cima*coupl(nGC_33)*coupl(nGC_50)*coupl(nGC_90)*coupl(  &
                        nGC_93) + 20d0*Nc*cima*coupl(nGC_33)*coupl(nGC_51)*    &
                        coupl(nGC_85)*coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_33&
                        )*coupl(nGC_53)*coupl(nGC_80)*coupl(nGC_83) - 16d0*Nc* &
                        cima*coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_85)*coupl(  &
                        nGC_88) - 16d0*Nc*cima*coupl(nGC_33)*coupl(nGC_53)*    &
                        coupl(nGC_90)*coupl(nGC_93) - 16d0*Nc*cima*coupl(nGC_33&
                        )*coupl(nGC_54)*coupl(nGC_80)*coupl(nGC_83) - 16d0*Nc* &
                        cima*coupl(nGC_33)*coupl(nGC_54)*coupl(nGC_85)*coupl(  &
                        nGC_88) - 16d0*Nc*cima*coupl(nGC_33)*coupl(nGC_54)*    &
                        coupl(nGC_90)*coupl(nGC_93) + 20d0*cima*coupl(nGC_100)*&
                        coupl(nGC_103)*coupl(nGC_33)*coupl(nGC_52) - 16d0*cima*&
                        coupl(nGC_100)*coupl(nGC_103)*coupl(nGC_33)*coupl(     &
                        nGC_55) - 16d0*cima*coupl(nGC_100)*coupl(nGC_103)*coupl&
                        (nGC_33)*coupl(nGC_56) - 4d0*cima*coupl(nGC_1103)*coupl&
                        (nGC_2155)*coupl(nGC_34)*coupl(nGC_61) - 4d0*cima*coupl&
                        (nGC_1103)*coupl(nGC_32)*coupl(nGC_34)*coupl(nGC_617   &
                        ) - 4d0*cima*coupl(nGC_1103)*coupl(nGC_34)*coupl(nGC_57&
                        )*coupl(nGC_983) + 20d0*cima*coupl(nGC_115)*coupl(     &
                        nGC_118)*coupl(nGC_33)*coupl(nGC_52) - 16d0*cima*coupl(&
                        nGC_115)*coupl(nGC_118)*coupl(nGC_33)*coupl(nGC_55) -  &
                        16d0*cima*coupl(nGC_115)*coupl(nGC_118)*coupl(nGC_33)* &
                        coupl(nGC_56) - 4d0*cima*coupl(nGC_2155)*coupl(nGC_34)*&
                        coupl(nGC_47)*coupl(nGC_617) - 4d0*cima*coupl(nGC_2155 &
                        )*coupl(nGC_55)*coupl(nGC_57)*coupl(nGC_61) - 9d0*cima*&
                        coupl(nGC_3)*coupl(nGC_35)*coupl(nGC_4)*coupl(nGC_991  &
                        ) - 4d0*cima*coupl(nGC_32)*coupl(nGC_34)*coupl(nGC_35)*&
                        coupl(nGC_703) - 4d0*cima*coupl(nGC_32)*coupl(nGC_34)* &
                        coupl(nGC_47)*coupl(nGC_629) - 9d0*cima*coupl(nGC_32)* &
                        coupl(nGC_37)*coupl(nGC_57)*coupl(nGC_991) - 4d0*cima* &
                        coupl(nGC_32)*coupl(nGC_55)**2d0*coupl(nGC_57) + 20d0* &
                        cima*coupl(nGC_33)*coupl(nGC_52)*coupl(nGC_95)*coupl(  &
                        nGC_98) - 16d0*cima*coupl(nGC_33)*coupl(nGC_55)*coupl( &
                        nGC_95)*coupl(nGC_98) - 16d0*cima*coupl(nGC_33)*coupl( &
                        nGC_56)*coupl(nGC_95)*coupl(nGC_98) - 4d0*cima*coupl(  &
                        nGC_34)*coupl(nGC_35)*coupl(nGC_617)*coupl(nGC_983) -  &
                        9d0*cima*coupl(nGC_35)*coupl(nGC_37)*coupl(nGC_55)*    &
                        coupl(nGC_991) - 12d0*cima*coupl(nGC_40)*coupl(nGC_41  &
                        ) - 12d0*cima*coupl(nGC_483)*coupl(nGC_9) - 4d0*cima*  &
                        coupl(nGC_55)*coupl(nGC_57)**2d0*coupl(nGC_983) - 6d0* &
                        coupl(nGC_17)*coupl(nGC_2155)*coupl(nGC_34) + 36d0*    &
                        coupl(nGC_1751)*coupl(nGC_37)*coupl(nGC_40) - 6d0*coupl&
                        (nGC_2155)*coupl(nGC_30)*coupl(nGC_37) - 6d0*coupl(    &
                        nGC_2155)*coupl(nGC_66)*coupl(nGC_991) + 6d0*coupl(    &
                        nGC_26)*coupl(nGC_35)*coupl(nGC_991) - 6d0*coupl(nGC_28&
                        )*coupl(nGC_37)*coupl(nGC_983) + 6d0*coupl(nGC_3)*coupl&
                        (nGC_35)*coupl(nGC_58) - 6d0*coupl(nGC_3)*coupl(nGC_4)*&
                        coupl(nGC_9) - 6d0*coupl(nGC_32)*coupl(nGC_34)*coupl(  &
                        nGC_8) - 3d0*coupl(nGC_32)*coupl(nGC_483)*coupl(nGC_57 &
                        ) - 6d0*coupl(nGC_34)*coupl(nGC_9)*coupl(nGC_983) + 6d0&
                        *coupl(nGC_35)*coupl(nGC_37)*coupl(nGC_63) - 3d0*coupl(&
                        nGC_35)*coupl(nGC_4)*coupl(nGC_41) - 3d0*coupl(nGC_35)*&
                        coupl(nGC_483)*coupl(nGC_55) - 6d0*coupl(nGC_37)*coupl(&
                        nGC_55)*coupl(nGC_9) + 36d0*coupl(nGC_37)*coupl(nGC_9)*&
                        coupl(nGC_991) - 6d0*coupl(nGC_55)*coupl(nGC_57)*coupl(&
                        nGC_8) + 6d0*coupl(nGC_57)*coupl(nGC_8)*coupl(nGC_991  &
                        ) - 6d0*coupl(nGC_65)*coupl(nGC_983)*coupl(nGC_991))/( &
                        192d0*pi**2d0)
      coupl(nGC_7266) = coupl(nGC_7259) + coupl(nGC_7265)
      coupl(nGC_5070) = (coupl(nGC_111)*coupl(nGC_112)*coupl(nGC_51) + coupl(  &
                        nGC_113)**2d0*coupl(nGC_51) + coupl(nGC_114)**2d0*coupl&
                        (nGC_51) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_54) + 4d0*  &
                        coupl(nGC_33)**2d0*coupl(nGC_53) - 4d0*coupl(nGC_33)** &
                        2d0*coupl(nGC_991) + coupl(nGC_50)*coupl(nGC_80)**2d0  &
                         + 4d0*coupl(nGC_54)**3d0)/(32d0*pi**2d0)
      coupl(nGC_7460) = coupl(nGC_7313) + coupl(nGC_7457)
      coupl(nGC_7267) = coupl(nGC_5306) + coupl(nGC_7260)
      coupl(nGC_4836) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_33)**2d0 + 2d0*Nc*cMC**&
                        2d0*cima*coupl(nGC_33)**2d0 + 2d0*Nc*cMD**2d0*cima*    &
                        coupl(nGC_33)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_33 &
                        )**2d0 + 2d0*Nc*cMT**2d0*cima*coupl(nGC_33)**2d0 + 2d0*&
                        Nc*cMU**2d0*cima*coupl(nGC_33)**2d0 + 2d0*cME**2d0*cima&
                        *coupl(nGC_33)**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_33)**&
                        2d0 + 2d0*cMTA**2d0*cima*coupl(nGC_33)**2d0 + 3d0*cMW**&
                        2d0*cima*coupl(nGC_1751)**2d0 + 3d0*cMW**2d0*cima*coupl&
                        (nGC_3)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_37)**2d0 +  &
                        3d0*cMW**2d0*cima*coupl(nGC_991)**2d0 + 2d0*cMW**2d0*  &
                        coupl(nGC_1661) + 3d0*cMZ**2d0*cima*coupl(nGC_37)**2d0 &
                         + 3d0*cMZ**2d0*cima*coupl(nGC_991)**2d0 + 4d0*cMZ**2d0&
                        *coupl(nGC_29))/(32d0*pi**2d0)
      coupl(nGC_4835) = cima*(coupl(nGC_1751)**2d0 + coupl(nGC_3)**2d0 + coupl(&
                        nGC_37)**2d0 + coupl(nGC_991)**2d0)/(48d0*pi**2d0)
      coupl(nGC_4834) = cima*(-2d0*Nc*coupl(nGC_33)**2d0 - coupl(nGC_1751)**2d0&
                         - coupl(nGC_3)**2d0 - 2d0*coupl(nGC_33)**2d0 - coupl( &
                        nGC_37)**2d0 - coupl(nGC_991)**2d0)/(32d0*pi**2d0)
      coupl(nGC_4833) = (-2d0*Nc*cMB**2d0*cima*coupl(nGC_110)**2d0 - 2d0*Nc*cMB&
                        **2d0*cima*coupl(nGC_80)**2d0 - 2d0*Nc*cMC**2d0*cima*  &
                        coupl(nGC_105)**2d0 - 2d0*Nc*cMC**2d0*cima*coupl(nGC_85&
                        )**2d0 - 2d0*Nc*cMD**2d0*cima*coupl(nGC_120)**2d0 - 2d0&
                        *Nc*cMD**2d0*cima*coupl(nGC_90)**2d0 - 2d0*Nc*cMS**2d0*&
                        cima*coupl(nGC_105)**2d0 - 2d0*Nc*cMS**2d0*cima*coupl( &
                        nGC_85)**2d0 - 2d0*Nc*cMT**2d0*cima*coupl(nGC_110)**2d0&
                         - 2d0*Nc*cMT**2d0*cima*coupl(nGC_80)**2d0 - 2d0*Nc*cMU&
                        **2d0*cima*coupl(nGC_120)**2d0 - 2d0*Nc*cMU**2d0*cima* &
                        coupl(nGC_90)**2d0 - 2d0*cME**2d0*cima*coupl(nGC_95)** &
                        2d0 + cMHH**2d0*cima*coupl(nGC_1589)*coupl(nGC_2155) + &
                        cMHL**2d0*cima*coupl(nGC_2229)*coupl(nGC_983) - 2d0*cMM&
                        **2d0*cima*coupl(nGC_100)**2d0 - 2d0*cMTA**2d0*cima*   &
                        coupl(nGC_115)**2d0 + cMW**2d0*cima*coupl(nGC_1401)*   &
                        coupl(nGC_4) + cMW**2d0*cima*coupl(nGC_1589)*coupl(    &
                        nGC_2155) + cMW**2d0*cima*coupl(nGC_2229)*coupl(nGC_983&
                        ) + cMW**2d0*cima*coupl(nGC_32)**2d0 + cMW**2d0*cima*  &
                        coupl(nGC_55)*coupl(nGC_617) - 4d0*cMW**2d0*coupl(     &
                        nGC_26) + cMZ**2d0*cima*coupl(nGC_32)**2d0 + cMZ**2d0* &
                        cima*coupl(nGC_55)*coupl(nGC_617) - 2d0*cMZ**2d0*coupl(&
                        nGC_63) + 4d0*cima*coupl(nGC_68)**2d0 + 4d0*cima*coupl(&
                        nGC_71)**2d0)/(32d0*pi**2d0)
      coupl(nGC_4832) = cima*(2d0*Nc*coupl(nGC_105)**2d0 + 2d0*Nc*coupl(nGC_110&
                        )**2d0 + 2d0*Nc*coupl(nGC_120)**2d0 + 2d0*Nc*coupl(    &
                        nGC_80)**2d0 + 2d0*Nc*coupl(nGC_85)**2d0 + 2d0*Nc*coupl&
                        (nGC_90)**2d0 + 2d0*coupl(nGC_100)**2d0 + 2d0*coupl(   &
                        nGC_115)**2d0 - coupl(nGC_1401)*coupl(nGC_4) - coupl(  &
                        nGC_1589)*coupl(nGC_2155) - coupl(nGC_2229)*coupl(     &
                        nGC_983) - coupl(nGC_32)**2d0 - coupl(nGC_55)*coupl(   &
                        nGC_617) + 2d0*coupl(nGC_95)**2d0)/(96d0*pi**2d0)
      coupl(nGC_4938) = (4d0*Nc*coupl(nGC_105)*coupl(nGC_107)*coupl(nGC_33) -  &
                        4d0*Nc*coupl(nGC_110)*coupl(nGC_112)*coupl(nGC_33) -   &
                        4d0*Nc*coupl(nGC_120)*coupl(nGC_122)*coupl(nGC_33) +   &
                        4d0*Nc*coupl(nGC_33)*coupl(nGC_80)*coupl(nGC_82) - 4d0*&
                        Nc*coupl(nGC_33)*coupl(nGC_85)*coupl(nGC_87) + 4d0*Nc* &
                        coupl(nGC_33)*coupl(nGC_90)*coupl(nGC_92) + 4d0*coupl( &
                        nGC_100)*coupl(nGC_102)*coupl(nGC_33) + coupl(nGC_1103 &
                        )**2d0*coupl(nGC_32) + coupl(nGC_1103)*coupl(nGC_2155)*&
                        coupl(nGC_47) - 6d0*coupl(nGC_1103)*coupl(nGC_3)*coupl(&
                        nGC_4) + coupl(nGC_1103)*coupl(nGC_35)*coupl(nGC_983   &
                        ) - 6d0*coupl(nGC_1103)*coupl(nGC_37)*coupl(nGC_55) +  &
                        4d0*coupl(nGC_115)*coupl(nGC_117)*coupl(nGC_33) + coupl&
                        (nGC_2155)*coupl(nGC_55)*coupl(nGC_629) - 6d0*coupl(   &
                        nGC_2155)*coupl(nGC_629)*coupl(nGC_991) + 4d0*coupl(   &
                        nGC_33)*coupl(nGC_95)*coupl(nGC_97) + coupl(nGC_55)*   &
                        coupl(nGC_703)*coupl(nGC_983) - 6d0*coupl(nGC_703)*    &
                        coupl(nGC_983)*coupl(nGC_991))/(96d0*pi**2d0)
      coupl(nGC_4939) = (4d0*Nc*coupl(nGC_105)*coupl(nGC_109)*coupl(nGC_33) -  &
                        4d0*Nc*coupl(nGC_110)*coupl(nGC_114)*coupl(nGC_33) -   &
                        4d0*Nc*coupl(nGC_120)*coupl(nGC_124)*coupl(nGC_33) +   &
                        4d0*Nc*coupl(nGC_33)*coupl(nGC_80)*coupl(nGC_84) - 4d0*&
                        Nc*coupl(nGC_33)*coupl(nGC_85)*coupl(nGC_89) + 4d0*Nc* &
                        coupl(nGC_33)*coupl(nGC_90)*coupl(nGC_94) + 4d0*coupl( &
                        nGC_100)*coupl(nGC_104)*coupl(nGC_33) + coupl(nGC_1103 &
                        )*coupl(nGC_32)*coupl(nGC_46) + 4d0*coupl(nGC_115)*    &
                        coupl(nGC_119)*coupl(nGC_33) + coupl(nGC_2155)*coupl(  &
                        nGC_46)*coupl(nGC_47) - 6d0*coupl(nGC_3)*coupl(nGC_4)* &
                        coupl(nGC_47) + coupl(nGC_32)*coupl(nGC_55)*coupl(     &
                        nGC_61) - 6d0*coupl(nGC_32)*coupl(nGC_61)*coupl(nGC_991&
                        ) + 4d0*coupl(nGC_33)*coupl(nGC_95)*coupl(nGC_99) +    &
                        coupl(nGC_35)*coupl(nGC_46)*coupl(nGC_983) - 6d0*coupl(&
                        nGC_37)*coupl(nGC_47)*coupl(nGC_55))/(96d0*pi**2d0)
      coupl(nGC_4936) = (-coupl(nGC_100)*coupl(nGC_1401)*coupl(nGC_4) + 8d0*   &
                        coupl(nGC_100)*coupl(nGC_52)*coupl(nGC_56) - coupl(    &
                        nGC_100)*coupl(nGC_52)*coupl(nGC_617) + coupl(nGC_100)*&
                        coupl(nGC_56)*coupl(nGC_617) + coupl(nGC_102)*coupl(   &
                        nGC_32)*coupl(nGC_33) + coupl(nGC_103)*coupl(nGC_2229)*&
                        coupl(nGC_33) + coupl(nGC_104)*coupl(nGC_1589)*coupl(  &
                        nGC_33))/(32d0*pi**2d0)
      coupl(nGC_4937) = (-coupl(nGC_115)*coupl(nGC_1401)*coupl(nGC_4) + 8d0*   &
                        coupl(nGC_115)*coupl(nGC_52)*coupl(nGC_56) - coupl(    &
                        nGC_115)*coupl(nGC_52)*coupl(nGC_617) + coupl(nGC_115)*&
                        coupl(nGC_56)*coupl(nGC_617) + coupl(nGC_117)*coupl(   &
                        nGC_32)*coupl(nGC_33) + coupl(nGC_118)*coupl(nGC_2229)*&
                        coupl(nGC_33) + coupl(nGC_119)*coupl(nGC_1589)*coupl(  &
                        nGC_33))/(32d0*pi**2d0)
      coupl(nGC_8800) = coupl(nGC_8797) + coupl(nGC_8799)
      coupl(nGC_4935) = (-coupl(nGC_1401)*coupl(nGC_4)*coupl(nGC_95) + coupl(  &
                        nGC_1589)*coupl(nGC_33)*coupl(nGC_99) + coupl(nGC_2229 &
                        )*coupl(nGC_33)*coupl(nGC_98) + coupl(nGC_32)*coupl(   &
                        nGC_33)*coupl(nGC_97) + 8d0*coupl(nGC_52)*coupl(nGC_56 &
                        )*coupl(nGC_95) - coupl(nGC_52)*coupl(nGC_617)*coupl(  &
                        nGC_95) + coupl(nGC_56)*coupl(nGC_617)*coupl(nGC_95))/(&
                        32d0*pi**2d0)
      coupl(nGC_4933) = (-coupl(nGC_1)*coupl(nGC_120)*coupl(nGC_1401) + 8d0*   &
                        coupl(nGC_1)*coupl(nGC_120)*coupl(nGC_2) + coupl(      &
                        nGC_120)*coupl(nGC_1401)*coupl(nGC_2) + 8d0*coupl(     &
                        nGC_120)*coupl(nGC_51)*coupl(nGC_53) + coupl(nGC_120)* &
                        coupl(nGC_51)*coupl(nGC_617) - coupl(nGC_120)*coupl(   &
                        nGC_53)*coupl(nGC_617) - coupl(nGC_122)*coupl(nGC_32)* &
                        coupl(nGC_33) - coupl(nGC_122)*coupl(nGC_90)*coupl(    &
                        nGC_91) - coupl(nGC_123)*coupl(nGC_2229)*coupl(nGC_33  &
                        ) - coupl(nGC_123)*coupl(nGC_90)*coupl(nGC_93) - coupl(&
                        nGC_124)*coupl(nGC_1589)*coupl(nGC_33) - coupl(nGC_124 &
                        )*coupl(nGC_90)*coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_4931) = (-coupl(nGC_1)*coupl(nGC_1401)*coupl(nGC_90) + 8d0*    &
                        coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_90) - coupl(nGC_120&
                        )*coupl(nGC_121)*coupl(nGC_92) - coupl(nGC_120)*coupl( &
                        nGC_123)*coupl(nGC_93) - coupl(nGC_120)*coupl(nGC_124)*&
                        coupl(nGC_94) + coupl(nGC_1401)*coupl(nGC_2)*coupl(    &
                        nGC_90) + coupl(nGC_1589)*coupl(nGC_33)*coupl(nGC_94   &
                        ) + coupl(nGC_2229)*coupl(nGC_33)*coupl(nGC_93) + coupl&
                        (nGC_32)*coupl(nGC_33)*coupl(nGC_92) + 8d0*coupl(nGC_50&
                        )*coupl(nGC_54)*coupl(nGC_90) - coupl(nGC_50)*coupl(   &
                        nGC_617)*coupl(nGC_90) + coupl(nGC_54)*coupl(nGC_617)* &
                        coupl(nGC_90))/(32d0*pi**2d0)
      coupl(nGC_7871) = coupl(nGC_5262) + coupl(nGC_64)*dZZ_QED2
      coupl(nGC_5109) = (-24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_33)**2d0 +  &
                        72d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_33)** &
                        2d0 - 24d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_33)**2d0&
                         + 6d0*cima*coupl(nGC_1611)**2d0 - 48d0*cima*coupl(    &
                        nGC_1751)**2d0*coupl(nGC_3)**2d0 - 16d0*cima*coupl(    &
                        nGC_1751)**2d0*coupl(nGC_37)**2d0 - 32d0*cima*coupl(   &
                        nGC_3)**2d0*coupl(nGC_991)**2d0 - 24d0*cima*coupl(     &
                        nGC_33)**2d0*coupl(nGC_4)**2d0 + 6d0*cima*coupl(nGC_41 &
                        )**2d0 - 24d0*coupl(nGC_1611)*coupl(nGC_1751)*coupl(   &
                        nGC_3) + 6d0*coupl(nGC_1661)*coupl(nGC_1751)**2d0 - 3d0&
                        *coupl(nGC_1661)*coupl(nGC_3)**2d0 + 12d0*coupl(       &
                        nGC_1751)*coupl(nGC_37)*coupl(nGC_41) + 6d0*coupl(nGC_3&
                        )**2d0*coupl(nGC_5) - 36d0*coupl(nGC_3)*coupl(nGC_41)* &
                        coupl(nGC_991) + 6d0*coupl(nGC_37)**2d0*coupl(nGC_5))/(&
                        192d0*pi**2d0)
      coupl(nGC_7947) = coupl(nGC_44)*dZHl_QED2/2d0 + coupl(nGC_49)*dZHhHl_QED2&
                        /2d0 + coupl(nGC_5356)
      coupl(nGC_5045) = (12d0*Nc*coupl(nGC_33)**2d0*coupl(nGC_53) - 12d0*Nc*   &
                        coupl(nGC_33)**2d0*coupl(nGC_54) + 11d0*coupl(nGC_3)** &
                        2d0*coupl(nGC_991) + 12d0*coupl(nGC_33)**2d0*coupl(    &
                        nGC_55) - 12d0*coupl(nGC_33)**2d0*coupl(nGC_56) + 11d0*&
                        coupl(nGC_37)**2d0*coupl(nGC_991))/(96d0*pi**2d0)
      coupl(nGC_9995) = coupl(nGC_5430) + coupl(nGC_TS_GC_118_Hl) + coupl(     &
                        nGC_TS_GC_119_Hh)
      coupl(nGC_15907) = -coupl(nGC_4921)
      coupl(nGC_11820) = -coupl(nGC_11819)
      coupl(nGC_7378) = coupl(nGC_52)*dZZ_QED2/2d0 + coupl(nGC_52)*            &
                        dZmuMinusR_QED2 + coupl(nGC_5278)
      coupl(nGC_4917) = (4d0*Nc*cMB*coupl(nGC_110)**2d0*coupl(nGC_83) + 4d0*Nc*&
                        cMB*coupl(nGC_110)*coupl(nGC_113)*coupl(nGC_80) + 4d0* &
                        Nc*cMB*coupl(nGC_80)**2d0*coupl(nGC_83) + 4d0*Nc*cMC*  &
                        coupl(nGC_105)**2d0*coupl(nGC_88) + 4d0*Nc*cMC*coupl(  &
                        nGC_105)*coupl(nGC_108)*coupl(nGC_85) + 4d0*Nc*cMC*    &
                        coupl(nGC_85)**2d0*coupl(nGC_88) + 4d0*Nc*cMD*coupl(   &
                        nGC_120)**2d0*coupl(nGC_93) + 4d0*Nc*cMD*coupl(nGC_120 &
                        )*coupl(nGC_123)*coupl(nGC_90) + 4d0*Nc*cMD*coupl(     &
                        nGC_90)**2d0*coupl(nGC_93) + 4d0*Nc*cMS*coupl(nGC_105  &
                        )**2d0*coupl(nGC_108) + 4d0*Nc*cMS*coupl(nGC_105)*coupl&
                        (nGC_85)*coupl(nGC_88) + 4d0*Nc*cMS*coupl(nGC_108)*    &
                        coupl(nGC_85)**2d0 + 4d0*Nc*cMT*coupl(nGC_110)**2d0*   &
                        coupl(nGC_113) + 4d0*Nc*cMT*coupl(nGC_110)*coupl(nGC_80&
                        )*coupl(nGC_83) + 4d0*Nc*cMT*coupl(nGC_113)*coupl(     &
                        nGC_80)**2d0 + 4d0*Nc*cMU*coupl(nGC_120)**2d0*coupl(   &
                        nGC_123) + 4d0*Nc*cMU*coupl(nGC_120)*coupl(nGC_90)*    &
                        coupl(nGC_93) + 4d0*Nc*cMU*coupl(nGC_123)*coupl(nGC_90 &
                        )**2d0 + 4d0*cME*coupl(nGC_95)**2d0*coupl(nGC_98) + 4d0&
                        *cMM*coupl(nGC_100)**2d0*coupl(nGC_103) + 4d0*cMTA*    &
                        coupl(nGC_115)**2d0*coupl(nGC_118) + 4d0*cima*coupl(   &
                        nGC_26)*coupl(nGC_69) + 8d0*cima*coupl(nGC_40)*coupl(  &
                        nGC_71) + 2d0*cima*coupl(nGC_63)*coupl(nGC_72) + 8d0*  &
                        cima*coupl(nGC_68)*coupl(nGC_9) + coupl(nGC_1401)*coupl&
                        (nGC_34)*coupl(nGC_71) - coupl(nGC_1401)*coupl(nGC_4)* &
                        coupl(nGC_75) + coupl(nGC_1589)*coupl(nGC_2155)*coupl( &
                        nGC_69) - coupl(nGC_1589)*coupl(nGC_2155)*coupl(nGC_79 &
                        ) - coupl(nGC_1589)*coupl(nGC_35)*coupl(nGC_74) - coupl&
                        (nGC_1589)*coupl(nGC_76)*coupl(nGC_983) - coupl(       &
                        nGC_2155)*coupl(nGC_2229)*coupl(nGC_76) - coupl(       &
                        nGC_2155)*coupl(nGC_34)*coupl(nGC_74) - coupl(nGC_2229 &
                        )*coupl(nGC_35)*coupl(nGC_75) + coupl(nGC_2229)*coupl( &
                        nGC_69)*coupl(nGC_983) - coupl(nGC_2229)*coupl(nGC_78)*&
                        coupl(nGC_983) + coupl(nGC_32)**2d0*coupl(nGC_69) -    &
                        coupl(nGC_32)**2d0*coupl(nGC_75) + 2d0*coupl(nGC_32)*  &
                        coupl(nGC_57)*coupl(nGC_68) + coupl(nGC_34)*coupl(     &
                        nGC_617)*coupl(nGC_68) - coupl(nGC_34)*coupl(nGC_75)*  &
                        coupl(nGC_983) + coupl(nGC_35)*coupl(nGC_4)*coupl(     &
                        nGC_71) + coupl(nGC_35)*coupl(nGC_55)*coupl(nGC_68) +  &
                        coupl(nGC_55)*coupl(nGC_617)*coupl(nGC_72) - coupl(    &
                        nGC_55)*coupl(nGC_617)*coupl(nGC_75))/(32d0*pi**2d0)
      coupl(nGC_5049) = coupl(nGC_33)*(-coupl(nGC_3)*coupl(nGC_4) - coupl(     &
                        nGC_37)*coupl(nGC_55) + coupl(nGC_55)*coupl(nGC_56) -  &
                        coupl(nGC_56)*coupl(nGC_991))/(8d0*pi**2d0)
      coupl(nGC_5048) = coupl(nGC_33)*(coupl(nGC_1)*coupl(nGC_1751) + coupl(   &
                        nGC_1)*coupl(nGC_2) + coupl(nGC_2)*coupl(nGC_3) + coupl&
                        (nGC_37)*coupl(nGC_54) + coupl(nGC_53)*coupl(nGC_54) + &
                        coupl(nGC_53)*coupl(nGC_991))/(8d0*pi**2d0)
      coupl(nGC_9376) = coupl(nGC_7965) + coupl(nGC_9373)
      coupl(nGC_14846) = -coupl(nGC_4953)
      coupl(nGC_8801) = coupl(nGC_5310) + coupl(nGC_8798)
      coupl(nGC_5142) = (20d0*Nc*cima*coupl(nGC_105)*coupl(nGC_106)*coupl(     &
                        nGC_33)*coupl(nGC_50) - 16d0*Nc*cima*coupl(nGC_105)*   &
                        coupl(nGC_106)*coupl(nGC_33)*coupl(nGC_53) - 16d0*Nc*  &
                        cima*coupl(nGC_105)*coupl(nGC_106)*coupl(nGC_33)*coupl(&
                        nGC_54) + 20d0*Nc*cima*coupl(nGC_110)*coupl(nGC_111)*  &
                        coupl(nGC_33)*coupl(nGC_51) - 16d0*Nc*cima*coupl(      &
                        nGC_110)*coupl(nGC_111)*coupl(nGC_33)*coupl(nGC_53) -  &
                        16d0*Nc*cima*coupl(nGC_110)*coupl(nGC_111)*coupl(nGC_33&
                        )*coupl(nGC_54) + 20d0*Nc*cima*coupl(nGC_120)*coupl(   &
                        nGC_121)*coupl(nGC_33)*coupl(nGC_51) - 16d0*Nc*cima*   &
                        coupl(nGC_120)*coupl(nGC_121)*coupl(nGC_33)*coupl(     &
                        nGC_53) - 16d0*Nc*cima*coupl(nGC_120)*coupl(nGC_121)*  &
                        coupl(nGC_33)*coupl(nGC_54) + 20d0*Nc*cima*coupl(nGC_33&
                        )*coupl(nGC_50)*coupl(nGC_80)*coupl(nGC_81) + 20d0*Nc* &
                        cima*coupl(nGC_33)*coupl(nGC_50)*coupl(nGC_90)*coupl(  &
                        nGC_91) + 20d0*Nc*cima*coupl(nGC_33)*coupl(nGC_51)*    &
                        coupl(nGC_85)*coupl(nGC_86) - 16d0*Nc*cima*coupl(nGC_33&
                        )*coupl(nGC_53)*coupl(nGC_80)*coupl(nGC_81) - 16d0*Nc* &
                        cima*coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_85)*coupl(  &
                        nGC_86) - 16d0*Nc*cima*coupl(nGC_33)*coupl(nGC_53)*    &
                        coupl(nGC_90)*coupl(nGC_91) - 16d0*Nc*cima*coupl(nGC_33&
                        )*coupl(nGC_54)*coupl(nGC_80)*coupl(nGC_81) - 16d0*Nc* &
                        cima*coupl(nGC_33)*coupl(nGC_54)*coupl(nGC_85)*coupl(  &
                        nGC_86) - 16d0*Nc*cima*coupl(nGC_33)*coupl(nGC_54)*    &
                        coupl(nGC_90)*coupl(nGC_91) + 20d0*cima*coupl(nGC_100)*&
                        coupl(nGC_101)*coupl(nGC_33)*coupl(nGC_52) - 16d0*cima*&
                        coupl(nGC_100)*coupl(nGC_101)*coupl(nGC_33)*coupl(     &
                        nGC_55) - 16d0*cima*coupl(nGC_100)*coupl(nGC_101)*coupl&
                        (nGC_33)*coupl(nGC_56) - 4d0*cima*coupl(nGC_1103)**2d0*&
                        coupl(nGC_1589)*coupl(nGC_61) - 4d0*cima*coupl(nGC_1103&
                        )**2d0*coupl(nGC_2229)*coupl(nGC_57) - 4d0*cima*coupl( &
                        nGC_1103)**2d0*coupl(nGC_32)*coupl(nGC_55) - 9d0*cima* &
                        coupl(nGC_1103)*coupl(nGC_1401)*coupl(nGC_1751)*coupl( &
                        nGC_37) - 4d0*cima*coupl(nGC_1103)*coupl(nGC_1589)*    &
                        coupl(nGC_46)*coupl(nGC_55) - 4d0*cima*coupl(nGC_1103)*&
                        coupl(nGC_2229)*coupl(nGC_34)*coupl(nGC_55) - 4d0*cima*&
                        coupl(nGC_1103)*coupl(nGC_32)*coupl(nGC_34)*coupl(     &
                        nGC_703) - 4d0*cima*coupl(nGC_1103)*coupl(nGC_32)*coupl&
                        (nGC_46)*coupl(nGC_629) - 9d0*cima*coupl(nGC_1103)*    &
                        coupl(nGC_37)*coupl(nGC_617)*coupl(nGC_991) + 20d0*cima&
                        *coupl(nGC_115)*coupl(nGC_116)*coupl(nGC_33)*coupl(    &
                        nGC_52) - 16d0*cima*coupl(nGC_115)*coupl(nGC_116)*coupl&
                        (nGC_33)*coupl(nGC_55) - 16d0*cima*coupl(nGC_115)*coupl&
                        (nGC_116)*coupl(nGC_33)*coupl(nGC_56) - 9d0*cima*coupl(&
                        nGC_1589)*coupl(nGC_37)*coupl(nGC_629)*coupl(nGC_991   &
                        ) - 4d0*cima*coupl(nGC_1589)*coupl(nGC_617)**2d0*coupl(&
                        nGC_629) - 9d0*cima*coupl(nGC_2229)*coupl(nGC_37)*coupl&
                        (nGC_703)*coupl(nGC_991) - 4d0*cima*coupl(nGC_2229)*   &
                        coupl(nGC_617)**2d0*coupl(nGC_703) - 4d0*cima*coupl(   &
                        nGC_32)*coupl(nGC_617)*coupl(nGC_629)**2d0 - 4d0*cima* &
                        coupl(nGC_32)*coupl(nGC_617)*coupl(nGC_703)**2d0 + 20d0&
                        *cima*coupl(nGC_33)*coupl(nGC_52)*coupl(nGC_95)*coupl( &
                        nGC_96) - 16d0*cima*coupl(nGC_33)*coupl(nGC_55)*coupl( &
                        nGC_95)*coupl(nGC_96) - 16d0*cima*coupl(nGC_33)*coupl( &
                        nGC_56)*coupl(nGC_95)*coupl(nGC_96) - 12d0*cima*coupl( &
                        nGC_38)*coupl(nGC_41) - 12d0*cima*coupl(nGC_483)*coupl(&
                        nGC_7) - 3d0*coupl(nGC_1103)*coupl(nGC_1401)*coupl(    &
                        nGC_41) - 6d0*coupl(nGC_1103)*coupl(nGC_1589)*coupl(   &
                        nGC_17) + 6d0*coupl(nGC_1103)*coupl(nGC_1751)*coupl(   &
                        nGC_58) - 6d0*coupl(nGC_1103)*coupl(nGC_2229)*coupl(   &
                        nGC_9) + 6d0*coupl(nGC_1103)*coupl(nGC_26)*coupl(nGC_37&
                        ) - 6d0*coupl(nGC_1103)*coupl(nGC_32)*coupl(nGC_7) -   &
                        3d0*coupl(nGC_1103)*coupl(nGC_483)*coupl(nGC_617) + 6d0&
                        *coupl(nGC_1103)*coupl(nGC_63)*coupl(nGC_991) - 6d0*   &
                        coupl(nGC_1401)*coupl(nGC_1751)*coupl(nGC_7) - 3d0*    &
                        coupl(nGC_1589)*coupl(nGC_483)*coupl(nGC_629) + 6d0*   &
                        coupl(nGC_17)*coupl(nGC_37)*coupl(nGC_629) - 6d0*coupl(&
                        nGC_17)*coupl(nGC_617)*coupl(nGC_629) - 3d0*coupl(     &
                        nGC_2229)*coupl(nGC_483)*coupl(nGC_703) - 6d0*coupl(   &
                        nGC_26)*coupl(nGC_32)*coupl(nGC_991) + 36d0*coupl(nGC_3&
                        )*coupl(nGC_38)*coupl(nGC_991) - 6d0*coupl(nGC_32)*    &
                        coupl(nGC_37)*coupl(nGC_64) + 36d0*coupl(nGC_37)*coupl(&
                        nGC_7)*coupl(nGC_991) + 6d0*coupl(nGC_37)*coupl(nGC_703&
                        )*coupl(nGC_9) - 6d0*coupl(nGC_617)*coupl(nGC_7)*coupl(&
                        nGC_991) - 6d0*coupl(nGC_617)*coupl(nGC_703)*coupl(    &
                        nGC_9))/(192d0*pi**2d0)
      coupl(nGC_5168) = (-32d0*Nc*cima*coupl(nGC_108)*coupl(nGC_109)*coupl(    &
                        nGC_33)**2d0 - 32d0*Nc*cima*coupl(nGC_113)*coupl(      &
                        nGC_114)*coupl(nGC_33)**2d0 - 32d0*Nc*cima*coupl(      &
                        nGC_123)*coupl(nGC_124)*coupl(nGC_33)**2d0 - 32d0*Nc*  &
                        cima*coupl(nGC_33)**2d0*coupl(nGC_83)*coupl(nGC_84) -  &
                        32d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_88)*coupl(   &
                        nGC_89) - 32d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_93 &
                        )*coupl(nGC_94) - 32d0*cima*coupl(nGC_103)*coupl(      &
                        nGC_104)*coupl(nGC_33)**2d0 - 4d0*cima*coupl(nGC_1103)*&
                        coupl(nGC_32)*coupl(nGC_34)*coupl(nGC_47) - 4d0*cima*  &
                        coupl(nGC_1103)*coupl(nGC_32)*coupl(nGC_35)*coupl(     &
                        nGC_46) - 8d0*cima*coupl(nGC_1103)*coupl(nGC_32)*coupl(&
                        nGC_57)*coupl(nGC_61) - 32d0*cima*coupl(nGC_118)*coupl(&
                        nGC_119)*coupl(nGC_33)**2d0 - 4d0*cima*coupl(nGC_1589)*&
                        coupl(nGC_34)*coupl(nGC_47)**2d0 - 12d0*cima*coupl(    &
                        nGC_1661)*coupl(nGC_30) - 9d0*cima*coupl(nGC_1751)**2d0&
                        *coupl(nGC_34)*coupl(nGC_47) - 4d0*cima*coupl(nGC_2155 &
                        )*coupl(nGC_35)*coupl(nGC_46)**2d0 - 4d0*cima*coupl(   &
                        nGC_2229)*coupl(nGC_34)*coupl(nGC_35)*coupl(nGC_47) -  &
                        24d0*cima*coupl(nGC_29)*coupl(nGC_66) - 9d0*cima*coupl(&
                        nGC_3)**2d0*coupl(nGC_35)*coupl(nGC_46) - 32d0*cima*   &
                        coupl(nGC_33)**2d0*coupl(nGC_98)*coupl(nGC_99) - 4d0*  &
                        cima*coupl(nGC_34)*coupl(nGC_35)*coupl(nGC_46)*coupl(  &
                        nGC_983) - 9d0*cima*coupl(nGC_34)*coupl(nGC_47)*coupl( &
                        nGC_991)**2d0 - 9d0*cima*coupl(nGC_35)*coupl(nGC_37)** &
                        2d0*coupl(nGC_46) - 9d0*cima*coupl(nGC_37)**2d0*coupl( &
                        nGC_57)*coupl(nGC_61) - 9d0*cima*coupl(nGC_57)*coupl(  &
                        nGC_61)*coupl(nGC_991)**2d0 - 3d0*coupl(nGC_1661)*coupl&
                        (nGC_34)*coupl(nGC_47) - 3d0*coupl(nGC_1661)*coupl(    &
                        nGC_35)*coupl(nGC_46) + 6d0*coupl(nGC_17)*coupl(nGC_34 &
                        )*coupl(nGC_991) + 6d0*coupl(nGC_17)*coupl(nGC_35)*    &
                        coupl(nGC_37) + 6d0*coupl(nGC_1751)*coupl(nGC_34)*coupl&
                        (nGC_48) - 6d0*coupl(nGC_1751)*coupl(nGC_40)*coupl(    &
                        nGC_47) - 6d0*coupl(nGC_26)*coupl(nGC_34)*coupl(nGC_47 &
                        ) - 6d0*coupl(nGC_26)*coupl(nGC_35)*coupl(nGC_46) - 6d0&
                        *coupl(nGC_26)*coupl(nGC_57)*coupl(nGC_61) - 12d0*coupl&
                        (nGC_29)*coupl(nGC_57)*coupl(nGC_61) + 36d0*coupl(nGC_3&
                        )**2d0*coupl(nGC_30) + 6d0*coupl(nGC_3)*coupl(nGC_35)* &
                        coupl(nGC_48) - 6d0*coupl(nGC_3)*coupl(nGC_40)*coupl(  &
                        nGC_46) + 36d0*coupl(nGC_30)*coupl(nGC_37)**2d0 - 6d0* &
                        coupl(nGC_37)*coupl(nGC_46)*coupl(nGC_9) - 6d0*coupl(  &
                        nGC_47)*coupl(nGC_9)*coupl(nGC_991) + 36d0*coupl(nGC_66&
                        )*coupl(nGC_991)**2d0)/(192d0*pi**2d0)
      coupl(nGC_5167) = (-32d0*Nc*cima*coupl(nGC_109)**2d0*coupl(nGC_50)**2d0  &
                         + 40d0*Nc*cima*coupl(nGC_109)**2d0*coupl(nGC_50)*coupl&
                        (nGC_53) - 32d0*Nc*cima*coupl(nGC_109)**2d0*coupl(     &
                        nGC_53)**2d0 - 32d0*Nc*cima*coupl(nGC_114)**2d0*coupl( &
                        nGC_51)**2d0 + 40d0*Nc*cima*coupl(nGC_114)**2d0*coupl( &
                        nGC_51)*coupl(nGC_54) - 32d0*Nc*cima*coupl(nGC_114)**  &
                        2d0*coupl(nGC_54)**2d0 - 32d0*Nc*cima*coupl(nGC_124)** &
                        2d0*coupl(nGC_51)**2d0 + 40d0*Nc*cima*coupl(nGC_124)** &
                        2d0*coupl(nGC_51)*coupl(nGC_54) - 32d0*Nc*cima*coupl(  &
                        nGC_124)**2d0*coupl(nGC_54)**2d0 - 32d0*Nc*cima*coupl( &
                        nGC_50)**2d0*coupl(nGC_84)**2d0 - 32d0*Nc*cima*coupl(  &
                        nGC_50)**2d0*coupl(nGC_94)**2d0 + 40d0*Nc*cima*coupl(  &
                        nGC_50)*coupl(nGC_53)*coupl(nGC_84)**2d0 + 40d0*Nc*cima&
                        *coupl(nGC_50)*coupl(nGC_53)*coupl(nGC_94)**2d0 - 32d0*&
                        Nc*cima*coupl(nGC_51)**2d0*coupl(nGC_89)**2d0 + 40d0*Nc&
                        *cima*coupl(nGC_51)*coupl(nGC_54)*coupl(nGC_89)**2d0 - &
                        32d0*Nc*cima*coupl(nGC_53)**2d0*coupl(nGC_84)**2d0 -   &
                        32d0*Nc*cima*coupl(nGC_53)**2d0*coupl(nGC_94)**2d0 -   &
                        32d0*Nc*cima*coupl(nGC_54)**2d0*coupl(nGC_89)**2d0 -   &
                        32d0*cima*coupl(nGC_104)**2d0*coupl(nGC_52)**2d0 + 40d0&
                        *cima*coupl(nGC_104)**2d0*coupl(nGC_52)*coupl(nGC_55   &
                        ) - 32d0*cima*coupl(nGC_104)**2d0*coupl(nGC_55)**2d0 - &
                        32d0*cima*coupl(nGC_119)**2d0*coupl(nGC_52)**2d0 + 40d0&
                        *cima*coupl(nGC_119)**2d0*coupl(nGC_52)*coupl(nGC_55   &
                        ) - 32d0*cima*coupl(nGC_119)**2d0*coupl(nGC_55)**2d0 - &
                        24d0*cima*coupl(nGC_29)*coupl(nGC_31) - 9d0*cima*coupl(&
                        nGC_37)**2d0*coupl(nGC_46)*coupl(nGC_47) - 4d0*cima*   &
                        coupl(nGC_46)*coupl(nGC_47)*coupl(nGC_55)**2d0 - 4d0*  &
                        cima*coupl(nGC_46)*coupl(nGC_47)*coupl(nGC_617)**2d0 - &
                        9d0*cima*coupl(nGC_46)*coupl(nGC_47)*coupl(nGC_991)**  &
                        2d0 - 32d0*cima*coupl(nGC_52)**2d0*coupl(nGC_99)**2d0  &
                         + 40d0*cima*coupl(nGC_52)*coupl(nGC_55)*coupl(nGC_99  &
                        )**2d0 - 32d0*cima*coupl(nGC_55)**2d0*coupl(nGC_99)**  &
                        2d0 - 4d0*cima*coupl(nGC_57)*coupl(nGC_61)**2d0*coupl( &
                        nGC_703) - 4d0*cima*coupl(nGC_61)**3d0*coupl(nGC_629   &
                        ) + 6d0*coupl(nGC_17)*coupl(nGC_37)*coupl(nGC_46) - 6d0&
                        *coupl(nGC_17)*coupl(nGC_37)*coupl(nGC_47) - 6d0*coupl(&
                        nGC_17)*coupl(nGC_46)*coupl(nGC_991) + 6d0*coupl(nGC_17&
                        )*coupl(nGC_47)*coupl(nGC_991) - 12d0*coupl(nGC_29)*   &
                        coupl(nGC_46)*coupl(nGC_47) + 18d0*coupl(nGC_31)*coupl(&
                        nGC_37)**2d0 + 18d0*coupl(nGC_31)*coupl(nGC_991)**2d0  &
                         - 6d0*coupl(nGC_46)*coupl(nGC_47)*coupl(nGC_63) - 3d0*&
                        coupl(nGC_61)**2d0*coupl(nGC_64))/(96d0*pi**2d0)
      coupl(nGC_5164) = (-32d0*Nc*cima*coupl(nGC_109)**2d0*coupl(nGC_33)**2d0  &
                         - 32d0*Nc*cima*coupl(nGC_114)**2d0*coupl(nGC_33)**2d0 &
                         - 32d0*Nc*cima*coupl(nGC_124)**2d0*coupl(nGC_33)**2d0 &
                         - 32d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_84)**2d0  &
                         - 32d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_89)**2d0  &
                         - 32d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_94)**2d0  &
                         - 32d0*cima*coupl(nGC_104)**2d0*coupl(nGC_33)**2d0 -  &
                        8d0*cima*coupl(nGC_1103)*coupl(nGC_32)*coupl(nGC_46)*  &
                        coupl(nGC_47) - 8d0*cima*coupl(nGC_1103)*coupl(nGC_32)*&
                        coupl(nGC_61)**2d0 - 32d0*cima*coupl(nGC_119)**2d0*    &
                        coupl(nGC_33)**2d0 - 4d0*cima*coupl(nGC_1589)*coupl(   &
                        nGC_46)*coupl(nGC_47)**2d0 - 12d0*cima*coupl(nGC_1661)*&
                        coupl(nGC_31) - 9d0*cima*coupl(nGC_1751)**2d0*coupl(   &
                        nGC_46)*coupl(nGC_47) - 4d0*cima*coupl(nGC_2155)*coupl(&
                        nGC_46)**2d0*coupl(nGC_47) - 4d0*cima*coupl(nGC_2229)* &
                        coupl(nGC_35)*coupl(nGC_46)*coupl(nGC_47) - 24d0*cima* &
                        coupl(nGC_29)*coupl(nGC_67) - 9d0*cima*coupl(nGC_3)**  &
                        2d0*coupl(nGC_46)*coupl(nGC_47) - 32d0*cima*coupl(     &
                        nGC_33)**2d0*coupl(nGC_99)**2d0 - 4d0*cima*coupl(nGC_34&
                        )*coupl(nGC_46)*coupl(nGC_47)*coupl(nGC_983) - 9d0*cima&
                        *coupl(nGC_37)**2d0*coupl(nGC_46)*coupl(nGC_47) - 9d0* &
                        cima*coupl(nGC_37)**2d0*coupl(nGC_61)**2d0 - 9d0*cima* &
                        coupl(nGC_46)*coupl(nGC_47)*coupl(nGC_991)**2d0 - 9d0* &
                        cima*coupl(nGC_61)**2d0*coupl(nGC_991)**2d0 - 6d0*coupl&
                        (nGC_1661)*coupl(nGC_46)*coupl(nGC_47) - 6d0*coupl(    &
                        nGC_17)*coupl(nGC_37)*coupl(nGC_46) + 6d0*coupl(nGC_17 &
                        )*coupl(nGC_37)*coupl(nGC_47) + 6d0*coupl(nGC_17)*coupl&
                        (nGC_46)*coupl(nGC_991) - 6d0*coupl(nGC_17)*coupl(     &
                        nGC_47)*coupl(nGC_991) + 6d0*coupl(nGC_1751)*coupl(    &
                        nGC_46)*coupl(nGC_48) - 6d0*coupl(nGC_1751)*coupl(     &
                        nGC_47)*coupl(nGC_48) - 12d0*coupl(nGC_26)*coupl(nGC_46&
                        )*coupl(nGC_47) - 6d0*coupl(nGC_26)*coupl(nGC_61)**2d0 &
                         - 12d0*coupl(nGC_29)*coupl(nGC_61)**2d0 + 36d0*coupl( &
                        nGC_3)**2d0*coupl(nGC_31) - 6d0*coupl(nGC_3)*coupl(    &
                        nGC_46)*coupl(nGC_48) + 6d0*coupl(nGC_3)*coupl(nGC_47)*&
                        coupl(nGC_48) + 36d0*coupl(nGC_31)*coupl(nGC_37)**2d0  &
                         + 36d0*coupl(nGC_67)*coupl(nGC_991)**2d0)/(192d0*pi** &
                        2d0)
      coupl(nGC_8693) = coupl(nGC_8687) + coupl(nGC_8692)
      coupl(nGC_5160) = (-32d0*Nc*cima*coupl(nGC_106)*coupl(nGC_107)*coupl(    &
                        nGC_50)**2d0 + 40d0*Nc*cima*coupl(nGC_106)*coupl(      &
                        nGC_107)*coupl(nGC_50)*coupl(nGC_53) - 32d0*Nc*cima*   &
                        coupl(nGC_106)*coupl(nGC_107)*coupl(nGC_53)**2d0 - 32d0&
                        *Nc*cima*coupl(nGC_111)*coupl(nGC_112)*coupl(nGC_51)** &
                        2d0 + 40d0*Nc*cima*coupl(nGC_111)*coupl(nGC_112)*coupl(&
                        nGC_51)*coupl(nGC_54) - 32d0*Nc*cima*coupl(nGC_111)*   &
                        coupl(nGC_112)*coupl(nGC_54)**2d0 - 32d0*Nc*cima*coupl(&
                        nGC_121)*coupl(nGC_122)*coupl(nGC_51)**2d0 + 40d0*Nc*  &
                        cima*coupl(nGC_121)*coupl(nGC_122)*coupl(nGC_51)*coupl(&
                        nGC_54) - 32d0*Nc*cima*coupl(nGC_121)*coupl(nGC_122)*  &
                        coupl(nGC_54)**2d0 - 32d0*Nc*cima*coupl(nGC_50)**2d0*  &
                        coupl(nGC_81)*coupl(nGC_82) - 32d0*Nc*cima*coupl(nGC_50&
                        )**2d0*coupl(nGC_91)*coupl(nGC_92) + 40d0*Nc*cima*coupl&
                        (nGC_50)*coupl(nGC_53)*coupl(nGC_81)*coupl(nGC_82) +   &
                        40d0*Nc*cima*coupl(nGC_50)*coupl(nGC_53)*coupl(nGC_91)*&
                        coupl(nGC_92) - 32d0*Nc*cima*coupl(nGC_51)**2d0*coupl( &
                        nGC_86)*coupl(nGC_87) + 40d0*Nc*cima*coupl(nGC_51)*    &
                        coupl(nGC_54)*coupl(nGC_86)*coupl(nGC_87) - 32d0*Nc*   &
                        cima*coupl(nGC_53)**2d0*coupl(nGC_81)*coupl(nGC_82) -  &
                        32d0*Nc*cima*coupl(nGC_53)**2d0*coupl(nGC_91)*coupl(   &
                        nGC_92) - 32d0*Nc*cima*coupl(nGC_54)**2d0*coupl(nGC_86 &
                        )*coupl(nGC_87) - 32d0*cima*coupl(nGC_101)*coupl(      &
                        nGC_102)*coupl(nGC_52)**2d0 + 40d0*cima*coupl(nGC_101)*&
                        coupl(nGC_102)*coupl(nGC_52)*coupl(nGC_55) - 32d0*cima*&
                        coupl(nGC_101)*coupl(nGC_102)*coupl(nGC_55)**2d0 - 9d0*&
                        cima*coupl(nGC_1103)**2d0*coupl(nGC_37)**2d0 - 4d0*cima&
                        *coupl(nGC_1103)**2d0*coupl(nGC_55)**2d0 - 4d0*cima*   &
                        coupl(nGC_1103)**2d0*coupl(nGC_617)**2d0 - 9d0*cima*   &
                        coupl(nGC_1103)**2d0*coupl(nGC_991)**2d0 - 32d0*cima*  &
                        coupl(nGC_116)*coupl(nGC_117)*coupl(nGC_52)**2d0 + 40d0&
                        *cima*coupl(nGC_116)*coupl(nGC_117)*coupl(nGC_52)*coupl&
                        (nGC_55) - 32d0*cima*coupl(nGC_116)*coupl(nGC_117)*    &
                        coupl(nGC_55)**2d0 - 24d0*cima*coupl(nGC_26)*coupl(    &
                        nGC_29) - 32d0*cima*coupl(nGC_52)**2d0*coupl(nGC_96)*  &
                        coupl(nGC_97) + 40d0*cima*coupl(nGC_52)*coupl(nGC_55)* &
                        coupl(nGC_96)*coupl(nGC_97) - 32d0*cima*coupl(nGC_55)**&
                        2d0*coupl(nGC_96)*coupl(nGC_97) - 4d0*cima*coupl(nGC_57&
                        )*coupl(nGC_629)**2d0*coupl(nGC_703) - 4d0*cima*coupl( &
                        nGC_57)*coupl(nGC_703)**3d0 - 4d0*cima*coupl(nGC_61)*  &
                        coupl(nGC_629)**3d0 - 4d0*cima*coupl(nGC_61)*coupl(    &
                        nGC_629)*coupl(nGC_703)**2d0 - 12d0*coupl(nGC_1103)**  &
                        2d0*coupl(nGC_29) - 6d0*coupl(nGC_1103)**2d0*coupl(    &
                        nGC_63) - 6d0*coupl(nGC_1103)*coupl(nGC_37)*coupl(nGC_7&
                        ) + 6d0*coupl(nGC_1103)*coupl(nGC_37)*coupl(nGC_8) +   &
                        6d0*coupl(nGC_1103)*coupl(nGC_7)*coupl(nGC_991) - 6d0* &
                        coupl(nGC_1103)*coupl(nGC_8)*coupl(nGC_991) + 18d0*    &
                        coupl(nGC_26)*coupl(nGC_37)**2d0 + 18d0*coupl(nGC_26)* &
                        coupl(nGC_991)**2d0 - 3d0*coupl(nGC_629)**2d0*coupl(   &
                        nGC_67) - 6d0*coupl(nGC_629)*coupl(nGC_66)*coupl(      &
                        nGC_703) - 3d0*coupl(nGC_65)*coupl(nGC_703)**2d0)/(96d0&
                        *pi**2d0)
      coupl(nGC_4949) = (coupl(nGC_100)*coupl(nGC_4)**2d0 + coupl(nGC_100)*    &
                        coupl(nGC_52)*coupl(nGC_55) + 8d0*coupl(nGC_100)*coupl(&
                        nGC_52)*coupl(nGC_56) - coupl(nGC_100)*coupl(nGC_55)*  &
                        coupl(nGC_56) - coupl(nGC_101)*coupl(nGC_32)*coupl(    &
                        nGC_33) - coupl(nGC_103)*coupl(nGC_33)*coupl(nGC_983   &
                        ) - coupl(nGC_104)*coupl(nGC_2155)*coupl(nGC_33))/(32d0&
                        *pi**2d0)
      coupl(nGC_4948) = (-coupl(nGC_2155)*coupl(nGC_33)*coupl(nGC_99) - coupl( &
                        nGC_32)*coupl(nGC_33)*coupl(nGC_96) - coupl(nGC_33)*   &
                        coupl(nGC_98)*coupl(nGC_983) + coupl(nGC_4)**2d0*coupl(&
                        nGC_95) + coupl(nGC_52)*coupl(nGC_55)*coupl(nGC_95) +  &
                        8d0*coupl(nGC_52)*coupl(nGC_56)*coupl(nGC_95) - coupl( &
                        nGC_55)*coupl(nGC_56)*coupl(nGC_95))/(32d0*pi**2d0)
      coupl(nGC_10186) = coupl(nGC_10184) + coupl(nGC_7030)
      coupl(nGC_4943) = (8d0*coupl(nGC_1)*coupl(nGC_110)*coupl(nGC_2) + coupl( &
                        nGC_1)*coupl(nGC_110)*coupl(nGC_4) - coupl(nGC_110)*   &
                        coupl(nGC_2)*coupl(nGC_4) + 8d0*coupl(nGC_110)*coupl(  &
                        nGC_51)*coupl(nGC_53) - coupl(nGC_110)*coupl(nGC_51)*  &
                        coupl(nGC_55) + coupl(nGC_110)*coupl(nGC_53)*coupl(    &
                        nGC_55) + coupl(nGC_111)*coupl(nGC_32)*coupl(nGC_33) - &
                        coupl(nGC_111)*coupl(nGC_80)*coupl(nGC_82) + coupl(    &
                        nGC_113)*coupl(nGC_33)*coupl(nGC_983) - coupl(nGC_113)*&
                        coupl(nGC_80)*coupl(nGC_83) + coupl(nGC_114)*coupl(    &
                        nGC_2155)*coupl(nGC_33) - coupl(nGC_114)*coupl(nGC_80)*&
                        coupl(nGC_84))/(32d0*pi**2d0)
      coupl(nGC_4942) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_80) + coupl(  &
                        nGC_1)*coupl(nGC_4)*coupl(nGC_80) - coupl(nGC_110)*    &
                        coupl(nGC_112)*coupl(nGC_81) - coupl(nGC_110)*coupl(   &
                        nGC_113)*coupl(nGC_83) - coupl(nGC_110)*coupl(nGC_114)*&
                        coupl(nGC_84) - coupl(nGC_2)*coupl(nGC_4)*coupl(nGC_80 &
                        ) - coupl(nGC_2155)*coupl(nGC_33)*coupl(nGC_84) - coupl&
                        (nGC_32)*coupl(nGC_33)*coupl(nGC_81) - coupl(nGC_33)*  &
                        coupl(nGC_83)*coupl(nGC_983) + 8d0*coupl(nGC_50)*coupl(&
                        nGC_54)*coupl(nGC_80) + coupl(nGC_50)*coupl(nGC_55)*   &
                        coupl(nGC_80) - coupl(nGC_54)*coupl(nGC_55)*coupl(     &
                        nGC_80))/(32d0*pi**2d0)
      coupl(nGC_4941) = (2d0*Nc*cMB*coupl(nGC_33)*coupl(nGC_50)*coupl(nGC_80   &
                        ) - 2d0*Nc*cMB*coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_80&
                        ) - 2d0*Nc*cMB*coupl(nGC_33)*coupl(nGC_54)*coupl(nGC_80&
                        ) + 2d0*Nc*cMC*coupl(nGC_33)*coupl(nGC_51)*coupl(nGC_85&
                        ) - 2d0*Nc*cMC*coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_85&
                        ) - 2d0*Nc*cMC*coupl(nGC_33)*coupl(nGC_54)*coupl(nGC_85&
                        ) + 2d0*Nc*cMD*coupl(nGC_33)*coupl(nGC_50)*coupl(nGC_90&
                        ) - 2d0*Nc*cMD*coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_90&
                        ) - 2d0*Nc*cMD*coupl(nGC_33)*coupl(nGC_54)*coupl(nGC_90&
                        ) + 2d0*Nc*cMS*coupl(nGC_105)*coupl(nGC_33)*coupl(     &
                        nGC_50) - 2d0*Nc*cMS*coupl(nGC_105)*coupl(nGC_33)*coupl&
                        (nGC_53) - 2d0*Nc*cMS*coupl(nGC_105)*coupl(nGC_33)*    &
                        coupl(nGC_54) + 2d0*Nc*cMT*coupl(nGC_110)*coupl(nGC_33 &
                        )*coupl(nGC_51) - 2d0*Nc*cMT*coupl(nGC_110)*coupl(     &
                        nGC_33)*coupl(nGC_53) - 2d0*Nc*cMT*coupl(nGC_110)*coupl&
                        (nGC_33)*coupl(nGC_54) + 2d0*Nc*cMU*coupl(nGC_120)*    &
                        coupl(nGC_33)*coupl(nGC_51) - 2d0*Nc*cMU*coupl(nGC_120 &
                        )*coupl(nGC_33)*coupl(nGC_53) - 2d0*Nc*cMU*coupl(      &
                        nGC_120)*coupl(nGC_33)*coupl(nGC_54) + 2d0*cME*coupl(  &
                        nGC_33)*coupl(nGC_52)*coupl(nGC_95) - 2d0*cME*coupl(   &
                        nGC_33)*coupl(nGC_55)*coupl(nGC_95) - 2d0*cME*coupl(   &
                        nGC_33)*coupl(nGC_56)*coupl(nGC_95) + 2d0*cMM*coupl(   &
                        nGC_100)*coupl(nGC_33)*coupl(nGC_52) - 2d0*cMM*coupl(  &
                        nGC_100)*coupl(nGC_33)*coupl(nGC_55) - 2d0*cMM*coupl(  &
                        nGC_100)*coupl(nGC_33)*coupl(nGC_56) + 2d0*cMTA*coupl( &
                        nGC_115)*coupl(nGC_33)*coupl(nGC_52) - 2d0*cMTA*coupl( &
                        nGC_115)*coupl(nGC_33)*coupl(nGC_55) - 2d0*cMTA*coupl( &
                        nGC_115)*coupl(nGC_33)*coupl(nGC_56) - 2d0*cima*coupl( &
                        nGC_41)*coupl(nGC_71) - 2d0*cima*coupl(nGC_483)*coupl( &
                        nGC_68) + 6d0*coupl(nGC_1751)*coupl(nGC_37)*coupl(     &
                        nGC_71) + coupl(nGC_1751)*coupl(nGC_4)*coupl(nGC_68) - &
                        coupl(nGC_2155)*coupl(nGC_37)*coupl(nGC_70) + coupl(   &
                        nGC_2155)*coupl(nGC_37)*coupl(nGC_73) + 6d0*coupl(     &
                        nGC_37)*coupl(nGC_68)*coupl(nGC_991) - coupl(nGC_37)*  &
                        coupl(nGC_69)*coupl(nGC_983) + coupl(nGC_37)*coupl(    &
                        nGC_72)*coupl(nGC_983) + coupl(nGC_55)*coupl(nGC_68)*  &
                        coupl(nGC_991))/(32d0*pi**2d0)
      coupl(nGC_4940) = (4d0*Nc*coupl(nGC_105)*coupl(nGC_108)*coupl(nGC_33) -  &
                        4d0*Nc*coupl(nGC_110)*coupl(nGC_113)*coupl(nGC_33) -   &
                        4d0*Nc*coupl(nGC_120)*coupl(nGC_123)*coupl(nGC_33) +   &
                        4d0*Nc*coupl(nGC_33)*coupl(nGC_80)*coupl(nGC_83) - 4d0*&
                        Nc*coupl(nGC_33)*coupl(nGC_85)*coupl(nGC_88) + 4d0*Nc* &
                        coupl(nGC_33)*coupl(nGC_90)*coupl(nGC_93) + 4d0*coupl( &
                        nGC_100)*coupl(nGC_103)*coupl(nGC_33) + coupl(nGC_1103 &
                        )*coupl(nGC_32)*coupl(nGC_34) + 4d0*coupl(nGC_115)*    &
                        coupl(nGC_118)*coupl(nGC_33) + coupl(nGC_2155)*coupl(  &
                        nGC_34)*coupl(nGC_47) - 6d0*coupl(nGC_3)*coupl(nGC_35)*&
                        coupl(nGC_4) + coupl(nGC_32)*coupl(nGC_55)*coupl(nGC_57&
                        ) - 6d0*coupl(nGC_32)*coupl(nGC_57)*coupl(nGC_991) +   &
                        4d0*coupl(nGC_33)*coupl(nGC_95)*coupl(nGC_98) + coupl( &
                        nGC_34)*coupl(nGC_35)*coupl(nGC_983) - 6d0*coupl(nGC_35&
                        )*coupl(nGC_37)*coupl(nGC_55))/(96d0*pi**2d0)
      coupl(nGC_4947) = (8d0*coupl(nGC_1)*coupl(nGC_120)*coupl(nGC_2) + coupl( &
                        nGC_1)*coupl(nGC_120)*coupl(nGC_4) - coupl(nGC_120)*   &
                        coupl(nGC_2)*coupl(nGC_4) + 8d0*coupl(nGC_120)*coupl(  &
                        nGC_51)*coupl(nGC_53) - coupl(nGC_120)*coupl(nGC_51)*  &
                        coupl(nGC_55) + coupl(nGC_120)*coupl(nGC_53)*coupl(    &
                        nGC_55) + coupl(nGC_121)*coupl(nGC_32)*coupl(nGC_33) - &
                        coupl(nGC_121)*coupl(nGC_90)*coupl(nGC_92) + coupl(    &
                        nGC_123)*coupl(nGC_33)*coupl(nGC_983) - coupl(nGC_123)*&
                        coupl(nGC_90)*coupl(nGC_93) + coupl(nGC_124)*coupl(    &
                        nGC_2155)*coupl(nGC_33) - coupl(nGC_124)*coupl(nGC_90)*&
                        coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_7279) = coupl(nGC_33)*dZWMinus_QED2/2d0 + coupl(nGC_33)*       &
                        dZnu_tauL_QED2/2d0 + coupl(nGC_33)*dZtauMinusL_QED2/2d0&
                         + coupl(nGC_5272)
      coupl(nGC_4945) = (8d0*coupl(nGC_1)*coupl(nGC_105)*coupl(nGC_2) + coupl( &
                        nGC_1)*coupl(nGC_105)*coupl(nGC_4) - coupl(nGC_105)*   &
                        coupl(nGC_2)*coupl(nGC_4) + 8d0*coupl(nGC_105)*coupl(  &
                        nGC_50)*coupl(nGC_54) + coupl(nGC_105)*coupl(nGC_50)*  &
                        coupl(nGC_55) - coupl(nGC_105)*coupl(nGC_54)*coupl(    &
                        nGC_55) - coupl(nGC_106)*coupl(nGC_32)*coupl(nGC_33) - &
                        coupl(nGC_106)*coupl(nGC_85)*coupl(nGC_87) - coupl(    &
                        nGC_108)*coupl(nGC_33)*coupl(nGC_983) - coupl(nGC_108)*&
                        coupl(nGC_85)*coupl(nGC_88) - coupl(nGC_109)*coupl(    &
                        nGC_2155)*coupl(nGC_33) - coupl(nGC_109)*coupl(nGC_85)*&
                        coupl(nGC_89))/(32d0*pi**2d0)
      coupl(nGC_4944) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_85) + coupl(  &
                        nGC_1)*coupl(nGC_4)*coupl(nGC_85) - coupl(nGC_105)*    &
                        coupl(nGC_107)*coupl(nGC_86) - coupl(nGC_105)*coupl(   &
                        nGC_108)*coupl(nGC_88) - coupl(nGC_105)*coupl(nGC_109)*&
                        coupl(nGC_89) - coupl(nGC_2)*coupl(nGC_4)*coupl(nGC_85 &
                        ) + coupl(nGC_2155)*coupl(nGC_33)*coupl(nGC_89) + coupl&
                        (nGC_32)*coupl(nGC_33)*coupl(nGC_86) + coupl(nGC_33)*  &
                        coupl(nGC_88)*coupl(nGC_983) + 8d0*coupl(nGC_51)*coupl(&
                        nGC_53)*coupl(nGC_85) - coupl(nGC_51)*coupl(nGC_55)*   &
                        coupl(nGC_85) + coupl(nGC_53)*coupl(nGC_55)*coupl(     &
                        nGC_85))/(32d0*pi**2d0)
      coupl(nGC_5148) = (20d0*Nc*cima*coupl(nGC_105)*coupl(nGC_108)*coupl(     &
                        nGC_33)*coupl(nGC_50) - 16d0*Nc*cima*coupl(nGC_105)*   &
                        coupl(nGC_108)*coupl(nGC_33)*coupl(nGC_53) - 16d0*Nc*  &
                        cima*coupl(nGC_105)*coupl(nGC_108)*coupl(nGC_33)*coupl(&
                        nGC_54) + 20d0*Nc*cima*coupl(nGC_110)*coupl(nGC_113)*  &
                        coupl(nGC_33)*coupl(nGC_51) - 16d0*Nc*cima*coupl(      &
                        nGC_110)*coupl(nGC_113)*coupl(nGC_33)*coupl(nGC_53) -  &
                        16d0*Nc*cima*coupl(nGC_110)*coupl(nGC_113)*coupl(nGC_33&
                        )*coupl(nGC_54) + 20d0*Nc*cima*coupl(nGC_120)*coupl(   &
                        nGC_123)*coupl(nGC_33)*coupl(nGC_51) - 16d0*Nc*cima*   &
                        coupl(nGC_120)*coupl(nGC_123)*coupl(nGC_33)*coupl(     &
                        nGC_53) - 16d0*Nc*cima*coupl(nGC_120)*coupl(nGC_123)*  &
                        coupl(nGC_33)*coupl(nGC_54) + 20d0*Nc*cima*coupl(nGC_33&
                        )*coupl(nGC_50)*coupl(nGC_80)*coupl(nGC_83) + 20d0*Nc* &
                        cima*coupl(nGC_33)*coupl(nGC_50)*coupl(nGC_90)*coupl(  &
                        nGC_93) + 20d0*Nc*cima*coupl(nGC_33)*coupl(nGC_51)*    &
                        coupl(nGC_85)*coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_33&
                        )*coupl(nGC_53)*coupl(nGC_80)*coupl(nGC_83) - 16d0*Nc* &
                        cima*coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_85)*coupl(  &
                        nGC_88) - 16d0*Nc*cima*coupl(nGC_33)*coupl(nGC_53)*    &
                        coupl(nGC_90)*coupl(nGC_93) - 16d0*Nc*cima*coupl(nGC_33&
                        )*coupl(nGC_54)*coupl(nGC_80)*coupl(nGC_83) - 16d0*Nc* &
                        cima*coupl(nGC_33)*coupl(nGC_54)*coupl(nGC_85)*coupl(  &
                        nGC_88) - 16d0*Nc*cima*coupl(nGC_33)*coupl(nGC_54)*    &
                        coupl(nGC_90)*coupl(nGC_93) + 20d0*cima*coupl(nGC_100)*&
                        coupl(nGC_103)*coupl(nGC_33)*coupl(nGC_52) - 16d0*cima*&
                        coupl(nGC_100)*coupl(nGC_103)*coupl(nGC_33)*coupl(     &
                        nGC_55) - 16d0*cima*coupl(nGC_100)*coupl(nGC_103)*coupl&
                        (nGC_33)*coupl(nGC_56) - 4d0*cima*coupl(nGC_1103)*coupl&
                        (nGC_1589)*coupl(nGC_35)*coupl(nGC_61) - 4d0*cima*coupl&
                        (nGC_1103)*coupl(nGC_2229)*coupl(nGC_35)*coupl(nGC_57  &
                        ) - 4d0*cima*coupl(nGC_1103)*coupl(nGC_32)*coupl(nGC_35&
                        )*coupl(nGC_55) + 20d0*cima*coupl(nGC_115)*coupl(      &
                        nGC_118)*coupl(nGC_33)*coupl(nGC_52) - 16d0*cima*coupl(&
                        nGC_115)*coupl(nGC_118)*coupl(nGC_33)*coupl(nGC_55) -  &
                        16d0*cima*coupl(nGC_115)*coupl(nGC_118)*coupl(nGC_33)* &
                        coupl(nGC_56) - 9d0*cima*coupl(nGC_1401)*coupl(nGC_1751&
                        )*coupl(nGC_34)*coupl(nGC_37) - 4d0*cima*coupl(nGC_1589&
                        )*coupl(nGC_35)*coupl(nGC_46)*coupl(nGC_55) - 4d0*cima*&
                        coupl(nGC_1589)*coupl(nGC_57)*coupl(nGC_61)*coupl(     &
                        nGC_617) - 4d0*cima*coupl(nGC_2229)*coupl(nGC_34)*coupl&
                        (nGC_35)*coupl(nGC_55) - 4d0*cima*coupl(nGC_2229)*coupl&
                        (nGC_57)**2d0*coupl(nGC_617) - 4d0*cima*coupl(nGC_32)* &
                        coupl(nGC_34)*coupl(nGC_35)*coupl(nGC_703) - 4d0*cima* &
                        coupl(nGC_32)*coupl(nGC_35)*coupl(nGC_46)*coupl(nGC_629&
                        ) - 9d0*cima*coupl(nGC_32)*coupl(nGC_37)*coupl(nGC_57)*&
                        coupl(nGC_991) - 4d0*cima*coupl(nGC_32)*coupl(nGC_57)* &
                        coupl(nGC_617)**2d0 + 20d0*cima*coupl(nGC_33)*coupl(   &
                        nGC_52)*coupl(nGC_95)*coupl(nGC_98) - 16d0*cima*coupl( &
                        nGC_33)*coupl(nGC_55)*coupl(nGC_95)*coupl(nGC_98) -    &
                        16d0*cima*coupl(nGC_33)*coupl(nGC_56)*coupl(nGC_95)*   &
                        coupl(nGC_98) - 9d0*cima*coupl(nGC_34)*coupl(nGC_37)*  &
                        coupl(nGC_617)*coupl(nGC_991) - 12d0*cima*coupl(nGC_40 &
                        )*coupl(nGC_41) - 12d0*cima*coupl(nGC_483)*coupl(nGC_9 &
                        ) - 6d0*coupl(nGC_1401)*coupl(nGC_1751)*coupl(nGC_9) - &
                        3d0*coupl(nGC_1401)*coupl(nGC_34)*coupl(nGC_41) - 6d0* &
                        coupl(nGC_1589)*coupl(nGC_17)*coupl(nGC_35) - 6d0*coupl&
                        (nGC_1589)*coupl(nGC_30)*coupl(nGC_991) - 6d0*coupl(   &
                        nGC_1589)*coupl(nGC_37)*coupl(nGC_66) + 6d0*coupl(     &
                        nGC_1751)*coupl(nGC_34)*coupl(nGC_58) - 6d0*coupl(     &
                        nGC_2229)*coupl(nGC_28)*coupl(nGC_991) - 6d0*coupl(    &
                        nGC_2229)*coupl(nGC_35)*coupl(nGC_9) - 6d0*coupl(      &
                        nGC_2229)*coupl(nGC_37)*coupl(nGC_65) + 6d0*coupl(     &
                        nGC_26)*coupl(nGC_34)*coupl(nGC_37) + 36d0*coupl(nGC_3 &
                        )*coupl(nGC_40)*coupl(nGC_991) - 6d0*coupl(nGC_32)*    &
                        coupl(nGC_35)*coupl(nGC_7) - 3d0*coupl(nGC_32)*coupl(  &
                        nGC_483)*coupl(nGC_57) - 3d0*coupl(nGC_34)*coupl(      &
                        nGC_483)*coupl(nGC_617) + 6d0*coupl(nGC_34)*coupl(     &
                        nGC_63)*coupl(nGC_991) + 6d0*coupl(nGC_37)*coupl(nGC_57&
                        )*coupl(nGC_7) + 36d0*coupl(nGC_37)*coupl(nGC_9)*coupl(&
                        nGC_991) - 6d0*coupl(nGC_57)*coupl(nGC_617)*coupl(nGC_7&
                        ) - 6d0*coupl(nGC_617)*coupl(nGC_9)*coupl(nGC_991))/(  &
                        192d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl21
end module fill_ctcouplings21
