!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 06:18             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl4()
      coupl(nGC_4854) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0&
                        *pi**2d0*Nc)
      coupl(nGC_8211) = coupl(nGC_5264) + coupl(nGC_65)*dZHl_QED2 + coupl(     &
                        nGC_65)*dZZ_QED2 + coupl(nGC_66)*dZHhHl_QED2
      coupl(nGC_4995) = coupl(nGC_11)**2d0*coupl(nGC_89)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_7429) = coupl(nGC_65)*dZZA_QED2/2d0
      coupl(nGC_5441) = -cima*dMB_QED2
      coupl(nGC_5440) = -cima*dMS_QCD2
      coupl(nGC_5443) = cima*dMZ2_QED2
      coupl(nGC_5442) = -cima*dMB_QCD2
      coupl(nGC_5445) = coupl(nGC_405)*dMW2_QED2
      coupl(nGC_5444) = cima*dMW2_QED2
      coupl(nGC_5447) = coupl(nGC_413)*dMZ2_QED2
      coupl(nGC_5446) = coupl(nGC_409)*dMW2_QED2
      coupl(nGC_TS_GC_24_Hh) = -coupl(nGC_24)*dtHh_QED1/cMHH**2d0
      coupl(nGC_7209) = coupl(nGC_5289) + coupl(nGC_80)*dZbR_QCD2/2d0 + coupl( &
                        nGC_80)*dZtL_QCD2/2d0
      coupl(nGC_7110) = coupl(nGC_41)*dZAZ_QED2
      coupl(nGC_TS_GC_98_Hl) = -coupl(nGC_98)*dtHl_QED1/cMHL**2d0
      coupl(nGC_5044) = coupl(nGC_11)**2d0*coupl(nGC_123)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_5047) = coupl(nGC_11)**2d0*coupl(nGC_33)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_12945) = coupl(nGC_MI)*dZA_QED2
      coupl(nGC_12946) = -coupl(nGC_12945)
      coupl(nGC_5308) = coupl(nGC_4740)*dyb_QED1_QCD2
      coupl(nGC_5302) = coupl(nGC_4734)*dyb_QED3
      coupl(nGC_5301) = coupl(nGC_4734)*dyb_QED1_QCD2
      coupl(nGC_7933) = coupl(nGC_83)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_7932) = coupl(nGC_83)*(dZbL_QED2 + dZbR_QED2)/2d0
      coupl(nGC_5305) = coupl(nGC_4629)*da_QED2 + coupl(nGC_4630)*dys_QED3
      coupl(nGC_8458) = coupl(nGC_53)*dZsL_QCD2
      coupl(nGC_8455) = coupl(nGC_50)*dZsR_QCD2
      coupl(nGC_5306) = coupl(nGC_4630)*dys_QED1_QCD2
      coupl(nGC_5307) = coupl(nGC_4739)*da_QED2 + coupl(nGC_4740)*dyb_QED3
      coupl(nGC_4924) = coupl(nGC_11)**2d0*coupl(nGC_80)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_5277) = coupl(nGC_4665)*dsw_QED2 + coupl(nGC_4666)*dcw_QED2 +  &
                        coupl(nGC_4667)*dZee_QED2
      coupl(nGC_5274) = coupl(nGC_4661)*dsw_QED2 + coupl(nGC_4662)*dcw_QED2 +  &
                        coupl(nGC_4663)*dZee_QED2
      coupl(nGC_5270) = coupl(nGC_4688)*dZee_QED2
      coupl(nGC_5279) = -cima*dydo_QED1_QCD2
      coupl(nGC_8038) = coupl(nGC_5274) + coupl(nGC_54)*dZZ_QED2/2d0 + coupl(  &
                        nGC_54)*dZtL_QED2
      coupl(nGC_8033) = coupl(nGC_51)*dZtR_QCD2
      coupl(nGC_8523) = coupl(nGC_122)*dZuL_QCD2/2d0 + coupl(nGC_122)*dZuR_QCD2&
                        /2d0 + coupl(nGC_5332)
      coupl(nGC_8036) = coupl(nGC_54)*dZtL_QCD2
      coupl(nGC_TS_GC_34_Hl) = -coupl(nGC_34)*dtHl_QED1/cMHL**2d0
      coupl(nGC_7756) = coupl(nGC_2)*dZcL_QED2 + coupl(nGC_54)*dZZA_QED2/2d0
      coupl(nGC_7755) = coupl(nGC_2)*dZcR_QED2 + coupl(nGC_51)*dZZA_QED2/2d0
      coupl(nGC_7753) = coupl(nGC_2)*dZcL_QCD2
      coupl(nGC_7750) = coupl(nGC_2)*dZcR_QCD2
      coupl(nGC_4879) = cMT*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_4878) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_51)*coupl(    &
                        nGC_54))/(8d0*pi**2d0)
      coupl(nGC_4873) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0 &
                         - cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi &
                        **2d0*Nc)
      coupl(nGC_4870) = cima*coupl(nGC_11)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0  &
                         + cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi &
                        **2d0)
      coupl(nGC_4877) = cMS*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_4876) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_50)*coupl(    &
                        nGC_53))/(8d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
