!******************************************************************************!
!                                                                              !
!    fill_ctcouplings8.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings8.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 06:18             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings8
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl8()
      coupl(nGC_5224) = coupl(nGC_4784)*da_QED2 + coupl(nGC_4785)*dl2_QED4 +   &
                        coupl(nGC_4786)*dl3_QED4
      coupl(nGC_5227) = coupl(nGC_4777)*da_QED2 + coupl(nGC_4778)*dl2_QED4 +   &
                        coupl(nGC_4779)*dl3_QED4
      coupl(nGC_5226) = coupl(nGC_4810)*da_QED2 + coupl(nGC_4811)*dl2_QED4 +   &
                        coupl(nGC_4812)*dl1_QED4 + coupl(nGC_4813)*dl3_QED4
      coupl(nGC_5220) = coupl(nGC_4732)*dl2_QED4
      coupl(nGC_5223) = coupl(nGC_4753)*da_QED2 + coupl(nGC_4754)*dl2_QED4 +   &
                        coupl(nGC_4755)*dl1_QED4 + coupl(nGC_4756)*dl3_QED4
      coupl(nGC_5222) = coupl(nGC_4787)*da_QED2 + coupl(nGC_4788)*dl2_QED4 +   &
                        coupl(nGC_4789)*dl3_QED4
      coupl(nGC_5041) = (coupl(nGC_115)*coupl(nGC_33)*coupl(nGC_35) - coupl(   &
                        nGC_117)**2d0*coupl(nGC_118) - coupl(nGC_117)*coupl(   &
                        nGC_52)*coupl(nGC_57) + coupl(nGC_117)*coupl(nGC_55)*  &
                        coupl(nGC_57) - coupl(nGC_118)**3d0 - coupl(nGC_118)*  &
                        coupl(nGC_119)**2d0 + 8d0*coupl(nGC_118)*coupl(nGC_4)**&
                        2d0 + 8d0*coupl(nGC_118)*coupl(nGC_52)*coupl(nGC_55))/(&
                        32d0*pi**2d0)
      coupl(nGC_7208) = coupl(nGC_110)*dZbL_QCD2/2d0 + coupl(nGC_110)*dZtR_QCD2&
                        /2d0 + coupl(nGC_5287)
      coupl(nGC_8419) = coupl(nGC_4)*dZmuMinusL_QED2 + coupl(nGC_55)*dZZA_QED2/&
                        2d0
      coupl(nGC_8418) = coupl(nGC_4)*dZmuMinusR_QED2 + coupl(nGC_52)*dZZA_QED2/&
                        2d0
      coupl(nGC_8797) = coupl(nGC_94)*(dZdL_QED2 + dZdR_QED2)/2d0
      coupl(nGC_8798) = coupl(nGC_94)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_TS_GC_22_Hh) = -coupl(nGC_22)*dtHh_QED1/cMHH**2d0
      coupl(nGC_11892) = coupl(nGC_11883) + coupl(nGC_5440)
      coupl(nGC_TS_GC_22_Hl) = -coupl(nGC_22)*dtHl_QED1/cMHL**2d0
      coupl(nGC_7646) = coupl(nGC_18)*dZHlHh_QED2 + coupl(nGC_19)*dZHh_QED2 +  &
                        coupl(nGC_5224)
      coupl(nGC_4842) = cima*(4d0*Nc*coupl(nGC_106)*coupl(nGC_107) + 4d0*Nc*   &
                        coupl(nGC_111)*coupl(nGC_112) + 4d0*Nc*coupl(nGC_121)* &
                        coupl(nGC_122) + 4d0*Nc*coupl(nGC_81)*coupl(nGC_82) +  &
                        4d0*Nc*coupl(nGC_86)*coupl(nGC_87) + 4d0*Nc*coupl(     &
                        nGC_91)*coupl(nGC_92) + 4d0*coupl(nGC_101)*coupl(      &
                        nGC_102) - 2d0*coupl(nGC_1103)**2d0 + 4d0*coupl(nGC_116&
                        )*coupl(nGC_117) - coupl(nGC_629)**2d0 - coupl(nGC_703 &
                        )**2d0 + 4d0*coupl(nGC_96)*coupl(nGC_97))/(96d0*pi**2d0&
                        )
      coupl(nGC_4843) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_81)*coupl(nGC_82) -   &
                        8d0*Nc*cMC**2d0*cima*coupl(nGC_86)*coupl(nGC_87) - 8d0*&
                        Nc*cMD**2d0*cima*coupl(nGC_91)*coupl(nGC_92) - 8d0*Nc* &
                        cMS**2d0*cima*coupl(nGC_106)*coupl(nGC_107) - 8d0*Nc*  &
                        cMT**2d0*cima*coupl(nGC_111)*coupl(nGC_112) - 8d0*Nc*  &
                        cMU**2d0*cima*coupl(nGC_121)*coupl(nGC_122) - 8d0*cME**&
                        2d0*cima*coupl(nGC_96)*coupl(nGC_97) + cMHH**2d0*cima* &
                        coupl(nGC_629)**2d0 + cMHL**2d0*cima*coupl(nGC_703)**  &
                        2d0 - 8d0*cMM**2d0*cima*coupl(nGC_101)*coupl(nGC_102   &
                        ) - 8d0*cMTA**2d0*cima*coupl(nGC_116)*coupl(nGC_117) + &
                        4d0*cMW**2d0*cima*coupl(nGC_1103)**2d0 - 4d0*cMW**2d0* &
                        coupl(nGC_26) + cMZ**2d0*cima*coupl(nGC_629)**2d0 + cMZ&
                        **2d0*cima*coupl(nGC_703)**2d0 - 2d0*cMZ**2d0*coupl(   &
                        nGC_64))/(32d0*pi**2d0)
      coupl(nGC_9371) = coupl(nGC_1)*dZbR_QCD2
      coupl(nGC_4841) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_83)**2d0 - 4d0*Nc*cMC &
                        **2d0*cima*coupl(nGC_88)**2d0 - 4d0*Nc*cMD**2d0*cima*  &
                        coupl(nGC_93)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_108&
                        )**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_113)**2d0 - 4d0&
                        *Nc*cMU**2d0*cima*coupl(nGC_123)**2d0 - 4d0*cME**2d0*  &
                        cima*coupl(nGC_98)**2d0 - 4d0*cMM**2d0*cima*coupl(     &
                        nGC_103)**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_118)**2d0 &
                         + 2d0*cMW**2d0*cima*coupl(nGC_34)*coupl(nGC_35) - 2d0*&
                        cMW**2d0*coupl(nGC_28) + cMZ**2d0*cima*coupl(nGC_57)** &
                        2d0 - cMZ**2d0*coupl(nGC_65) + 2d0*cima*coupl(nGC_69)**&
                        2d0 + cima*coupl(nGC_72)**2d0)/(16d0*pi**2d0)
      coupl(nGC_7769) = coupl(nGC_5286) + coupl(nGC_85)*dZcR_QED2/2d0 + coupl( &
                        nGC_85)*dZsL_QED2/2d0
      coupl(nGC_7767) = coupl(nGC_5285) + coupl(nGC_85)*dZcR_QCD2/2d0 + coupl( &
                        nGC_85)*dZsL_QCD2/2d0
      coupl(nGC_4848) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_84)**2d0 - 4d0*Nc*cMC &
                        **2d0*cima*coupl(nGC_89)**2d0 - 4d0*Nc*cMD**2d0*cima*  &
                        coupl(nGC_94)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_109&
                        )**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_114)**2d0 - 4d0&
                        *Nc*cMU**2d0*cima*coupl(nGC_124)**2d0 - 4d0*cME**2d0*  &
                        cima*coupl(nGC_99)**2d0 - 4d0*cMM**2d0*cima*coupl(     &
                        nGC_104)**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_119)**2d0 &
                         + 2d0*cMW**2d0*cima*coupl(nGC_46)*coupl(nGC_47) - 2d0*&
                        cMW**2d0*coupl(nGC_31) + cMZ**2d0*cima*coupl(nGC_61)** &
                        2d0 - cMZ**2d0*coupl(nGC_67) + 2d0*cima*coupl(nGC_70)**&
                        2d0 + cima*coupl(nGC_73)**2d0)/(16d0*pi**2d0)
      coupl(nGC_4849) = cima*(4d0*Nc*coupl(nGC_108)*coupl(nGC_109) + 4d0*Nc*   &
                        coupl(nGC_113)*coupl(nGC_114) + 4d0*Nc*coupl(nGC_123)* &
                        coupl(nGC_124) + 4d0*Nc*coupl(nGC_83)*coupl(nGC_84) +  &
                        4d0*Nc*coupl(nGC_88)*coupl(nGC_89) + 4d0*Nc*coupl(     &
                        nGC_93)*coupl(nGC_94) + 4d0*coupl(nGC_103)*coupl(      &
                        nGC_104) + 4d0*coupl(nGC_118)*coupl(nGC_119) - coupl(  &
                        nGC_34)*coupl(nGC_47) - coupl(nGC_35)*coupl(nGC_46) -  &
                        coupl(nGC_57)*coupl(nGC_61) + 4d0*coupl(nGC_98)*coupl( &
                        nGC_99))/(96d0*pi**2d0)
      coupl(nGC_8678) = coupl(nGC_21)*dZHh_QED2/2d0 + 3d0*coupl(nGC_21)*       &
                        dZHl_QED2/2d0 + coupl(nGC_23)*dZHlHh_QED2/2d0 + 3d0*   &
                        coupl(nGC_25)*dZHhHl_QED2/2d0 + coupl(nGC_5228)
      coupl(nGC_7058) = coupl(nGC_5235) + coupl(nGC_58)*dZZA_QED2 + coupl(nGC_6&
                        )*dZA_QED2
      coupl(nGC_5330) = coupl(nGC_4759)*dyup_QED1_QCD2
      coupl(nGC_8072) = coupl(nGC_7161) - coupl(nGC_7162)/2d0
      coupl(nGC_7050) = coupl(nGC_54)*dZcL_QCD2
      coupl(nGC_7052) = coupl(nGC_5274) + coupl(nGC_54)*dZZ_QED2/2d0 + coupl(  &
                        nGC_54)*dZcL_QED2
      coupl(nGC_8173) = coupl(nGC_5447) + coupl(nGC_MZ_GF)*dZZ_QED2/2d0
      coupl(nGC_7768) = coupl(nGC_105)*dZcL_QCD2/2d0 + coupl(nGC_105)*dZsR_QCD2&
                        /2d0 + coupl(nGC_5283)
      coupl(nGC_4911) = (coupl(nGC_1)*coupl(nGC_110)**2d0 + coupl(nGC_111)*    &
                        coupl(nGC_112)*coupl(nGC_2) + coupl(nGC_113)**2d0*coupl&
                        (nGC_2) + coupl(nGC_114)**2d0*coupl(nGC_2) + 4d0*coupl(&
                        nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_51)**2d0)/(   &
                        32d0*pi**2d0)
      coupl(nGC_9191) = coupl(nGC_TS_GC_74_Hh) + coupl(nGC_TS_GC_75_Hl)
      coupl(nGC_TS_GC_118_Hl) = -coupl(nGC_118)*dtHl_QED1/cMHL**2d0
      coupl(nGC_4934) = coupl(nGC_11)**2d0*coupl(nGC_120)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4932) = coupl(nGC_11)**2d0*coupl(nGC_90)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4930) = coupl(nGC_105)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_7940) = coupl(nGC_5308) + coupl(nGC_7933)
      coupl(nGC_TS_GC_69_Hl) = -coupl(nGC_69)*dtHl_QED1/cMHL**2d0
      coupl(nGC_9994) = coupl(nGC_MI)*dZtauMinusR_QED2
      coupl(nGC_7379) = coupl(nGC_5256) + coupl(nGC_55)*dZZ_QED2/2d0 + coupl(  &
                        nGC_55)*dZmuMinusL_QED2
      coupl(nGC_5043) = (-coupl(nGC_120)*coupl(nGC_33)*coupl(nGC_35) - coupl(  &
                        nGC_120)*coupl(nGC_90)*coupl(nGC_93) - coupl(nGC_122)**&
                        2d0*coupl(nGC_123) + coupl(nGC_122)*coupl(nGC_51)*coupl&
                        (nGC_57) - coupl(nGC_122)*coupl(nGC_54)*coupl(nGC_57   &
                        ) - coupl(nGC_123)**3d0 - coupl(nGC_123)*coupl(nGC_124 &
                        )**2d0 + 8d0*coupl(nGC_123)*coupl(nGC_2)**2d0 + 8d0*   &
                        coupl(nGC_123)*coupl(nGC_51)*coupl(nGC_54))/(32d0*pi** &
                        2d0)
      coupl(nGC_9990) = coupl(nGC_MTA)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
      coupl(nGC_9903) = coupl(nGC_5432) + coupl(nGC_9894)
      coupl(nGC_8356) = coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_5210)
      coupl(nGC_7372) = coupl(nGC_3)*dZA_QED2/2d0 + coupl(nGC_3)*dZWMinus_QED2 &
                         + coupl(nGC_37)*dZZA_QED2/2d0 + coupl(nGC_5212)
      coupl(nGC_5169) = (40d0*Nc*cima*coupl(nGC_108)**3d0*coupl(nGC_109) + 40d0&
                        *Nc*cima*coupl(nGC_113)**3d0*coupl(nGC_114) + 40d0*Nc* &
                        cima*coupl(nGC_123)**3d0*coupl(nGC_124) + 40d0*Nc*cima*&
                        coupl(nGC_83)**3d0*coupl(nGC_84) + 40d0*Nc*cima*coupl( &
                        nGC_88)**3d0*coupl(nGC_89) + 40d0*Nc*cima*coupl(nGC_93 &
                        )**3d0*coupl(nGC_94) + 40d0*cima*coupl(nGC_103)**3d0*  &
                        coupl(nGC_104) + 40d0*cima*coupl(nGC_118)**3d0*coupl(  &
                        nGC_119) + 12d0*cima*coupl(nGC_28)*coupl(nGC_30) - 10d0&
                        *cima*coupl(nGC_34)**2d0*coupl(nGC_35)*coupl(nGC_47) - &
                        10d0*cima*coupl(nGC_34)*coupl(nGC_35)**2d0*coupl(nGC_46&
                        ) - 10d0*cima*coupl(nGC_57)**3d0*coupl(nGC_61) + 6d0*  &
                        cima*coupl(nGC_65)*coupl(nGC_66) + 40d0*cima*coupl(    &
                        nGC_98)**3d0*coupl(nGC_99) - 6d0*coupl(nGC_18)*coupl(  &
                        nGC_34)*coupl(nGC_35) - 3d0*coupl(nGC_18)*coupl(nGC_57 &
                        )**2d0 - 3d0*coupl(nGC_20)*coupl(nGC_34)*coupl(nGC_47  &
                        ) - 3d0*coupl(nGC_20)*coupl(nGC_35)*coupl(nGC_46) - 3d0&
                        *coupl(nGC_20)*coupl(nGC_57)*coupl(nGC_61) + 3d0*coupl(&
                        nGC_28)*coupl(nGC_34)*coupl(nGC_47) + 3d0*coupl(nGC_28 &
                        )*coupl(nGC_35)*coupl(nGC_46) + 6d0*coupl(nGC_30)*coupl&
                        (nGC_34)*coupl(nGC_35) + 3d0*coupl(nGC_57)**2d0*coupl( &
                        nGC_66) + 3d0*coupl(nGC_57)*coupl(nGC_61)*coupl(nGC_65 &
                        ))/(32d0*pi**2d0)
      coupl(nGC_5166) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_106)*coupl&
                        (nGC_107) - coupl(nGC_111)*coupl(nGC_112) - coupl(     &
                        nGC_121)*coupl(nGC_122) - coupl(nGC_81)*coupl(nGC_82   &
                        ) - coupl(nGC_86)*coupl(nGC_87) - coupl(nGC_91)*coupl( &
                        nGC_92))/(16d0*pi**2d0)
      coupl(nGC_5165) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_106)*coupl(&
                        nGC_107) + coupl(nGC_111)*coupl(nGC_112) + coupl(      &
                        nGC_121)*coupl(nGC_122) + coupl(nGC_81)*coupl(nGC_82   &
                        ) + coupl(nGC_86)*coupl(nGC_87) + coupl(nGC_91)*coupl( &
                        nGC_92))/(16d0*pi**2d0*Nc)
    end subroutine fill_CTcouplings_mdl8
end module fill_ctcouplings8
