!******************************************************************************!
!                                                                              !
!    fill_ctcouplings9.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings9.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 06:18             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings9
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl9()
      coupl(nGC_5162) = (40d0*Nc*cima*coupl(nGC_108)*coupl(nGC_109)**3d0 + 40d0&
                        *Nc*cima*coupl(nGC_113)*coupl(nGC_114)**3d0 + 40d0*Nc* &
                        cima*coupl(nGC_123)*coupl(nGC_124)**3d0 + 40d0*Nc*cima*&
                        coupl(nGC_83)*coupl(nGC_84)**3d0 + 40d0*Nc*cima*coupl( &
                        nGC_88)*coupl(nGC_89)**3d0 + 40d0*Nc*cima*coupl(nGC_93 &
                        )*coupl(nGC_94)**3d0 + 40d0*cima*coupl(nGC_103)*coupl( &
                        nGC_104)**3d0 + 40d0*cima*coupl(nGC_118)*coupl(nGC_119 &
                        )**3d0 + 12d0*cima*coupl(nGC_30)*coupl(nGC_31) - 10d0* &
                        cima*coupl(nGC_34)*coupl(nGC_46)*coupl(nGC_47)**2d0 -  &
                        10d0*cima*coupl(nGC_35)*coupl(nGC_46)**2d0*coupl(nGC_47&
                        ) - 10d0*cima*coupl(nGC_57)*coupl(nGC_61)**3d0 + 6d0*  &
                        cima*coupl(nGC_66)*coupl(nGC_67) + 40d0*cima*coupl(    &
                        nGC_98)*coupl(nGC_99)**3d0 - 6d0*coupl(nGC_18)*coupl(  &
                        nGC_46)*coupl(nGC_47) - 3d0*coupl(nGC_18)*coupl(nGC_61 &
                        )**2d0 - 3d0*coupl(nGC_19)*coupl(nGC_34)*coupl(nGC_47  &
                        ) - 3d0*coupl(nGC_19)*coupl(nGC_35)*coupl(nGC_46) - 3d0&
                        *coupl(nGC_19)*coupl(nGC_57)*coupl(nGC_61) + 6d0*coupl(&
                        nGC_30)*coupl(nGC_46)*coupl(nGC_47) + 3d0*coupl(nGC_31 &
                        )*coupl(nGC_34)*coupl(nGC_47) + 3d0*coupl(nGC_31)*coupl&
                        (nGC_35)*coupl(nGC_46) + 3d0*coupl(nGC_57)*coupl(nGC_61&
                        )*coupl(nGC_67) + 3d0*coupl(nGC_61)**2d0*coupl(nGC_66  &
                        ))/(32d0*pi**2d0)
      coupl(nGC_5163) = (120d0*Nc*cima*coupl(nGC_108)**2d0*coupl(nGC_109)**2d0 &
                         + 120d0*Nc*cima*coupl(nGC_113)**2d0*coupl(nGC_114)**  &
                        2d0 + 120d0*Nc*cima*coupl(nGC_123)**2d0*coupl(nGC_124  &
                        )**2d0 + 120d0*Nc*cima*coupl(nGC_83)**2d0*coupl(nGC_84 &
                        )**2d0 + 120d0*Nc*cima*coupl(nGC_88)**2d0*coupl(nGC_89 &
                        )**2d0 + 120d0*Nc*cima*coupl(nGC_93)**2d0*coupl(nGC_94 &
                        )**2d0 + 120d0*cima*coupl(nGC_103)**2d0*coupl(nGC_104  &
                        )**2d0 + 120d0*cima*coupl(nGC_118)**2d0*coupl(nGC_119  &
                        )**2d0 + 12d0*cima*coupl(nGC_28)*coupl(nGC_31) + 24d0* &
                        cima*coupl(nGC_30)**2d0 - 10d0*cima*coupl(nGC_34)**2d0*&
                        coupl(nGC_47)**2d0 - 40d0*cima*coupl(nGC_34)*coupl(    &
                        nGC_35)*coupl(nGC_46)*coupl(nGC_47) - 10d0*cima*coupl( &
                        nGC_35)**2d0*coupl(nGC_46)**2d0 - 30d0*cima*coupl(     &
                        nGC_57)**2d0*coupl(nGC_61)**2d0 + 6d0*cima*coupl(nGC_65&
                        )*coupl(nGC_67) + 12d0*cima*coupl(nGC_66)**2d0 + 120d0*&
                        cima*coupl(nGC_98)**2d0*coupl(nGC_99)**2d0 - 12d0*coupl&
                        (nGC_18)*coupl(nGC_34)*coupl(nGC_47) - 12d0*coupl(     &
                        nGC_18)*coupl(nGC_35)*coupl(nGC_46) - 12d0*coupl(nGC_18&
                        )*coupl(nGC_57)*coupl(nGC_61) - 6d0*coupl(nGC_19)*coupl&
                        (nGC_34)*coupl(nGC_35) - 3d0*coupl(nGC_19)*coupl(nGC_57&
                        )**2d0 - 6d0*coupl(nGC_20)*coupl(nGC_46)*coupl(nGC_47  &
                        ) - 3d0*coupl(nGC_20)*coupl(nGC_61)**2d0 + 6d0*coupl(  &
                        nGC_28)*coupl(nGC_46)*coupl(nGC_47) + 12d0*coupl(nGC_30&
                        )*coupl(nGC_34)*coupl(nGC_47) + 12d0*coupl(nGC_30)*    &
                        coupl(nGC_35)*coupl(nGC_46) + 6d0*coupl(nGC_31)*coupl( &
                        nGC_34)*coupl(nGC_35) + 3d0*coupl(nGC_57)**2d0*coupl(  &
                        nGC_67) + 12d0*coupl(nGC_57)*coupl(nGC_61)*coupl(nGC_66&
                        ) + 3d0*coupl(nGC_61)**2d0*coupl(nGC_65))/(96d0*pi**2d0&
                        )
      coupl(nGC_5161) = (20d0*Nc*cima*coupl(nGC_109)**4d0 + 20d0*Nc*cima*coupl(&
                        nGC_114)**4d0 + 20d0*Nc*cima*coupl(nGC_124)**4d0 + 20d0&
                        *Nc*cima*coupl(nGC_84)**4d0 + 20d0*Nc*cima*coupl(nGC_89&
                        )**4d0 + 20d0*Nc*cima*coupl(nGC_94)**4d0 + 20d0*cima*  &
                        coupl(nGC_104)**4d0 + 20d0*cima*coupl(nGC_119)**4d0 +  &
                        6d0*cima*coupl(nGC_31)**2d0 - 10d0*cima*coupl(nGC_46)**&
                        2d0*coupl(nGC_47)**2d0 - 5d0*cima*coupl(nGC_61)**4d0 + &
                        3d0*cima*coupl(nGC_67)**2d0 + 20d0*cima*coupl(nGC_99)**&
                        4d0 - 6d0*coupl(nGC_19)*coupl(nGC_46)*coupl(nGC_47) -  &
                        3d0*coupl(nGC_19)*coupl(nGC_61)**2d0 + 6d0*coupl(nGC_31&
                        )*coupl(nGC_46)*coupl(nGC_47) + 3d0*coupl(nGC_61)**2d0*&
                        coupl(nGC_67))/(16d0*pi**2d0)
      coupl(nGC_9103) = coupl(nGC_5277) + coupl(nGC_56)*dZZ_QED2/2d0 + coupl(  &
                        nGC_56)*dZnu_muL_QED2
      coupl(nGC_7572) = coupl(nGC_32)*dZWMinus_QED2/2d0 + coupl(nGC_5241)
      coupl(nGC_5309) = coupl(nGC_4674)*da_QED2 + coupl(nGC_4675)*dydo_QED3
      coupl(nGC_7938) = coupl(nGC_5307) + coupl(nGC_83)*dZHl_QED2/2d0 + coupl( &
                        nGC_84)*dZHhHl_QED2/2d0
      coupl(nGC_5303) = coupl(nGC_4655)*da_QED2 + coupl(nGC_4656)*dydo_QED3
      coupl(nGC_5304) = coupl(nGC_4656)*dydo_QED1_QCD2
      coupl(nGC_7489) = coupl(nGC_57)*dZZA_QED2/2d0
      coupl(nGC_5071) = (coupl(nGC_110)**2d0*coupl(nGC_53) + coupl(nGC_111)*   &
                        coupl(nGC_112)*coupl(nGC_54) + coupl(nGC_113)**2d0*    &
                        coupl(nGC_54) + coupl(nGC_114)**2d0*coupl(nGC_54) + 4d0&
                        *coupl(nGC_2)**2d0*coupl(nGC_51) + 4d0*coupl(nGC_51)** &
                        3d0)/(32d0*pi**2d0)
      coupl(nGC_12207) = 2d0*coupl(nGC_12)*dZg_QCD2 + coupl(nGC_5211)
      coupl(nGC_4886) = coupl(nGC_1103)*(coupl(nGC_1401)*coupl(nGC_46) - 6d0*  &
                        coupl(nGC_1751)*coupl(nGC_47) - 6d0*coupl(nGC_3)*coupl(&
                        nGC_46) + coupl(nGC_4)*coupl(nGC_47))/(96d0*pi**2d0)
      coupl(nGC_4887) = coupl(nGC_1103)*(coupl(nGC_1401)*coupl(nGC_34) - 6d0*  &
                        coupl(nGC_1751)*coupl(nGC_35) - 6d0*coupl(nGC_3)*coupl(&
                        nGC_34) + coupl(nGC_35)*coupl(nGC_4))/(96d0*pi**2d0)
      coupl(nGC_4882) = cMU*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_4880) = cMTA*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_52)*coupl(   &
                        nGC_55))/(8d0*pi**2d0)
      coupl(nGC_4881) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_51)*coupl(    &
                        nGC_54))/(8d0*pi**2d0)
      coupl(nGC_7728) = coupl(nGC_111)*dZtL_QCD2/2d0 + coupl(nGC_111)*dZtR_QCD2&
                        /2d0 + coupl(nGC_5338)
      coupl(nGC_7729) = coupl(nGC_112)*dZtL_QCD2/2d0 + coupl(nGC_112)*dZtR_QCD2&
                        /2d0 + coupl(nGC_5340)
      coupl(nGC_4888) = (-8d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_84) - 8d0*Nc* &
                        cMC*coupl(nGC_2)**2d0*coupl(nGC_89) - 8d0*Nc*cMD*coupl(&
                        nGC_1)**2d0*coupl(nGC_94) - 8d0*Nc*cMS*coupl(nGC_1)**  &
                        2d0*coupl(nGC_109) - 8d0*Nc*cMT*coupl(nGC_114)*coupl(  &
                        nGC_2)**2d0 - 8d0*Nc*cMU*coupl(nGC_124)*coupl(nGC_2)** &
                        2d0 - 8d0*cME*coupl(nGC_4)**2d0*coupl(nGC_99) - 8d0*cMM&
                        *coupl(nGC_104)*coupl(nGC_4)**2d0 - 8d0*cMTA*coupl(    &
                        nGC_119)*coupl(nGC_4)**2d0 - 8d0*cima*coupl(nGC_5)*    &
                        coupl(nGC_70) + 6d0*coupl(nGC_1751)**2d0*coupl(nGC_70  &
                        ) - coupl(nGC_1751)*coupl(nGC_46)*coupl(nGC_71) + coupl&
                        (nGC_1751)*coupl(nGC_47)*coupl(nGC_71) + 6d0*coupl(    &
                        nGC_3)**2d0*coupl(nGC_70) + coupl(nGC_3)*coupl(nGC_46)*&
                        coupl(nGC_71) - coupl(nGC_3)*coupl(nGC_47)*coupl(nGC_71&
                        ))/(32d0*pi**2d0)
      coupl(nGC_7097) = coupl(nGC_5265) + coupl(nGC_65)*dZHlHh_QED2/2d0 + coupl&
                        (nGC_66)*dZHh_QED2/2d0 + coupl(nGC_66)*dZHl_QED2/2d0 + &
                        coupl(nGC_66)*dZZ_QED2 + coupl(nGC_67)*dZHhHl_QED2/2d0
      coupl(nGC_7259) = coupl(nGC_108)*(dZsL_QED2 + dZsR_QED2)/2d0
      coupl(nGC_8524) = coupl(nGC_121)*dZuL_QCD2/2d0 + coupl(nGC_121)*dZuR_QCD2&
                        /2d0 + coupl(nGC_5330)
      coupl(nGC_7251) = coupl(nGC_38)*dZAZ_QED2/2d0 + coupl(nGC_5261) + coupl( &
                        nGC_7)*dZWMinus_QED2/2d0 + coupl(nGC_7)*dZZ_QED2/2d0
      coupl(nGC_5133) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 - &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4972) = coupl(nGC_107)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4973) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_106) - coupl(nGC_105)*&
                        coupl(nGC_1103)*coupl(nGC_33) - coupl(nGC_105)*coupl(  &
                        nGC_85)*coupl(nGC_86) - coupl(nGC_106)**2d0*coupl(     &
                        nGC_107) + 8d0*coupl(nGC_106)*coupl(nGC_50)*coupl(     &
                        nGC_53) - coupl(nGC_107)*coupl(nGC_108)**2d0 - coupl(  &
                        nGC_107)*coupl(nGC_109)**2d0 + coupl(nGC_108)*coupl(   &
                        nGC_50)*coupl(nGC_703) - coupl(nGC_108)*coupl(nGC_53)* &
                        coupl(nGC_703) + coupl(nGC_109)*coupl(nGC_50)*coupl(   &
                        nGC_629) - coupl(nGC_109)*coupl(nGC_53)*coupl(nGC_629  &
                        ))/(32d0*pi**2d0)
      coupl(nGC_4970) = (coupl(nGC_100)*coupl(nGC_1103)*coupl(nGC_33) - coupl( &
                        nGC_101)*coupl(nGC_102)**2d0 - coupl(nGC_101)*coupl(   &
                        nGC_103)**2d0 - coupl(nGC_101)*coupl(nGC_104)**2d0 +   &
                        8d0*coupl(nGC_102)*coupl(nGC_4)**2d0 + 8d0*coupl(      &
                        nGC_102)*coupl(nGC_52)*coupl(nGC_55) - coupl(nGC_103)* &
                        coupl(nGC_52)*coupl(nGC_703) + coupl(nGC_103)*coupl(   &
                        nGC_55)*coupl(nGC_703) - coupl(nGC_104)*coupl(nGC_52)* &
                        coupl(nGC_629) + coupl(nGC_104)*coupl(nGC_55)*coupl(   &
                        nGC_629))/(32d0*pi**2d0)
      coupl(nGC_4971) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_107) + coupl(nGC_105)*&
                        coupl(nGC_1103)*coupl(nGC_33) - coupl(nGC_105)*coupl(  &
                        nGC_85)*coupl(nGC_87) - coupl(nGC_106)*coupl(nGC_107)**&
                        2d0 - coupl(nGC_106)*coupl(nGC_108)**2d0 - coupl(      &
                        nGC_106)*coupl(nGC_109)**2d0 + 8d0*coupl(nGC_107)*coupl&
                        (nGC_50)*coupl(nGC_53) - coupl(nGC_108)*coupl(nGC_50)* &
                        coupl(nGC_703) + coupl(nGC_108)*coupl(nGC_53)*coupl(   &
                        nGC_703) - coupl(nGC_109)*coupl(nGC_50)*coupl(nGC_629  &
                        ) + coupl(nGC_109)*coupl(nGC_53)*coupl(nGC_629))/(32d0*&
                        pi**2d0)
      coupl(nGC_4976) = coupl(nGC_11)**2d0*coupl(nGC_111)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4977) = (-coupl(nGC_110)*coupl(nGC_1103)*coupl(nGC_33) - coupl(&
                        nGC_110)*coupl(nGC_80)*coupl(nGC_82) - coupl(nGC_111)* &
                        coupl(nGC_112)**2d0 - coupl(nGC_111)*coupl(nGC_113)**  &
                        2d0 - coupl(nGC_111)*coupl(nGC_114)**2d0 + 8d0*coupl(  &
                        nGC_112)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_112)*coupl( &
                        nGC_51)*coupl(nGC_54) + coupl(nGC_113)*coupl(nGC_51)*  &
                        coupl(nGC_703) - coupl(nGC_113)*coupl(nGC_54)*coupl(   &
                        nGC_703) + coupl(nGC_114)*coupl(nGC_51)*coupl(nGC_629  &
                        ) - coupl(nGC_114)*coupl(nGC_54)*coupl(nGC_629))/(32d0*&
                        pi**2d0)
      coupl(nGC_4974) = coupl(nGC_106)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4975) = (coupl(nGC_110)*coupl(nGC_1103)*coupl(nGC_33) - coupl( &
                        nGC_110)*coupl(nGC_80)*coupl(nGC_81) - coupl(nGC_111)**&
                        2d0*coupl(nGC_112) + 8d0*coupl(nGC_111)*coupl(nGC_2)** &
                        2d0 + 8d0*coupl(nGC_111)*coupl(nGC_51)*coupl(nGC_54) - &
                        coupl(nGC_112)*coupl(nGC_113)**2d0 - coupl(nGC_112)*   &
                        coupl(nGC_114)**2d0 - coupl(nGC_113)*coupl(nGC_51)*    &
                        coupl(nGC_703) + coupl(nGC_113)*coupl(nGC_54)*coupl(   &
                        nGC_703) - coupl(nGC_114)*coupl(nGC_51)*coupl(nGC_629  &
                        ) + coupl(nGC_114)*coupl(nGC_54)*coupl(nGC_629))/(32d0*&
                        pi**2d0)
      coupl(nGC_4978) = coupl(nGC_11)**2d0*coupl(nGC_112)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4979) = (-coupl(nGC_1103)*coupl(nGC_115)*coupl(nGC_33) - coupl(&
                        nGC_116)**2d0*coupl(nGC_117) + 8d0*coupl(nGC_116)*coupl&
                        (nGC_4)**2d0 + 8d0*coupl(nGC_116)*coupl(nGC_52)*coupl( &
                        nGC_55) - coupl(nGC_117)*coupl(nGC_118)**2d0 - coupl(  &
                        nGC_117)*coupl(nGC_119)**2d0 + coupl(nGC_118)*coupl(   &
                        nGC_52)*coupl(nGC_703) - coupl(nGC_118)*coupl(nGC_55)* &
                        coupl(nGC_703) + coupl(nGC_119)*coupl(nGC_52)*coupl(   &
                        nGC_629) - coupl(nGC_119)*coupl(nGC_55)*coupl(nGC_629  &
                        ))/(32d0*pi**2d0)
      coupl(nGC_7474) = coupl(nGC_5344) + coupl(nGC_7473)
      coupl(nGC_5019) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_83) - coupl(nGC_110)* &
                        coupl(nGC_113)*coupl(nGC_80) + coupl(nGC_33)*coupl(    &
                        nGC_35)*coupl(nGC_80) + 8d0*coupl(nGC_50)*coupl(nGC_53 &
                        )*coupl(nGC_83) - coupl(nGC_50)*coupl(nGC_57)*coupl(   &
                        nGC_82) + coupl(nGC_53)*coupl(nGC_57)*coupl(nGC_82) -  &
                        coupl(nGC_82)**2d0*coupl(nGC_83) - coupl(nGC_83)**3d0  &
                         - coupl(nGC_83)*coupl(nGC_84)**2d0)/(32d0*pi**2d0)
      coupl(nGC_7023) = coupl(nGC_67)*dZZA_QED2/2d0
      coupl(nGC_7027) = coupl(nGC_11)*dZsR_QCD2
      coupl(nGC_7026) = coupl(nGC_11)*dZsR_QED2
      coupl(nGC_7029) = coupl(nGC_11)*dZsL_QCD2
      coupl(nGC_7028) = coupl(nGC_11)*dZsL_QED2
      coupl(nGC_5000) = (coupl(nGC_33)*coupl(nGC_47)*coupl(nGC_95) + 8d0*coupl(&
                        nGC_4)**2d0*coupl(nGC_99) + 8d0*coupl(nGC_52)*coupl(   &
                        nGC_55)*coupl(nGC_99) - coupl(nGC_52)*coupl(nGC_61)*   &
                        coupl(nGC_97) + coupl(nGC_55)*coupl(nGC_61)*coupl(     &
                        nGC_97) - coupl(nGC_97)**2d0*coupl(nGC_99) - coupl(    &
                        nGC_98)**2d0*coupl(nGC_99) - coupl(nGC_99)**3d0)/(32d0*&
                        pi**2d0)
      coupl(nGC_4837) = cima*(-4d0*Nc*coupl(nGC_1)**2d0 - 4d0*Nc*coupl(nGC_2)**&
                        2d0 - coupl(nGC_1751)**2d0 - coupl(nGC_3)**2d0 - 4d0*  &
                        coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_5089) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_50)**2d0 - coupl(nGC_90)**2d0 - coupl(nGC_91)*coupl&
                        (nGC_92) - coupl(nGC_93)**2d0 - coupl(nGC_94)**2d0)/(  &
                        64d0*pi**2d0)
      coupl(nGC_5088) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(    &
                        nGC_120)**2d0 - 4d0*coupl(nGC_33)**2d0 - 4d0*coupl(    &
                        nGC_53)**2d0 - coupl(nGC_91)*coupl(nGC_92) - coupl(    &
                        nGC_93)**2d0 - coupl(nGC_94)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9253) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_5236) + coupl(   &
                        nGC_55)*dZZA_QED2/2d0
      coupl(nGC_5081) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_50)**2d0 - coupl(nGC_80)**2d0 - coupl(nGC_81)*coupl&
                        (nGC_82) - coupl(nGC_83)**2d0 - coupl(nGC_84)**2d0)/(  &
                        64d0*pi**2d0)
      coupl(nGC_5083) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl( &
                        nGC_51)**2d0 + coupl(nGC_85)**2d0 + coupl(nGC_86)*coupl&
                        (nGC_87) + coupl(nGC_88)**2d0 + coupl(nGC_89)**2d0)/(  &
                        64d0*pi**2d0*Nc)
      coupl(nGC_5082) = -coupl(nGC_11)*sq2*(coupl(nGC_105)**2d0 + 4d0*coupl(   &
                        nGC_2)**2d0 + 4d0*coupl(nGC_33)**2d0 + 4d0*coupl(nGC_54&
                        )**2d0 + coupl(nGC_86)*coupl(nGC_87) + coupl(nGC_88)** &
                        2d0 + coupl(nGC_89)**2d0)/(64d0*pi**2d0*Nc)
    end subroutine fill_CTcouplings_mdl9
end module fill_ctcouplings9
