!******************************************************************************!
!                                                                              !
!    ctparameter41.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter41.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 06:20             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter41
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter41()
  if (dZsL_QED2_scheme .eq. 1) then
    dZsL_QED2 = (2d0*Ten332*coupl(nGC_1)**2d0 + 2d0*Ten333*coupl(nGC_53)**2d0  &
                 + 2d0*Ten334*coupl(nGC_33)**2d0 + 2d0*Ten337*coupl(nGC_1)**2d0&
                 + 2d0*Ten338*coupl(nGC_53)**2d0 + 2d0*Ten339*coupl(nGC_33)**  &
                2d0 - 4d0*Ten344*cMS_reg**2d0*coupl(nGC_1)**2d0 + 4d0*Ten349*  &
                cMS_reg**2d0*coupl(nGC_1)**2d0 + pi**2d0*(-coupl(nGC_1)**2d0/pi&
                **2d0 - coupl(nGC_33)**2d0/pi**2d0 - coupl(nGC_53)**2d0/pi**2d0&
                ))/(16d0*pi**2d0)
    dZsL_QED2 = cone*real(dZsL_QED2,kind=dp)
  end if 
end subroutine set_ctparameter41
end module ctparameter41
