!******************************************************************************!
!                                                                              !
!    vertices_info6.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info6.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 06:18             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info6
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl6()
      allocate(vertices(400)%branchR2(0:0))
      call avR2(400, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5139])

      allocate(vertices(1635)%branchR2(0:1))
      call avR2(1635, 0, 48, 1, 0, VSV0, 0, [2, 1], [nGC_5002])

      call avR2(1635, 1, 47, 1, 0, VSV0, 0, [2, 1], [nGC_5001])

      allocate(vertices(1249)%branchR2(0:1))
      call avR2(1249, 0, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_5047])

      call avR2(1249, 1, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_5048])

      allocate(vertices(1636)%branchR2(0:1))
      call avR2(1636, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_5165])

      call avR2(1636, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_5166])

      allocate(vertices(1039)%branchR2(0:0))
      call avR2(1039, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_5029, nGC_5028])

      allocate(vertices(507)%branchR2(0:0))
      call avR2(507, 0, 9, 1, 0, VVVV3, 0, [0, 4], [nGC_5130, nGC_5128,        &
      nGC_5129])

      allocate(vertices(1416)%branchR2(0:0))
      call avR2(1416, 0, 14, 1, 0, SS0, 0, [0, 2], [nGC_4841, nGC_4840])

      allocate(vertices(1637)%branchR2(0:1))
      call avR2(1637, 0, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_5186])

      call avR2(1637, 1, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_5185])

      allocate(vertices(1031)%branchR2(0:0))
      call avR2(1031, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_4903, nGC_4904])

      allocate(vertices(202)%branchR2(0:1))
      call avR2(202, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_5036, nGC_5036])

      call avR2(202, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_5034, nGC_5035])

      allocate(vertices(14)%branchR2(0:1))
      call avR2(14, 0, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_5047])

      call avR2(14, 1, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_5048])

      allocate(vertices(895)%branchR2(0:0))
      call avR2(895, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_4949])

      allocate(vertices(861)%branchR2(0:0))
      call avR2(861, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5142])

      allocate(vertices(55)%branchR2(0:0))
      call avR2(55, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_4986])

      allocate(vertices(452)%branchR2(0:0))
      call avR2(452, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_5061, nGC_5062])

      allocate(vertices(1013)%branchR2(0:0))
      call avR2(1013, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5167])

      allocate(vertices(102)%branchR2(0:0))
      call avR2(102, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5150])

      allocate(vertices(609)%branchR2(0:1))
      call avR2(609, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_5008, nGC_5009])

      call avR2(609, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_5010, nGC_5010])

      allocate(vertices(1253)%branchR2(0:0))
      call avR2(1253, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5138])

      allocate(vertices(1136)%branchR2(0:0))
      call avR2(1136, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_14846])

      allocate(vertices(1164)%branchR2(0:1))
      call avR2(1164, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_4898, nGC_4898])

      call avR2(1164, 1, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_4897, nGC_4896])

      allocate(vertices(632)%branchR2(0:0))
      call avR2(632, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5140])

      allocate(vertices(1036)%branchR2(0:0))
      call avR2(1036, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5142])

      allocate(vertices(280)%branchR2(0:0))
      call avR2(280, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5137])

      allocate(vertices(1478)%branchR2(0:0))
      call avR2(1478, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_4889])

      allocate(vertices(151)%branchR2(0:0))
      call avR2(151, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_4968, nGC_4967])

      allocate(vertices(1464)%branchR2(0:0))
      call avR2(1464, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_4889])

      allocate(vertices(910)%branchR2(0:0))
      call avR2(910, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5141])

      allocate(vertices(223)%branchR2(0:1))
      call avR2(223, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_5054, nGC_5052])

      call avR2(223, 1, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_5060, nGC_5059])

      allocate(vertices(556)%branchR2(0:0))
      call avR2(556, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5122])

      allocate(vertices(1476)%branchR2(0:0))
      call avR2(1476, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5126])

      allocate(vertices(1306)%branchR2(0:0))
      call avR2(1306, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_5049])

      allocate(vertices(389)%branchR2(0:1))
      call avR2(389, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_5057, nGC_5055])

      call avR2(389, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_5058, nGC_5056])

      allocate(vertices(1345)%branchR2(0:0))
      call avR2(1345, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_4884])

      allocate(vertices(835)%branchR2(0:0))
      call avR2(835, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5149])

      allocate(vertices(1309)%branchR2(0:1))
      call avR2(1309, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_5046])

      call avR2(1309, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_5047])

      allocate(vertices(478)%branchR2(0:1))
      call avR2(478, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_4955, nGC_4957])

      call avR2(478, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_4956, nGC_4958])

      allocate(vertices(1123)%branchR2(0:1))
      call avR2(1123, 0, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_4895, nGC_4895])

      call avR2(1123, 1, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_4909, nGC_4908])

      allocate(vertices(56)%branchR2(0:0))
      call avR2(56, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5141])

      allocate(vertices(1445)%branchR2(0:0))
      call avR2(1445, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_4907])

      allocate(vertices(1524)%branchR2(0:0))
      call avR2(1524, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_4905])

      allocate(vertices(1)%branchR2(0:3))
      call avR2(1, 0, 27, 1, 0, FVFa0, 0, [1, 2], [nGC_5091, nGC_5090])

      call avR2(1, 1, 27, 1, 0, FVFa0, 0, [3, 0], [nGC_5092, nGC_5092])

      call avR2(1, 2, 26, 1, 0, FVFa0, 0, [1, 2], [nGC_5094, nGC_5093])

      call avR2(1, 3, 26, 1, 0, FVFa0, 0, [3, 0], [nGC_5095, nGC_5095])

      allocate(vertices(812)%branchR2(0:0))
      call avR2(812, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5162])

      allocate(vertices(427)%branchR2(0:0))
      call avR2(427, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5116])

      allocate(vertices(123)%branchR2(0:0))
      call avR2(123, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_4988])

      allocate(vertices(1018)%branchR2(0:0))
      call avR2(1018, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_5067])

      allocate(vertices(295)%branchR2(0:0))
      call avR2(295, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5164])

      allocate(vertices(1380)%branchR2(0:0))
      call avR2(1380, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_5012, nGC_5011])

      allocate(vertices(574)%branchR2(0:0))
      call avR2(574, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_5063])

      allocate(vertices(1484)%branchR2(0:1))
      call avR2(1484, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_4858, nGC_4855,       &
      nGC_4863, nGC_4863])

      call avR2(1484, 1, 13, 1, 0, FFa0, 0, [2, 0], [nGC_4854, nGC_4854,       &
      nGC_4864, nGC_4864])

      allocate(vertices(1323)%branchR2(0:0))
      call avR2(1323, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_5045])

      allocate(vertices(922)%branchR2(0:1))
      call avR2(922, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_4971, nGC_4973])

      call avR2(922, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_4972, nGC_4974])

      allocate(vertices(921)%branchR2(0:0))
      call avR2(921, 0, 9, 1, 0, VVVV3, 0, [0, 4], [nGC_5177, nGC_5178,        &
      nGC_5176])

      allocate(vertices(761)%branchR2(0:1))
      call avR2(761, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_5042, nGC_5043])

      call avR2(761, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_5044, nGC_5044])

      allocate(vertices(286)%branchR2(0:3))
      call avR2(286, 0, 30, 1, 0, VFFa0, 0, [1, 2], [nGC_5094, nGC_5093])

      call avR2(286, 1, 30, 1, 0, VFFa0, 0, [3, 0], [nGC_5095, nGC_5095])

      call avR2(286, 2, 31, 1, 0, VFFa0, 0, [1, 2], [nGC_5091, nGC_5090])

      call avR2(286, 3, 31, 1, 0, VFFa0, 0, [3, 0], [nGC_5092, nGC_5092])

      allocate(vertices(225)%branchR2(0:0))
      call avR2(225, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5167])

      allocate(vertices(303)%branchR2(0:0))
      call avR2(303, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5116])

      allocate(vertices(1404)%branchR2(0:0))
      call avR2(1404, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_4907])

      allocate(vertices(149)%branchR2(0:0))
      call avR2(149, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5148])

      allocate(vertices(1024)%branchR2(0:0))
      call avR2(1024, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5157])

      allocate(vertices(1638)%branchR2(0:1))
      call avR2(1638, 0, 61, 1, 0, VVVV4, 0, [2, 2], [nGC_5133])

      call avR2(1638, 1, 62, 1, 0, VVVV4, 0, [2, 2], [nGC_5134])

      allocate(vertices(912)%branchR2(0:3))
      call avR2(912, 0, 22, 1, 0, FaVF0, 0, [1, 2], [nGC_5089, nGC_5088])

      call avR2(912, 1, 22, 1, 0, FaVF0, 0, [3, 0], [nGC_5080, nGC_5080])

      call avR2(912, 2, 23, 1, 0, FaVF0, 0, [1, 2], [nGC_5087, nGC_5086])

      call avR2(912, 3, 23, 1, 0, FaVF0, 0, [3, 0], [nGC_5077, nGC_5077])

      allocate(vertices(1639)%branchR2(0:1))
      call avR2(1639, 0, 59, 1, 0, VVVV4, 0, [2, 2], [nGC_5133])

      call avR2(1639, 1, 60, 1, 0, VVVV4, 0, [2, 2], [nGC_5134])

      allocate(vertices(1443)%branchR2(0:0))
      call avR2(1443, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5127])

      allocate(vertices(1337)%branchR2(0:0))
      call avR2(1337, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5148])

      allocate(vertices(1186)%branchR2(0:0))
      call avR2(1186, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_5017])

      allocate(vertices(80)%branchR2(0:0))
      call avR2(80, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5139])

      allocate(vertices(1139)%branchR2(0:0))
      call avR2(1139, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_4988])

      allocate(vertices(53)%branchR2(0:1))
      call avR2(53, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_4915, nGC_4914])

      call avR2(53, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_4898, nGC_4898])

      allocate(vertices(1035)%branchR2(0:1))
      call avR2(1035, 0, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_4898, nGC_4898])

      call avR2(1035, 1, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_4911, nGC_4910])

      allocate(vertices(294)%branchR2(0:0))
      call avR2(294, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5121])

      allocate(vertices(1271)%branchR2(0:0))
      call avR2(1271, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_4949])

      allocate(vertices(1128)%branchR2(0:1))
      call avR2(1128, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_4971, nGC_4973])

      call avR2(1128, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_4972, nGC_4974])

      allocate(vertices(1507)%branchR2(0:0))
      call avR2(1507, 0, 14, 1, 0, VV0, 0, [0, 2], [nGC_4845, nGC_4844,        &
      nGC_4846])

      allocate(vertices(1520)%branchR2(0:0))
      call avR2(1520, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5127])

      allocate(vertices(511)%branchR2(0:1))
      call avR2(511, 0, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_5058, nGC_5056])

      call avR2(511, 1, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_5075, nGC_5074])

      allocate(vertices(1471)%branchR2(0:0))
      call avR2(1471, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5126])

      allocate(vertices(31)%branchR2(0:1))
      call avR2(31, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_4911, nGC_4910])

      call avR2(31, 1, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_4898, nGC_4898])

      allocate(vertices(1197)%branchR2(0:0))
      call avR2(1197, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5147])

      allocate(vertices(82)%branchR2(0:0))
      call avR2(82, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5148])

      allocate(vertices(746)%branchR2(0:1))
      call avR2(746, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_5005, nGC_5006])

      call avR2(746, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_5007, nGC_5007])

      allocate(vertices(793)%branchR2(0:0))
      call avR2(793, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5168])

      allocate(vertices(331)%branchR2(0:1))
      call avR2(331, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_5046])

      call avR2(331, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_5047])

      allocate(vertices(1640)%branchR2(0:1))
      call avR2(1640, 0, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_5145])

      call avR2(1640, 1, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_5146])

      allocate(vertices(1198)%branchR2(0:0))
      call avR2(1198, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_14241])

      allocate(vertices(423)%branchR2(0:1))
      call avR2(423, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_5042, nGC_5043])

      call avR2(423, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_5044, nGC_5044])

      allocate(vertices(763)%branchR2(0:0))
      call avR2(763, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5142])

      allocate(vertices(1048)%branchR2(0:0))
      call avR2(1048, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5164])

      allocate(vertices(1641)%branchR2(0:0))
      call avR2(1641, 0, 9, 1, 0, VVVV4, 0, [0, 4], [nGC_5136])

      allocate(vertices(312)%branchR2(0:1))
      call avR2(312, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_5046])

      call avR2(312, 1, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_5047])

      allocate(vertices(1642)%branchR2(0:1))
      call avR2(1642, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_5165])

      call avR2(1642, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_5166])

      allocate(vertices(1088)%branchR2(0:0))
      call avR2(1088, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_14255])

      allocate(vertices(345)%branchR2(0:0))
      call avR2(345, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_14846])

      allocate(vertices(90)%branchR2(0:1))
      call avR2(90, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_5005, nGC_5006])

      call avR2(90, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_5007, nGC_5007])

      allocate(vertices(1426)%branchR2(0:0))
      call avR2(1426, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5131])

      allocate(vertices(425)%branchR2(0:0))
      call avR2(425, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5157])

      allocate(vertices(1373)%branchR2(0:1))
      call avR2(1373, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_5044, nGC_5044])

      call avR2(1373, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_5042, nGC_5043])

      allocate(vertices(543)%branchR2(0:0))
      call avR2(543, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5159])

      allocate(vertices(484)%branchR2(0:1))
      call avR2(484, 0, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_5058, nGC_5056])

      call avR2(484, 1, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_5075, nGC_5074])

      allocate(vertices(415)%branchR2(0:0))
      call avR2(415, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5140])

      allocate(vertices(876)%branchR2(0:0))
      call avR2(876, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5142])

      allocate(vertices(1643)%branchR2(0:0))
      call avR2(1643, 0, 9, 1, 0, VVVV4, 0, [0, 4], [nGC_5119])

      allocate(vertices(268)%branchR2(0:0))
      call avR2(268, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_4903, nGC_4904])

      allocate(vertices(864)%branchR2(0:3))
      call avR2(864, 0, 27, 1, 0, FVFa0, 0, [1, 2], [nGC_5087, nGC_5086])

      call avR2(864, 1, 27, 1, 0, FVFa0, 0, [3, 0], [nGC_5077, nGC_5077])

      call avR2(864, 2, 26, 1, 0, FVFa0, 0, [1, 2], [nGC_5089, nGC_5088])

      call avR2(864, 3, 26, 1, 0, FVFa0, 0, [3, 0], [nGC_5080, nGC_5080])

      allocate(vertices(353)%branchR2(0:0))
      call avR2(353, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5159])

      allocate(vertices(1485)%branchR2(0:0))
      call avR2(1485, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_4906])

      allocate(vertices(1014)%branchR2(0:0))
      call avR2(1014, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5115])

      allocate(vertices(813)%branchR2(0:0))
      call avR2(813, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5148])

      allocate(vertices(480)%branchR2(0:0))
      call avR2(480, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5140])

      allocate(vertices(1176)%branchR2(0:0))
      call avR2(1176, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5149])

      allocate(vertices(402)%branchR2(0:0))
      call avR2(402, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5135])

      allocate(vertices(363)%branchR2(0:0))
      call avR2(363, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5147])

      allocate(vertices(1500)%branchR2(0:0))
      call avR2(1500, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_4889])

      allocate(vertices(9)%branchR2(0:0))
      call avR2(9, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5115])

      allocate(vertices(1644)%branchR2(0:1))
      call avR2(1644, 0, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_5184])

      call avR2(1644, 1, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_5183])

      allocate(vertices(74)%branchR2(0:1))
      call avR2(74, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_4963, nGC_4965])

      call avR2(74, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_4964, nGC_4966])

      allocate(vertices(517)%branchR2(0:0))
      call avR2(517, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5116])

      allocate(vertices(1459)%branchR2(0:0))
      call avR2(1459, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5127])

      allocate(vertices(148)%branchR2(0:3))
      call avR2(148, 0, 29, 1, 0, VFaF1, 0, [1, 2], [nGC_5097, nGC_5096])

      call avR2(148, 1, 29, 1, 0, VFaF1, 0, [3, 0], [nGC_5092, nGC_5092])

      call avR2(148, 2, 28, 1, 0, VFaF1, 0, [1, 2], [nGC_5099, nGC_5098])

      call avR2(148, 3, 28, 1, 0, VFaF1, 0, [3, 0], [nGC_5095, nGC_5095])

      allocate(vertices(1645)%branchR2(0:1))
      call avR2(1645, 0, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_5166])

      call avR2(1645, 1, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_5165])

      allocate(vertices(1338)%branchR2(0:1))
      call avR2(1338, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_4926, nGC_4924])

      call avR2(1338, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_4943, nGC_4942])

      allocate(vertices(844)%branchR2(0:0))
      call avR2(844, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_5067])

      allocate(vertices(1425)%branchR2(0:1))
      call avR2(1425, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_4858, nGC_4855,       &
      nGC_4856, nGC_4856])

      call avR2(1425, 1, 13, 1, 0, FFa0, 0, [2, 0], [nGC_4854, nGC_4854,       &
      nGC_4857, nGC_4857])

      allocate(vertices(865)%branchR2(0:0))
      call avR2(865, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_5033, nGC_5032])

      allocate(vertices(1646)%branchR2(0:0))
      call avR2(1646, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5111])

      allocate(vertices(462)%branchR2(0:0))
      call avR2(462, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_5050])

      allocate(vertices(1266)%branchR2(0:1))
      call avR2(1266, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_4955, nGC_4957])

      call avR2(1266, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_4956, nGC_4958])

      allocate(vertices(134)%branchR2(0:0))
      call avR2(134, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5120])

      allocate(vertices(615)%branchR2(0:0))
      call avR2(615, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5151])

      allocate(vertices(445)%branchR2(0:0))
      call avR2(445, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5139])

      allocate(vertices(1076)%branchR2(0:1))
      call avR2(1076, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_5024, nGC_5024])

      call avR2(1076, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_5022, nGC_5023])

      allocate(vertices(48)%branchR2(0:0))
      call avR2(48, 0, 9, 1, 0, VVVV3, 0, [0, 4], [nGC_5176, nGC_5177, nGC_5178&
      ])

      allocate(vertices(285)%branchR2(0:0))
      call avR2(285, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5142])

      allocate(vertices(57)%branchR2(0:0))
      call avR2(57, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5117])

      allocate(vertices(592)%branchR2(0:0))
      call avR2(592, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_5012, nGC_5011])

      allocate(vertices(441)%branchR2(0:0))
      call avR2(441, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5149])

      allocate(vertices(694)%branchR2(0:0))
      call avR2(694, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5106])

      allocate(vertices(273)%branchR2(0:0))
      call avR2(273, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_4980, nGC_4979])

      allocate(vertices(892)%branchR2(0:0))
      call avR2(892, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_5050])

      allocate(vertices(1499)%branchR2(0:0))
      call avR2(1499, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5126])

      allocate(vertices(361)%branchR2(0:0))
      call avR2(361, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5170])

      allocate(vertices(1094)%branchR2(0:0))
      call avR2(1094, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5159])

      allocate(vertices(1200)%branchR2(0:1))
      call avR2(1200, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_4895, nGC_4895])

      call avR2(1200, 1, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_4900, nGC_4899])

      allocate(vertices(1647)%branchR2(0:0))
      call avR2(1647, 0, 9, 1, 0, VVVV4, 0, [0, 4], [nGC_5136])

      allocate(vertices(663)%branchR2(0:0))
      call avR2(663, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_5064, nGC_5065])

      allocate(vertices(1363)%branchR2(0:0))
      call avR2(1363, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_5033, nGC_5032])

      allocate(vertices(1648)%branchR2(0:1))
      call avR2(1648, 0, 64, 1, 0, VVVV4, 0, [2, 2], [nGC_5189])

      call avR2(1648, 1, 63, 1, 0, VVVV4, 0, [2, 2], [nGC_5188])

      allocate(vertices(275)%branchR2(0:1))
      call avR2(275, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_5054, nGC_5052])

      call avR2(275, 1, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_5069, nGC_5068])

      allocate(vertices(488)%branchR2(0:0))
      call avR2(488, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5114])

      allocate(vertices(778)%branchR2(0:1))
      call avR2(778, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_4959, nGC_4961])

      call avR2(778, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_4960, nGC_4962])

      allocate(vertices(110)%branchR2(0:0))
      call avR2(110, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5141])

      allocate(vertices(322)%branchR2(0:0))
      call avR2(322, 0, 9, 1, 0, VVVV3, 0, [0, 4], [nGC_5181, nGC_5182,        &
      nGC_5182])

      allocate(vertices(960)%branchR2(0:0))
      call avR2(960, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5117])

      allocate(vertices(1649)%branchR2(0:1))
      call avR2(1649, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_5146])

      call avR2(1649, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_5145])

      allocate(vertices(1047)%branchR2(0:1))
      call avR2(1047, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_4911, nGC_4910])

      call avR2(1047, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_4898, nGC_4898])

      allocate(vertices(204)%branchR2(0:0))
      call avR2(204, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_14241])

      allocate(vertices(1104)%branchR2(0:0))
      call avR2(1104, 0, 9, 1, 0, VVVV3, 0, [0, 4], [nGC_5128, nGC_5130,       &
      nGC_5129])

      allocate(vertices(977)%branchR2(0:0))
      call avR2(977, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5175])

      allocate(vertices(28)%branchR2(0:0))
      call avR2(28, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5137])

      allocate(vertices(198)%branchR2(0:0))
      call avR2(198, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5137])

      allocate(vertices(417)%branchR2(0:1))
      call avR2(417, 0, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_4897, nGC_4896])

      call avR2(417, 1, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_4898, nGC_4898])

      allocate(vertices(591)%branchR2(0:0))
      call avR2(591, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_14255])

      allocate(vertices(355)%branchR2(0:0))
      call avR2(355, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_4917])

      allocate(vertices(1195)%branchR2(0:0))
      call avR2(1195, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5122])

      allocate(vertices(1439)%branchR2(0:0))
      call avR2(1439, 0, 14, 1, 0, FFa1, 0, [0, 2], [nGC_4875])

      allocate(vertices(1161)%branchR2(0:0))
      call avR2(1161, 0, 9, 1, 0, VVVV3, 0, [0, 4], [nGC_5130, nGC_5128,       &
      nGC_5129])

      allocate(vertices(1100)%branchR2(0:0))
      call avR2(1100, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_5012, nGC_5011])

      allocate(vertices(532)%branchR2(0:0))
      call avR2(532, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5141])

      allocate(vertices(646)%branchR2(0:0))
      call avR2(646, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_4952])

      allocate(vertices(776)%branchR2(0:0))
      call avR2(776, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5168])

      allocate(vertices(18)%branchR2(0:1))
      call avR2(18, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_4931, nGC_4933])

      call avR2(18, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_4932, nGC_4934])

      allocate(vertices(1295)%branchR2(0:1))
      call avR2(1295, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_5007, nGC_5007])

      call avR2(1295, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_5005, nGC_5006])

      allocate(vertices(1206)%branchR2(0:0))
      call avR2(1206, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5115])

      allocate(vertices(1245)%branchR2(0:0))
      call avR2(1245, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5150])

      allocate(vertices(430)%branchR2(0:0))
      call avR2(430, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5148])

      allocate(vertices(1503)%branchR2(0:0))
      call avR2(1503, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_14848])

      allocate(vertices(1650)%branchR2(0:1))
      call avR2(1650, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_5146])

      call avR2(1650, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_5145])

      allocate(vertices(715)%branchR2(0:0))
      call avR2(715, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_15907])

      allocate(vertices(120)%branchR2(0:1))
      call avR2(120, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_4955, nGC_4957])

      call avR2(120, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_4956, nGC_4958])

      allocate(vertices(541)%branchR2(0:0))
      call avR2(541, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_15294])

      allocate(vertices(821)%branchR2(0:0))
      call avR2(821, 0, 9, 1, 0, VVVV3, 0, [0, 4], [nGC_5182, nGC_5182,        &
      nGC_5181])

      allocate(vertices(226)%branchR2(0:0))
      call avR2(226, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5159])

      allocate(vertices(416)%branchR2(0:0))
      call avR2(416, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5122])

      allocate(vertices(1120)%branchR2(0:0))
      call avR2(1120, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_5049])

      allocate(vertices(563)%branchR2(0:0))
      call avR2(563, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_5049])

      allocate(vertices(92)%branchR2(0:0))
      call avR2(92, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5167])

      allocate(vertices(356)%branchR2(0:0))
      call avR2(356, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_5061, nGC_5062])

      allocate(vertices(1651)%branchR2(0:1))
      call avR2(1651, 0, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_5184])

      call avR2(1651, 1, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_5183])

      allocate(vertices(1652)%branchR2(0:5))
      call avR2(1652, 0, 77, 1, 0, VVVV4, 0, [3, 1], [nGC_5156])

      call avR2(1652, 1, 81, 1, 0, VVVV4, 0, [3, 1], [nGC_5155])

      call avR2(1652, 2, 79, 1, 0, VVVV4, 0, [3, 1], [nGC_5155])

      call avR2(1652, 3, 80, 1, 0, VVVV4, 0, [3, 1], [nGC_5156])

      call avR2(1652, 4, 78, 1, 0, VVVV4, 0, [3, 1], [nGC_5155])

      call avR2(1652, 5, 82, 1, 0, VVVV4, 0, [3, 1], [nGC_5154])

      allocate(vertices(252)%branchR2(0:0))
      call avR2(252, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_4980, nGC_4979])

      allocate(vertices(1423)%branchR2(0:0))
      call avR2(1423, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5127])

      allocate(vertices(1350)%branchR2(0:0))
      call avR2(1350, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5158])

      allocate(vertices(1653)%branchR2(0:0))
      call avR2(1653, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5111])

      allocate(vertices(754)%branchR2(0:0))
      call avR2(754, 0, 8, 1, 0, FFaS2, 0, [0, 3], [nGC_4948])

      allocate(vertices(1084)%branchR2(0:0))
      call avR2(1084, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_5012, nGC_5011])

      allocate(vertices(1488)%branchR2(0:1))
      call avR2(1488, 0, 16, 1, 0, VV0, 0, [2, 0], [nGC_4872, nGC_4871,        &
      nGC_4873])

      call avR2(1488, 1, 15, 1, 0, VV0, 0, [2, 0], [nGC_4869, nGC_4868,        &
      nGC_4870])

      allocate(vertices(847)%branchR2(0:0))
      call avR2(847, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5138])

      allocate(vertices(500)%branchR2(0:0))
      call avR2(500, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5147])

      allocate(vertices(253)%branchR2(0:0))
      call avR2(253, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5149])

      allocate(vertices(785)%branchR2(0:0))
      call avR2(785, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5151])

      allocate(vertices(953)%branchR2(0:0))
      call avR2(953, 0, 9, 1, 0, VVVV3, 0, [0, 4], [nGC_5109, nGC_5108,        &
      nGC_5107])

      allocate(vertices(1053)%branchR2(0:1))
      call avR2(1053, 0, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_4895, nGC_4895])

      call avR2(1053, 1, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_4894, nGC_4893])

      allocate(vertices(1486)%branchR2(0:1))
      call avR2(1486, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_4862, nGC_4859,       &
      nGC_4878, nGC_4878])

      call avR2(1486, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_4854, nGC_4854,       &
      nGC_4879, nGC_4879])

      allocate(vertices(1291)%branchR2(0:0))
      call avR2(1291, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_15907])

      allocate(vertices(1106)%branchR2(0:0))
      call avR2(1106, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5115])

      allocate(vertices(360)%branchR2(0:0))
      call avR2(360, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_5050])

      allocate(vertices(433)%branchR2(0:0))
      call avR2(433, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_4952])

      allocate(vertices(231)%branchR2(0:0))
      call avR2(231, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_5061, nGC_5062])

      allocate(vertices(555)%branchR2(0:0))
      call avR2(555, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5170])

      allocate(vertices(354)%branchR2(0:0))
      call avR2(354, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5163])

      allocate(vertices(1654)%branchR2(0:1))
      call avR2(1654, 0, 53, 1, 0, VVVV4, 0, [2, 2], [nGC_5143])

      call avR2(1654, 1, 54, 1, 0, VVVV4, 0, [2, 2], [nGC_5144])

      allocate(vertices(1016)%branchR2(0:0))
      call avR2(1016, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5151])

      allocate(vertices(1348)%branchR2(0:0))
      call avR2(1348, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5120])

      allocate(vertices(1101)%branchR2(0:0))
      call avR2(1101, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_5067])

      allocate(vertices(1521)%branchR2(0:0))
      call avR2(1521, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_4905])

      allocate(vertices(1000)%branchR2(0:0))
      call avR2(1000, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5137])

      allocate(vertices(971)%branchR2(0:0))
      call avR2(971, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5122])

      allocate(vertices(1098)%branchR2(0:1))
      call avR2(1098, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_4993, nGC_4994])

      call avR2(1098, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_4995, nGC_4995])

      allocate(vertices(519)%branchR2(0:0))
      call avR2(519, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_5063])

      allocate(vertices(1193)%branchR2(0:0))
      call avR2(1193, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5115])

      allocate(vertices(1355)%branchR2(0:1))
      call avR2(1355, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_5053, nGC_5051])

      call avR2(1355, 1, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_5054, nGC_5052])

      allocate(vertices(614)%branchR2(0:0))
      call avR2(614, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5116])

      allocate(vertices(327)%branchR2(0:0))
      call avR2(327, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_13861])

      allocate(vertices(773)%branchR2(0:0))
      call avR2(773, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_4940])

      allocate(vertices(589)%branchR2(0:0))
      call avR2(589, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5175])

      allocate(vertices(1655)%branchR2(0:0))
      call avR2(1655, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5113])

      allocate(vertices(699)%branchR2(0:0))
      call avR2(699, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5117])

      allocate(vertices(487)%branchR2(0:1))
      call avR2(487, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_5024, nGC_5024])

      call avR2(487, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_5022, nGC_5023])

      allocate(vertices(162)%branchR2(0:0))
      call avR2(162, 0, 9, 1, 0, VVVV3, 0, [0, 4], [nGC_5107, nGC_5108,        &
      nGC_5109])

      allocate(vertices(573)%branchR2(0:0))
      call avR2(573, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5116])

      allocate(vertices(826)%branchR2(0:1))
      call avR2(826, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_5019, nGC_5020])

      call avR2(826, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_5021, nGC_5021])

      allocate(vertices(553)%branchR2(0:0))
      call avR2(553, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_13985])

      allocate(vertices(146)%branchR2(0:0))
      call avR2(146, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5138])

      allocate(vertices(1357)%branchR2(0:0))
      call avR2(1357, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_5050])

      allocate(vertices(1218)%branchR2(0:1))
      call avR2(1218, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_4995, nGC_4995])

      call avR2(1218, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_4993, nGC_4994])

      allocate(vertices(1656)%branchR2(0:5))
      call avR2(1656, 0, 85, 1, 0, VVVV4, 0, [3, 1], [nGC_5155])

      call avR2(1656, 1, 84, 1, 0, VVVV4, 0, [3, 1], [nGC_5155])

      call avR2(1656, 2, 87, 1, 0, VVVV4, 0, [3, 1], [nGC_5155])

      call avR2(1656, 3, 88, 1, 0, VVVV4, 0, [3, 1], [nGC_5154])

      call avR2(1656, 4, 86, 1, 0, VVVV4, 0, [3, 1], [nGC_5156])

      call avR2(1656, 5, 83, 1, 0, VVVV4, 0, [3, 1], [nGC_5156])

      allocate(vertices(796)%branchR2(0:3))
      call avR2(796, 0, 30, 1, 0, VFFa0, 0, [1, 2], [nGC_5099, nGC_5098])

      call avR2(796, 1, 30, 1, 0, VFFa0, 0, [3, 0], [nGC_5095, nGC_5095])

      call avR2(796, 2, 31, 1, 0, VFFa0, 0, [1, 2], [nGC_5097, nGC_5096])

      call avR2(796, 3, 31, 1, 0, VFFa0, 0, [3, 0], [nGC_5092, nGC_5092])

      allocate(vertices(1454)%branchR2(0:0))
      call avR2(1454, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_4889])

      allocate(vertices(732)%branchR2(0:0))
      call avR2(732, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_5004, nGC_5003])

      allocate(vertices(928)%branchR2(0:0))
      call avR2(928, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5115])

      allocate(vertices(167)%branchR2(0:0))
      call avR2(167, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5171])

      allocate(vertices(422)%branchR2(0:0))
      call avR2(422, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5117])

      allocate(vertices(27)%branchR2(0:0))
      call avR2(27, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5149])

      allocate(vertices(1657)%branchR2(0:0))
      call avR2(1657, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5112])

      allocate(vertices(236)%branchR2(0:0))
      call avR2(236, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_4937])

      allocate(vertices(742)%branchR2(0:0))
      call avR2(742, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5148])

      allocate(vertices(1407)%branchR2(0:0))
      call avR2(1407, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5125])

      allocate(vertices(113)%branchR2(0:0))
      call avR2(113, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5159])

      allocate(vertices(1144)%branchR2(0:1))
      call avR2(1144, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_4975, nGC_4977])

      call avR2(1144, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_4976, nGC_4978])

      allocate(vertices(1093)%branchR2(0:0))
      call avR2(1093, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5162])

      allocate(vertices(1255)%branchR2(0:1))
      call avR2(1255, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_4915, nGC_4914])

      call avR2(1255, 1, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_4898, nGC_4898])

      allocate(vertices(970)%branchR2(0:0))
      call avR2(970, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5167])

      allocate(vertices(924)%branchR2(0:1))
      call avR2(924, 0, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_5047])

      call avR2(924, 1, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_5048])

      allocate(vertices(698)%branchR2(0:1))
      call avR2(698, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_4995, nGC_4995])

      call avR2(698, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_4993, nGC_4994])

      allocate(vertices(1381)%branchR2(0:0))
      call avR2(1381, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5148])

      allocate(vertices(326)%branchR2(0:0))
      call avR2(326, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_5017])

      allocate(vertices(333)%branchR2(0:0))
      call avR2(333, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5142])

      allocate(vertices(418)%branchR2(0:0))
      call avR2(418, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_4949])

      allocate(vertices(141)%branchR2(0:0))
      call avR2(141, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5135])

      allocate(vertices(357)%branchR2(0:0))
      call avR2(357, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5117])

      allocate(vertices(808)%branchR2(0:1))
      call avR2(808, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_5015, nGC_5015])

      call avR2(808, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_5013, nGC_5014])

      allocate(vertices(328)%branchR2(0:0))
      call avR2(328, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_4935])

      allocate(vertices(707)%branchR2(0:3))
      call avR2(707, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_5085, nGC_5084])

      call avR2(707, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_5080, nGC_5080])

      call avR2(707, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_5083, nGC_5082])

      call avR2(707, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_5077, nGC_5077])

      allocate(vertices(201)%branchR2(0:1))
      call avR2(201, 0, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_5054, nGC_5052])

      call avR2(201, 1, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_5060, nGC_5059])

      allocate(vertices(937)%branchR2(0:0))
      call avR2(937, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5171])

      allocate(vertices(1658)%branchR2(0:0))
      call avR2(1658, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_4888])

      allocate(vertices(405)%branchR2(0:0))
      call avR2(405, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5122])

      allocate(vertices(1080)%branchR2(0:0))
      call avR2(1080, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5148])

      allocate(vertices(1308)%branchR2(0:0))
      call avR2(1308, 0, 9, 1, 0, VVVV3, 0, [0, 4], [nGC_5182, nGC_5181,       &
      nGC_5182])

      allocate(vertices(154)%branchR2(0:1))
      call avR2(154, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_5046])

      call avR2(154, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_5047])

      allocate(vertices(575)%branchR2(0:0))
      call avR2(575, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_4986])

      allocate(vertices(1659)%branchR2(0:0))
      call avR2(1659, 0, 9, 1, 0, VVVV3, 0, [0, 4], [nGC_5124, nGC_5124,       &
      nGC_5123])

      allocate(vertices(386)%branchR2(0:0))
      call avR2(386, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5121])

      allocate(vertices(1522)%branchR2(0:0))
      call avR2(1522, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_4907])

      allocate(vertices(1468)%branchR2(0:0))
      call avR2(1468, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5126])

      allocate(vertices(955)%branchR2(0:0))
      call avR2(955, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5160])

      allocate(vertices(1204)%branchR2(0:0))
      call avR2(1204, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_5066])

      allocate(vertices(1660)%branchR2(0:0))
      call avR2(1660, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5112])

      allocate(vertices(560)%branchR2(0:1))
      call avR2(560, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_4897, nGC_4896])

      call avR2(560, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_4898, nGC_4898])

      allocate(vertices(495)%branchR2(0:0))
      call avR2(495, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5116])

      allocate(vertices(483)%branchR2(0:1))
      call avR2(483, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_5034, nGC_5035])

      call avR2(483, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_5036, nGC_5036])

      allocate(vertices(1661)%branchR2(0:1))
      call avR2(1661, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_5183])

      call avR2(1661, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_5184])

      allocate(vertices(1477)%branchR2(0:0))
      call avR2(1477, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_4906])

      allocate(vertices(856)%branchR2(0:1))
      call avR2(856, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_5046])

      call avR2(856, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_5047])

      allocate(vertices(491)%branchR2(0:0))
      call avR2(491, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_4941])

      allocate(vertices(383)%branchR2(0:0))
      call avR2(383, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5151])

      allocate(vertices(934)%branchR2(0:0))
      call avR2(934, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5140])

      allocate(vertices(617)%branchR2(0:0))
      call avR2(617, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5117])

      allocate(vertices(64)%branchR2(0:1))
      call avR2(64, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_5054, nGC_5052])

      call avR2(64, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_5060, nGC_5059])

      allocate(vertices(1244)%branchR2(0:3))
      call avR2(1244, 0, 27, 1, 0, FVFa0, 0, [1, 2], [nGC_5083, nGC_5082])

      call avR2(1244, 1, 27, 1, 0, FVFa0, 0, [3, 0], [nGC_5077, nGC_5077])

      call avR2(1244, 2, 26, 1, 0, FVFa0, 0, [1, 2], [nGC_5085, nGC_5084])

      call avR2(1244, 3, 26, 1, 0, FVFa0, 0, [3, 0], [nGC_5080, nGC_5080])

      allocate(vertices(1324)%branchR2(0:0))
      call avR2(1324, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5149])

      allocate(vertices(169)%branchR2(0:0))
      call avR2(169, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5120])

      allocate(vertices(228)%branchR2(0:1))
      call avR2(228, 0, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_5046])

      call avR2(228, 1, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_5047])

      allocate(vertices(1662)%branchR2(0:0))
      call avR2(1662, 0, 9, 1, 0, VVVV4, 0, [0, 4], [nGC_5136])

      allocate(vertices(1663)%branchR2(0:1))
      call avR2(1663, 0, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_5166])

      call avR2(1663, 1, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_5165])

      allocate(vertices(853)%branchR2(0:1))
      call avR2(853, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_4959, nGC_4961])

      call avR2(853, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_4960, nGC_4962])

      allocate(vertices(716)%branchR2(0:0))
      call avR2(716, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_5064, nGC_5065])

      allocate(vertices(737)%branchR2(0:0))
      call avR2(737, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5114])

      allocate(vertices(1205)%branchR2(0:0))
      call avR2(1205, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5106])

      allocate(vertices(205)%branchR2(0:0))
      call avR2(205, 0, 9, 1, 0, VVVV3, 0, [0, 4], [nGC_5129, nGC_5130,        &
      nGC_5128])

      allocate(vertices(1077)%branchR2(0:0))
      call avR2(1077, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5114])

      allocate(vertices(232)%branchR2(0:0))
      call avR2(232, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5159])

      allocate(vertices(1099)%branchR2(0:0))
      call avR2(1099, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_4885])

      allocate(vertices(888)%branchR2(0:0))
      call avR2(888, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5159])

      allocate(vertices(1465)%branchR2(0:0))
      call avR2(1465, 0, 14, 1, 0, VV1, 0, [0, 2], [nGC_4835, nGC_4834,        &
      nGC_4836])

      allocate(vertices(868)%branchR2(0:0))
      call avR2(868, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_4884])

      allocate(vertices(1242)%branchR2(0:0))
      call avR2(1242, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_4941])

      allocate(vertices(1310)%branchR2(0:0))
      call avR2(1310, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5168])

      allocate(vertices(940)%branchR2(0:0))
      call avR2(940, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_4968, nGC_4967])

      allocate(vertices(274)%branchR2(0:0))
      call avR2(274, 0, 9, 1, 0, VVVV3, 0, [0, 4], [nGC_5129, nGC_5128,        &
      nGC_5130])

      allocate(vertices(1020)%branchR2(0:0))
      call avR2(1020, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5164])

      allocate(vertices(242)%branchR2(0:0))
      call avR2(242, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5115])

      allocate(vertices(311)%branchR2(0:0))
      call avR2(311, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5160])

      allocate(vertices(594)%branchR2(0:0))
      call avR2(594, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5142])

      allocate(vertices(771)%branchR2(0:0))
      call avR2(771, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_5033, nGC_5032])

      allocate(vertices(1179)%branchR2(0:0))
      call avR2(1179, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5147])

      allocate(vertices(451)%branchR2(0:0))
      call avR2(451, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_5049])

      allocate(vertices(1228)%branchR2(0:1))
      call avR2(1228, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_4934, nGC_4932])

      call avR2(1228, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_4947, nGC_4946])

      allocate(vertices(673)%branchR2(0:0))
      call avR2(673, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5139])

      allocate(vertices(349)%branchR2(0:0))
      call avR2(349, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5137])

      allocate(vertices(1498)%branchR2(0:0))
      call avR2(1498, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5131])

      allocate(vertices(1263)%branchR2(0:0))
      call avR2(1263, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_4912, nGC_4913])

      allocate(vertices(686)%branchR2(0:0))
      call avR2(686, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_4921])

      allocate(vertices(1664)%branchR2(0:1))
      call avR2(1664, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_5185])

      call avR2(1664, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_5186])

      allocate(vertices(829)%branchR2(0:0))
      call avR2(829, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_15294])

      allocate(vertices(99)%branchR2(0:0))
      call avR2(99, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5168])

      allocate(vertices(644)%branchR2(0:0))
      call avR2(644, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5114])

      allocate(vertices(687)%branchR2(0:0))
      call avR2(687, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5163])

      allocate(vertices(65)%branchR2(0:0))
      call avR2(65, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5157])

      allocate(vertices(1132)%branchR2(0:0))
      call avR2(1132, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_5041, nGC_5040])

      allocate(vertices(1395)%branchR2(0:0))
      call avR2(1395, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_4905])

      allocate(vertices(1436)%branchR2(0:1))
      call avR2(1436, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_4862, nGC_4859,       &
      nGC_4881, nGC_4881])

      call avR2(1436, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_4854, nGC_4854,       &
      nGC_4882, nGC_4882])

      allocate(vertices(983)%branchR2(0:0))
      call avR2(983, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5142])

      allocate(vertices(795)%branchR2(0:1))
      call avR2(795, 0, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_5047])

      call avR2(795, 1, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_5048])

      allocate(vertices(1665)%branchR2(0:1))
      call avR2(1665, 0, 59, 1, 0, VVVV4, 0, [2, 2], [nGC_5180])

      call avR2(1665, 1, 60, 1, 0, VVVV4, 0, [2, 2], [nGC_5179])

      allocate(vertices(1666)%branchR2(0:1))
      call avR2(1666, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_5183])

      call avR2(1666, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_5184])

      allocate(vertices(1405)%branchR2(0:0))
      call avR2(1405, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_4887])

      allocate(vertices(112)%branchR2(0:0))
      call avR2(112, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5121])

      allocate(vertices(822)%branchR2(0:0))
      call avR2(822, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_4986])

      allocate(vertices(1512)%branchR2(0:0))
      call avR2(1512, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_4886])

      allocate(vertices(523)%branchR2(0:0))
      call avR2(523, 0, 9, 1, 0, VVVV3, 0, [0, 4], [nGC_5109, nGC_5107,        &
      nGC_5108])

      allocate(vertices(786)%branchR2(0:0))
      call avR2(786, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_4987])

      allocate(vertices(721)%branchR2(0:0))
      call avR2(721, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_5050])

      allocate(vertices(1461)%branchR2(0:0))
      call avR2(1461, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5126])

      allocate(vertices(1667)%branchR2(0:1))
      call avR2(1667, 0, 53, 1, 0, VVVV4, 0, [2, 2], [nGC_5133])

      call avR2(1667, 1, 54, 1, 0, VVVV4, 0, [2, 2], [nGC_5134])

      allocate(vertices(624)%branchR2(0:0))
      call avR2(624, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5170])

      allocate(vertices(640)%branchR2(0:0))
      call avR2(640, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_4935])

      allocate(vertices(1487)%branchR2(0:0))
      call avR2(1487, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5126])

      allocate(vertices(1362)%branchR2(0:0))
      call avR2(1362, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_4885])

      allocate(vertices(130)%branchR2(0:0))
      call avR2(130, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_5045])

      allocate(vertices(852)%branchR2(0:0))
      call avR2(852, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5140])

      allocate(vertices(1217)%branchR2(0:0))
      call avR2(1217, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5151])

      allocate(vertices(554)%branchR2(0:0))
      call avR2(554, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_4939])

      allocate(vertices(1401)%branchR2(0:0))
      call avR2(1401, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5127])

      allocate(vertices(1006)%branchR2(0:0))
      call avR2(1006, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_5049])

      allocate(vertices(1191)%branchR2(0:1))
      call avR2(1191, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_4959, nGC_4961])

      call avR2(1191, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_4960, nGC_4962])

      allocate(vertices(976)%branchR2(0:0))
      call avR2(976, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5138])

      allocate(vertices(1276)%branchR2(0:1))
      call avR2(1276, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_4998, nGC_4998])

      call avR2(1276, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_4996, nGC_4997])

      allocate(vertices(51)%branchR2(0:0))
      call avR2(51, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5150])

      allocate(vertices(399)%branchR2(0:1))
      call avR2(399, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_5025, nGC_5026])

      call avR2(399, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_5027, nGC_5027])

      allocate(vertices(203)%branchR2(0:0))
      call avR2(203, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5162])

      allocate(vertices(39)%branchR2(0:0))
      call avR2(39, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5117])

      allocate(vertices(1494)%branchR2(0:0))
      call avR2(1494, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5125])

      allocate(vertices(240)%branchR2(0:0))
      call avR2(240, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5137])

      allocate(vertices(1444)%branchR2(0:0))
      call avR2(1444, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_4891])

      allocate(vertices(1235)%branchR2(0:0))
      call avR2(1235, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_4954])

      allocate(vertices(714)%branchR2(0:0))
      call avR2(714, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5117])

      allocate(vertices(1668)%branchR2(0:0))
      call avR2(1668, 0, 9, 1, 0, VVVV3, 0, [0, 4], [nGC_5123, nGC_5124,       &
      nGC_5124])

      allocate(vertices(1669)%branchR2(0:0))
      call avR2(1669, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5113])

      allocate(vertices(1457)%branchR2(0:0))
      call avR2(1457, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5131])

      allocate(vertices(1259)%branchR2(0:0))
      call avR2(1259, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5149])

      allocate(vertices(269)%branchR2(0:0))
      call avR2(269, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5142])

      allocate(vertices(1670)%branchR2(0:0))
      call avR2(1670, 0, 9, 1, 0, VVVV3, 0, [0, 4], [nGC_5124, nGC_5123,       &
      nGC_5124])

      allocate(vertices(313)%branchR2(0:0))
      call avR2(313, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_5004, nGC_5003])

      allocate(vertices(1359)%branchR2(0:0))
      call avR2(1359, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_5066])

      allocate(vertices(879)%branchR2(0:0))
      call avR2(879, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5135])

      allocate(vertices(1378)%branchR2(0:0))
      call avR2(1378, 0, 9, 1, 0, VVVV3, 0, [0, 4], [nGC_5182, nGC_5182,       &
      nGC_5181])

      allocate(vertices(12)%branchR2(0:0))
      call avR2(12, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_13605])

      allocate(vertices(909)%branchR2(0:0))
      call avR2(909, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5171])

      allocate(vertices(859)%branchR2(0:0))
      call avR2(859, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_5050])

      allocate(vertices(660)%branchR2(0:0))
      call avR2(660, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5138])

      allocate(vertices(1175)%branchR2(0:0))
      call avR2(1175, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5175])

      allocate(vertices(23)%branchR2(0:0))
      call avR2(23, 0, 9, 1, 0, VVVV3, 0, [0, 4], [nGC_5129, nGC_5128, nGC_5130&
      ])

      allocate(vertices(968)%branchR2(0:0))
      call avR2(968, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_15907])

      allocate(vertices(125)%branchR2(0:0))
      call avR2(125, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_5064, nGC_5065])

      allocate(vertices(1174)%branchR2(0:0))
      call avR2(1174, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5151])

      allocate(vertices(1344)%branchR2(0:0))
      call avR2(1344, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5147])

      allocate(vertices(1192)%branchR2(0:0))
      call avR2(1192, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5159])

      allocate(vertices(809)%branchR2(0:0))
      call avR2(809, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5115])

      allocate(vertices(904)%branchR2(0:0))
      call avR2(904, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_4948])

      allocate(vertices(337)%branchR2(0:0))
      call avR2(337, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5148])

      allocate(vertices(1671)%branchR2(0:0))
      call avR2(1671, 0, 9, 1, 0, VVVV4, 0, [0, 4], [nGC_5136])

      allocate(vertices(460)%branchR2(0:0))
      call avR2(460, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_5017])

      allocate(vertices(1117)%branchR2(0:0))
      call avR2(1117, 0, 9, 1, 0, VVVV3, 0, [0, 4], [nGC_5178, nGC_5177,       &
      nGC_5176])

      allocate(vertices(1096)%branchR2(0:0))
      call avR2(1096, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_4970, nGC_4969])

      allocate(vertices(1279)%branchR2(0:0))
      call avR2(1279, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5164])

      allocate(vertices(504)%branchR2(0:1))
      call avR2(504, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_5046])

      call avR2(504, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_5047])

      allocate(vertices(1672)%branchR2(0:1))
      call avR2(1672, 0, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_5174])

      call avR2(1672, 1, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_5173])

      allocate(vertices(461)%branchR2(0:1))
      call avR2(461, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_4909, nGC_4908])

      call avR2(461, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_4895, nGC_4895])

      allocate(vertices(679)%branchR2(0:0))
      call avR2(679, 0, 8, 1, 0, FFaS2, 0, [0, 3], [nGC_4950])

      allocate(vertices(633)%branchR2(0:1))
      call avR2(633, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_4926, nGC_4924])

      call avR2(633, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_4943, nGC_4942])

      allocate(vertices(1231)%branchR2(0:0))
      call avR2(1231, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5115])

      allocate(vertices(590)%branchR2(0:0))
      call avR2(590, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5122])

      allocate(vertices(622)%branchR2(0:0))
      call avR2(622, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5140])

      allocate(vertices(84)%branchR2(0:0))
      call avR2(84, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5168])

      allocate(vertices(628)%branchR2(0:1))
      call avR2(628, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_4900, nGC_4899])

      call avR2(628, 1, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_4895, nGC_4895])

      allocate(vertices(985)%branchR2(0:0))
      call avR2(985, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5121])

      allocate(vertices(1265)%branchR2(0:0))
      call avR2(1265, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5151])

      allocate(vertices(982)%branchR2(0:0))
      call avR2(982, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5139])

      allocate(vertices(1065)%branchR2(0:0))
      call avR2(1065, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_4922])

      allocate(vertices(1673)%branchR2(0:1))
      call avR2(1673, 0, 64, 1, 0, VVVV4, 0, [2, 2], [nGC_5144])

      call avR2(1673, 1, 63, 1, 0, VVVV4, 0, [2, 2], [nGC_5143])

      allocate(vertices(1339)%branchR2(0:0))
      call avR2(1339, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5120])

      allocate(vertices(931)%branchR2(0:0))
      call avR2(931, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5168])

      allocate(vertices(1674)%branchR2(0:0))
      call avR2(1674, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5110])

      allocate(vertices(1233)%branchR2(0:1))
      call avR2(1233, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_5015, nGC_5015])

      call avR2(1233, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_5013, nGC_5014])

      allocate(vertices(520)%branchR2(0:0))
      call avR2(520, 0, 9, 1, 0, VVVV3, 0, [0, 4], [nGC_5109, nGC_5108,        &
      nGC_5107])

      allocate(vertices(1264)%branchR2(0:0))
      call avR2(1264, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5117])

      allocate(vertices(905)%branchR2(0:0))
      call avR2(905, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_4912, nGC_4913])

      allocate(vertices(649)%branchR2(0:0))
      call avR2(649, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5115])

    end subroutine fill_vertices_mdl6
end module vertices_info6
